-- kvuli timestampum potrebujeme funkci a trigger, PostgreSQL to nativne neumi
-- funkce pro ziskani soucasneho casu

CREATE OR REPLACE FUNCTION modtime() RETURNS TRIGGER AS $$ 
BEGIN 
	IF ((OLD.zamek = NEW.zamek OR (OLD.zamek IS NULL AND NEW.zamek  IS NULL)) 
		AND OLD.kontrola_expirace = NEW.kontrola_expirace) 
		THEN 
			IF (TG_RELNAME = 'casopisy')
				THEN 
					IF (OLD.in_ezb = NEW.in_ezb) THEN NEW.modifikace := now(); END IF;
				ELSE
					NEW.modifikace := now(); 
			END IF;
	END IF; 
	RETURN NEW; 
END 
$$ LANGUAGE 'plpgsql';



CREATE OR REPLACE FUNCTION modtime_simple() RETURNS TRIGGER AS $$
BEGIN
	NEW.modifikace := now();
	RETURN NEW;
END
$$ LANGUAGE 'plpgsql';


-- nyni funkce, ktera prepocita zdroje u fakult a oboru
 
CREATE OR REPLACE FUNCTION data_recount() RETURNS void AS $$
DECLARE 
	fac RECORD;
	reckoren RECORD;
	recpodobor RECORD;
	korenovy_zdroj RECORD;
	reczdroj RECORD;
	korenove_zdroje integer[];
	pocet_zdroju integer;
	pocet_zdroju_koren integer;
	pocet_zdroju_podobor integer;
	nalezeno integer;
BEGIN

	-- zpracujeme pocty u fakult
	-- ---------------------------------
	FOR fac IN SELECT fakulta_id FROM fakulty LOOP
			
		SELECT COUNT(zdroje.zdroj_id) INTO pocet_zdroju FROM zdroj_fakulta, zdroje WHERE (zdroj_fakulta.fakulta_id=fac.fakulta_id) AND (zdroje.zarazeni <> 0) AND (zdroje.zdroj_id=zdroj_fakulta.zdroj_id) AND (zdroje.aktivni = 't') AND (zdroje.povoleny = 't') AND ((zdroje.expirace >= CURRENT_DATE) OR (zdroje.kategorie <> 2)) AND (zdroje.kategorie <> 3);

		UPDATE fakulty SET pocet=pocet_zdroju WHERE fakulta_id=fac.fakulta_id;
		
	END LOOP;

	-- zpracujeme pocty u oboru
	-----------------------------------

	-- projdeme vsechny korenove obory
	FOR reckoren IN SELECT obor_id FROM obory WHERE koren='t' LOOP

		pocet_zdroju_koren := 0; 
	
		korenove_zdroje := null;

		-- v kazdem korenovem oboru spocteme jeho prime zdroje
		-- a zjistime jeden po druhem, ktere to jsou
		FOR korenovy_zdroj IN SELECT zdroje.zdroj_id FROM zdroj_obor, zdroje WHERE (zdroj_obor.obor_id=reckoren.obor_id) AND (zdroje.zdroj_id=zdroj_obor.zdroj_id) AND (zdroje.aktivni = 't') AND (zdroje.povoleny = 't') AND ((zdroje.expirace >= CURRENT_DATE) OR (zdroje.kategorie <> 2)) AND (zdroje.kategorie <> 3) LOOP

			korenove_zdroje[pocet_zdroju_koren] := korenovy_zdroj.zdroj_id;

			pocet_zdroju_koren := pocet_zdroju_koren + 1;
		END LOOP; -- korenovy zdroj


		-- nyni mame korekove zdroje daneho oboru a jejich pocet

		-- v kazdem korenovem oboru zjistime jeho podobory
		FOR recpodobor IN SELECT obor_potomek FROM obor_obor WHERE obor_rodic=reckoren.obor_id LOOP

				pocet_zdroju_podobor := 0;
				-- zaznamename pocet zdroju v podoboru
				-- v techto podoborech jejich zdroje
				FOR  reczdroj IN SELECT zdroje.zdroj_id FROM zdroj_obor, zdroje WHERE (zdroj_obor.obor_id=recpodobor.obor_potomek) AND (zdroje.zdroj_id=zdroj_obor.zdroj_id) AND (zdroje.aktivni = 't') AND (zdroje.povoleny = 't') AND ((zdroje.expirace >= CURRENT_DATE) OR (zdroje.kategorie <> 2)) AND (zdroje.kategorie <> 3) LOOP


					pocet_zdroju_podobor := pocet_zdroju_podobor + 1;

				-- nyni zkontrolujeme, je-li dany zdroj jiz v korenovem oboru,
				-- pokud neni, tak ho pridame

					nalezeno := 0;
					FOR i IN array_lower(korenove_zdroje, 1)..array_upper(korenove_zdroje, 1) LOOP
				
						IF korenove_zdroje[i] = reczdroj.zdroj_id 
							THEN
								nalezeno := 1;
								EXIT;
						END IF;
					END LOOP; -- i cyklus

					-- pokud dany zdroj nebyl nalezen, pridej ho ke korenovym (aby nebyl zapocitavan pro dalsi podobory) a take zvys citac korenovych
				
					IF nalezeno = 0
						THEN
							korenove_zdroje := array_append(korenove_zdroje, reczdroj.zdroj_id);
							pocet_zdroju_koren := pocet_zdroju_koren + 1;
						END IF;

				END LOOP; -- zdroj

				-- provedeme update poctu v podoboru
				UPDATE obory SET pocet=pocet_zdroju_podobor WHERE obor_id=recpodobor.obor_potomek;

		END LOOP; -- podobor

		-- podobory jsou zpracovany, updatuj pocet v korenovem oboru
		UPDATE obory SET pocet=pocet_zdroju_koren WHERE obor_id=reckoren.obor_id;


	END LOOP; -- korenove obory


	RETURN;
END;
$$ LANGUAGE 'plpgsql';

