<?php

require_once("constants.php");
require_once("functions.php");

class soubor {
	public $id; 
	public $objekt_id; 
	public $objekt_typ; 
	public $jmeno;
	public $datum; 
	public $popis; 
	public $popis_en; 
	public $zamek; 
	public $verejny;

	public function soubor($id, $objekt_id, $objekt_typ, $jmeno, $datum, $popis,
		$popis_en, $verejny = false, $zamek = null) 
	{
		$this->id = $id;
		$this->objekt_id = $objekt_id;
		$this->objekt_typ = $objekt_typ;
		$this->jmeno = $jmeno;
		$this->datum = $datum;
		$this->popis = $popis;
		$this->popis_en = $popis_en;
		$this->verejny = $verejny;
		$this->zamek = $zamek;
	}

	public static function getFilesFor($objekt_id, $objekt_typ) 
	{
		$files = array();
		$query = "SELECT * FROM soubory WHERE "
			. "objekt_id = '$objekt_id' AND objekt_typ = '$objekt_typ'";
		$result = pg_query($query);

		while ($row = pg_fetch_array($result, NULL, PGSQL_ASSOC)) {
			array_push($files, new soubor($row['soubor_id'], $objekt_id, $objekt_typ, 
				$row['jmeno'], $row['datum'], $row['popis'], $row['popis_en'], 
				getBool($row['verejny']), $row['zamek']));
		}

		return $files;
	}

	public static function deleteFilesFor($objekt_id, $objekt_typ)
	{
		global $FILES_DIR;

		$files = self::getFilesFor($objekt_id, $objekt_typ);

		$query = "DELETE FROM soubory WHERE objekt_id = '$objekt_id' AND ".
			"objekt_typ = '$objekt_typ'";
		$result = pg_query($query);

		if (! $result) return false;

		foreach($files as $file) {
			if (! unlink("$FILES_DIR/$file->id")) return false;
		}

		return true;
	}

	public static function getFileById($id, $user, $script) 
	{
		$query = "SELECT * FROM soubory WHERE soubor_id = '$id'";
		$result = pg_query($query);

		db_one_row($result, $user, $script, "File $id conflict error!", "cs");

		$row = pg_fetch_array($result, NULL, PGSQL_ASSOC);

		return new soubor($id, $row['objekt_id'], $row['objekt_typ'],
			$row['jmeno'], $row['datum'], $row['popis'],
			getBool($row['verejny']), $row['zamek']);
	}

	public function update($user, $skript, $popis, $popis_en, 
		$verejny, $jmeno = null) {

		global $LOG_INF;

		$verejny = getDbBool($verejny);

		$query = "UPDATE soubory SET popis='$popis', popis_en = '$popis_en',".
			" verejny='$verejny'";
		if ($jmeno != null) $query .= ", jmeno='$jmeno'"; 
		$query .= " WHERE soubor_id = '$this->id'";


		$result = pg_query($query);

		logit($user, $skript, "File $this->id was updated.", $LOG_INF);
	}

	public function getFilePath() {

		global $FILES_DIR;

		return $FILES_DIR . $this->id;
	}

	public function normalizeFileName() {

		return str_replace(' ', '_', $this->jmeno);
	}

}

