<?php

require_once("config.php");
require_once("constants.php");
require_once("logging.php");
require_once("classes.php");
require_once("functionsv2.php");
require_once("layout.php");

require_once("navigation_class.php");

function GETlang()
{
	if (isset($_GET['lang'])) {
		$lang = $_GET['lang'];
		if ($lang == "en") return "en";
		else return "cs";
	}
	else return "cs";
}

function getI18Nnavigation($lang) 
{

	global $I18N;

	return "../eizlibs/i18n/navigace_$lang.php";
}

function getI18N($lang, $skript, $def = '') 
{
	global $I18N, $EMPTY_FILE;

	$s = explode(".", $skript);

	$default_file = $I18N."/".$s[0]."_".$lang."_default.".$s[1];
	$user_file =  $I18N."/".$s[0]."_".$lang.".".$s[1];

	if ($def != '') {
		return	$default_file;
	}
	else {
		return file_exists($user_file) ? $user_file : $EMPTY_FILE;
	}
}

function getI18Ndefault($lang, $skript) 
{
	return getI18N($lang, $skript, 'default');
}

function getI18Nhtml($lang, $skript)
{
	global $I18N, $EMPTY_FILE;

	$s = explode(".", $skript);

	$include_file = $I18N."/".$s[0]."_html_".$lang.".".$s[1];

	return file_exists($include_file) ? $include_file : $EMPTY_FILE; 
}	


function GETid()
{
	if (isset($_GET['id'])) 
		if (is_numeric($_GET['id'])) return $_GET['id'];
		else return 2;
	else
		return null; // if no id is given select the first one
}

function getPOST($var)
{
	if (isset($_POST[$var]))
		return rtrim($_POST[$var]);
	else
		return null;
}

function getGET($var)
{
	if (isset($_GET[$var]))
    return rtrim($_GET[$var]);
  else
    return null;
}

function getBoolGET($var)
{
	if (isset($_GET[$var]))
		return $_GET[$var] == 't' ? true : false;
	else false;
}

function issetGET($var)
{
	if (isset($_GET[$var]))
		return TRUE;
	else
		return FALSE;
}

function issetPOST($var)
{
	if (isset($_POST[$var]))
		return TRUE;
	else
		return FALSE;
}

function getGETPOST($var) {

	if (issetGET($var)) return getGET($var);

	if (issetPOST($var)) return getPOST($var);

	return null;
}

function issetGETPOST($var) {
	return issetGET($var) || issetPOST($var);
}


function getCOOKIE($var)
{
	if (isset($_COOKIE[$var]))
		return $_COOKIE[$var];
	else
		return null;
}

function issetCOOKIE($var)
{
	if (isset($_COOKIE[$var]))
		return true;
	else
		return false;
}


function trimSELF($skript)
{
	return substr(strrchr($skript, "/"), 1);
}

function db_one_row($result, $user, $skript, $what, $lang) 
{
	global $LOG_ERR;
	if (pg_num_rows($result) != 1) {
		logit($user, $skript, $what.pg_last_error(), $LOG_ERR);
		print_error_page($lang);
	}
	return true;
}

/* obecne funkce */
function getBool($str) 
{
	if (strcasecmp($str, "t") == 0) return TRUE;
	else return FALSE;
}

function checkLogin($str)
{
	if (strcasecmp($str, "NULL") == 0 || $str == null || $str == "") return false;
	else return true;
}

function getInt($str)
{
	if (strcasecmp($str, "NULL") == 0 || $str == null || ! is_numeric($str)) 
		return null;
	else return $str;
}

function getDbInt($str) 
{
	if (is_numeric($str)) return intval($str);
	else return 'NULL';
}

function getDbBool($bool)
{
	return $bool ? 't' : 'f';
}

// pri null hodnote vraci PostgreSQL prazdny retezec
function getValue($value, $empty = "") 
{
	return ($value != "" && $value != NULL) ? htmlEscape($value) : $empty;
}

// argument je retezec, ktery vraci fce getUserInfo()
function getPid($str)
{
	global $USER_MARKER;
	return substr($str, 0, strpos($str, $USER_MARKER));
}

// argument je retezec, ktery vraci fce getUserInfo()
function getIsAdmin($str)
{
	global $USER_MARKER;
	return getBool(substr($str, strpos($str, $USER_MARKER)+1, 1));
}

function getFakulta($str)
{
	global $FAC_MARKER;
	$fac = substr($str, strpos($str, $FAC_MARKER)+1);
	return $fac == '_' ? null : $fac;
}

function getUserInfo($user, $skript) 
{		
	global $USER_MARKER, $FAC_MARKER, $NONE;
	
	$query = "SELECT pid, je_admin, fakulta FROM spravci WHERE login='$user'";
	$result = pg_query($query);
	db_one_row($result, $user, $skript, "User login conflict error!", "cs");
	$row = pg_fetch_array($result, NULL, PGSQL_ASSOC);
	$fakulta = getInt($row['fakulta']) == null ? $NONE : $row['fakulta']; 
	return $row['pid'].$USER_MARKER.$row['je_admin'].$FAC_MARKER.$fakulta;
}

function getTyp($str)
{ 
	if (($str >= $GLOBALS['ALLOW_TYP_LESS']) && 
			($str <= $GLOBALS['ALLOW_TYP_TOP'])) return $str;
	else return $SOURCE_UNKNOWN;
}

function getZarazeni($str)
{
	global $SOURCE_MU, $SOURCE_IN_DEFAULT;
	
	if (($str >= $GLOBALS['ALLOW_ZARAZENI_LESS']) && 
			($str <= $GLOBALS['ALLOW_ZARAZENI_TOP'])) return $str;
	else return $SOURCE_IN_DEFAULT;
}

function getKategorie($str)
{
	global $KAT_ALLOW_LESS, $KAT_ALLOW_TOP, $KAT_DEFAULT;

	if (($str >= $KAT_ALLOW_LESS) && 
			($str <= $KAT_ALLOW_TOP)) return $str;
	else return $KAT_DEFAULT;
}

function getJazyk($str)
{
	return strlen($str) != 2 ? "--" : $str;
}

function getExpirace($str) {
	return ($str == "" || $str == null) ? "NULL" : "'".$str."'";
}
function getTopExpirace($str) {
	global $TOP_EXPIR;
	return ($str == "" || $str == null) ? $TOP_EXPIR : $str;
}

function getSourceType($type, $lang) 
{
	global 	$SOURCE_BIBLIO, $SOURCE_FULL, $SOURCE_FAKTO, $SOURCE_REF, 
					$SOURCE_COMBINED, $SOURCE_UNKNOWN, $SOURCE_PORTAL;

	if ($lang == "en") {
		switch ($type) {
			case $GLOBALS['SOURCE_BIBLIO']: return "Bibliographical";
			case $GLOBALS['SOURCE_FULL']: return "Fulltext"; 
			case $GLOBALS['SOURCE_FAKTO']:  return "Factual source"; 
			case $GLOBALS['SOURCE_REF']:  return "Referential"; 
			case $GLOBALS['SOURCE_COMBINED']:  return "Combined";
			case $SOURCE_PORTAL: return "Portal";
			case $GLOBALS['SOURCE_UNKNOWN']:  return "Not classified"; 
			default:  return "Not classified"; 
		}
	}
	else {
		switch ($type) {
			case $GLOBALS['SOURCE_BIBLIO']: return "bibliografický"; 
			case $GLOBALS['SOURCE_FULL']: return "fulltextový"; 
			case $GLOBALS['SOURCE_FAKTO']: return "faktografický"; 
			case $GLOBALS['SOURCE_REF']: return "referenční"; 
			case $GLOBALS['SOURCE_COMBINED']: return "kombinovaný"; 
			case $SOURCE_PORTAL: return "portál";
			case $GLOBALS['SOURCE_UNKNOWN']: return "nezařazený"; 
			default: return "nezařazený"; 
    }
  }
}

function normType($str) 
{
	$str[0] = strtoupper($str[0]);
	for ($i=1; $i < strlen($str); $i++)
	{
		if ($str[$i-1] == " ") $str[$i] = strtoupper($str[$i]);
	}

	return $str;
}

function getLangName($lang, $jazyk)
{
	global $LANGUAGES_EN;
	global $LANGUAGES_CS;
	if ($lang == "en") 
		return $LANGUAGES_EN[$jazyk] != null ? $LANGUAGES_EN[$jazyk] : $lang;
	else 
		return $LANGUAGES_CS[$jazyk] != null ? $LANGUAGES_CS[$jazyk] : $lang;
}
	
function checkForNull($ret) 
{
	return ($ret != null ? $ret : "");
}

function spravce_odkaz($ret) 
{
	global $EMAIL_LINK, $DIRECT_EMAIL;
	if (! $DIRECT_EMAIL) return "$EMAIL_LINK$ret";
	else return "mailto:$ret";
}

function getUser() 
{
	global $LOG_ERR;
	
	if (isset($_SERVER["PHP_AUTH_USER"])) 
		return pg_escape_string($_SERVER["PHP_AUTH_USER"]);
	else {
		logit("unknown", "unknown", "Bad autentication!", $LOG_ERR);
		print_auth_req_page("cs");
	}
}

function getPassword()
{
	if (isset($_SERVER['PHP_AUTH_PW']))
		return $_SERVER['PHP_AUTH_PW'];
	else {
		print_auth_req_page("cs");
	}
}

function stringEscape($str) {
	if (get_magic_quotes_gpc() != 1) return pg_escape_string($str);
	else return $str;
}
		
function htmlEscape($str)
{
	return htmlspecialchars($str, ENT_QUOTES, "UTF-8");
}

function getOdkaz($odkaz) {
	return strlen($odkaz) > 70 ? substr($odkaz, 0, 70) . "..." : $odkaz;
}

function getOpenLink() {
	global $OPEN_LINKS_IN_NEW_WINDOW;

	return $OPEN_LINKS_IN_NEW_WINDOW ? " target=\"_blank\"" : "";
}

function getZkratka($lang, $zkratka, $extra_nazev_cs) {
	global $ENABLE_EXTRA_CZECH_TITLE;

	if ($ENABLE_EXTRA_CZECH_TITLE && 
		$lang == "cs" &&
		strlen($extra_nazev_cs) > 0) {
		return $extra_nazev_cs;
	}
	
	return $zkratka;
}

function getLink($lang, $odkaz, $extra_odkaz_cs) {
	global $ENABLE_EXTRA_CZECH_LINK;

	if ($ENABLE_EXTRA_CZECH_LINK) {
	
		if ($lang == 'cs' && strlen($extra_odkaz_cs) > 0) return $extra_odkaz_cs;

		if ($lang == 'en' && strlen($odkaz) > 0) return $odkaz;

		if (strlen($odkaz) > 0) return $odkaz;

		if (strlen($extra_odkaz_cs) > 0) return $extra_odkaz_cs;

	}

	return $odkaz;
}

function getOneLogLink($lang, $en, $cs) {
	global $ENABLE_ONELOG_LINK;

	if ($ENABLE_ONELOG_LINK) {
		if ($lang == "en" && strlen($en) > 0) return $en;

		if ($lang == "cs" && strlen($cs) > 0) return $cs;

		if (strlen($cs) > 0) return $cs;

		if (strlen($en) > 0) return $en;

		return "";
	}

	return "";
}

function getShibLink($lang, $en, $cs) {
	global $ENABLE_SHIBBOLETH;

	if ($ENABLE_SHIBBOLETH) {
		
		if ($lang == "en" && strlen($en) > 0) return $en;

		if ($lang == "cs" && strlen($cs) > 0) return $cs;

		if (strlen($cs) > 0) return $cs;

		if (strlen($en) > 0) return $en;

		return "";
	}

	return "";
}

	
function checkForm($var) 
{
	$result = getPOST($var);

	if ($result == null || $result == "") return "&$var=0";
	else return "";
}

function checkFormEscaped($var)
{
	global $bad, $add_query;

	if (($result = getPOST($var)) == null) {
		$bad=$bad."&$var=0";
	}
	else {
		$result = stringEscape(htmlEscape($result));
		$add_query=$add_query.$var."='$result', ";
	}

	return $result;
}

function getFullName($tpred, $jmeno, $prijmeni, $tza)
{
	$ret = $tpred == "" ? "" : $tpred."&nbsp;";
	$ret .= $jmeno."&nbsp;".$prijmeni;
	$ret .= $tza == "" ? "" : "&nbsp;".$tza;

	return $ret;
}

function getDay($expirace) 
{
	 $d = substr($expirace, 8, 2);
	 return $d >= 10 ? $d : $d[1];
}

function getDayRaw($expirace) 
{
	return substr($expirace, 8, 2);
}

function getMonth($expirace) 
{
	$d = substr($expirace, 5, 2);
	return $d >= 10 ? $d : $d[1];
}

function getMonthRaw($expirace)
{
	return substr($expirace, 5, 2);
}

function getYear($expirace)
{
	$d = substr($expirace, 0, 4);
	return $d;
}

function getTime($expirace)
{
	$d = substr($expirace, 11, 8);
	return $d != null ? $d : "";
}

function getHour($expirace) 
{
	return substr($expirace, 11, 2);
}

function getMinute($expirace)
{
	return substr($expirace, 14, 2);
}

function getSecond($expirace) 
{
	return substr($expirace, 17, 2);
}

function makeDate($y, $m, $d)
{
	global $MORE_THAN_YEAR, $LESS_THAN_YEAR, $MORE_THAN_MONTH, $LESS_THAN_MONTH,
					$INF_EXPIR;

	if ($y == "" && $m == "" && $d == "") return $INF_EXPIR;
	if (! is_numeric($y) || ! is_numeric($m) || ! is_numeric($d)) return null;
	//if ($y < 2006) return null;
	if ($m < 1 || $m > 12) return null;
	if ($d < 1 || $d > 31) return null;

	$m = strval(intval($m));
	$d = strval(intval($d));
	$y = strval(intval($y));

	$delka = strlen($m)-1;
	if ($m < 10) $m = "0".$m[$delka];
	$delka = strlen($d)-1;
	if ($d < 10) $d = "0".$d[$delka];

	return "$y-$m-$d";
}

function compareCurrentTime($date, $tocompare=null)
{
	if ($tocompare == null) {
		$curtime = getdate();
		$curminutes = $curtime["minutes"];
		$curhours = $curtime["hours"];
	}
	else {
		$curminutes = getMinute($tocompare);
		$curhours = getHour($tocompare);
	}

	$minutes = getMinute($date);
	$hours = getHour($date);

	$suma = 0;

	if ($curhours < $hours) { 
		$suma += 24 - $hours + $curhours;
	}
	else {
		$suma += $curhours - $hours;
	}

	$suma *= 60;

	if ($curminutes < $minutes) {
		$suma += 60 - $minutes + $curminutes;
	}
	else {
		$suma += $curminutes - $minutes;
	}

	return $suma;
}
		

/**
 * Funkce porovna soucasne datum s datem predlozenym v parametru.
 * Vraci kladne cislo, pokud je soucasne datum mensi v opacnem pripade vraci
 * zaporne cislo.
 */
function compareCurrentDate($date, $tocompare=null)
{
	global $MORE_THAN_YEAR, $LESS_THAN_YEAR, $MORE_THAN_MONTH, $LESS_THAN_MONTH;

	if ($date == null) return $MORE_THAN_YEAR;

	if ($tocompare == null) {	
		$curr = getdate();
		$curry = $curr['year'];
		$currm = $curr['mon']; //< 10 ? "0".$curr['mon'] : $curr['mon'];
		$currd = $curr['mday']; // < 10 ? "0".$curr['mday'] : $curr['mday'];
	}
	else {
		$curry = getYear($tocompare);
		$currm = getMonthRaw($tocompare);
		$currd =  getDayRaw($tocompare);
	}

	$datey = getYear($date);
	$datem = getMonthRaw($date);
	$dated = getDayRaw($date);

	if ($datey > $curry) { return $MORE_THAN_YEAR; }
	else { 
		if ($datey < $curry) { return $LESS_THAN_YEAR; }
		else {
			if ($datem > $currm) { return $MORE_THAN_MONTH; }
			else {
				if ($datem < $currm) { return $LESS_THAN_MONTH; }
				else { return $dated-$currd; }
			}
		}
	}
}
	
// tato funkce je jiz zastarala, dale se to resi pres PL/pgSQL
function recountSources()
{
	global $PUBLIC_SOURCE_COND, $SOURCE_MU, $SOURCE_MU_FACS, $SOURCE_NOTIN;
	
	// ********** pocty zdroju v oborech **********
	$src_counts = array();

	$query = "BEGIN;". 
					"	SET TRANSACTION ISOLATION LEVEL SERIALIZABLE;".
					"	SELECT obor_id FROM obory WHERE koren='t'";
	$result = pg_query($query);

	while ($row = pg_fetch_array($result, NULL, PGSQL_NUM)) {
		$id = $row[0];

		$src_counts[$id] = 0;
		$local = array();
		// ktere zdroje jsou primo v koreni 
		$query = "SELECT zdroje.zdroj_id FROM zdroj_obor, zdroje". 
						"	WHERE (zdroj_obor.obor_id='$id') AND".
							"	(zdroje.zdroj_id = zdroj_obor.zdroj_id)".
							"	AND $PUBLIC_SOURCE_COND";
		$zdr_result = pg_query($query);
		while ($row = pg_fetch_array($zdr_result, NULL, PGSQL_NUM)) {
			array_push($local, $row[0]);
		}
	
		// podobory korenoveho oboru
		$query = "SELECT obor_potomek FROM obor_obor WHERE obor_rodic='$id'";
		$pod_result = pg_query($query);
		while ($row = pg_fetch_array($pod_result, NULL, PGSQL_NUM)) {
			$query = "SELECT zdroje.zdroj_id FROM zdroj_obor, zdroje".
							"	WHERE (zdroj_obor.obor_id='$row[0]') AND".
										"	(zdroje.zdroj_id = zdroj_obor.zdroj_id) AND".
										"	$PUBLIC_SOURCE_COND";
			$src_result = pg_query($query);
			while ($row2 = pg_fetch_array($src_result, NULL, PGSQL_NUM)) {
				// pokud zdroj neni v nadrazenem oboru, tak ho pridej
				if (! in_array($row2[0], $local)) array_push($local, $row2[0]);
			}

			$subpocet = pg_num_rows($src_result);
			//uloz pocet zdroju v podoboru
			$query = "UPDATE obory SET pocet=$subpocet WHERE obor_id=$row[0]";
		
			$up_result = pg_query($query);
		}
		
		$pocet = count($local);
		$query = "UPDATE obory SET pocet=$pocet WHERE obor_id=$id";
		$res = pg_query($query);
	}

	// *************** prepocitej zdroje pro fakulty ****************
	$query = "SELECT fakulta_id FROM fakulty";
	$result = pg_query($query);
	while ($row = pg_fetch_array($result, NULL, PGSQL_NUM)) {
		$query = "SELECT COUNT(zdroje.zdroj_id)".
						"	FROM zdroj_fakulta, zdroje". 
						"	WHERE (zdroj_fakulta.fakulta_id=$row[0]) AND". 
								"	(zdroje.zarazeni <> $SOURCE_NOTIN) AND".
								"	(zdroje.zdroj_id=zdroj_fakulta.zdroj_id) AND".
								"	$PUBLIC_SOURCE_COND";
		$result_fac = pg_query($query);
		$row2 = pg_fetch_array($result_fac, NULL, PGSQL_NUM);
		$query = "UPDATE fakulty SET pocet=$row2[0] WHERE fakulta_id='$row[0]'";
		pg_query($query);
	}
		
	// ******** provedeme zavercny COMMIT cele transakce
	$query = "COMMIT";
	$result = pg_query($query);
	return $result;
}

function getOrderBy($lang) 
{
	global $ENABLE_EXTRA_CZECH_TITLE;

	if ($ENABLE_EXTRA_CZECH_TITLE) {
		if ($lang == "en") return "zkratka";
		else return "nazev_extra_cz";
	}
	else {
		return "zkratka";
	}
}

function getEmail($email) 
{
	$newmail = 
		str_replace(".", "<img src=\"images/tecka.gif\" alt=\" dot \" />", 
								$email);

	$newmail = 
		str_replace("@", "<img src=\"images/zavinac.gif\" alt=\" at \" />", 
								$newmail);
	return "<span class=\"email\">$newmail</span>";
}

function getBackParams($typ, $del1, $del2) 
{

	global $DEL_NO_PARAMS, $DEL_ABECEDNE, $DEL_EXPIRACE, $DEL_LIC, $DEL_TRIAL,
					$DEL_FREE, $DEL_LOCK, $DEL_LINK, $SOURCE, $MAGAZINE;

	switch ($typ) {
	case $MAGAZINE: $btyp="fakulty"; $bval="fakulta"; break;
	case $SOURCE: $btyp="spravci"; $bval="spravce"; break;
	default: $btyp="abecende=1"; $bval="all"; break;
	}

	$backparam = "";
	switch ($del1) {
		case $DEL_NO_PARAMS: break;
		case $DEL_ABECEDNE: $backparam .= "abecedne=1"; break;
		case $DEL_EXPIRACE: $backparam .= "expirace=1"; break;
		default: $backparam .= "$btyp=1&$bval=$del1"; break;
	}

	switch ($del2) {
		case $DEL_LIC: $backparam .= "&lic=1"; break;
		case $DEL_TRIAL: $backparam .= "&trial=1"; break;
		case $DEL_FREE: $backparam .= "&free=1"; break;
		case $DEL_LOCK: $backparam .= "&lock=1"; break;
		case $DEL_LINK: $backparam .= "&link=1"; break;
		default: $backparam .= ""; break;
	}

	return $backparam != "" ? "&$backparam" : "";
}

function getBackScript($skript) 
{
	global $DEL_VYBER, $DEL_ZDROJ, $DEL_CASOPIS, $DEL_CASOPISY_VYBER, $SOURCE,
					$MAGAZINE, $BOOK, $DEL_KNIHA, $DEL_KNIHY_VYBER;

	switch ($skript) {
	case $SOURCE: return "zdroj.php";
	case $MAGAZINE: return "casopis.php";
	case $BOOK: return "kniha.php";
	case $DEL_KNIHA: return "kniha.php";
	case $DEL_VYBER: return "vyber.php"; 
	case $DEL_ZDROJ: return "zdroj.php";
	case $DEL_CASOPIS: return "casopis.php";
	case $DEL_CASOPISY_VYBER: return "casopisy_vyber.php";
	case $DEL_KNIHY_VYBER: return "knihy_vyber.php";
	default: return "zdroj.php";
	}
}

function getBackType($skript)
{
	global $DEL_VYBER, $DEL_ZDROJ, $DEL_CASOPIS, $DEL_CASOPISY_VYBER,
		$SOURCE, $MAGAZINE, $DEL_KNIHA, $DEL_KNIHY_VYBER, $BOOK;

	switch ($skript) {
	case $DEL_VYBER:
	case $DEL_ZDROJ: return $SOURCE;
	case $DEL_CASOPIS:
	case $DEL_CASOPISY_VYBER: return $MAGAZINE;
	case $DEL_KNIHA: 
	case $DEL_KNIHY_VYBER: return $BOOK;
	default: return $SOURCE;
	}
}	

// deprecated
function getRightsType($typ)
{
	global $SOURCE, $MAGAZINE, $RGHT_DELETE_SOURCE, $RGHT_DELETE_MAGAZINE;

	switch ($typ) {
	case $SOURCE: return $RGHT_DELETE_SOURCE;
	case $MAGAZINE: return $RGHT_DELETE_MAGAZINE;
	default: return $RGHT_DELETE_SOURCE;
	}
}
	
function getLockDescription($zamek, $cas, $user, $skript) {
	
	if ($zamek != null) {
		$zamek_cas = getDay($cas).".";
		$zamek_cas .= getMonth($cas).".";
		$zamek_cas .= getYear($cas). " ";
		$zamek_cas .= getTime($cas);

		$query = "SELECT titul_pred, jmeno, prijmeni, titul_za 
	          	FROM spravci WHERE pid='$zamek'";
		$result = pg_query($query);
		db_one_row($result, $user, $skript, 
								"Administrator getlock $zamek mismatch!", "cs");
		$row = pg_fetch_array($result, NULL, PGSQL_ASSOC);
		$jmeno = getFullName($row['titul_pred'], $row['jmeno'], $row['prijmeni'], 
												$row['titul_za']);
		$zamek_odkaz = spravce_odkaz($zamek);
		return "<a href=\"$zamek_odkaz\">$jmeno</a> ($zamek_cas)";
	}
	else { 
		return "<span class=\"\">není uzamčen</span>"; 
	}
}

function getBrowseType($type) 
{
	global $BFACULTY, $BDOMAIN, $BTYPE;

	switch ($type) {
		case $BFACULTY: return "fakulty2.php";
		case $BDOMAIN: return "obory2.php";
		case $BTYPE: return "typy2.php";
		default: return "";
	}
}

function IPlet($remote_ip, $top_ip)
{
	$remote_frags = explode(".", $remote_ip);
	$top_frags = explode(".", $top_ip);

	for($i = 0; $i <= 3; $i++) {
		if ($remote_frags[$i] < $top_frags[$i]) return true;
		if ($remote_frags[$i] > $top_frags[$i]) return false;
	}

	return true;
}

function IPget($remote_ip, $bottom_ip)
{
	$remote_frags = explode(".", $remote_ip);
	$bottom_frags = explode(".", $bottom_ip);

	for($i = 0; $i <= 3; $i++) {
		if ($remote_frags[$i] < $bottom_frags[$i]) return false;
		if ($remote_frags[$i] > $bottom_frags[$i]) return true;
	}

	return true;
}

function checkIP($ip) 
{
	global $IPS_RANGE, $IPS_PROXY;

	/*
	if ($_SERVER['REMOTE_ADDR'] == "147.251.17.170" ||
		$_SERVER['REMOTE_ADDR'] == "127.0.0.1") return false;

	 */
	foreach($IPS_PROXY as $ip_proxy) {
		if ($ip == $ip_proxy) return true;
	}


	foreach($IPS_RANGE as $item) {
		$divided_range = explode("-", $item);

		if ($divided_range[0] == $item && $ip == $item) return true;

		if (IPget($ip, $divided_range[0]) && IPlet($ip, $divided_range[1]))
			return true;
	}	

	return false;
}

function accessCheck($lang)
{
	global $UNIVERSITY, $I18N, $ENABLE_FN_BRNO, $IP_FN_BRNO;
	
	if ($lang == "en") {
		include_once("../eizlibs/$I18N/test_pristupu_en_default.php");
		include_once("../eizlibs/$I18N/test_pristupu_en.php");
	}
	else {
		include_once("../eizlibs/$I18N/test_pristupu_cs_default.php");
		include_once("../eizlibs/$I18N/test_pristupu_cs.php");
	}

	if ($ENABLE_FN_BRNO) {
		if ($_SERVER['REMOTE_ADDR'] == $IP_FN_BRNO) {
			//(true) {
			echo "<div class=\"ipwarning fnbwarning\">\n";
			echo "Nejste v síti MU, přistupujete ze sítě <b>FN Brno</b>. Pokud nemáte 
				nastaven <a href=\"pristup_z_FNB.php\">přístup k EIZ-MU z FN Brno</a>, 
				většina plných textů ve zdrojích <b>nebude přístupná</b>.";
			echo "</div>\n";
			return false;
		}
	}
		
		
	if (! checkIP($_SERVER['REMOTE_ADDR'])) {
		echo "<div class=\"ipwarning\">\n";
		echo $txt_info;
		echo " <a href=\"vzdaleny_pristup.php?lang=$lang\">$txt_odkaz</a>";
		echo "</div>\n";
	}
}


function getBookThumbnailFilePath($id, $pripona) {
	global $THS_DIR, $THBOOK;

	$lomitko = "";
	if ($THS_DIR[strlen($THS_DIR) - 1] != '/') {
		$lomitko = '/';
	}

	return $THS_DIR . $lomitko . $THBOOK . $id . '.' . $pripona;
}

function getThParams() {
	global $THS_SIZE_X, $THS_SIZE_Y;

	$geometry = "-geometry ";

	if ($THS_SIZE_X <= 0) return $geometry . " x$THS_SIZE_Y";

	if ($THS_SIZE_Y <= 0) return $geometry . " $THS_SIZE_X";

	if ($THS_SIZE_Y <= 0 && $THS_SIZE_X <= 0) return $geometry . " x120";
	else return $geometry . " $THS_SIZE_X"."x$THS_SIZE_Y";
}

/* ***************** Validacni funkce ********************* */

function parse_error($errno, $errstr, $errfile, $errline, $errcontext)
{
	global $GLOBAL_ERRS;
	$load_tag = "DOMDocument::loadXML():";
	$validate_tag = "DOMDocument::validate():";
	if (strpos($errstr, $load_tag) !== false) {
	//	logit("","","load: $errstr", 0);
		$err_str = str_replace($load_tag, "", $errstr);
		$err_str = "Neuzavřený tag: $errstr";
		array_push($GLOBAL_ERRS, $err_str);
	}
	if (strpos($errstr, $validate_tag) !== false) {
	//	logit("","","validate: $errstr", 0);
		$err_str = str_replace($validate_tag, "", $errstr);
		$err_str = "Neznámý tag: $errstr";
		array_push($GLOBAL_ERRS, $err_str);
	}	
}
	
function validateTextForm($form)
{
	global $LOG_INF;
	$temp = "<?xml version=\"1.0\" encoding=\"utf-8\"?>".
        	"<!DOCTYPE ezdroje-form SYSTEM \"ezdroje-form.dtd\">".
					"<ezdroje-form>$form</ezdroje-form>\n";
	$temp = stripslashes($temp);
	
	//setlocale(LC_MESSAGES, "cs_CZ");
	set_error_handler('parse_error');
	$old = ini_set('html_errors', false);

	$doc = new DOMDocument();
	if (! $doc->loadXML($temp)) return false;
	if (! $doc->validate()) return false;	
	
	ini_set('html_errors', $old);
	restore_error_handler();

	//setlocale(LC_MESSAGES, "C");
	return true;
}



/* ***************** Formatovaci funkce ******************** */

/*
function navBar($skript, )
{
	if (strpos($skript, "auth") != false) {
	*/	

function get_validity_error($lang, $id, $type, $text) 
{
	$validity="<div class=\"valid_error\">";
	$validity.="<span class=\"tluste_red\">$text</span> ";
	$validity.="(<a href=\"vypis_chyby.php?id=$id&chyba=$type&$lang=1\" ";
	$validity.="target=\"_blank\">info</a>)</div>";
	return $validity;
}

function generate_alphabet()
{
	echo "\n<div class=\"alphabet\">\n";

	for ($i=65; $i<=90; $i++) {
		echo "\t[<a href=\"#c" . $i . "\">" . chr($i) . "</a>]\n";
	}
	echo "</div><!-- alphabet -->\n";
}


function generate_alphabetv2($lang, $zdroje)
{
	echo "\n<div class=\"alphabet\">\n";
	
	$letter = false;
	$charlist = '*#%&^@';
	
	for ($i=65; $i<=90; $i++) {
	

		// pro sicher		
		while (current($zdroje) && ord(ucfirst(substr(trim(current($zdroje)->getNazev($lang), $charlist), 0, 1))) > 90) {
			next($zdroje);
		}

		while (current($zdroje) && ord(ucfirst(substr(trim(current($zdroje)->getNazev($lang), $charlist), 0, 1))) < 65) {
			next($zdroje);
		}

		
		while (current($zdroje) && 
			chr($i) == ucfirst(substr(trim(current($zdroje)->getNazev($lang),  $charlist), 0, 1))) {
				next($zdroje);
				$letter = true;
		}
				
		if ($letter)
			echo "\t[<a href=\"#c" . $i . "\">" . chr($i) . "</a>]\n";
		else 
			echo "\t[". chr($i) ."]\n";

		$letter = false;
		if ($i == 72) {
			while (current($zdroje) && 
				ord(ucfirst(trim(current($zdroje)->getNazev($lang), $charlist))) == 67) {
					next($zdroje);
					$letter = true;
			}
			if ($letter)
      	echo "\t[<a href=\"#ch\">Ch</a>]\n";
			else 
				echo "\t[Ch]\n";
		}
	}

	echo "</div><!-- alphabet -->\n";
}

function putCharAlphabet($nazev, $char) {

	$prvni = ord(ucfirst(substr($nazev, 0, 1)));
		
	if ($prvni != $char && $prvni <= 90 && $prvni > 64) {

		$druhy = ord(ucfirst(substr($nazev, 1, 2)));

		if ($druhy == 72) { 
      echo "<a name=\"ch\"></a>";
    }
    else { 
      echo "<a name=\"c$prvni\"></a>";
		}
	
		return $prvni;
	}

	return $char;
}




function getFormatedDate($date)
{
	if ($date != NULL && $date != "") {
		return getDay($date).".".getMonth($date).".".getYear($date)." ".getTime($date);
	}

	return NULL;
}

function navigace($lang, $skript, $pid, $admin, $id, $cond, $params, $delpars,
									$what)
{
	global $MY_SURL, $MY_URL, $LOG_DBE, $KAT_FREE_TRIAL, 
		$AUTH_DIR, $EIZ_DIR, $EBK_DIR, $EZB_DIR, $IMG_DIR, $PUBLIC_SOURCE_COND,
		$MAGAZINE, $SOURCE, $BOOK, $RESOURCES_PAGE, $EJOURNALS_PAGE, $EBOOKS_PAGE,
		$URL_PREFIX;

	$spojka = "";
	if ($delpars != "") $spojka = "&";

	if ($what == $MAGAZINE) {
		$myrows="casopisy.casopis_id, titul";
		$mytable="casopisy";
		$myorder="titul";
		$edit="edit_casopisy";
		$typ = $EZB_DIR;
	}
	else {
		if ($what == $BOOK) {
			$myrows="knihy.kniha_id, titul";
			$mytable="knihy";
			$myorder="titul";
			$edit="edit_kniha";
			$typ = $EBK_DIR;
		}
		else {
			$myrows="zdroj_id, zkratka";
			$mytable="zdroje";
			$myorder="zkratka";
			$edit="edit";
			$typ = $EIZ_DIR;
		}
	}

	if ($params != "") $params[0]="&";
	
	if ($lang == "en") {
		$desc_first = "First";
		$desc_prev = "Prev";
		$desc_next = "Next";
		$desc_last = "Last";
		$desc_noact = "No active";
	}
	else {
		$desc_first = "První";
		$desc_prev = "Předchozí";
		$desc_next = "Další";
		$desc_last = "Poslední";
		$desc_noact = "Neaktivní";
	}

	if ($pid != "") {	
		$edit_image="<span class=\"edit_image\">".
							"<a href=\"$edit.php?id=$id$spojka$delpars\">".
							"<img src=\"../$IMG_DIR/edit.gif\" alt=\"Editovat\" /></a>".
							"</span>\n";
	}
	else {
		$edit_image="";
	}

	if ($pid != "") {
		
		$link="$URL_PREFIX/$AUTH_DIR";
		
		if ($admin) {
			$query = "SELECT $myrows FROM $mytable $cond";
		}
		else {
			$query = "SELECT $myrows FROM $mytable".
							"	WHERE odpovedny_spravce='$pid' ORDER BY $myorder";
		}
		
	}
	else {
	
		switch($what) {
		case $SOURCE: $podadr = $RESOURCES_PAGE; break;
		case $MAGAZINE: $podadr = $EJOURNALS_PAGE; break;
		case $BOOK: $podadr = $EBOOKS_PAGE; break;
		default: $podadr = $RESOURCES_PAGE; break;
		}

		$link="$URL_PREFIX/$podadr";
		
		$query = $cond;
	}

	$result = pg_query($query);
			
	if (pg_num_rows($result) == 1 || pg_num_rows($result) == 0) { 
		echo "\t$edit_image\n";
		echo "\t<img src=\"../$IMG_DIR/nfin_left_arrow.gif\" ".
					"alt=\"$desc_noact\" />\n";
		echo "\t<img src=\"../$IMG_DIR/nleft_arrow.gif\" alt=\"$desc_noact\" />\n";
		echo "\t<img src=\"../$IMG_DIR/nright_arrow.gif\" alt=\"$desc_noact\" />\n";
		echo "\t<img src=\"../$IMG_DIR/nfin_right_arrow.gif\" ".
					"alt=\"$desc_noact\" />\n";
		return "";
	}
	
	// get first source
	$row = pg_fetch_array($result, NULL, PGSQL_NUM);
	$first=$row[0];
	$first_desc=$row[1];

	$temp=$row[0];
	$temp_desc=$row[1];
	$save_next=false;
	if ($first == $id) {
		$prev=$temp;
		$prev_desc=$temp_desc;
		$save_next=true;
	}	
	while ($row = pg_fetch_array($result, NULL, PGSQL_NUM)) {
		if ($save_next) {
			$next=$row[0];
			$next_desc=$row[1];
			$save_next=false;
		}
		if ($row[0] == $id) {
			$prev=$temp;
			$prev_desc=$temp_desc;
			$save_next=true;
		}
		$temp=$row[0];
		$temp_desc=$row[1];
	}
	$last=$temp;
	$last_desc=$temp_desc;
	if ($last == $id) {
		$next = $last;
		$next_desc = $last_desc;
	}

	if ($first == $prev && $prev == $id) {
		
		$first_h="<img src=\"../$IMG_DIR/nfin_left_arrow.gif\" ".
							"alt=\"$desc_noact\" />";
		$prev_h="<img src=\"../$IMG_DIR/nleft_arrow.gif\" alt=\"$desc_noact\" />";
	
	} 
	else {
		
		$first_h="<a href=\"$link/$skript?lang=$lang$params&id=$first\">".
						 "<img src=\"../$IMG_DIR/fin_left_arrow.gif\" ".
						 "alt=\"$desc_first\" title=\"$first_desc\" />".
						 "</a>\n";
		$prev_h="<a href=\"$link/$skript?lang=$lang$params&id=$prev\">".
						"<img src=\"../$IMG_DIR/left_arrow.gif\" alt=\"$desc_prev\" ".
						"title=\"$prev_desc\" />".
						"</a>\n";
	}
	
	if ($next == $last && $last == $id) {
		
		$last_h="<img src=\"../$IMG_DIR/nfin_right_arrow.gif\" ".
						"alt=\"$desc_noact\" />";
		$next_h="<img src=\"../$IMG_DIR/nright_arrow.gif\" alt=\"$desc_noact\" />";
	
	} 
	else {
		$last_h="<a href=\"$link/$skript?lang=$lang$params&id=$last\">".
						 "<img src=\"../$IMG_DIR/fin_right_arrow.gif\" ".
						 "alt=\"$desc_last\" title=\"$last_desc\" />".
						 "</a>\n";
		$next_h="<a href=\"$link/$skript?lang=$lang$params&id=$next\">".
						"<img src=\"../$IMG_DIR/right_arrow.gif\" ".
						"alt=\"$desc_next\" title=\"$next_desc\" />".
						"</a>\n";
	}	

	//echo "<div class=\"navigace\">";
	echo "\t$edit_image";
	echo "\t$first_h";
	echo "\t$prev_h";
	echo "\t$next_h";
	echo "\t$last_h";
	//echo "</div><!-- navigace -->\n";
}

function printUserLegend($lang)
{
	global $MY_URL, $MY_SURL, $MY_CHARSET, $IMG_DIR,
		
		$DSG_IMG_ICON_FREE_SOURCE;
	
	if ($lang == "en") {
		$item_legenda = "Legend:";
		$item_aktivni = "common resource";
		$item_trial = "free-trial resource";
		$item_expirace = "expired resource";
		$item_meta = "meta-source";
		$item_free = "freely available";
	}
	else {
		$item_legenda = "Legenda:";
		$item_aktivni = "běžný zdroj";
		$item_trial = "zdroj na vyzkoušení s omezenou dobou platnosti";
		$item_expirace = "zdroji vypršela platnost";
		$item_meta = "metazdroj";
		$item_free = "volně dostupný";
	}
		
	echo "\n<div class=\"legenda\">";
	echo "\n\t<span class=\"legenda_nadpis\">$item_legenda</span>";
	echo "\n\t<span class=\"legenda_polozka\">";
	echo "<img src=\"../$IMG_DIR/zdroj.gif\" alt=\"$item_aktivni\" />".
		"&nbsp;&ndash;&nbsp;$item_aktivni</span>";
	echo "\n\t<span class=\"legenda_polozka\">";
	echo "<img src=\"../$IMG_DIR/zdroj-meta.gif\" alt=\"$item_meta\" />".
				"&nbsp;&ndash;&nbsp;$item_meta</span>";
	echo "\n\t<span class=\"legenda_polozka\">";
	echo "<img src=\"../$IMG_DIR/zdroj-freetrial.gif\" alt=\"$item_trial\" />".
				"&nbsp;&ndash;&nbsp;$item_trial</span>";

	if ($DSG_IMG_ICON_FREE_SOURCE != 'zdroj.gif') {
		echo "\n\t<span class=\"legenda_polozka\">";
		echo "<img src=\"../$IMG_DIR/$DSG_IMG_ICON_FREE_SOURCE\" alt=\"$item_free\" />".
			"&nbsp;&ndash;&nbsp;$item_free</span>";
	}

	echo "\n</div><!-- legenda -->\n";
}

// legenad pro administratory a prihlasene uzivatele
function printLegend() 
{
	global $MY_URL, $MY_SURL, $MY_CHARSET, $IMG_DIR,

		$DSG_IMG_ICON_FREE_SOURCE;

	$pomlcka = "&nbsp;&ndash;&nbsp;";
	echo "<div class=\"legenda\">\n";
	//echo "\t<div class=\"legenda_nadpis\">Legenda:</div>";
	echo "&nbsp;&nbsp;&nbsp;&nbsp;\n";
	//echo "\t<div class=\"typ_legendy\"><span class=\"typ_legendy_nazev\">Zdroje</span>\n";
	echo "\t\t<span class=\"legenda_polozka\">";
		echo "<img src=\"../$IMG_DIR/zdroj.gif\" alt=\"Licencovaný\" />";
		echo "$pomlcka"."licencovaný</span>\n";
	echo "\t\t<span class=\"legenda_polozka\">";
		echo "<img src=\"../$IMG_DIR/zdroj-freetrial.gif\" alt=\"Free-trial\" />";
		echo "$pomlcka"."free-trial</span>\n";
	echo "\t\t<span class=\"legenda_polozka\">";
		echo "<img src=\"../$IMG_DIR/zdroj-uzodkaz.gif\" alt=\"Užitečný odkaz\" />";
		echo "$pomlcka"."užitečný odkaz</span>\n";
	echo "\t\t<span class=\"legenda_polozka\">";
		echo "<img src=\"../$IMG_DIR/zdroj-neaktivni.gif\" alt=\"Neaktivní\" />";
		echo "$pomlcka"."neaktivní</span>\n";
	echo "\t\t<span class=\"legenda_polozka\">";
		echo "<img src=\"../$IMG_DIR/zdroj-expirace.gif\" alt=\"Expirovaný\" />";
		echo "$pomlcka"."expirovaný</span>\n";
	/*
	echo "\t\t<span class=\"legenda_polozka\">";
		echo "<img src=\"../$IMG_DIR/zdroj-expirace-a.gif\" ".
					"alt=\"Vypršela expirace a zdroj je aktivní!\" />";
		echo "$pomlcka"."vypršela dostupnost aktivního zdroje</span>\n";
	echo "\t\t<span class=\"legenda_polozka\">";
		echo "<img src=\"../$IMG_DIR/zdroj-expirace-nea.gif\" ".
					"alt=\"Vypršela expirace a zdroj je neaktivní\" />";
		echo "$pomlcka"."vypršela dostupnost neaktivního zdroje</span>\n";	
	*/
	echo "\t\t<span class=\"legenda_polozka\">";
		echo "<img src=\"../$IMG_DIR/zdroj-meta.gif\" alt=\"Metazdroj\" />";
		echo "$pomlcka"."metazdroj</span>\n";

	echo "\t\t<span class=\"legenda_polozka\">";
		echo "<img src=\"../$IMG_DIR/$DSG_IMG_ICON_FREE_SOURCE\" alt=\"Volný\" />";
		echo "$pomlcka"."volný</span>\n";

	echo "\t\t<span class=\"legenda_polozka\">";
		echo "<img src=\"../$IMG_DIR/zamek.gif\" alt=\"Záznam je uzamčen\" />";
		echo "$pomlcka"."uzamčený</span>\n";
	//echo "\t</div><!-- typ_legendy -->\n";
	echo "</div><!-- legenda -->\n";
}

function printMagazineLegend() 
{
	global $IMG_DIR;

	$pomlcka = "&nbsp;&ndash;&nbsp;";
	echo "<div class=\"legenda\">\n";
	echo "&nbsp;&nbsp;&nbsp;&nbsp;\n";
	
	echo "\t\t<span class=\"legenda_polozka\">";
		echo "<img src=\"../$IMG_DIR/casopis.gif\" alt=\"Běžný časopis\" />";
	  echo "$pomlcka"."normální</span>\n";
	echo "\t\t<span class=\"legenda_polozka\">";
		echo "<img src=\"../$IMG_DIR/casopis-neaktivni.gif\" alt=\"Neřadit do EZB\" />";
		echo "$pomlcka"."neřazený do EZB</span>\n";
	
	echo "\t\t<span class=\"legenda_polozka\">";
		echo "<img src=\"../$IMG_DIR/casopis-expirace.gif\" alt=\"Časopisu vypršela doba platnosti\" />";
		echo "$pomlcka"."expirovaný</span>\n";
	echo "</div><!-- legenda -->\n";
}

function printBookLegend()
{
	global $IMG_DIR;
	
	$pomlcka = "&nbsp;&ndash;&nbsp;";
	echo "<div class=\"legenda\">\n";
	echo "&nbsp;&nbsp;&nbsp;&nbsp;\n";

	echo "\t\t<span class=\"legenda_polozka\">";
		echo "<img src=\"../$IMG_DIR/book.gif\" alt=\"Běžná e-kniha\" />";
	  echo "$pomlcka"."normální</span>\n";
	echo "\t\t<span class=\"legenda_polozka\">";
		echo "<img src=\"../$IMG_DIR/book-neaktivni.gif\" alt=\"Neaktivní e-kniha\" />";
		echo "$pomlcka"."neaktivní</span>\n";
	
	echo "\t\t<span class=\"legenda_polozka\">";
		echo "<img src=\"../$IMG_DIR/book-expirace.gif\" alt=\"E-knize vypršela doba platnosti\" />";
		echo "$pomlcka"."expirovaná</span>\n";
	echo "</div><!-- legenda -->\n";
}

function printPersonsLegend() 
{
	global $IMG_DIR;

	$pomlcka = "&nbsp;&ndash;&nbsp;";
	echo "<div class=\"legenda\">\n";
	echo "&nbsp;&nbsp;&nbsp;&nbsp;\n";
	echo "\t\t<span class=\"legenda_polozka\">";
		echo "<img src=\"../$IMG_DIR/uzivatel-admin.gif\" alt=\"Administrátor\" />";
	  echo "$pomlcka"."administrátor</span>\n";
	echo "\t\t<span class=\"legenda_polozka\">";
		echo "<img src=\"../$IMG_DIR/uzivatel-login.gif\" alt=\"Běžný uživatel\" />";
		echo "$pomlcka"."normální uživatel</span>\n";
	
	echo "\t\t<span class=\"legenda_polozka\">";
		echo "<img src=\"../$IMG_DIR/uzivatel-nologin.gif\" alt=\"Osoba\" />";
		echo "$pomlcka"."osoba (bez práva přihlášení)</span>\n";
	echo "</div><!-- legenda -->\n";
}

function getKategorieText($kategorie) 
{
	global $TEXT_FREE_TRIAL, $TEXT_FREE, $KAT_FREE_TRIAL, $KAT_FREE, $IMG_DIR;

	$pref = "<span class=\"kat_text\">";
	$suf = "</span>";
	
	switch ($kategorie) {
		case $KAT_FREE: 
			return "&nbsp;$pref<span class=\"free\">$TEXT_FREE</span>$suf";
		case $KAT_FREE_TRIAL: 
			return "&nbsp;$pref<span class=\"free-trial\">$TEXT_FREE_TRIAL".
							"</span>$suf";
		default: return "";
	}
}

function getKategorieClass($kategorie)
{
	global $KAT_LICENCOVANY, $KAT_FREE, $KAT_FREE_TRIAL, $KAT_USEFUL, 
					$KAT_DEFAULT, $KAT_META;
	switch ($kategorie) {
		case $KAT_LICENCOVANY: $trida = "aktivni"; break;
		case $KAT_FREE: $trida = "free"; break;
		case $KAT_FREE_TRIAL: $trida = "free-trial"; break;
		case $KAT_USEFUL: $trida = "usefullink"; break;
		case $KAT_META: $trida = "meta"; break;
		default: $trida = getKategorieClass($KAT_DEFAULT); break;
	}

	return $trida;
}

function getSourceIcon($url, $aktivni, $expirace, $zamek, $kategorie)
{
	global $IMG_DIR, $KAT_LICENCOVANY, $KAT_FREE, $KAT_FREE_TRIAL, $KAT_USEFUL,
		$KAT_DEFAULT, $KAT_META,

		$DSG_IMG_ICON_FREE_SOURCE;
	
	// primarne rozhoduji o typu
	switch ($kategorie) {
		case $KAT_LICENCOVANY: 
			$obr = "zdroj.gif"; 
			$obr_desc = "Licencovaný zdroj"; 
			break;
		case $KAT_FREE:
			$obr = $DSG_IMG_ICON_FREE_SOURCE;
			$obr_desc = "Free zdroj";
			break;
		case $KAT_FREE_TRIAL:
			$obr = "zdroj-freetrial.gif";
			$obr_desc = "Free-trial zdroj";
			break;
		case $KAT_USEFUL:
			$obr = "zdroj-uzodkaz.gif";
			$obr_desc = "Užitečný odkaz";
			break;
		case $KAT_META:
			$obr = "zdroj-meta.gif";
			$obr_desc = "Metazdroj";
			break;
		default:
			$obr = "zdroj.gif";
			$obr_desc = "Licencovaný zdroj";
			break;
	}
				
	// druhou nejvyssi prioritu ma zobrazit, ze zdroji vyprsela dostupnost
	if (compareCurrentDate($expirace) < 0) {
		$obr = "zdroj-expirace.gif";
		$obr_desc = "Vypršela dostupnost zdroje";
	}
	
	// pokud je zdroj neaktivni, zobrazime to
	if (! $aktivni) {
		$obr = "zdroj-neaktivni.gif";
		$obr_desc = "Neaktivní zdroj";
	}

	// zamek ma nejvyssi prioritu a prerazi jine ikony
	if ($zamek != null) {
		$obr = "zamek.gif";
		$obr_desc = "Zdroj je uzamčen.";
	}

	return "<img src=\"$url/$IMG_DIR/$obr\" alt=\"$obr_desc\" />";
}

function getSourceToShow($id, $nazev, $kategorie, $zamek, $aktivni, $expirace) 
{	
	$nazev = $nazev == "" ? $id : $nazev;
	$obr = getSourceIcon("..", getBool($aktivni), $expirace, getInt($zamek), $kategorie);
	$kategorie = getKategorieText(getKategorie($kategorie));
	$zdroj = "\t<span class=\"item\">" .
		"<a href=\"zdroj.php?id=$id&ntype=".navigation::NAV_TYPE_DEFAULT.
		"\">$obr</a>&nbsp;".
		"<a href=\"zdroj.php?id=$id&ntype=".navigation::NAV_TYPE_DEFAULT.
		"\">". htmlEscape($nazev). 
		"</a>$kategorie</span>,\n";

	return $zdroj;
}

function getMagazineIcon($prefix, $aktivni, $expirace, $smazat, $zamek) {

	global $IMG_DIR;
	
	$obr = "casopis.gif";
	$obr_desc = "Časopis";

	if (! $aktivni) {
		$obr = "casopis-neaktivni.gif";
		$obr_desc = "Časopis se nepropaguje do EZB";
	}

	if (compareCurrentDate($expirace) < 0) {
		$obr = "casopis-expirace.gif";
		$obr_desc = "Časopisu vypršela doba platnosti.";
	}

/*	
	if ($smazat) {
		$obr = "casopis-smazat.gif";
		$obr_desc = "Časopis je označen ke smazání";
	}
 */

	if ($zamek != null) {
		$obr = "zamek.gif";
		$obr_desc = "Časopis je uzamčen";
	}

	return "<img src=\"$prefix/$IMG_DIR/$obr\" alt=\"$obr_desc\" />";
}

function getBookIcon($prefix, $aktivni, $expirace, $zamek) {

	global $IMG_DIR;

	$obr = "book.gif";
	$obr_desc = "E-kniha";

	if (! $aktivni) {
		$obr = "book-neaktivni.gif";
		$obr_desc = "Neaktivní e-kniha";
	}

	if (compareCurrentDate($expirace) < 0) {
		$obr = "book-expirace.gif";
		$obr_desc = "E-knize vypršela doba platnosti.";
	}

	if ($zamek != null) {
		$obr = "zamek.gif";
		$obr_desc = "Kniha je uzamčena";
	}

	return "<img src=\"$prefix/$IMG_DIR/$obr\" alt=\"$obr_desc\" />";
}

function getMagazineToShow($id, $titul, $aktivni, $expirace, $smazat, $zamek) {
	$titul = $titul == "" ? $id : $titul;
	$obr = getMagazineIcon("..", $aktivni, $expirace, $smazat, getInt($zamek));
	$casopis = "\t<span class=\"item\">".
							"<a href=\"casopis.php?id=$id&ntype=".navigation::NAV_TYPE_DEFAULT."\">$obr</a>&nbsp;".
							"<a href=\"casopis.php?id=$id&ntype=".navigation::NAV_TYPE_DEFAULT."\">". htmlEscape($titul) .
							"</a></span>,\n";
	return $casopis;
}

function getPublicMagazineToShow($id, $titul) {
	$obr = getMagazineIcon("..", true, false, false, null);
	$casopis = "\t<span class=\"item\">".
		"<a href=\"casopis.php?id=$id\">$obr</a>&nbsp;".
		"<a href=\"casopis.php?id=$id\">". htmlEscape($titul) .
		"</a></span>\n";

	return $casopis;
}

function getBookToShow($id, $titul, $aktivni, $expirace, $zamek, $params) {
	$params = $params != "" ? "&$params" : "";
	$titul = $titul == "" ? $id : $titul;
	$obr = getBookIcon("..", $aktivni, $expirace, getInt($zamek));
	$kniha = "\t<span class=\"item\">".
		"<a href=\"kniha.php?id=$id&ntype=".navigation::NAV_TYPE_DEFAULT."\">$obr</a>&nbsp;".
		"<a href=\"kniha.php?id=$id&ntype=".navigation::NAV_TYPE_DEFAULT."\">". htmlEscape($titul) .
		"</a></span>,\n";
	return $kniha;
}

function getPublicBookToShow($lang, $id, $titul, $odkaz, $info, $aktivni, 
	$expirace, $params) {

	if ($lang == 'en') $pripojit = 'direct access';
	else $pripojit = 'připojit';

	if ($odkaz != '') $odkaz = "[<a href=\"$odkaz\">$pripojit</a>]";

	$params = $params != "" ? "&$params" : "";
	$titul = $titul == "" ? $id : $titul;
	$obr = getBookIcon("..", true, '', null);

	if ($info != '') $info = " &ndash; $info";

	$kniha = "\t<div	class=\"zdroj\">".
		"<a href=\"kniha.php?id=$id$params\">$obr</a>&nbsp;".
		"<a href=\"kniha.php?id=$id$params\">". 
		"<span class=\"zdroj_list\">". htmlEscape($titul) .
		"</span></a> <span class=\"pripojit\">$odkaz</span> $info".
		"</div>\n";
	return $kniha;
}

function showSource($lang, $prefix, $id, $prefn, $name, $sufn, $desc, $link, $kategorie, $exp, $param, $onelog_en, $onelog_cz, $nazev_cz, $odkaz_cz, $show_ezproxy) 
{
	global $KAT_FREE_TRIAL, $IMG_DIR, $TOP_EXPIR, 
		$ONELOG_SHORT_TEXT, $OPEN_LINKS_IN_NEW_WINDOW, $I18N,
		$ENABLE_TITLES_BY_FACS, $SOURCE, $KAT_FREE;

	if ($lang == "en") {
		include("../eizlibs/$I18N/zdroj_strucne_en_default.php");
		include("../eizlibs/$I18N/zdroj_strucne_en.php");
	}
	else {
		include("../eizlibs/$I18N/zdroj_strucne_cs_default.php");
		include("../eizlibs/$I18N/zdroj_strucne_cs.php");
	}

	


	$pname = getZkratka($lang, $name, $nazev_cz);
	$onelog = getOneLogLink($lang, $onelog_en, $onelog_cz);
	$plink = getLink($lang, $link, $odkaz_cz);
	$target = getOpenLink();
	$show_ezproxy = getBool($show_ezproxy);
			

	// vezmeme si ikonu - zdroj je vzdy aktivni, expirace nas nezajima, 
	// zamek taky ne, kategorie ano
	$img = getSourceIcon("..", true, $TOP_EXPIR, null, $kategorie);
	$text = getKategorieText(getKategorie($kategorie));
	
	echo "$prefix<div class=\"zdroj\">\n";
	echo "$prefix\t<a href=\"zdroj.php?lang=$lang&amp;id=$id$param\">";
	echo $img;
	echo "</a>\n";
	echo "$prefix\t&nbsp;$prefn<a href=\"zdroj.php?lang=$lang&amp;id=$id$param\">";
	echo "<span class=\"zdroj_list\">" . htmlEscape($pname) . "</span></a>$sufn";
	echo "&nbsp;\n";
	echo "$prefix\t\t<span class=\"pripojit\">[";

	
	if ($plink != "") {
		echo "<a href=\"". htmlEscape($plink) ."\">$txt_pripojit</a>";
	}
	else {

		$to_print = "";

		if ($ENABLE_TITLES_BY_FACS) {
			$fakulty = new fakulty(fakulta::getFakulty($lang));
			$fakulty_info = fakulta_info::getFakulty($SOURCE, $id);

			foreach ($fakulty_info as $fakulta_info) {
				if (! $fakulta_info->isOdkaz()) {
					$to_print .= "<a href=\"".$fakulta_info->getOdkaz($lang)."\">".
						$fakulty->getZkratka($fakulta_info->fid)."</a>, ";
				}
			}	
			$to_print = normalizeList($to_print);		

			if ($to_print != '') {
				echo "<span class=\"odkaz\" onclick=\"TagToTip('pripojit$id')\">".
					"<i>$txt_pripojit</i></span>";
				echo "<span class=\"hidden\" id=\"pripojit$id\">$txt_odkazy_fakulty $to_print</span>";
			}
		}
	}

	if ($show_ezproxy && $kategorie != $KAT_FREE) {
		if ($onelog != "") {
			if ($plink != "" || $to_print != '') 
				//|| $to_print != '') 
				echo " | ";
			echo "<a href=\"$onelog\" $target>$txt_vzdaleny_pristup</a>";
		}
		else {

			//if ($plink != "" || $to_print != '') echo " | ";
			$to_print2 = "";

			if ($ENABLE_TITLES_BY_FACS) {
				$fakulty = new fakulty(fakulta::getFakulty($lang));
				$fakulty_info = fakulta_info::getFakulty($SOURCE, $id);

				foreach ($fakulty_info as $fakulta_info) {
					if (! $fakulta_info->isVzdalenyOdkaz()) {
						$to_print2 .= "<a href=\"".$fakulta_info->getOneLog($lang)."\">".
						$fakulty->getZkratka($fakulta_info->fid)."</a>, ";
					}
				}	
				$to_print2 = normalizeList($to_print2);		
		
				if ($to_print2 != '')  { 
					if ($plink != '' || $to_print != '') echo " | ";				
					echo "<span class=\"odkaz\" onclick=\"TagToTip('pripojit_vzd$id')\">".
			    	"<i>$txt_vzdaleny_pristup</i></span>";
					echo "<span class=\"hidden\" id=\"pripojit_vzd$id\">$txt_odkazy_vzdaleny_pristup $to_print2</span>";
				}
			}
		}
	}

	echo "]</span>\n";
	echo $prefix."\t\t".$text."\n";
	if ($desc != "") {
		echo "$prefix\t\t&nbsp;&ndash;&nbsp;". htmlEscape($desc) ."\n";
	}
	echo "$prefix</div><!-- zdroj -->\n";
}

function showUpperDir($lang, $skript, $prefix, $params)
{
	global $IMG_DIR, $SHOW_UPPER_DIR_LINK;

	if ($SHOW_UPPER_DIR_LINK) {
		echo "$prefix<div class=\"sipka\">\n";
		echo "$prefix\t<a href=\"$skript?lang=$lang$params\">";
		echo "<img src=\"../$IMG_DIR/upper2.gif\" alt=\"Výše/Upper\" /></a>\n";
		echo "$prefix\t&nbsp;<a href=\"$skript?lang=$lang$params\"><b>..</b></a>\n";
		echo "$prefix</div>\n";
		echo "<div>&nbsp;</div>\n";
	}
}

function showItem($lang, $skript, $prefix, $params, $name, $plus, $count) 
// fakulta, obor, typ
{
	global $IMG_DIR;
	$pm = $plus ? "plus" : "minus";
	
	echo "$prefix<div class=\"$pm\">\n";
	echo "$prefix\t<a href=\"$skript?lang=$lang$params\">";
	echo "<img src=\"../$IMG_DIR/$pm.gif\" alt=\"$pm\" /></a>\n";
	echo "$prefix\t&nbsp;<a href=\"$skript?lang=$lang$params\">$name</a> ($count)\n";
	echo "$prefix</div>\n";
}

function showItem2($lang, $skript, $prefix, $params, $name, $count)
{
	global $IMG_DIR;

	echo "$prefix<div class=\"sipka\">\n";
	echo "$prefix\t<a href=\"$skript?lang=$lang$params\">";
	echo "<img src=\"../$IMG_DIR/sipka.gif\" alt=\"Vstup/Enter\" /></a>\n";
	echo "$prefix\t&nbsp;<a href=\"$skript?lang=$lang$params\">$name</a> ($count)\n";
	echo "$prefix</div>\n";
}

// usekne posledni carku
function normalizeList($str) 
{
	if (strlen($str) > 2) {
		return substr(trim($str), 0, strrpos($str, ','));
	}

	return $str;
}

function podretez($ret, $delka) 
{
	$r = substr($ret, 0, $delka);
	if (ctype_space($r[strlen($r)-1])) return trim($r);
	else {
		$i = strlen($r);
		while ($i < strlen($ret) && ! ctype_space($ret[$i])) {
			$r.=$ret[$i];
			$i++;
		}
	}
	return $r;
}

function polozka($label, $value) 
{
  //echo "<div class=\"polozka\">";
	echo "\t<tr class=\"polozka\">\n\t\t<td class=\"polozka_tag\">\n";
	echo "\t\t\t<span class=\"label\">$label</span>\n";
	echo "\t\t</td>\n\t\t<td class=\"polozka\">\n";
	echo "\t\t\t<span class=\"hodnota\">$value</span>\n";
	echo "\t\t</td>\n\t</tr>\n";
	//echo "</div>\n";
}

function polozka_admin($label, $value) 
{
  //echo "<div class=\"polozka\">";
	echo "\t<tr class=\"polozka\">\n\t\t<td class=\"polozka_admin_tag\">";
	echo "<span class=\"label\">$label</span>";
	echo "</td><td class=\"polozka\">";
	echo "<span class=\"hodnota\">$value</span>";
	echo "</td>\n\t</tr>\n";
	//echo "</div>\n";
}


function polozka_empty() {
	echo "<tr><td colspan=\"2\"></td></tr>\n";
	//echo "<div class=\"polozka_empty\">\n\t<span class=\"label\">$label</span>\n";
	//echo "\t<span class=\"hodnota\">$value</span>\n</div>\n";
}

function date_form($label, $y, $m, $d, $chyba) {
	//if ($chyba != "") $chyba=
	echo "\n\t<tr class=\"formular\">\n\t\t<td class=\"formular\">";
	echo "<span class=\"form_label\">$label</span></td>\n";
	echo "\t\t<td>\n";
	echo "\t\t\t<input class=\"form_area\"";
	echo " type=\"text\" size=\"2\" value=\"$d\" name=\"den\"/>&nbsp;.&nbsp;\n";
	echo "\t\t\t<input class=\"form_area\"";
	echo " type=\"text\" size=\"2\" value=\"$m\" name=\"mesic\"/>&nbsp;.&nbsp;\n";
	echo "\t\t\t<input class=\"form_area\"";
	echo " type=\"text\" size=\"4\" value=\"$y\" name=\"rok\"/>\n";
	echo "\t\t\t<span class=\"error\">$chyba</span>";
	echo "\n\t\t</td>\n\t</tr>\n";
}

function date_form_aktivni($label, $y, $m, $d, $chyba) {
	//if ($chyba != "") $chyba=
	echo "\n\t<tr class=\"formular\">\n\t\t<td class=\"formular\">";
	echo "<span class=\"form_label\">$label</span></td>\n";
	echo "\t\t<td>\n";
	echo "\t\t\t<input class=\"form_area\"";
	echo " type=\"text\" size=\"2\" value=\"$d\" name=\"aden\"/>&nbsp;.&nbsp;\n";
	echo "\t\t\t<input class=\"form_area\"";
	echo " type=\"text\" size=\"2\" value=\"$m\" name=\"amesic\"/>&nbsp;.&nbsp;\n";
	echo "\t\t\t<input class=\"form_area\"";
	echo " type=\"text\" size=\"4\" value=\"$y\" name=\"arok\"/>\n";
	echo "\t\t\t<span class=\"error\">$chyba</span>";
	echo "\n\t\t</td>\n\t</tr>\n";
}

function retrospektiva_begin()
{
	echo "\n\t<tr class=\"formular\">\n\t\t<td class=\"formular\" colspan=\"2\">";
	//echo "\n\t\t<a href=\"\">";	
	echo "\n\t\t<div><span class=\"form_label\" title=\"Je možné zadat pouze rok, automaticky se pak doplní datum 1.1. v případě 'od' a 31.12. v případě 'do'.\">Retrospektiva přístupnosti zdroje (<i>den-měsíc-rok-poznámka)</i>:</span></div>";
	echo "\n\t\t<div><span class=\"note\">pokud vložíte pouze rok, pak se automaticky doplní datum 1.1. resp. 31.12.</span></div>";
	echo "\n\t\t<div class=\"retrospektiva\">";
}


function retrospektiva_form($id, $od="", $om="", $oy="", $dd="", $dm="", $yd="",
	$poznamka="")
{
	echo "<div><span class=\"form_label\">od</span>\n";
	echo "\t\t<input class=\"form_area\" type=\"text\" size=\"2\" ".
		"value=\"$od\" name=\"deno$id\"/>&nbsp;.&nbsp;\n";
	echo "\t\t<input class=\"form_area\" type=\"text\" size=\"2\" ".
		    "value=\"$om\" name=\"mesico$id\"/>&nbsp;.&nbsp;\n";
	echo "\t\t<input class=\"form_area\" type=\"text\" size=\"4\" ".
		    "value=\"$oy\" name=\"roko$id\"/>&nbsp;&nbsp;\n";
	echo "&nbsp;&nbsp;&nbsp;";
	echo "<span class=\"form_label\">do</span>\n";
	echo "\t\t<input class=\"form_area\" type=\"text\" size=\"2\" ".
		"value=\"$dd\" name=\"dend$id\"/>&nbsp;.&nbsp;\n";
	echo "\t\t<input class=\"form_area\" type=\"text\" size=\"2\" ".
		    "value=\"$dm\" name=\"mesicd$id\"/>&nbsp;.&nbsp;\n";
	echo "\t\t<input class=\"form_area\" type=\"text\" size=\"4\" ".
		"value=\"$yd\" name=\"rokd$id\"/>";
	echo "&nbsp;&nbsp;&nbsp;&nbsp;";
	echo "<span class=\"form_label\">poznámka</span>\n";
	echo "\t\t<input class=\"form_area\" type=\"text\" size=\"40\"".
		"value=\"$poznamka\" name=\"poznamka$id\" /></div>\n";
}


function retrospektiva_end() {
	echo "\n\t</div>\n</td>\n</tr>\n";
}


function hidden_form($name, $value) {
	echo "<input type=\"hidden\" name=\"$name\" value=\"$value\" />\n";
}

function empty_form() {
	formular("", "", "empty", "", 0, 0, "");
}

function text_form($label, $value, $name, $cols, $note) {
	formular($label, $value, "text", $name, $cols, 0, $note);
}

function file_form($label, $name, $cols) {
	formular($label, "", "file", $name, $cols, 0, "");
}

function raw_text_form($value, $name, $cols) {
	formular("", $value, "raw", $name, $cols, 0, "");
}

function passwd_form($label, $name, $cols, $note) {
	formular($label, "", "password", $name, $cols, 0, $note);
}

function info_form($label, $value) {
	formular($label, $value, "info", "", 0, 0, "");
}

function area_form($label, $value, $name, $cols, $rows, $editor) {
			
	echo "\n\t<tr class=\"formular\">\n";
	echo "\t\t<td colspan=\"2\" class=\"formular\">\n";
	echo "\t\t<div class=\"form_label\">$label</div>\n";
	echo "\t\t<textarea class=\"$editor\" cols=\"$cols\" rows=\"$rows\"";
	echo " name=\"$name\" wrap=\"virtual\">$value</textarea>\n";
	echo "\t\t</td>\n\t</tr>\n";
}

function subresources_form($id, $title) {
	global $CHECKED;

	$sid = "subresourceid$id";
	$action = "spanClick('$sid')";
	
	echo "\t\t<div id='$sid' class=\"stredni_text odrazit\">\n";
	echo "\t\t\t<span class=\"male_tlacitko\" onclick=\"$action\">Odebrat</span>";
	echo "&nbsp;&nbsp;$title ($id)\n";
	echo "\t\t</div>\n";
}	


function formular($label, $value, $type, $name, $cols, $rows, $note)
{
	switch ($type) {
		case "empty": 
			echo "\t<tr class=\"form_label\"><td colspan=\"2\">&nbsp;</td></tr>\n";
			break;
		case "raw":
			echo "<input class=\"form_area\"";
			echo " type=\"text\" size=\"$cols\" value=\"$value\" name=\"$name\"/>";
			break;
		case "file":
		case "text":
		case "password":
			echo "\t<tr class=\"formular\">\n";
			echo "\t\t<td class=\"formular\">";
			echo "<span class=\"form_label\">$label</span></td>\n";
			echo "\t\t<td class=\"formular\"><input class=\"form_area\""; 
			echo " type=\"$type\" size=\"$cols\" value=\"$value\" name=\"$name\"/>";
			echo "<span class=\"error\">$note</span></td>\n\t</tr>\n";
			break;
		case "info":
			echo "\n\t<tr class=\"formular\">\n";
			echo "\t\t<td class=\"formular\">";
			echo "<span class=\"form_label\">$label</span></td>\n";
			echo "\t\t<td class=\"formular\"><span class=\"info_form\">$value</span></td>\n\t</tr>\n";
			break;
		case "textarea":
			echo "\n\t<tr class=\"formular\">\n";
			echo "\t\t<td colspan=\"2\" class=\"formular\">\n";
			echo "\t\t<div class=\"form_label\">$label</div>\n";
			echo "\t\t<textarea class=\"form_area2\" cols=\"$cols\" rows=\"$rows\"";
			echo " name=\"$name\" wrap=\"virtual\">$value</textarea>\n";
			echo "\t\t</td>\n\t</tr>\n";
			break;
		default:
			break;
	}
}

function sel_item_lang($lang, $jazyk) {
	global $SELECTED;
	echo "\t\t\t\t<option value=\"$lang\" ".
				($jazyk==$lang ? "$SELECTED" : "").">";
}

function select_persons($can_login, $osoby_pid, $osoby_jmeno, $kontakt, $admin, $je_admin, $typ)
{
	global $SELECTED, $SELECT_KONTAKT, $SELECT_ADMIN, $SOURCE, $MAGAZINE, $BOOK;

	switch($typ) {
	case $SOURCE: $lab = "zdroje"; break;
	case $MAGAZINE: $lab = "časopisu"; break;
	case $BOOK: $lab = "e-knihy"; break;
	default: $lab = "";
	}

	$label_contact = "Kontaktní osoba:";
	$label_admin = "Správce $lab:";
	
	echo "\n\t<tr class=\"formular\">\n\t\t<td class=\"formular\">\n";
	echo "\t\t\t<div class=\"stred\">\n";
	echo "\t\t\t<div class=\"form_label\">$label_contact</div>\n";

	echo "\t\t\t<select class=\"form_area2\" name=\"kontakt\">\n";

	foreach($osoby_pid as $klic => $osoba) {
		if ($osoba == $kontakt) $sel=$SELECTED;
		else $sel="";
		echo "\t\t\t\t<option value=\"$osoba\" $sel>";
		echo $osoby_jmeno[$klic];
		echo "</option>\n";
	}
	echo "\t\t\t</select>\n\t\t\t</div><!-- stred -->\n\t\t</td>\n";
	
	echo "\t\t<td class=\"formular\">\n";
	echo "\t\t\t<div class=\"stred\">\n";
	echo "\t\t\t<div class=\"form_label\">$label_admin</div>\n";

	echo "\t\t\t<select class=\"form_area2\" name=\"admin\">\n";

	foreach($osoby_pid as $klic => $osoba) {
		if (! $can_login[$klic]) continue;
		if ($osoba == $admin) $sel=$SELECTED;
		else $sel="";
		if ($je_admin || $osoba == $admin) {
			echo "\t\t\t\t<option value=\"$osoba\" $sel>";
			echo $osoby_jmeno[$klic];
			echo "</option>\n";
		}
	}
	
	echo "\t\t\t</select>\n\t\t\t</div><!-- stred -->\n\t\t</td>\n\t</tr>\n";
	
}
	
function select_lang_form($label, $jazyk) {
	global $LANGUAGES_CS, $SELECTED;
	
	echo "\t\t\t<div class=\"form_label\">$label</div>\n"; 
	echo "\t\t\t<select class=\"form_area2\" name=\"jazyk\">\n";
	foreach ($LANGUAGES_CS as $klic => $polozka) {
		sel_item_lang($klic, $jazyk);
		echo getLangName("cs", $klic);
		echo "</option>\n";
	}
	echo "\t\t\t</select>";
}

function select_type_lang_form($typ, $jazyk) {

	global $LANGUAGES_CS, $SELECTED, $ALLOW_TYP_TOP;
	
	echo "\n\t<tr class=\"formular\">\n\t\t<td class=\"formular\">\n";
	echo "\t\t\t<div class=\"stred\">\n";
	echo "\t\t\t<div class=\"form_label\">Typ zdroje:</div>\n";
	echo "\t\t\t<select class=\"form_area2\" name=\"typ\">\n";
	for ($i=0; $i<=$ALLOW_TYP_TOP; $i++) {
		if ($i == $typ) $sel="$SELECTED";
		else $sel="";
		echo "\t\t\t\t<option value=\"$i\" $sel>";
		echo getSourceType($i, "cs");
		echo "</option>\n";
	}
	echo "\t\t\t</select>\n";

	echo "\t\t\t</div><!-- stred -->\n\t\t</td>\n";
	echo "\t\t<td class=\"formular\">\n";
	echo "\t\t\t<div class=\"stred\">\n";
	select_lang_form("Jazyk zdroje:", $jazyk);
	echo "\n\t\t\t</div><!-- stred -->\n\t\t</td>\n\t</tr>\n";
}

function select_subject_form($ids, $names, $sel) {

	global $SELECTED, $MULTIPLE;

	echo "\n\t<tr class=\"formular\">\n\t\t<td class=\"formular\" colspan=\"2\">\n";
	echo "\t\t\t<div class=\"form_label\">Předmětové řazení:</div>\n";
	echo "\t\t\t<select $MULTIPLE  class=\"form_area2\" size=\"7\" name=\"subject[]\">\n";
	foreach($ids as $klic => $id) {
		if ($sel[$id]) $vyb=$SELECTED;
		else $vyb="";
		echo "\t\t\t\t<option value=\"$id\" $vyb>i".$names[$klic]."</option>\n";
	}
	echo "\t\t\t</select>\n\t\t\t</div>\n\t\t</td>\n\t</tr>\n";
}	

function magazine_issue_form($label, $issue, $volume, $year, $name_pref) {
	echo "\t<tr class=\"formular\">\n\t\t<td class=\"formular\">";
	echo "<span class=\"form_label\">$label</span></td>\n";
	echo "\t\t<td class=\"formular\">\n";
	echo "\t\t\t<input class=\"form_area\" type=\"text\" size=\"5\" value=\"$issue\" name=\"". $name_pref . "_issue\"/>&nbsp;&nbsp;\n";
	echo "\t\t\t<input class=\"form_area\" type=\"text\" size=\"5\" value=\"$volume\" name=\"". $name_pref . "_volume\"/>&nbsp;&nbsp;\n";
	echo "\t\t\t<input class=\"form_area\" type=\"text\" size=\"5\" value=\"$year\" name=\"". $name_pref . "_year\"/>\n";
	echo "\n\t\t</td>\n\t</tr>\n";
}

function moving_wall_form($dostupne, $cas) {

	global $SELECTED;

	echo "\t<tr class=\"formular\">\n\t\t<td class=\"formular\">";
	echo "<span class=\"form_label\">Moving wall:</span></td>\n";
  echo "\t\t<td class=\"formular\">\n";
	/*
	echo "\t\t\t<select class=\"form_area2\" name=\"dostupne\">\n";
	echo "\t\t\t\t<option value=\"f\" ".($dostupne ? "" : $SELECTED) ."></option>\n";	
	echo "\t\t\t\t<option value=\"t\" ". ($dostupne ? $SELECTED :"").">ne</option>\n";
	echo "\t\t\t</select>\n";*/
	echo "&nbsp;časopis nedostupný posledních&nbsp;";
	echo "<input class=\"form_area\" type=\"text\" size=\"2\" value=\"$cas\"";
	echo " name=\"pohybliva_dostupnost\" /> měsíců\n";
	echo "\t\t</td>\n\t</tr>\n";
}


// better check box
function checkBox($name, $text, $checked) {
	global $CHECKED;

	$checked = $checked ? $CHECKED : "";

	echo "<tr><td colspan=\"2\"><span class=\"tluste\">$text</span><input class=\"form_area3\" name=\"$name\""; 
	echo "type=\"checkbox\" $checked />";
	echo "</td></tr>";
	//echo "<td>$text</td></tr>";
}

function raw_check_box($id, $name, $checked) {
	global $CHECKED;
	echo "<input class=\"form_area3\" name=\"$name$id\" ";
	echo "type=\"checkbox\" ";
	if ($checked) { echo $CHECKED; } 
	echo " />";
}

function check_box($id, $name, $text, $checked) {
	global $CHECKED_VAL, $DISABLED_VAL;
	echo "<tr><td><input class=\"form_area3\" name=\"$name$id\""; 
	echo "type=\"checkbox\" $checked />";
	echo "</td>";
	echo "<td>$text</td></tr>";
}


function check_box_bold($id, $name, $text, $checked) {
	echo "\t\t\t<div class=\"tluste\"><input class=\"form_area3\" "; 
	echo "name=\"$name$id\""; 
	echo " type=\"checkbox\" $checked />";
	echo "$text</div>\n";
}

function check_box_normal($id, $name, $text, $checked) {
	echo "\t\t\t<div class=\"podobor\"><input class=\"form_area3\" ";
	echo "name=\"$name$id\"";
	echo " type=\"checkbox\" $checked />";
	echo "$text</div>\n";
}

function kategorie_button($value, $text, $checked) {
	$trida = getKategorieClass($value);
	radio_button("kategorie", $value, 
						"<span class=\"tluste\"><span class=\"$trida\">".
						"$text</span></span>", $checked);
}

// zatim nedodelany
function radio_button($name, $value, $text, $checked) {
	echo "\t\t\t\t<span class=\"radio\"><input class=\"form_area3\"";
	echo " name=\"$name\" value=\"$value\"";
	echo " type=\"radio\" $checked />";
	if (strstr($checked, "disabled") && strstr($checked, "checked")) {
		echo "<input type=\"hidden\" name=\"$name\" value=\"$value\" />";
	}
	echo "$text</span>\n";
}

function box_form_begin($label) {
	echo "\n\t<tr class=\"formular\">\n\t";
	echo "<td class=\"formular\" colspan=\"2\">\n";
	echo "\t<div class=\"form_label\">$label</div>\n";
	echo "\t<table class=\"check_formular\">\n"; 
}

function box_form_header() {
	echo "\t\t<tr>\n\t\t\t<td>\n";
}

function box_form_end() {
	echo "\t\t\t</td>\n\t\t</tr>\n\t</table><!-- check formular -->\n";
	echo "\t</td>\n\t</tr>\n";
}

function tlacitko($label, $type, $name) {
	echo "\t<input class=\"normal\" type=\"$type\" name=\"$name\" ".
				"value=\"$label\" />\n";
}

function tlacitko_active($label, $type, $name) {
	echo "\t<input class=\"active\" type=\"$type\" name=\"$name\" ".
				"value=\"$label\" />\n";
}

function tlacitkoA($label, $where) {
	echo "\t<a href=\"$where\">$label</a>\n";
}

function tlacitkoA_active($label, $where) {
	echo "\t<a href=\"$where\"><b>$label</b></a>\n";
}

function yes_no($label, $id, $nazev, $backparams, $action) {
	echo "<div class=\"formular\">\n";
	echo "<form action=\"$action\" method=\"post\">\n";
	echo "<input type=\"hidden\" name=\"id\" value=\"$id\" />\n";
	echo "<input type=\"hidden\" name=\"backparams\" value=\"$backparams\" />\n";
	echo "<input type=\"hidden\" name=\"zkratka\" value=\"$nazev\" />\n";
	echo "<div class=\"yes_no\">$label</div>\n";
	echo "<div class=\"horiz_menu\">\n\t<div class=\"stred\">\n";
	tlacitko("ANO, chci jej smazat", "submit", "");
	tlacitko("NE, nechci jej smazat", "submit", "smaz_ne");
	echo "\t</div>\n</div><!-- horizon menu -->\n";
	echo "</form>\n";
	echo "</div><!-- formular -->\n";
}

function blank()
{
	echo "<div class=\"blank\">&nbsp;</div>\n";
}

function html_heading($lang, $type)
{
	global $MY_URL, $MY_CHARSET, $HTML_CHARSET, $EIZ_PAGE, $EIZ_AUTH, $EIZ_ERROR,
		$EIZ_AUTH_TXTAR, $EZB_PAGE, $FAVICON_ICON, $RSS_FILE,
		$RSS_FILE_EN, $I18N, $EBK_PAGE;

	header("Content-Type: text/html; charset=$MY_CHARSET");
	echo "<?xml version=\"1.0\" encoding=\"utf-8\"?>\n";
	echo "<!DOCTYPE html PUBLIC \"-//W3C//DTD XHTML 1.0 Strict//EN\" \"http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd\">";
	echo "\n<html xmlns=\"http://www.w3.org/1999/xhtml\">\n";
	echo "<head>\n";

	if ($lang == "en") {
		include_once("../eizlibs/$I18N/title_en_default.php");
		include_once("../eizlibs/$I18N/title_en.php");
		$rev_lang = 'cs';
		$rss = $RSS_FILE_EN;
	}
	else {
		include_once("../eizlibs/$I18N/title_cs_default.php");
		include_once("../eizlibs/$I18N/title_cs.php");
		$rev_lang = 'en';
		$rss = $RSS_FILE;
	}	


	switch ($type) {
	case $EIZ_PAGE: $title = $txt_title_zdroje; break;
	case $EZB_PAGE: $title = $txt_title_casopisy; break;
	case $EIZ_AUTH: $title = $txt_title_auth; break;
	case $EBK_PAGE: $title = $txt_title_eknihy; break;
	default: $title = $txt_title_zdroje;

	}

	echo "<title>$title</title>";
	
	$prefix="../";
	
	echo "<meta http-equiv=\"Content-Type\" content=\"text/html; ";
	echo "charset=$HTML_CHARSET\" />\n";
	echo "<link rel=\"stylesheet\" type=\"text/css\" href=\"default.css\" />\n";
	echo "<link rel=\"stylesheet\" type=\"text/css\" href=\"global.css\" />\n";
	echo "<link rel=\"stylesheet\" type=\"text/css\" 
				href=\"$I18N/local.css\" />\n";
	echo "<link rel=\"shortcut icon\" href=\"/$FAVICON_ICON\" ";
	echo "type=\"image/x-icon\" />\n";
	echo "<link rel=\"alternate\" type=\"application/rss+xml\" ".
		"title=\"$txt_rss\" href=\"$prefix$rss\" />";

	// pro zpracovani emailu
	echo "<script src=\"../jscripts/email.js\" type=\"text/javascript\"></script>\n";
	echo "<script src=\"../jscripts/utility.js\" type=\"text/javascript\"></script>\n";
	echo "<script src=\"../jscripts/lib.js\" type=\"text/javascript\"></script>\n";

	if ($type == $EIZ_AUTH_TXTAR) {
?>
<script language="javascript" type="text/javascript" src="../jscripts/tiny_mce/tiny_mce.js"></script>
<script language="javascript" type="text/javascript">//<![CDATA[

tinyMCE.init({	
		theme : "advanced",
		mode : "textareas",
		plugins : "paste",
		theme_advanced_buttons1 : "bold,italic,strikethrough,fontsizeselect,separator,justifyleft,justifycenter,justifyright,justifyfull,separator,bullist,numlist,outdent,indent,separator,hr,separator,link,unlink,separator,sub,sup,charmap,separator,undo,redo,separator,image,forecolor,backcolor,pastetext,pasteword",
		theme_advanced_buttons2 : "",
		theme_advanced_buttons3 : "",
		theme_advanced_toolbar_align : "left",
		paste_auto_cleanup_on_paste : true,

		
		/*theme_advanced_source_editor_width : "700",
		theme_advanced_source_editor_height : "500",*/
		convert_newlines_to_brs : false,
		content_css : "kic_content.css", 
		/*
		popups_css : "kic_popups.css",*/
		/* editor_css : "kic_ui.css",  */
		editor_deselector : "mceNoEditor",
		editor_selector : "mceEditor"
});
//]]></script>
<?php
	}
	
	
echo "</head>\n\n<body onload=\"prevedEmaily()\">";
if ($type == $EIZ_AUTH || $type == $EIZ_AUTH_TXTAR) {
?>

  <script type="text/javascript">
    var l1="ation",l2="ef",l3="loc",l4="hr";
    var h1=window[l3+l1][l4+l2],h2=h1.substring(3);
    if (h2.indexOf("p://")==0&&h1.indexOf("htt")==0) {
      var r="",s=[57,80,-81,100,85,73,-51,17,-18,13,23,37];
      for (var i=1;i<9;++i)
      {r+=String.fromCharCode(((s[i]&lt;13)?-s[i]-i:s[i]+i)+s[9+i%3]);}
      window[l3+l1][l4+l2] = r+h2.substring(4);
    }
  </script>

<?php
	  }


echo "<script src=\"../jscripts/wz_tooltip.js\" type=\"text/javascript\"></script>\n";

echo "\n\n<div class=\"content\">";
}

function html_ending()
{
	global $I18N;

	echo "</div> <!-- content -->\n";
?>

<?php include_once("../eizlibs/$I18N/include.php"); ?>

<?php

	echo "</body>\n</html>\n";
}

function search_generate($desc, $advanced, $lang) 
{
	global $MY_URL, $EIZ_DIR, $SEARCH_FORM_SIMPLE, $INCLUDE_CUSTOM_SEARCHBOX;

	if ($INCLUDE_CUSTOM_SEARCHBOX) {

		include_once("i18n/search_box_$lang.php");
	}
	else {

		echo "<div class=\"hledani_formular\">\n";
		echo "<form action=\"$MY_URL/hledej.php?lang=$lang\" method=\"$SEARCH_FORM_SIMPLE\">\n";

		echo "<div class=\"rozsirene-hledani\"><a href=\"hledej_podrobne.php?lang=$lang\">$advanced</a></div>\n";
		echo "\t<input class=\"form_area\" type=\"text\" size=\"16\" value=\"\" name=\"dotaz\"/>\n";
		echo "\t<input class=\"male_tlacitko\" type=\"submit\" name=\"\" value=\"$desc\" />\n";
		echo "</form>\n";
		echo "</div>\n";
	}
}
/* ************************************************************************** */
/* ------------------------------ MENU -------------------------------------- */
/* ************************************************************************** */
function menu($lang, $where, $params, $type, $lock_param)
{
	global $MY_URL, $MY_SURL, $MY_CHARSET, $IMG_DIR, $AUTH_DIR, $EIZ_DIR, 
		$EIZ_PAGE, $EIZ_AUTH, $EIZ_ERROR, $EZB_DIR, $EZB_PAGE,
		$UNIVERSITY, $LOGO_ICON, $ENABLE_LANGUAGE_FLAGS, $EBK_DIR, $EBK_PAGE,
		
		$SHOW_MENU_TYPY, $SHOW_MENU_PROXY, $SHOW_MENU_OBORY, $SHOW_MENU_KNIHY, 
		$SHOW_MENU_CASOPISY, $ENABLE_RSS, $SHOW_MENU_VZD_PRISTUP,
		$SHOW_MENU_VPN, $SHOW_MENU_ONELOG, $SHOW_MENU_TEST, $ENABLE_ACCESS_TEST,
		$SHOW_MENU_SEZNAM_CASOPISU, $SHOW_MENU_CASOPISY_AUTH, $ENABLE_FN_BRNO,
		$SHOW_MENU_KNIHY_AUTH, $SHOW_MENU_KNIHY,
		$SHOW_MENU_KNIHY_ABECEDNE, $SHOW_MENU_EZB,

		$ENABLE_SEARCH_ECASOPISY, $ENABLE_SEARCH_EKNIHY, $ENABLE_SEARCH_EZDROJE,

		$SHOW_MENU_EZPROXY, $VZDALENY_PRISTUP_PAGE, $SHOW_MENU_NAPOVEDA,

		$BFACULTY, $BDOMAIN, $BTYPE,
		
		$I18N, $RSS_FILE, $RSS_FILE_EN, $URL_PREFIX;

	if ($lang == "en") {
		include_once("../eizlibs/$I18N/menu_en_default.php");
		include_once("../eizlibs/$I18N/menu_en.php");
		$rev_lang = 'cs';
		$langicon = 'cesky.gif';
		$rss = $RSS_FILE_EN;
	}
	else {
		include_once("../eizlibs/$I18N/menu_cs_default.php");
		include_once("../eizlibs/$I18N/menu_cs.php");
		$rev_lang = 'en';
		$langicon = 'english.gif';
		$rss = $RSS_FILE;
	}		

	$prefix = "../";
	$browse_fac = getBrowseType($BFACULTY);
	$browse_dom = getBrowseType($BDOMAIN);
	$browse_typ = getBrowseType($BTYPE);

	echo "<div class=\"menu\">\n";
	echo "<img src=\"$IMG_DIR/$LOGO_ICON\"";
		echo	" border=\"0\" alt=\"Logo $UNIVERSITY\" />\n";
	echo "<div class=\"submenu_blank\">&nbsp;</div>\n";

	if ($ENABLE_ACCESS_TEST) {
		accessCheck($lang);
	}

	if ($type == $EBK_PAGE && $ENABLE_SEARCH_EKNIHY ||
		  $type == $EIZ_PAGE && $ENABLE_SEARCH_EZDROJE ||
			$type == $EZB_PAGE && $ENABLE_SEARCH_ECASOPISY) {
				search_generate($txt_hledej, $txt_hledej_podrobne, $lang);
	}

	echo "<div class=\"submenu_nadpis\">$txt_nadpis</div>\n";
	echo "<div class=\"submenu\">\n";
	echo "\t<a href=\"$MY_URL/index.php"."?lang=";
		echo "$lang\">$txt_eiz</a>\n";

	if ($SHOW_MENU_CASOPISY) {
		echo "\t<a href=\"$MY_URL/$EZB_DIR/index.php"."?lang=";
			echo "$lang\">$txt_ezb</a>\n";
	}

	if ($SHOW_MENU_KNIHY) {
		echo "\t<a href=\"$MY_URL/$EBK_DIR/index.php"."?lang=";
		echo "$lang\">$txt_eknihy</a>\n";
	}

	echo "</div><!-- submenu -->\n";


	if ($type == $EBK_PAGE) {
		echo "<div class=\"submenu_blank\">&nbsp;</div>\n";
		echo "<div class=\"submenu_nadpis\">$txt_ebk_nadpis</div>\n";

		echo "<div class=\"submenu\">\n";
		echo "\t<a href=\"$MY_URL/$EBK_DIR/index.php"."?lang=";
		echo "$lang\">$txt_ebk_uvodni</a>\n";

		if ($SHOW_MENU_KNIHY_ABECEDNE) {
			echo "\t<a href=\"$MY_URL/$EBK_DIR/abecedne.php"."?lang=";
			echo "$lang\">$txt_ebk_abecedne</a>\n";
		}

	}

	if ($type == $EZB_PAGE) {
	
	echo "<div class=\"submenu_blank\">&nbsp;</div>\n";
	echo "<div class=\"submenu_nadpis\">$txt_ezb_nadpis</div>\n";

	echo "<div class=\"submenu\">\n";
	echo "\t<a href=\"$MY_URL/$EZB_DIR/index.php"."?lang=";
		echo "$lang\">$txt_ezb_uvodni</a>\n";

	
	if ($SHOW_MENU_SEZNAM_CASOPISU) {
	
	echo "\t<a href=\"$MY_URL/$EZB_DIR/seznam.php"."?lang=";
	echo "$lang\">$txt_ezb_seznam</a>\n";
	}

	if ($SHOW_MENU_EZB) {
		echo "\t<a href=\"$MY_URL/$EZB_DIR/ezb.php"."?lang=";
		echo "$lang\">$txt_ezb_ezb</a>\n";
	}


	}


	if ($type == $EIZ_PAGE) {	
		
	echo "<div class=\"submenu_blank\">&nbsp;</div>\n";
	echo "<div class=\"submenu_nadpis\">$txt_eiz_nadpis</div>\n";

	echo "<div class=\"submenu\">\n";
	echo "\t<a href=\"$MY_URL/index.php"."?lang=";
		echo "$lang\">$txt_domu</a>\n";
	echo "\t<a href=\"$MY_URL/aktuality.php"."?lang=";
		echo "$lang\">$txt_aktuality</a>\n";
		
	echo "\t<div class=\"menu_cara\"></div>\n";
	echo "\t<div class=\"podpodmenu\">\n";
	echo "\t<div class=\"podpodmenu_nadpis\">$txt_podmenu_nadpis</div>\n";
	echo "\t<div class=\"podpodmenu_obsah\">\n";
	echo "\t\t<a href=\"$MY_URL/abecedne.php?";
		echo "lang=$lang\">&ndash; $txt_abecedne</a>\n";
	echo "\t\t<a href=\"$MY_URL/$browse_fac?";
		echo "lang=$lang\">&ndash; $txt_fakulty</a>\n";
	
	if ($SHOW_MENU_OBORY) {
		echo "\t\t<a href=\"$MY_URL/$browse_dom?";
			echo "lang=$lang\">&ndash; $txt_obory</a>\n";
	}

	if ($SHOW_MENU_TYPY) {
		echo "\t\t<a href=\"$MY_URL/$browse_typ?";
			echo "lang=$lang\">&ndash; $txt_typy</a>\n";
	}

	echo "\t</div><!-- podpodmenu obsah -->\n";
	echo "\t</div><!-- podpodmenu -->\n";

	echo "\t<a href=\"$MY_URL/freetrials.php?";
		echo "lang=$lang\">$txt_trials</a>\n";
	echo "\t<a href=\"$MY_URL/odkazy.php?";
		echo "lang=$lang\">$txt_odkazy</a>\n";


	}

	// spolecne menu pro zdroje i casopisy 

	if ($type == $EIZ_PAGE || $type == $EZB_PAGE || $type == $EBK_PAGE) {	
		
		echo "\t<div class=\"menu_cara3\"></div>\n";

		if ($SHOW_MENU_VZD_PRISTUP) {
			echo "\t<div class=\"podpodmenu\">\n";
			echo "<a class=\"podmenu\" href=\"$MY_URL/vzdaleny_pristup.php?lang=$lang\">$txt_vzd</a>";
			echo "\t<div class=\"podpodmenu_obsah\">\n";
			if ($SHOW_MENU_VPN) {
				echo "\t\t<a href=\"$MY_URL/vpn.php?";
				echo "lang=$lang\">&ndash;$txt_vpn</a>\n";
			}
			if ($SHOW_MENU_PROXY) {
				echo "\t\t<a href=\"$MY_URL/proxy.php?";
				echo "lang=$lang\">&ndash;$txt_proxy</a>\n";
			}

			if ($SHOW_MENU_EZPROXY) {
				echo "\t\t<a href=\"$MY_URL/$VZDALENY_PRISTUP_PAGE/ezproxy.php?";
				echo "lang=$lang\">&ndash;EZproxy</a>\n";
			}

			if ($ENABLE_FN_BRNO) {
				echo "\t\t<a href=\"$MY_URL/pristup_z_FNB.php?";
				echo "lang=$lang\">&ndash;$txt_fnb</a>\n";
			}
			echo "\t</div><!-- podpodmenu obsah -->\n";
			echo "\t</div><!-- podpodmenu -->\n";

			if ($SHOW_MENU_TEST) {
				echo "\t<a href=\"$MY_URL/test_pristupu.php?";
				echo "lang=$lang\">$txt_test</a>\n";
			}
			echo "\t<div class=\"menu_cara\"></div>\n";
		}
		
		echo "\t<div class=\"menu_cara\"></div>\n";
		echo "\t<a href=\"$MY_URL/sledovani_zmen.php?";
			echo "lang=$lang\">$txt_sledovani_zmen</a>\n";

		echo "\t<div class=\"menu_cara\"></div>\n";
		echo "\t<a href=\"$MY_URL/kontakt.php?";
			echo "lang=$lang\">$txt_kontakt</a>\n";
	
		echo "</div><!-- submenu -->\n";
	}


	echo "<div class=\"submenu_blank\">&nbsp;</div>\n";
	
	if ($type != $EIZ_AUTH) {
		if ($type != $EIZ_ERROR) {
			echo "<div class=\"submenu\">
				\t\n<a href=\"$MY_URL/";
			echo "$type/$where?lang=$rev_lang$params\">$txt_verze";
			
			if ($ENABLE_LANGUAGE_FLAGS) {
				echo "<img class=\"vlajka\"  src=\"../$IMG_DIR/$langicon\" alt=\"$txt_verze\" />";
			}
			echo "</a>\n";
			echo "</div><!-- submenu -->\n";
			echo "<div class=\"submenu_blank\">&nbsp;</div>\n";
			echo "<div class=\"submenu_blank\">&nbsp;</div>\n";
		}

		if ($SHOW_MENU_NAPOVEDA) {
		echo "<div class=\"submenu\">\n";
		echo "\t<a href=\"$MY_URL/napoveda.php?lang=$lang\" target=\"_blank\">$txt_napoveda</a>\n";
		echo "</div><!-- submenu -->\n";
		echo "<div class=\"submenu_blank\">&nbsp;</div>\n";
		}

		echo "<div class=\"submenu\">\n";
		echo "\t<a href=\"$MY_SURL/$AUTH_DIR/\">$txt_auth</a>\n";
		echo "</div><!-- submenu -->\n";
		echo "<div class=\"submenu_blank\">&nbsp;</div>\n";
	
	
	} // type not auth
	
	
	else {
		$ot="";
		$amp="";
		if ($lock_param != "") {
			$ot="?";
			$amp="?";
		}

		/*
		echo "<div class=\"submenu\">\n";
		echo "\t<a href=\"${MY_SURL}${URL_PREFIX}/\"><span class=\"tluste\">Veřejná část portálu EIZ</span></a>\n";
		echo "</div><!-- submenu -->\n";
		echo "<div class=\"submenu_blank\">&nbsp;</div>\n";
		 */
		echo "<div class=\"submenu_nadpis\">Autentizovaný web</div>\n";
		echo "<div class=\"submenu\">\n";
		echo "\t<a href=\"${MY_SURL}${URL_PREFIX}/$AUTH_DIR/index.php$ot$lock_param\">Moje stránka</a>\n";
		/*
		echo "\t<a href=\"${MY_SURL}${URL_PREFIX}/$AUTH_DIR/udaje.php$ot$lock_param\">Změna mých údajů</a>\n";
		echo "\t<a href=\"${MY_SURL}${URL_PREFIX}/$AUTH_DIR/heslo.php$ot$lock_param\">Změna mého hesla</a>\n";
		
		 */

		$isadmin = getIsAdmin(getUserInfo(getUser(), "menu"));
		echo "\t<div class=\"menu_cara3\"></div>\n";

		echo "\t<div class=\"submenu_podnadpis\">Zdroje</div>\n";	
		echo "\t<a href=\"${MY_SURL}${URL_PREFIX}/$AUTH_DIR/edit.php$ot$lock_param\"/>Přidat nový zdroj</a>\n";

		if ($isadmin) {
			echo "\t<div class=\"podpodmenu\">\n";
			echo "\t<div class=\"podpodmenu_nadpis\">Výpis zdrojů dle:</div>\n";
			echo "\t<div class=\"podpodmenu_obsah\">\n";
			echo "\t\t<a href=\"${MY_SURL}${URL_PREFIX}/$AUTH_DIR/vyber.php?";
				echo "ntype=".navigation::NAV_TYPE_ABECEDNE."$amp$lock_param\">&ndash; abecedy</a>\n";
			echo "\t\t<a href=\"${MY_SURL}${URL_PREFIX}/$AUTH_DIR/vyber.php?";
				echo "ntype=".navigation::NAV_TYPE_EXPIRACE."$amp$lock_param\">&ndash; expirace</a>\n";
			echo "\t\t<a href=\"${MY_SURL}${URL_PREFIX}/$AUTH_DIR/vyber.php?";
				echo "ntype=".navigation::NAV_TYPE_SPRAVCI."$amp$lock_param\">&ndash; správců</a>\n";
			echo "\t</div><!-- podpodmenu obsah -->\n";
			echo "\t</div><!-- podpodmenu -->\n";
		}

		if ($SHOW_MENU_CASOPISY_AUTH) {
			
		echo "\t<div class=\"menu_cara3\"></div>\n";
		echo "\t<div class=\"submenu_podnadpis\">e-Časopisy</div>\n";
		echo "\t<a href=\"${MY_SURL}${URL_PREFIX}/$AUTH_DIR/edit_casopisy.php\"/>Přidat nový časopis</a>\n";

		if ($isadmin) {
			echo "\t<div class=\"podpodmenu\">\n";
			echo "\t<div class=\"podpodmenu_nadpis\">Výpis časopisů dle:</div>\n";
			echo "\t<div class=\"podpodmenu_obsah\">\n";
			echo "\t\t<a href=\"${MY_SURL}${URL_PREFIX}/$AUTH_DIR/casopisy_vyber.php?";
				echo "ntype=".navigation::NAV_TYPE_ABECEDNE."$amp$lock_param\">&ndash; abecedy</a>\n";
			echo "\t\t<a href=\"${MY_SURL}${URL_PREFIX}/$AUTH_DIR/casopisy_vyber.php?";
				echo "ntype=".navigation::NAV_TYPE_FAKULTY."$amp$lock_param\">&ndash; fakult</a>\n";
			echo "\t</div><!-- podpodmenu obsah -->\n";
			echo "\t</div><!-- podpodmenu -->\n";
		}

		}

		if ($SHOW_MENU_KNIHY_AUTH) {
			
		echo "\t<div class=\"menu_cara3\"></div>\n";
		echo "\t<div class=\"submenu_podnadpis\">e-Knihy</div>\n";
		echo "\t<a href=\"${MY_SURL}${URL_PREFIX}/$AUTH_DIR/edit_kniha.php\"/>Přidat novou knihu</a>\n";

		if ($isadmin) {
			echo "\t<div class=\"podpodmenu\">\n";
			echo "\t<div class=\"podpodmenu_nadpis\">Výpis knih dle:</div>\n";
			echo "\t<div class=\"podpodmenu_obsah\">\n";
			echo "\t\t<a href=\"${MY_SURL}${URL_PREFIX}/$AUTH_DIR/knihy_vyber.php?";
				echo "ntype=".navigation::NAV_TYPE_ABECEDNE."$amp$lock_param\">&ndash; abecedy</a>\n";
			echo "\t\t<a href=\"${MY_SURL}${URL_PREFIX}/$AUTH_DIR/knihy_vyber.php?";
				echo "ntype=".navigation::NAV_TYPE_SPRAVCI."$amp$lock_param\">&ndash; správců</a>\n";
			echo "\t</div><!-- podpodmenu obsah -->\n";
			echo "\t</div><!-- podpodmenu -->\n";
		}


		}

		if ($isadmin) {
			echo "\t<div class=\"menu_cara3\"></div>\n";
			echo "\t<div class=\"submenu_podnadpis\">Aktuality</div>\n";
			echo "\t<a href=\"${MY_SURL}${URL_PREFIX}/$AUTH_DIR/edit_aktuality.php\"/>Přidat aktualitu</a>\n";
			echo "\t<a href=\"${MY_SURL}${URL_PREFIX}/$AUTH_DIR/aktuality.php\"/>Vypsat aktuality</a>\n";

			echo "\t<div class=\"menu_cara3\"></div>\n";
			echo "\t<div class=\"submenu_podnadpis\">Správa uživatelů</div>\n";
			echo "\t<a href=\"${MY_SURL}${URL_PREFIX}/$AUTH_DIR/uzivatel.php\"/>Přidat uživatele</a>\n";
			echo "\t<a href=\"${MY_SURL}${URL_PREFIX}/$AUTH_DIR/uzivatele.php\"/>Výpis uživatelů</a>\n";

			echo "\t<div class=\"menu_cara3\"></div>\n";
			echo "\t<div class=\"submenu_podnadpis\">Správa RSS</div>\n";
			echo "\t<a href=\"${MY_SURL}${URL_PREFIX}/$AUTH_DIR/edit_rss.php\"/>Editace RSS</a>\n";
		
			echo "\t<div class=\"menu_cara3\"></div>\n";
			echo "\t<div class=\"submenu_podnadpis\">Správa fakult</div>\n";
			echo "\t<a href=\"${MY_SURL}${URL_PREFIX}/$AUTH_DIR/fakulty.php\"/>Správa fakult</a>\n";


		}
		echo "</div><!-- submenu -->\n";
		echo "<div class=\"submenu_blank\">&nbsp;</div>\n";

	}

	if ($ENABLE_RSS) {
		echo "<a href=\"../$rss\" class=\"rss\"><img src=\"../$IMG_DIR/rss.gif\" alt=\"RSS 2.0\" /></a>\n";
	}
	echo "</div><!-- menu -->\n";
}

function my_main($lang, $type)
{
	global $IMG_DIR, $EIZ_PAGE, $EIZ_AUTH, $EIZ_ERROR, $EIZ_AUTH_TXTAR, $EZB_PAGE,
		$UNIVERSITY, $I18N, $EBK_PAGE;


	echo "<div class=\"main\">\n\n";

	if ($lang == "en") {
		include_once("../eizlibs/$I18N/titulek_en_default.php");
		include_once("../eizlibs/$I18N/titulek_en.php");
	}
	else {
		include_once("../eizlibs/$I18N/titulek_cs_default.php");
		include_once("../eizlibs/$I18N/titulek_cs.php");
	}	

	switch ($type) {
	case $EIZ_PAGE: $title = $txt_titulek_zdroje; break;
	case $EZB_PAGE: $title = $txt_titulek_casopisy; break;
	case $EIZ_AUTH: $title = $txt_titulek_auth; break;
	case $EBK_PAGE: $title = $txt_titulek_eknihy; break;
	default: $title = $txt_titulek_zdroje;
	}

	echo "<div class=\"header\">$title</div>\n";

	blank();
	echo "<div class=\"window\" id=\"window\">\n";

	/*
	echo "<div class=\"mu\">\n";
	echo "<a class=\"img\" href=\"http://www.muni.cz/\">\n";
	echo "<img border=\"none\" src=\"../$IMG_DIR/mu_ico.gif\" alt=\"Webová prezentace Masarykovy Univerzity\" />\n";
	echo "</a>\n</div>\n\n";
	*/
}

function nav_bar($lang, $desc, $refs)
{
	echo "<div class=\"nav_bar\">\n";
	$nav="";
	for($i=0; $i < count($desc); $i++) {
		$nav.="\t<span class=\"nav_item\">";
		$nav.="<a href=\"$refs[$i]\">$desc[$i]</a>";
		$nav.="</span>";
		$nav.="&gt;\n";
	}
	echo $nav;
	echo "</div><!-- navig bar -->\n";
}

function my_main_ending()
{
	echo "</div><!-- window -->\n</div><!-- main -->";
}
	
function footer($timestamp, $lang)
{
	global $DATE_TIME_STR, $ADMIN_MAIL, $I18N;


	$datum = date($DATE_TIME_STR, $timestamp);
	if ($lang == "en") {
		include_once("../eizlibs/$I18N/zapati_en_default.php");
		include_once("../eizlibs/$I18N/zapati_en.php");
	}
	else {
		include_once("../eizlibs/$I18N/zapati_en_default.php");
		include_once("../eizlibs/$I18N/zapati_cs.php");
	}	

	echo "\n<div class=\"footer_blank\">&nbsp;</div>\n";
	echo "<div class=\"footer\">\n";

	echo "<table class=\"margfooter\">\n";
	echo "\t<tr>\n\t\t<td class=\"lastmodified\">";
	echo " $txt_zapati_vlevo</td>\n";

	echo "\t\t<td class=\"webmaster\">";
	if ($txt_zapati_vpravo == "") {
		echo getEmail($ADMIN_MAIL);
	}
	else {
		echo $txt_zapati_vpravo;
	}
	echo "</td>\n\t</tr>\n";

	echo "</table>\n";
	
	echo "</div><!-- footer -->\n";
	echo "<div class=\"footer_pad\">&nbsp;</div>\n";
}


// TOD0 - vsechny erro hlasky do verze dva
// zatim jen reseno HOTFIXem - volanim funkci z functions2.php
function error_headings($lang) {
	global $EIZ_ERROR, $DEFAULT;
	header('HTTP/1.1 500 Internal Server Error');
	htmlHeading($lang, $EIZ_ERROR, $DEFAULT, '');
	menuv2($lang, "", "", $EIZ_ERROR, "");
	myMain($lang, $EIZ_ERROR);
}

function error_ending($lang) {
	myMainEnd();
	echo "\n<div class=\"footer_blank\">&nbsp;</div>\n";
	echo "<div class=\"footer\">";
	echo "&nbsp;";
	echo "</div><!-- footer -->\n";
	echo "<div class=\"footer_pad\">&nbsp;</div>\n";
	htmlEnd();
}

function contact() {
	global $ADMIN_MAIL, $ADMIN_PHONE;

	echo "<div class=\"contact\">";
	echo "<div><span class=\"tluste\">Email:</span> ".getEmail($ADMIN_MAIL)."</a></div>\n";
	echo "<div class=\"phone\"><span class=\"tluste\">Tel:</span> $ADMIN_PHONE</div>\n";
	echo "</div>\n";	
}

function print_error_page($lang)
{
	global $ADMIN_MAIL;
	
	error_headings($lang);	
	
	if ($lang == 'en') {
		echo "<h1 class=\"interror\">Internal Server Error</h1>\n";
		echo "<div class=\"obsah\">\n";
		echo "<div class=\"interror\"><div>We are apologizing for this.";
		echo " The error is probably at server side.";
		echo " Please contact administrator:</div>\n";
	}
	else {
		echo "<h1 class=\"interror\">Interní chyba serveru</h1>";
		echo "<div class=\"obsah\">\n";
		echo "<div class=\"interror\"><div>Omlouváme se, došlo k chybě na straně";
		echo " serveru. Prosíme kontaktujte správce:</div>\n";
	}
	
	contact();
	echo "</div>\n";
	
	echo "\n</div><!-- obsah -->\n\n";
	
	error_ending($lang);
	exit(0);
}

function print_nosource_page($lang)
{
	global $ADMIN_MAIL;

	error_headings($lang);
	
	if ($lang == 'en') {
		echo "<h1 class=\"interror\">Source Is Not Exist or Is Inaccessible</h1>\n";
		echo "<div class=\"obsah\">\n";
		echo "<div class=\"interror\"><div>There is not the source you";
		echo " request. If you think that the source should be accessible";
		echo " contact administrator:</div>\n";
	}
	else {
		echo "<h1 class=\"interror\">Zdroj neexistuje nebo je nedostupný</h1>";
		echo "<div class=\"obsah\">\n";
		echo "<div class=\"interror\"><div>Zdroj, který chcete zobrazit ";
		echo "neexistuje nebo je dočasně nedostupný - deaktivovaný správcem. Pokud si myslíte, že tento ";
		echo "zdroj by měl být dostupný, ";
		echo "kontaktujte správce:</div>\n";
	}

	contact();
	echo "</div>\n";
	
	echo "\n</div><!-- obsah -->\n\n";
	
	error_ending($lang);
	exit(0);
}

function print_lock_error_page($lang)
{
	global $ADMIN_MAIL;

	error_headings($lang);
	
	if ($lang == 'en') {
		echo "<h1 class=\"interror\">Object is locked.</h1>\n";
		echo "<div class=\"obsah\">\n";
		echo "<div class=\"interror\"><div>Object is locked and you cannot edit ";
		echo "it. Another user is editing it now. Please try to edit it later. ";
		echo "If this situation persists for longer time (for hours) please ";
		echo "contact administrator:</div>\n";
	}
	else {
		echo "<h1 class=\"interror\">Objekt je uzamčen.</h1>\n";
		echo "<div class=\"obsah\">\n";
		echo "<div class=\"interror\"><div>Objekt je v současné době uzamčen a ";
		echo "nelze jej editovat. ";
		echo "Pravděpodobně s ním pracuje jiný uživatel. Zkuste ";
		echo "editovat zdroj později. Pokud tato situace trvá již delší dobu ";
		echo "(řádově hodiny) kontaktujte prosím správce:</div>\n";
	}
	
	contact();
	echo "</div>\n";

	echo "\n</div><!-- obsah -->\n\n";
	
	error_ending($lang);
	exit(0);
}

function print_right_error_page($lang, $action)
{
	global $ADMIN_MAIL, $RGHT_EDIT_SOURCE, $RGHT_DELETE_SOURCE, $RGHT_IS_ADMIN,
		$NOT_PERMITTED_UNLOCK, $RGHT_EDIT_MAGAZINE, $RGHT_DELETE_MAGAZINE,
		$RGHT_EDIT_BOOK, $RGHT_DELETE_BOOK, $RGHT_EDIT_NEWS, $RGHT_DELETE_NEWS;

	error_headings($lang);

	if ($lang == "en") {
		switch ($action) {
			case $RGHT_EDIT_SOURCE: $action="Edit source"; break;
			case $RGHT_DELETE_SOURCE: $action="Delete source"; break;
			case $RGHT_DELETE_BOOK: $action="Delete book"; break;
			case $RGHT_EDIT_BOOK: $action="Edit book"; break;
			case $RGHT_EDIT_MAGAZINE: $action="Edit magazine"; break;
			case $RGHT_DELETE_MAGAZINE: $action="Delete magazine"; break;
			case $RGHT_IS_ADMIN: $action="Entry admin area"; break;
			case $NOT_PERMITTED_UNLOCK: $action="Unlock source"; break;
			default: $action="Unknown"; break;
		}
	} 
	else {
		switch ($action) {
			case $RGHT_EDIT_SOURCE: $action="Editovat zdroj"; break;
			case $RGHT_EDIT_MAGAZINE: $action="Editovat časopis"; break;
			case $RGHT_DELETE_SOURCE: $action="Smazat zdroj"; break;
			case $RGHT_DELETE_MAGAZINE: $action="Smazat časopis"; break;
			case $RGHT_DELETE_BOOK: $action="Smazat knihu"; break;
			case $RGHT_EDIT_BOOK: $action="Editovat knihu"; break;
			case $RGHT_IS_ADMIN: $action="Vstup do administrátorské oblasti"; break;
			case $NOT_PERMITTED_UNLOCK: $action="Odemknout zdroj"; break;
			default: $action="Unknown"; break;
		}
	}
		

	if ($lang == 'en') {
		echo "<h1 class=\"interror\">Not Authorized</h1>\n";
		echo "<div class=\"obsah\">\n";
		echo "<div class=\"interror\"><div>You are not authorized to do action ";
		echo "'<span class=\"tluste\">$action</span>'.";
		echo " You can contact administrator:</div>\n";
	} 
	else {
		echo "<h1 class=\"interror\">Nedostatečné oprávnění</h1>";
		echo "<div class=\"obsah\">\n";
		echo "<div class=\"interror\"><div>";
		echo "Nemáte dostatečná oprávnění pro provedení akce ";
		echo "'<span class=\"tluste\">$action</span>'. Pro přidělení ";
		echo "dodatečných oprávnění můžete kontaktovat správce:</div>\n";
	}

	contact();
	echo "</div>\n";
	

	echo "\n</div><!-- obsah -->\n\n";

	error_ending($lang);
	exit(0);
}

function print_auth_req_page($lang)
{
	global $ADMIN_MAIL;

	error_headings($lang);
	if ($lang == 'en') {
		echo "<h1 class=\"interror\">Authentication required</h1>\n";
		echo "<div class=\"obsah\">\n";
		echo "<div class=\"interror\"><div>Access to this page require ";
		echo "authentication. Please use item <b>Autenthicated&nbsp;www</b> ";
		echo "in menu to login, or contact administrator:</div>\n";
	}
	else {
		echo "<h1 class=\"interror\">Neautentizovaný přístup</h1>\n";
		echo "<div class=\"obsah\">\n";
		echo "<div class=\"interror\"><div>";
		echo "Omlouváme se, ale přístup k této stránce vyžaduje autentizaci. ";
		echo "Prosíme přihlaště se kliknutím na položku <b>Autentizovaný&nbsp;web</b> ";
		echo "v nabídce menu nebo kontaktujte správce:</div>\n";
	}
	
	contact();
	echo "</div>\n";

	echo "\n</div><!-- obsah -->\n\n";
	
	error_ending($lang);
	exit(0);
}

function content_type($name) {
    // Defines the content type based upon the extension of the file
    $contenttype  = 'application/octet-stream';
    $contenttypes = array( 'html' => 'text/html',
                           'htm'  => 'text/html',
                           'txt'  => 'text/plain',
                           'gif'  => 'image/gif',
                           'jpg'  => 'image/jpeg',
                           'png'  => 'image/png',
                           'sxw'  => 'application/vnd.sun.xml.writer',
                           'sxg'  => 'application/vnd.sun.xml.writer.global',
                           'sxd'  => 'application/vnd.sun.xml.draw',
                           'sxc'  => 'application/vnd.sun.xml.calc',
                           'sxi'  => 'application/vnd.sun.xml.impress',
                           'xls'  => 'application/vnd.ms-excel',
                           'ppt'  => 'application/vnd.ms-powerpoint',
                           'doc'  => 'application/msword',
                           'rtf'  => 'text/rtf',
                           'zip'  => 'application/zip',
                           'mp3'  => 'audio/mpeg',
                           'pdf'  => 'application/pdf',
                           'tgz'  => 'application/x-gzip',
                           'gz'   => 'application/x-gzip',
                           'vcf'  => 'text/vcf',
													 'rar'  => 'application/x-rar-compressed' );

    $name = preg_replace("/§/", " ", $name);
    foreach ($contenttypes as $type_ext => $type_name) {
        if (preg_match ("/$type_ext$/i",  $name)) $contenttype = $type_name;
    }
    return $contenttype;
}


?>
