<?php

function getI18Nnavigationv2($lang)
{
	global $I18N;

	return "eizlibs/i18n/navigace_$lang.php";
}

function getI18NnavigationDefault($lang)
{
	global $I18N;

	return "eizlibs/i18n/navigace_${lang}_default.php";
}

function isIPv6($addr) {

	return strpos($addr, ':') === false ? false : true;
}


function accessCheckv2($lang)
{
	global $UNIVERSITY, $I18N, $ENABLE_FN_BRNO, $IP_FN_BRNO, 
		$VZDALENY_PRISTUP_PAGE, $ENABLE_SHIBBOLETH_AUTH, 
		$SHIB_SHOW_ACCESS_WARNING_WINDOW;

	if ($lang == "en") {
		include_once("eizlibs/$I18N/test_pristupu_en_default.php");
		include_once("eizlibs/$I18N/test_pristupu_en.php");
	}
	else {
		include_once("eizlibs/$I18N/test_pristupu_cs_default.php");
		include_once("eizlibs/$I18N/test_pristupu_cs.php");
	}

	
	if ($ENABLE_FN_BRNO) {
		if ($_SERVER['REMOTE_ADDR'] == $IP_FN_BRNO) {
			//(true) {
			echo "<div class=\"ipwarning fnbwarning\">\n";
			echo "Nejste v síti MU, přistupujete ze sítě <b>FN Brno</b>. Pokud nemáte 
				nastaven <a href=\"pristup_z_FNB.php\">přístup k EIZ-MU z FN Brno</a>, 
				většina plných textů ve zdrojích <b>nebude přístupná</b>.";
			echo "</div>\n";
			return false;
		}
	}
		
	$inside_text = '';
	$additional_class = '';
	$ipv6 = false;
	if (isIPv6($_SERVER['REMOTE_ADDR']))	{
		$inside_text = $txt_ipv6;
		$ipv6 = true;
		$additional_class = 'ipv6';
	}
	else { 
		if (! checkIP($_SERVER['REMOTE_ADDR'])) {
			$inside_text = $txt_info;

			if ($ENABLE_SHIBBOLETH_AUTH && $SHIB_SHOW_ACCESS_WARNING_WINDOW && 
					uzivatel::getShibAuth() != null) {
				$additional_class = 'shibboleth_info';
				$inside_text = $txt_shibboleth_info;
			}

		}
	}

	if ($inside_text != '') {
		echo "<div class=\"ipwarning accesscheck $additional_class\">\n";
		echo $inside_text;
		if (! $ipv6) {
			echo " <a href=\"${URL_PREFIX}/$VZDALENY_PRISTUP_PAGE/?lang=$lang\">$txt_odkaz</a>";
		}
		echo "</div>\n";
	}
}


function redirect($where, $lang) 
{

	global $MY_URL;

	header("Location: $MY_URL/$where?lang=$lang");
	/*
	echo "<html>\n";
	echo "<head>\n";
	echo "<meta http-equiv=\"Content-Type\" content=\"text/html; charset=utf-8\">\n";
	echo "<title>Přesměrování na portále el. zdrojů</title>\n";
	echo "<meta http-equiv=\"refresh\" content=\"0;URL=$MY_URL/$where?lang=$lang\">\n";
	echo "</head>\n";

	echo "<body>\n";
	echo "<p>Tato část Portálu EIZ již běží v nové vylepšené verzi. Nyní proběhne přesměrování.</p>";
	echo "<p>Pokud nebudete během několika sekund přesměrováni, klikněte prosím na tento <a href=\"$MY_URL/$where?lang=$lang\">odkaz</a>.</p>";

	echo "<p>If you are not redirected, please follow <a href=\"$MY_URL/$where?lang=$lang\">this link</a>.</p>";

	echo "</body>\n";
	echo "</html>\n";
	 */
}	


function formatDate($date) {
	return getDay($date).".".getMonth($date).".".getYear($date);
}



// error handling functions
function errorHeadings($lang) {
	global $EIZ_ERROR, $DEFAULT;
	header('HTTP/1.1 500 Internal Server Error');
	htmlHeading($lang, $EIZ_ERROR, $DEFAULT, '');
	menuv2($lang, "", "", $EIZ_ERROR, "");
	myMain($lang, $EIZ_ERROR);
}

function errorEnding($lang) {
	myMainEnd();
	echo "\n<div class=\"footer_blank\">&nbsp;</div>\n";
	echo "<div class=\"footer\">";
	echo "&nbsp;";
	echo "</div><!-- footer -->\n";
	echo "<div class=\"footer_pad\">&nbsp;</div>\n";
	htmlEnd();
}

function printErrorPage($lang)
{
	global $ADMIN_MAIL;
	
	errorHeadings($lang);	
	
	if ($lang == 'en') {
		echo "<h1 class=\"interror\">Internal Server Error</h1>\n";
		echo "<div class=\"obsah\">\n";
		echo "<div class=\"interror\"><div>We are apologizing for this.";
		echo " The error is probably at the server side.";
		echo " Please contact the administrator:</div>\n";
	}
	else {
		echo "<h1 class=\"interror\">Interní chyba serveru</h1>";
		echo "<div class=\"obsah\">\n";
		echo "<div class=\"interror\"><div>Omlouváme se, došlo k chybě na straně";
		echo " serveru. Prosíme kontaktujte správce:</div>\n";
	}
	
	contact();
	echo "</div>\n";
	
	echo "\n</div><!-- obsah -->\n\n";
	
	errorEnding($lang);
	exit(0);
}

function printNosourcePage($lang)
{
	global $ADMIN_MAIL;

	errorHeadings($lang);
	
	if ($lang == 'en') {
		echo "<h1 class=\"interror\">Source does not exist or is inaccessible (not active)</h1>\n";
		echo "<div class=\"obsah\">\n";
		echo "<div class=\"interror\"><div>The source you";
		echo " request is not available. If you think that the source should be accessible";
		echo " contact the administrator:</div>\n";
	}
	else {
		echo "<h1 class=\"interror\">Zdroj neexistuje nebo je nedostupný</h1>";
		echo "<div class=\"obsah\">\n";
		echo "<div class=\"interror\"><div>Zdroj, který chcete zobrazit ";
		echo "neexistuje nebo je dočasně nedostupný - deaktivovaný správcem. Pokud si myslíte, že tento ";
		echo "zdroj by měl být dostupný, ";
		echo "kontaktujte správce:</div>\n";
	}

	contact();
	echo "</div>\n";
	
	echo "\n</div><!-- obsah -->\n\n";
	
	errorEnding($lang);
	exit(0);
}

function printLocErrorPage($lang)
{
	global $ADMIN_MAIL;

	errorHeadings($lang);
	
	if ($lang == 'en') {
		echo "<h1 class=\"interror\">Object is locked.</h1>\n";
		echo "<div class=\"obsah\">\n";
		echo "<div class=\"interror\"><div>Object is locked and you cannot edit ";
		echo "it. Another user is editing it now. Please try to edit it later. ";
		echo "If this situation persists for longer time (for hours) please ";
		echo "contact administrator:</div>\n";
	}
	else {
		echo "<h1 class=\"interror\">Objekt je uzamčen.</h1>\n";
		echo "<div class=\"obsah\">\n";
		echo "<div class=\"interror\"><div>Objekt je v současné době uzamčen a ";
		echo "nelze jej editovat. ";
		echo "Pravděpodobně s ním pracuje jiný uživatel. Zkuste ";
		echo "editovat zdroj později. Pokud tato situace trvá již delší dobu ";
		echo "(řádově hodiny) kontaktujte prosím správce:</div>\n";
	}
	
	contact();
	echo "</div>\n";

	echo "\n</div><!-- obsah -->\n\n";
	
	errorEnding($lang);
	exit(0);
}

function printRightErrorPage($lang, $action)
{
	global $ADMIN_MAIL, $RGHT_EDIT_SOURCE, $RGHT_DELETE_SOURCE, $RGHT_IS_ADMIN,
		$NOT_PERMITTED_UNLOCK, $RGHT_EDIT_MAGAZINE, $RGHT_DELETE_MAGAZINE,
		$RGHT_EDIT_BOOK, $RGHT_DELETE_BOOK, $RGHT_EDIT_NEWS, $RGHT_DELETE_NEWS;

	errorHeadings($lang);

	if ($lang == "en") {
		switch ($action) {
			case $RGHT_EDIT_SOURCE: $action="Edit source"; break;
			case $RGHT_DELETE_SOURCE: $action="Delete source"; break;
			case $RGHT_DELETE_BOOK: $action="Delete book"; break;
			case $RGHT_EDIT_BOOK: $action="Edit book"; break;
			case $RGHT_EDIT_MAGAZINE: $action="Edit magazine"; break;
			case $RGHT_DELETE_MAGAZINE: $action="Delete magazine"; break;
			case $RGHT_IS_ADMIN: $action="Entry admin area"; break;
			case $NOT_PERMITTED_UNLOCK: $action="Unlock source"; break;
			default: $action="Unknown"; break;
		}
	} 
	else {
		switch ($action) {
			case $RGHT_EDIT_SOURCE: $action="Editovat zdroj"; break;
			case $RGHT_EDIT_MAGAZINE: $action="Editovat časopis"; break;
			case $RGHT_DELETE_SOURCE: $action="Smazat zdroj"; break;
			case $RGHT_DELETE_MAGAZINE: $action="Smazat časopis"; break;
			case $RGHT_DELETE_BOOK: $action="Smazat knihu"; break;
			case $RGHT_EDIT_BOOK: $action="Editovat knihu"; break;
			case $RGHT_IS_ADMIN: $action="Vstup do administrátorské oblasti"; break;
			case $NOT_PERMITTED_UNLOCK: $action="Odemknout zdroj"; break;
			default: $action="Unknown"; break;
		}
	}
		

	if ($lang == 'en') {
		echo "<h1 class=\"interror\">Not Authorized</h1>\n";
		echo "<div class=\"obsah\">\n";
		echo "<div class=\"interror\"><div>You are not authorized to do action ";
		echo "'<span class=\"tluste\">$action</span>'.";
		echo " You can contact administrator:</div>\n";
	} 
	else {
		echo "<h1 class=\"interror\">Nedostatečné oprávnění</h1>";
		echo "<div class=\"obsah\">\n";
		echo "<div class=\"interror\"><div>";
		echo "Nemáte dostatečná oprávnění pro provedení akce ";
		echo "'<span class=\"tluste\">$action</span>'. Pro přidělení ";
		echo "dodatečných oprávnění můžete kontaktovat správce:</div>\n";
	}

	contact();
	echo "</div>\n";
	

	echo "\n</div><!-- obsah -->\n\n";

	errorEnding($lang);
	exit(0);
}

function printAuthReqPage($lang)
{
	global $ADMIN_MAIL;

	errorHeadings($lang);
	if ($lang == 'en') {
		echo "<h1 class=\"interror\">Authentication required</h1>\n";
		echo "<div class=\"obsah\">\n";
		echo "<div class=\"interror\"><div>Access to this page require ";
		echo "authentication. Please use item <b>Autenthicated&nbsp;www</b> ";
		echo "in menu to login, or contact administrator:</div>\n";
	}
	else {
		echo "<h1 class=\"interror\">Neautentizovaný přístup</h1>\n";
		echo "<div class=\"obsah\">\n";
		echo "<div class=\"interror\"><div>";
		echo "Omlouváme se, ale přístup k této stránce vyžaduje autentizaci.";
		echo "Prosíme přihlaště se kliknutím na položku <b>Autentizovaný&nbsp;web</b> ";
		echo "v nabídce menu nebo kontaktujte správce:</div>\n";
	}
	
	contact();
	echo "</div>\n";

	echo "\n</div><!-- obsah -->\n\n";
	
	errorEnding($lang);
	exit(0);
}


function getIdFromDB($what) {

	$query = "SELECT CURRVAL('${what}')";
	$result = pg_query($query);
	$row = pg_fetch_array($result, NULL, PGSQL_NUM);

	return $row[0];
}


?>
