<?php

require_once("constants.php");
require_once("functions.php");
require_once("functionsv2.php");

function logit($user, $script, $message, $type)
{
	global $LOG_FILE, $LOG_ERR, $LOG_ACT, $LOG_WAR, $LOG_DBE, $LOG_UER, $LOG_RGH, 					$LOG_LCK, $LOG_INF, $LOG_TRN;
	switch ($type) {
		case $LOG_ERR: $co = "ERROR: "; break;
		case $LOG_ACT: $co = "ACTION: "; break;
		case $LOG_WAR: $co = "WARNING: "; break;
		case $LOG_DBE: $co = "ERROR: Database error; "; break;
		case $LOG_UER: $co = "USER_ERROR: "; break;
		case $LOG_RGH: $co = "RIGHTS_ERROR: "; break;
		case $LOG_LCK: $co = "LOCKING_FAILED: "; break;
		case $LOG_TRN: $co = "TRANSACTION: ";
		case $LOG_INF: $co = "INFO: "; break;
		default: $co = "UNKNOWN_ERROR: "; break;
	}
	
	$datum_cas = date("Y-m-d H:i:s");

	if ($user == null || $user == "") $user_ret=" ";
	else $user_ret=" (".$user.") ";
	
	$tolog = $datum_cas." ".
						$_SERVER["REMOTE_ADDR"].
						$user_ret." [".
						$script."] ".
						$co.
						$message."\n";
	
	return error_log($tolog, 3, $LOG_FILE);
}

function my_error_handler($errno, $errstr, $errfile, $errline, $errcontext)
{
	global $query, $TRANSACTION_REPEAT, $LOG_TRN;

	

	// TRANSACTION_REPEAT je promenna, ktera je nastavena, kdyz provadim nejakou
	//   transkaci; pokud tedy dojde k chybe a transkance se nepovedla, pak se 
	//   s velkou pravdepodobnosti jedna o selhani serializace a rizeni se preda 
	//   zpet kodu skriptu (ten se pokusi transkci spustit znovu, pripadne konci 
	//   s chybu, kterou zaloguje
	if (isset($TRANSACTION_REPEAT) && $TRANSACTION_REPEAT) {
		logit($user, $_SERVER['PHP_SELF']. " --> ".$errfile, $errstr, $LOG_TRN);
		return true;
	}

	// dojde-li k preruseni transakce pri zamykani
	/*
	if ($TRANSACTION_LOCKING) {
		print_lock_page();
	}
	*/
	
	if (isset($_SERVER["PHP_AUTH_USER"])) $user = $_SERVER["PHP_AUTH_USER"];
	else $user = "no_user";

	$lang=GETlang();
	
	logit($user, $_SERVER['PHP_SELF']. " --> ".$errfile, 
				$errstr." Line: ".$errline." Query: ".$query, $errno);

	printErrorPage($lang);

	return true;
}

function my_exception_handler($exception) {

	global $LOG_ERR;

	$lang=GETlang();

  if (isset($_SERVER["PHP_AUTH_USER"])) $user = $_SERVER["PHP_AUTH_USER"];
	else $user = "no_user";

	logit($user, $_SERVER['PHP_SELF'], "Uncaught exception: ".$exception->getMessage(), $LOG_ERR);

	printErrorPage($lang);
}


function setLogging($display) 
{
	global $MESSAGE_TYPE;

	$old_rep = error_reporting($MESSAGE_TYPE);
	
	if (! $display) {
		set_error_handler("my_error_handler", $MESSAGE_TYPE);
		set_exception_handler("my_exception_handler");
	}
	else {
		restore_error_handler();
	}


	return $old_rep;
}

function unsetLogging($display, $mess_type)
{ 
	if (! $display) {
		restore_error_handler();
		restore_exception_handler();
	}

	error_reporting($mess_type);
}


function logitDebug($message) {
	
	global $LOG_DEB;

	return logit('', '', $message, $LOG_DEB);	
}
	

?>
