<?php

class navigation {

public $ntype; // hlavni typ navigace (dle abecedy, spravcu, expirace)
public $value1; // v pripade fakult a spravcu hodnota
public $value2; // v pripade oboru - i podobor
public $stype; // upresneni u zdroju - licencovany apod
public $skript; // odkud vychazim (pri odemykani)

const NAV_TYPE_FROM_COOKIE = -1;
const NAV_TYPE_DEFAULT = 0;
const NAV_TYPE_ABECEDNE = 1;
const NAV_TYPE_FAKULTY = 2;
const NAV_TYPE_OBORY = 3;
const NAV_TYPE_SPRAVCI = 4;
const NAV_TYPE_EXPIRACE = 5;

const NAV_TYPE_ALL = 0;
const NAV_TYPE_LIC = 1;
const NAV_TYPE_FREE = 2;
const NAV_TYPE_TRIAL = 3;
const NAV_TYPE_LOCK = 4;
const NAV_TYPE_LINK = 5;

const NAV_VAL_NOT_DEF = 'nondef';

const COOKIE_NAV_SOURCE = 'navigace_typ_zdroj';
const COOKIE_NAV_MAGAZINE = 'navigace_typ_casopis';
const COOKIE_NAV_BOOK = 'navigace_typ_kniha';

const COOKIE_NAV_VALUE_SOURCE = 'navigace_hodnota_zdroj';
const COOKIE_NAV_VALUE_MAGAZINE = 'navigace_hodnota_casopis';
const COOKIE_NAV_VALUE_BOOK = 'navigace_hodnota_kniha';

const COOKIE_NAV_STYPE_SOURCE = 'navigace_stype_zdroj';

const COOKIE_NAV_SKRIPT_SOURCE = 'navigace_skript_zdroj';
const COOKIE_NAV_SKRIPT_MAGAZINE = 'navigace_skript_casopis';
const COOKIE_NAV_SKRIPT_BOOK = 'navigace_skript_kniha';

protected function __construct($what, $ntype, $stype, $skript, 
	$setcookie = true, $value1 = self::NAV_VAL_NOT_DEF, 
	$value2 = self::NAV_VAL_NOT_DEF) 
{	
	global $SOURCE, $MAGAZINE, $BOOK;

	if (issetGET('value1')) {
		$value1 = htmlEscape(getGET('value1'));
	}

	switch($what) {
	case $SOURCE:
		if ($ntype == self::NAV_TYPE_FROM_COOKIE) {
			$ntype = self::getCookie(self::COOKIE_NAV_SOURCE);
			$value1 = self::getCookie(self::COOKIE_NAV_VALUE_SOURCE);
			$stype = self::getCookie(self::COOKIE_NAV_STYPE_SOURCE);
		}
		if ($skript == self::NAV_TYPE_FROM_COOKIE) {
			$skript = self::getCookie(self::COOKIE_NAV_SKRIPT_SOURCE, 
					'vyber.php');
		}
		if ($setcookie) {		
			setcookie(self::COOKIE_NAV_SOURCE, $ntype);
			setcookie(self::COOKIE_NAV_VALUE_SOURCE, $value1);
			setcookie(self::COOKIE_NAV_STYPE_SOURCE, $stype);
			setcookie(self::COOKIE_NAV_SKRIPT_SOURCE, $skript);
		}
		break;
	case $MAGAZINE:
		if ($ntype == self::NAV_TYPE_FROM_COOKIE) {
			$ntype = self::getCookie(self::COOKIE_NAV_MAGAZINE);
			$value1 = self::getCookie(self::COOKIE_NAV_VALUE_MAGAZINE);
		}			
		if ($skript == self::NAV_TYPE_FROM_COOKIE) {
			$skript = self::getCookie(self::COOKIE_NAV_SKRIPT_MAGAZINE,
				'casopisy_vyber.php');
		}
		if ($setcookie) {
			setcookie(self::COOKIE_NAV_MAGAZINE, $ntype);
			setcookie(self::COOKIE_NAV_VALUE_MAGAZINE, $value1);
			setcookie(self::COOKIE_NAV_SKRIPT_MAGAZINE, $skript);
		}
		break;
	case $BOOK:
		if ($ntype == self::NAV_TYPE_FROM_COOKIE) {
			$ntype = self::getCookie(self::COOKIE_NAV_BOOK);
			$value1 = self::getCookie(self::COOKIE_NAV_VALUE_BOOK);
		}
		if ($skript == self::NAV_TYPE_FROM_COOKIE) {
			$skript = self::getCookie(self::COOKIE_NAV_SKRIPT_BOOK,
				'knihy_vyber.php');
		}
		if ($setcookie) {
			setcookie(self::COOKIE_NAV_BOOK, $ntype);
			setcookie(self::COOKIE_NAV_VALUE_BOOK, $value1);
			setcookie(self::COOKIE_NAV_SKRIPT_BOOK, $skript);
		}
		break;
	default: break;
	}
	
	$this->ntype = $ntype;
	$this->value1 = $value1;
	$this->stype = $stype;
	$this->skript = $skript;

}

private static function getCookie($cookieName, 
	$fallback = self::NAV_TYPE_DEFAULT) {

	return isset($_COOKIE[$cookieName]) ? $_COOKIE[$cookieName] : 
		$fallback;
}	

public static function getNavigation($what, $skript)
{
	global $SOURCE, $MAGAZINE;

	if ($what == $SOURCE && issetGET('stype')) {
		$stype = getInt(getGET('stype'));
	}
	else {
		$stype = self::NAV_TYPE_FROM_COOKIE;
	}

	if (issetGET('ntype')) {
		$ntype = getInt(getGET('ntype'));
	}
	else {
		$ntype = self::NAV_TYPE_FROM_COOKIE;
	}

	return new navigation($what, $ntype, $stype, $skript);
}

public static function readNavigation($what) {

	return new navigation($what, self::NAV_TYPE_FROM_COOKIE, 
		self::NAV_TYPE_FROM_COOKIE, self::NAV_TYPE_FROM_COOKIE, false, 
		self::NAV_TYPE_FROM_COOKIE, self::NAV_TYPE_FROM_COOKIE);
}


public static function setDefault($what, $skript) {

	return new navigation($what, self::NAV_TYPE_DEFAULT, self::NAV_TYPE_DEFAULT,
		$skript, true);
}

}
