<?php

require_once("functions.php");
require_once("classes.php");
require_once("fakulta_class.php");
require_once("snippet_class.php");
require_once("file_class.php");

class eizObjekt {

private $typ; // zdroj, casopis, kniha

public $id;
public $modifikace;
public $expirace = '';
public $odpovedny_spravce;
public $aktivni = true;
public $povoleny = true;
public $rss = false;
public $vytvoren;
public $novinky = true;
public $ezproxy_odkaz = true;
public $kontrola_exiprace = false;
public $zamek = null;
public $zamek_cas = null;
public $linker_db = '';
public $aktivni_od = '';
public $snippety = array();

const KAT_LICENCOVANY = 0;
const KAT_FREE = 1;
const KAT_FREE_TRIAL = 2;
const KAT_USEFUL = 3;
const KAT_META = 4;

const UNKNOWN_TYPE = -1;
const SOURCE = 0;
const JOURNAL = 1;
const MAGAZINE = 1;
const BOOK = 3;

protected function __construct(
	$typ,
	$id, 
	$modifikace, 
	$expirace, 
	$odpovedny_spravce,
	$aktivni, 
	$povoleny, 
	$rss, 
	$vytvoren, 
	$novinky, 
	$ezproxy_odkaz, 
	$kontrola_expirace, 
	$zamek, 
	$zamek_cas, 
	$linker_db,
	$aktivni_od) 
{
	$this->typ = $typ;

	$this->id = $id;
	$this->modifikace = $modifikace;
	$this->expirace  = $expirace ;
	$this->odpovedny_spravce = $odpovedny_spravce;
	$this->aktivni  = $aktivni ;
	$this->povoleny  = $povoleny ;
	$this->rss  = $rss ;
	$this->vytvoren = $vytvoren;
	$this->novinky  = $novinky ;
	$this->ezproxy_odkaz  = $ezproxy_odkaz ;
	$this->kontrola_expirace = $kontrola_expirace;
	

	$this->zamek  = $zamek ;
	$this->zamek_cas  = $zamek_cas ;

	$this->linker_db = $linker_db;
	$this->aktivni_od = $aktivni_od;
}

public function jeAktivni() {

	return $aktivni;
}

public function getId() {
	
	return $id;
}

public function getFiles() {

	return soubor::getFilesFor($this->id, $this->typ);
}

}


// ************************************************************************
// Zdroj
// ************************************************************************
class zdroj extends eizObjekt {

public $nazev;
public $zkratka;
public $nazev_cs;
public $nazev_en;
public $odkaz;
public $odkaz_cs;
public $odkaz_en;
public $odkaz_extra;
public $odkaz_extra_cs;
public $odkaz_extra_en;
public $info_strucne_cs;
public $info_strucne_en;
public $info_podrobne_cs;
public $info_podrobne_en;
public $producent_nazev;
public $producent_odkaz;
public $financovani;
public $licence;
public $zarazeni;
public $jazyk;
public $typ;
public $multioborovy;
public $kategorie;
public $kontaktni_osoba;
public $fakulty_odkazy;
public $verde_id;
public $fakulty;
public $podzdroje;
public $az_link_cs;
public $az_link_en;
public $vyhledavac_db;
public $linker_automat;
public $dostupnost;
public $kolekce;

private static function PUBLIC_COND() {

	return "(zdroje.aktivni = 't') AND (zdroje.povoleny = 't')". 
		" AND ((zdroje.expirace >= CURRENT_DATE) OR (zdroje.kategorie <> '". 
		eizObjekt::KAT_FREE_TRIAL .
		"')) AND (zdroje.kategorie <> '" . 
		eizObjekt::KAT_USEFUL . "')";
}

private static function SEARCH_COND() {
	return "(zdroje.aktivni = 't') AND (zdroje.povoleny = 't') AND (zdroje.expirace >= CURRENT_DATE)";
}


public function __construct(
	$id, 
	$modifikace, 
	$expirace, 
	$odpovedny_spravce,
	$aktivni, 
	$povoleny, 
	$rss, 
	$vytvoren, 
	$novinky, 
	$ezproxy_odkaz, 
	$kontrola_expirace, 
	$zamek, 
	$zamek_cas,
	$linker_db,
	$aktivni_od,
	
	$nazev, 
	$nazev_cs, 
	$odkaz, 
	$odkaz_cs, 
	$odkaz_extra_cs, 
	$odkaz_extra_en, 
	$info_strucne_cs, 
	$info_strucne_en, 
	$info_podrobne_cs,
	$info_podrobne_en, 
	$producent_nazev, 
	$producent_odkaz, 
	$financovani,
	$licence, 
	$zarazeni, 
	$jazyk, 
	$typ, 
	$multioborovy, 
	$kategorie,
	$kontaktni_osoba, 
	$fakulty_odkazy, 
	$verde_id,
	$sfx, 
	$sfx_popis_cs, 
	$sfx_popis_en,
	$shib, 
	$shib_odkaz_cs, 
	$shib_odkaz_en, 
	$shib_popis_cs, 
	$shib_popis_en,
	$fakulty, 
	$snippety,
	$podzdroje,
	$az_link_cs,
	$az_link_en,
	$vyhledavac_db,
	$linker_automat,
	$dostupnost,
	$kolekce) 
{
	parent::__construct(eizObjekt::SOURCE, 
		$id, $modifikace, $expirace, $odpovedny_spravce,
		$aktivni, $povoleny, $rss, $vytvoren, $novinky, $ezproxy_odkaz, 
		$kontrola_expirace, $zamek, $zamek_cas, $linker_db, $aktivni_od);
	$this->nazev = $nazev;
	$this->nazev_cs = $nazev_cs;
	$this->nazev_en = $nazev;
	$this->zkratka = $nazev;
	$this->odkaz = $odkaz;
	$this->odkaz_cs = $odkaz_cs;
	$this->odkaz_en = $odkaz;
	$this->odkaz_extra = $odkaz_extra_cs;
	$this->odkaz_extra_cs = $odkaz_extra_cs;
	$this->odkaz_extra_en = $odkaz_extra_en;
	$this->info_strucne_cs = $info_strucne_cs;
	$this->info_strucne_en = $info_strucne_en;
	$this->info_podrobne_cs = $info_podrobne_cs;
	$this->info_podrobne_en = $info_podrobne_en;
	$this->producent_nazev = $producent_nazev;
	$this->producent_odkaz = $producent_odkaz;
	$this->financovani = $financovani;
	$this->licence = $licence;
	$this->zarazeni = $zarazeni;
	$this->jazyk = $jazyk;
	$this->typ = $typ;
	$this->multioborovy = $multioborovy;
	$this->kategorie = $kategorie;
	$this->kontaktni_osoba = $kontaktni_osoba;
	$this->fakulty_odkazy = $fakulty_odkazy;
	$this->verde_id = $verde_id;
	$this->sfx = $sfx;
	$this->sfx_popis_cs = $sfx_popis_cs; 
	$this->sfx_popis_en = $sfx_popis_en;
	$this->shib = $shib; 
	$this->shib_odkaz_cs = $shib_odkaz_cs; 
	$this->shib_odkaz_en = $shib_odkaz_en; 
	$this->shib_popis_cs = $shib_popis_cs; 
	$this->shib_popis_en = $shib_popis_en;
	$this->linker_db = $linker_db;
	$this->fakulty = dbQuery::getArray($fakulty);
	//$this->snippety = dbQuery::getArray($snippety);
	//$this->podzdroje = dbQuery::getArray($podzdroje);
	$this->az_link_cs = $az_link_cs;
	$this->az_link_en = $az_link_en;
	$this->vyhledavac_db = $vyhledavac_db;
	$this->linker_automat = $linker_automat;
	$this->dostupnost = $dostupnost;
	$this->kolekce = $kolekce;

}


public static function fromDbConstructor($row) {

	$zdroj = new zdroj(
		$row['zdroj_id'],
		$row['modifikace'],
		$row['expirace'],
		getInt($row['odpovedny_spravce']),
		getBool($row['aktivni']),
		getBool($row['povoleny']),
		getBool($row['rss']),
		$row['vytvoren'],
		getBool($row['novinky']),
		getBool($row['ezproxy_odkaz']),
		getBool($row['kontrola_expirace']),
		getInt($row['zamek']),
		$row['zamek_cas'],
		$row['linker_db'],
		$row['aktivni_od'],

		$row['zkratka'], // nazev
		$row['nazev_extra_cz'], // nazev_cs
		$row['odkaz'], // odkaz
		$row['odkaz_extra_cz'], // odkaz_cs
		$row['odkaz_onelog_cz'], // odkaz_extra_cs
		$row['odkaz_onelog_en'], // odkaz_extra_en
		$row['info_strucne'], // info_strucne_cs
		$row['info_strucne_en'], // info_strucne_en
		$row['info_podrobne'], // info_podrobne_cs
		$row['info_podrobne_en'], // info_podorbne_en
		$row['producent_nazev'],
		$row['producent_odkaz'],
		$row['financovani'],
		$row['licence'],
		getInt($row['zarazeni']),
		$row['jazyk'],
		getInt($row['typ']),
		getBool($row['multioborovy']),
		getInt($row['kategorie']),
		getInt($row['kontaktni_osoba']),
		getBool($row['fakulty_odkazy']),
		$row['verde_id'],
		getBool($row['sfx']),
		$row['sfx_popis'],
		$row['sfx_popis_en'],
		getBool($row['shib']),
		$row['shib_odkaz'],
		$row['shib_odkaz_en'],
		$row['shib_popis'],
		$row['shib_popis_en'],
		$row['fakulty'],
		array(), // snipety,
		array(), // podzdroje,
		$row['az_link_cs'],
		$row['az_link_en'],
		$row['vyhledavac_db'],
		getBool($row['linker_manualni_nahrani']),
		$row['dostupnost'],
		$row['kolekce']
	);

	return $zdroj;

}


public static function getOrderBy($lang) {

	global $ENABLE_EXTRA_CZECH_TITLE;

	if ($ENABLE_EXTRA_CZECH_TITLE) {
		if ($lang == "en") return "zkratka";
		else return "nazev_extra_cz";
	}
	else {
		return "zkratka";
	}
}

// FIX IT v budoucnu o dphp 5.3.0 prejit na tridu dbQuery
public static function processQuery($query) {

	$result = pg_query($query);

	$objects = array();

	while($row = pg_fetch_array($result, NULL, PGSQL_ASSOC)) {

		$objects[] = self::fromDbConstructor($row);
	}

	return $objects;
}

// FIX IT v budoucnu o dphp 5.3.0 prejit na tridu dbQuery
public static function processQueryv2($query, $params) {

	$result = pg_query_params($query, $params);

	$objects = array();

	while($row = pg_fetch_array($result, NULL, PGSQL_ASSOC)) {

		$objects[] = self::fromDbConstructor($row);
	}

	return $objects;
}

public static function getZdroj($id, $public = true) {

	$public_cond = $public ? ' AND ' .self::PUBLIC_COND() : '';
	$query = 'SELECT * FROM zdroje WHERE zdroj_id = $1 ' . $public_cond; 
	$params = array($id);

	$result = pg_query_params($query, $params);


	return self::fromDbConstructor(pg_fetch_array($result, NULL, PGSQL_ASSOC));
}

public static function getHledej($lang, $dotaz) {

	global $ENABLE_EXTRA_CZECH_TITLE;

	$addCond = $ENABLE_EXTRA_CZECH_TITLE ? " OR nazev_extra_cz ILIKE $1 " : ''; 

	$query = 'SELECT * FROM zdroje WHERE '. self::SEARCH_COND() .
		" AND (zkratka ILIKE $1 OR info_strucne ILIKE $1 ".
		" OR info_strucne_en ILIKE $1 OR producent_nazev ILIKE $1 ".
		$addCond. ') ORDER BY '. self::getOrderBy($lang);

	$params = array("%$dotaz%");

	return self::processQueryv2($query, $params);
}

public static function getAbecedne($lang) {

	$query = 'SELECT * FROM zdroje WHERE '. self::PUBLIC_COND() . 
		' ORDER BY '. self::getOrderBy($lang);

	return dbQuery::processQuery(get_class(), $query);
}

public static function getFreeTrials($lang) {

	$query = 'SELECT * FROM zdroje WHERE '.
		" (aktivni='t') AND (povoleny='t') AND ".
		" (kategorie='" . eizObjekt::KAT_FREE_TRIAL .
		"') AND (expirace >= CURRENT_DATE)".	
		' ORDER BY '. self::getOrderBy($lang);

	return dbQuery::processQuery(get_class(), $query);
}

public static function getFree($lang) {
	$query = 'SELECT * FROM zdroje WHERE (kategorie=$1) AND (aktivni=$2) AND (povoleny=$3) ORDER BY '. self::getOrderBy($lang);

	$params = array(eizObjekt::KAT_FREE, true, true);

	return self::processQueryv2($query, $params);
}	

public static function getShibboleth($lang) {
	$query = 'SELECT * FROM zdroje WHERE '. self::PUBLIC_COND() . 
		' AND (shib=$1) ORDER BY '. self::getOrderBy($lang);

	$params = array(true);

	return self::processQueryv2($query, $params);
}


public static function getShibbolethNavQuery($lang) {
	$query = 'SELECT zdroj_id, zkratka FROM zdroje WHERE '.
		self::PUBLIC_COND() . " AND (shib='t') ORDER BY ". self::getOrderBy($lang);

	return $query;
}

public static function getUzitecneOdkazy($lang) {
	$query = 'SELECT * FROM zdroje WHERE (kategorie=$1) AND (aktivni=$2) AND (povoleny=$3) ORDER BY '. self::getOrderBy($lang);

	$params = array(eizObjekt::KAT_USEFUL, true, true);

	return self::processQueryv2($query, $params);
}

public static function getNejnovejsi($lang, $limit) {
	if ($limit == 0) {
		$limit = '';
	}
	else {
		$limit = 'LIMIT '.$limit;
	}
	
	$query = 'SELECT * FROM zdroje WHERE '. self::PUBLIC_COND() .
		' ORDER BY vytvoren DESC '.$limit;

	return dbQuery::processQuery(get_class(), $query);
}


private function getIcon($lang, $is_available = true) {

	global $IMG_DIR, $KAT_LICENCOVANY, $KAT_FREE, $KAT_FREE_TRIAL, $KAT_USEFUL,
		$KAT_DEFAULT, $KAT_META, $I18N,
		
		$DSG_IMG_ICON_FREE_SOURCE, $DSG_IMG_ICON_LICENCED_SOURCE, 
		$DSG_IMG_ICON_FREETRIAL_SOURCE, $DSG_IMG_ICON_USEFUL_SOURCE, 
		$DSG_IMG_ICON_META_SOURCE, $DSG_IMG_ICON_NONACTIVE, 
		$DSG_IMG_ICON_EXPIRED_SOURCE, $DSG_IMG_ICON_LOCKED_SOURCE,
		$DSG_IMG_ICON_NOT_AVAILABLE;


	if ($lang == 'en') {
		include("eizlibs/$I18N/ikony_popis_en_default.php");
		include("eizlibs/$I18N/ikony_popis_en.php");
	}
	else {
		include("eizlibs/$I18N/ikony_popis_cs_default.php");
		include("eizlibs/$I18N/ikony_popis_cs.php");
	}

	if (! $is_available) {
		$obr = $DSG_IMG_ICON_NOT_AVAILABLE;
		$obr_desc = $txt_ikona_nedostupny;
	}
	else {

		// primarne rozhoduji o typu
		switch ($this->kategorie) {
		case eizObjekt::KAT_LICENCOVANY: 
			$obr = $DSG_IMG_ICON_LICENCED_SOURCE; 
			$obr_desc = $txt_ikona_licencovany; 
			break;
		case eizObjekt::KAT_FREE:
			$obr = $DSG_IMG_ICON_FREE_SOURCE;
			$obr_desc = $txt_ikona_free;
			break;
		case eizObjekt::KAT_FREE_TRIAL:
			$obr = $DSG_IMG_ICON_FREETRIAL_SOURCE;
			$obr_desc = $txt_ikona_freetrial;
			break;
		case eizObjekt::KAT_USEFUL:
			$obr = $DSG_IMG_ICON_USEFUL_SOURCE;
			$obr_desc = $txt_ikona_uzitecny_odkaz;
			break;
		case eizObjekt::KAT_META:
			$obr = $DSG_IMG_ICON_META_SOURCE;
			$obr_desc = $txt_ikona_metazdroj;
			break;
		default:
			$obr = $DSG_IMG_ICON_LICENCED_SOURCE;
			$obr_desc = $txt_ikona_licencovany;
			break;
		}
	}

	/*	
	// pokud je zdroj neaktivni, zobrazime to
	if (! $this->aktivni) {
		$obr = $DSG_IMG_ICON_NONACTIVE_SOURCE;
		$obr_desc = $txt_ikona_neaktivni;
	}

	// druhou nejvyssi prioritu ma zobrazit, ze zdroji vyprsela dostupnost
	if (compareCurrentDate($this->expirace) < 0) {
		$obr = $DSG_IMG_ICON_EXPIRED_SOURCE;
		$obr_desc = $txt_ikona_dostupnost;
	}

	// zamek ma nejvyssi prioritu a prerazi jine ikony
	if ($this->zamek != null) {
		$obr = $DSG_IMG_ICON_LICENCED_SOURCE;
		$obr_desc = $txt_ikona_uzamcen;
	}
	 */

	return "<img src=\"$IMG_DIR/$obr\" alt=\"$obr_desc\" />";
}

private function getAdditionalText() {

	global $ENABLE_SOURCE_ADDITIONAL_TEXT_FREE, 
		$ENABLE_SOURCE_ADDITIONAL_TEXT_FREETRIAL;

	if ($ENABLE_SOURCE_ADDITIONAL_TEXT_FREE && 
		$this->kategorie == eizObjekt::KAT_FREE) {
			$text = "<span class=\"free\">Free</span>";
	}
	else {
	if ($ENABLE_SOURCE_ADDITIONAL_TEXT_FREETRIAL && 
		$this->kategorie == eizObjekt::KAT_FREE_TRIAL) {
			$text = "<span class=\"free-trial\">Free-trial</span>";
		}
		else {
			$text = '';
		}	
	}

	return $text == '' ? '' : "<span class=\"kat_text\">$text</span>";
}



public function show($lang, $uzivatel = null, $params = '') {

	global $TEXT_FREE_TRIAL, $KAT_FREE_TRIAL, $IMG_DIR, $TOP_EXPIR, 
		$ONELOG_SHORT_TEXT, $OPEN_LINKS_IN_NEW_WINDOW, $I18N,
		$ENABLE_TITLES_BY_FACS, $SOURCE, $KAT_FREE, $ENABLE_SHIBBOLETH,
		$DSG_IMG_ICON_NOT_AVAILABLE, $SHIB_DISABLE_EZPROXY_LINK,
		$SHIB_SHOW_JS_TOOLTIP_IN_LISTS,
		$SHOW_EZPROXY_FOR_FACULTY_ONLY_RESOURCES;

	if ($lang == "en") {
		include("eizlibs/$I18N/zdroj_strucne_en_default.php");
		include("eizlibs/$I18N/zdroj_strucne_en.php");
	}
	else {
		include("eizlibs/$I18N/zdroj_strucne_cs_default.php");
		include("eizlibs/$I18N/zdroj_strucne_cs.php");
	}

	$pname = getZkratka($lang, $this->nazev, $this->nazev_cs);
	$popis = $lang == 'en' ? $this->info_strucne_en : $this->info_strucne_cs;
	$onelog = getOneLogLink($lang, $this->odkaz_extra_en, $this->odkaz_extra_cs);
	$plink = getLink($lang, $this->odkaz, $this->odkaz_cs);
	$target = getOpenLink();
	$show_ezproxy = getBool($this->ezproxy_odkaz);
			

	// vezmeme si ikonu - zdroj je vzdy aktivni, expirace nas nezajima, 
	// zamek taky ne, kategorie ano
	$is_available = $this->isAvailable($uzivatel);
	$img = $this->getIcon($lang, $is_available);
	$text = getKategorieText(getKategorie($this->kategorie));

	$available_class = ''; 
	$info_frame = '';
	$jscript_attrs = '';
	if (! $is_available) {
		$available_class = ' list-not-available';
		if ($SHIB_SHOW_JS_TOOLTIP_IN_LISTS) {
			$info_frame = "<span class=\"hidden\" id=\"not_available".$this->id."\">$txt_shib_nedostupny</span>";
			$jscript_attrs = " onmouseover=\"TagToTip('not_available".$this->id."')\" onmouseout=\"UnTip()\" ";
		}
	}

	echo "<div class=\"zdroj $available_class\">\n";
	echo $info_frame;
	echo "\t<a href=\"zdroj.php?lang=$lang&amp;id=$this->id$params\" $jscript_attrs>";
	echo $img;
	echo "</a>\n";
	echo "\t&nbsp;<a href=\"zdroj.php?lang=$lang&amp;id=$this->id$params\" $jscript_attrs>";
	echo "<span class=\"zdroj_list $available_class\">" . htmlEscape($pname) . "</span></a>";


	if (! $this->jeAktivniOd()) { //odkazy zobraz pouze neni-li zdroj aktivni od urciteho data

		echo "&nbsp;\n";
		echo "\t\t<span class=\"pripojit $available_class\">[";

		$to_print = '';
		$to_print2 = '';

		if ($plink != "") {
			//Anopress hack!
			if ($id == 198 && $MY_FQDN == 'ezdroje.muni.cz') $onclick = "onclick=\"return confirm('Vstup do této databáze má následující omezení: \\n1) MU má stanoven měsíční limit na celkový počet stažených článků.\\n2) Není povoleno hromadné stahování výsledků.\\n3) Doporučujeme při vyhledávání důsledně odfiltrovávat nepotřebné zdroje, typicky regionální tisk apod.');\"";
			else $onclick="";

			echo "<a href=\"". htmlEscape($plink) ." $onclick\">$txt_pripojit</a>";
		}
		else {

			if ($ENABLE_TITLES_BY_FACS) {
				$fakulty = new fakulty(fakulta::getFakulty($lang));
				$fakulty_info = fakulta_info::getFakulty($SOURCE, $this->id);

				foreach ($fakulty_info as $fakulta_info) {
					if (! $fakulta_info->isOdkaz()) {
						$to_print .= "<a href=\"".$fakulta_info->getOdkaz($lang)."\">".
							$fakulty->getZkratka($fakulta_info->fid)."</a>, ";
					}
				}	
				$to_print = normalizeList($to_print);		

				if ($to_print != '') {
					echo "<span class=\"odkaz\" onclick=\"TagToTip('pripojit$this->id')\">".
						"<i>$txt_pripojit</i></span>";
					echo "<span class=\"hidden\" id=\"pripojit$this->id\">$txt_odkazy_fakulty $to_print</span>";
				}
			}
		}


		$disable_ezproxy = $ENABLE_SHIBBOLETH && 
			$SHIB_DISABLE_EZPROXY_LINK && 
			$this->shib || 
			(! $SHOW_EZPROXY_FOR_FACULTY_ONLY_RESOURCES && ! $this->isMU());

		if ($this->ezproxy_odkaz && ! $disable_ezproxy) {
			if ($onelog != "") {
				if ($plink != "" || $to_print != '') { 
					//|| $to_print != '') 
					echo " | ";
				}
				echo "<a href=\"$onelog\" $target>$txt_vzdaleny_pristup</a>";
			}
			else {
				// mame Shibboleth
				//if ($plink != "" || $to_print != '') echo " | ";

				if ($ENABLE_TITLES_BY_FACS) {
					$fakulty = new fakulty(fakulta::getFakulty($lang));
					$fakulty_info = fakulta_info::getFakulty($SOURCE, $this->id);

					foreach ($fakulty_info as $fakulta_info) {
						if (! $fakulta_info->isVzdalenyOdkaz()) {
							$to_print2 .= "<a href=\"".$fakulta_info->getOneLog($lang)."\">".
								$fakulty->getZkratka($fakulta_info->fid)."</a>, ";
						}
					}	
					$to_print2 = normalizeList($to_print2);		

					if ($to_print2 != '')  { 
						if ($plink != '' || $to_print != '') echo " | ";				
						echo "<span class=\"odkaz\" onclick=\"TagToTip('pripojit_vzd$this->id')\">".
							"<i>$txt_vzdaleny_pristup</i></span>";
						echo "<span class=\"hidden\" id=\"pripojit_vzd$this->id\">$txt_odkazy_vzdaleny_pristup $to_print2</span>";
					}
				}
			}
		}

		if ($this->shib && $ENABLE_SHIBBOLETH) {
			$loc_text = /*! $disable_ezproxy ? $txt_vzdaleny_pristup : */
				$txt_shibboleth;

			echo " | <a href=\"".$this->getShibOdkaz($lang)."\">$loc_text</a>";
		}

		echo "]</span>\n";
	}

	echo $this->getAdditionalText();

	if ($popis != "") {
		echo "\t\t&nbsp;&ndash;&nbsp;". htmlEscape($popis) ."\n";
	}
	echo "</div><!-- zdroj -->\n";

}

public function getNazev($lang) {
	
	global $ENABLE_EXTRA_CZECH_TITLE;

	if ($ENABLE_EXTRA_CZECH_TITLE) {
		if ($lang == "en") return $this->nazev;
		else return $this->nazev_cs;
	}
	else {
		return $this->nazev;
	}
}

public function getShibOdkaz($lang) {

	if ($lang == 'en') {
		$shib_odkaz = $this->shib_odkaz_en;
		$shib_alt = $this->shib_odkaz_cs;
	}
	else {
		$shib_odkaz = $this->shib_odkaz_cs;
		$shib_alt = $this->shib_odkaz_en;
	}

	if ($shib_odkaz == '') return trim($shib_alt);
	else return trim($shib_odkaz);
}


public function sfxSnippet($lang) {

	global $MY_URL, $SFX_PAGE, $DSG_IMG_ICON_SFX_SUPPORT, $I18N;

	if ($lang == "en") {
		include("eizlibs/$I18N/zdroj_jine_en_default.php");
		include("eizlibs/$I18N/zdroj_jine_en.php");
		$sfx_popis = $this->sfx_popis_en;
	}
	else {
		include("eizlibs/$I18N/zdroj_jine_cs_default.php");
		include("eizlibs/$I18N/zdroj_jine_cs.php");
		$sfx_popis = $this->sfx_popis_cs;
	}

	$sfx_popis = trim($sfx_popis) != '' ? "<hr />$sfx_popis" : "";

	$popis = "$txt_sfx_zdroj_podpora <a href=\"$MY_URL/$SFX_PAGE/?lang=$lang\">$txt_sfx_zdroj_podpora_co</a>$sfx_popis";

	if ($this->sfx) {

		echo "<span class=\"hidden\" id=\"sfx\">$popis</span>";
		echo "<a href=\"$MY_URL/$SFX_PAGE/?lang=$lang\" onmouseover=\"TagToTip('sfx')\" onmouseout=\"UnTip()\">";
		echo "<img class=\"logo-supp\" src=\"images/$DSG_IMG_ICON_SFX_SUPPORT\" alt=\"SFX\" />";
		echo "</a>\n";
	}
}

public function shibSnippet($lang) {

	global $MY_URL, $VZDALENY_PRISTUP_PAGE, $DSG_IMG_ICON_SHIB_SUPPORT, $I18N;
	
	if ($lang == "en") {
		include("eizlibs/$I18N/zdroj_jine_en.php");
		$shib_popis = $this->shib_popis_en;
	}
	else {
		include("eizlibs/$I18N/zdroj_jine_cs.php");
		$shib_popis = $this->shib_popis_cs;
	}


	$popis = "$txt_shib_zdroj_podpora <a href=\"$MY_URL/$VZDALENY_PRISTUP_PAGE/shibboleth.php?lang=$lang\">$txt_shib_zdroj_podpora_co</a>";
	$odkaz = $this->getShibOdkaz($lang);
	if ($odkaz != '' || trim($shib_popis) != '') {
		$popis .= "<hr />$shib_popis";
		if ($odkaz != '') $popis .= "<a style=\"font-size: 8pt\" href=\"$odkaz\">$txt_shib_zdroj_pripojit</a>";
	}

	if ($this->shib) {

		echo "<span class=\"hidden\" id=\"shib\">$popis</span>";
		echo "<a href=\"$MY_URL/$VZDALENY_PRISTUP_PAGE/shibboleth.php?lang=$lang\" onmouseover=\"TagToTip('shib')\" onmouseout=\"UnTip()\">";
		echo "<img class=\"logo-supp\" src=\"images/$DSG_IMG_ICON_SHIB_SUPPORT\" alt=\"Shibboleth\" />";
		echo "</a>";
		//echo "<br />";
		//echo "<a href=\"".$this->getShibOdkaz($lang)."\">Pripojit</a>\n";
	}
}

public function isFacsOnly() {
	global $SOURCE_MU_FACS;

	return $this->zarazeni == $SOURCE_MU_FACS ? true : false;
}

public function isMU() {
	global $SOURCE_MU;

	return $this->zarazeni == $SOURCE_MU ? true : false;
}

public function isAvailable($uzivatel = null) {
	global $ENABLE_SHIBBOLETH, $ENABLE_SHIBBOLETH_AUTH;

	if ($uzivatel != null && $this->isFacsOnly() && $ENABLE_SHIBBOLETH && $ENABLE_SHIBBOLETH_AUTH) {
		//$fakulty = new fakulty(fakulta::getFakultyByZdroj('cs', $this->id));
		//return $uzivatel->isInFaculties($fakulty->ids); 
		return $uzivatel->isInFaculties($this->fakulty);
	}
	
	return true;
}

public static function getSearchCond() {
	return self::SEARCH_COND();
}


/**
 * Vraci snippety asociobvane se zdroje. Viz snippet_class
 */
public function getSnippets() {
	return snippet::getSnippets($this->id, 'zdroj');
}


public function getAZLink($lang) {
	return $lang == 'en' ? $this->az_link_en : $this->az_link_cs;
}


public function jeAktivniOd() {
	return ($this->aktivni_od != null) && 
		(compareCurrentDate($this->aktivni_od) > 0);
}


public function getSubresources() {

	$query = "SELECT * FROM zdroje, zdroj_zdroj WHERE (rodic_id = $1 AND potomek_id = zdroj_id) AND " . self::PUBLIC_COND() . " ORDER BY ". self::getOrderBy($lang);

	$params = array($this->id);

	return self::processQueryv2($query, $params);
}

} // zdroj







