<?php

require_once("classes.php");

class spravce extends dbQuery {
	
public $pid;
public $login;
public $admin; 
public $fakulta;
public $titul_pred; 
public $jmeno; 
public $prijmeni; 
public $titul_za; 
public $email; 
	
public function __construct($pid = "", $login = "", $admin = false, 
	$fakulta = "", $prijmeni = "", $jmeno = "", $titul_pred = "", 
	$titul_za = "", $email = "") {

	$this->pid = $pid;
	$this->login = $login;
	$this->admin = $admin;
	$this->fakulta = $fakulta;
	$this->prijmeni = $prijmeni;

	$this->jmeno = $jmeno;
	$this->titul_pred = $titul_pred;
	$this->titul_za = $titul_za;
	$this->email = $email;
}


public function getIconFile() {

	if ($this->admin) return "uzivatel-admin.gif";

	if ($this->login != "") return "uzivatel-login.gif";
	else return "uzivatel-nologin.gif";
}

public function getIconDesc() {

	if ($this->admin) return "Administrtor";

	if ($this->login != "") return "Bn uivatel";
	else return "Osoba";
}

public function getPID() {
	
	return $this->pid;
}

public function getPrijmeni() {
	
	return $this->prijmeni;
}

public function getFakulta() {
	
	return $this->fakulta;
}

public function getFormattedLink() {

	global $EMAIL_LINK, $DIRECT_EMAIL;
	
	if (! $DIRECT_EMAIL) return "$EMAIL_LINK$this->pid";
	else return "mailto:$this->email";
}

public function getFullName() {
	
	$ret = $this->titul_pred == "" ? "" : $this->titul_pred."&nbsp;";
	$ret .= $this->jmeno."&nbsp;".$this->prijmeni;
	$ret .= $this->titul_za == "" ? "" : "&nbsp;".$this->titul_za;

	return $ret;
}

public function getOdkaz() {
	$odkaz = "<a href=\"". $this->getFormattedLink() ."\">".
		$this->getFullName()."</a>";

	return $odkaz;
}

protected static function fromDbConstructor($row) {

	$spravce = new spravce(
			getInt($row['pid']), 
			$row['login'],
			getBool($row['je_admin']), 
			getInt($row['fakulta']),
			$row['prijmeni'], 
			$row['jmeno'], 
			$row['titul_pred'], 
			$row['titul_za'],
			$row['email']);
		
	return $spravce;
}

public static function getSpravci() {
	$query = "SELECT * FROM spravci";
	$result = pg_query($query);
	$spravci = array();

	while ($row = pg_fetch_array($result, NULL, PGSQL_ASSOC)) {

		$mypid = $row['pid'];
		$spravci["$mypid"] = self::fromDbConstructor($row);
	}

	return $spravci;
}

public static function getSpravce($pid, $user) {
	
	$query = "SELECT * FROM spravci WHERE pid = $1";
	$params = array($pid);
	$result = pg_query_params($query, $params);

	db_one_row($result, $user, $_SERVER['PHP_SELF'],
		"Source administrator $pid mismatch!", 'cs');

	$row = pg_fetch_array($result, NULL, PGSQL_ASSOC);

	return self::fromDbConstructor($row);
}	

}


