<?php

require_once('config.php');
require_once('constants.php');
require_once('fakulta_class.php');
//require_once("eizlibs/simplesamlphp/lib/_autoload.php");


//require_once("classes.php");

class uzivatel /* extends dbQuery */ {

private $shib_auth;
public $eppn;
public $plne_jmeno;
public $plne_jmeno_tituly;
public $jmeno; 
public $prijmeni;  
public $email; 
public $zarazeni;
public $zarazeni_podrobne;
public $zarazeni_lokalni;

public $attrs;

public $display_name;
public $display_email;
public $display_eppn;


private $faculty_ids;

private function __construct($shib_auth, $attrs, $eppn, $plne_jmeno, 
	$plne_jmeno_tituly, $jmeno, $prijmeni, 
	$email, $zarazeni, $zarazeni_podrobne, $zarazeni_lokalni, $entitlement, 
	$display_name, $display_full_name, $display_email, $display_eppn, 
	$get_facs = false) {

	$this->shib_auth = $shib_auth; // jen simpleSAMLphp
	$this->eppn = $eppn;
	$this->prijmeni = $prijmeni;
	$this->plne_jmeno = $plne_jmeno;
	$this->plne_jmeno_tituly = $plne_jmeno_tituly;
	$this->jmeno = $jmeno;
	$this->email = $email;
	$this->zarazeni = $zarazeni;
	$this->zarazeni_podrobne = $zarazeni_podrobne;
	$this->zarazeni_lokalni = $zarazeni_lokalni;
	$this->zarazeni_prime = $entitlement;

	$this->display_name = $display_name;
	$this->display_email = $display_email;
	$this->display_eppn = $display_eppn;
	$this->display_full_name = $display_full_name;

	$this->attrs = $attrs;

}


public static function getShibAuth($get_facs = false, 
	$authentication_source = '') {

	global $SHIB_AUTH_RESOURCE, $MY_SURL, $PORTAL_PAGE, $SHIBBOLETH_LIBRARY,

		$SHIB_ATTR_EMAIL, $SHIB_ATTR_EPA, $SHIB_ATTR_EPSA, $SHIB_ATTR_SN, 
		$SHIB_ATTR_CN, $SHIB_ATTR_DISPLAYNAME, $SHIB_ATTR_GIVENNAME, 
		$SHIB_ATTR_MAIL, $SHIB_ATTR_LOCAL_AFF, $SHIB_ATTR_EPPN, 
		$SHIB_ATTR_ENTITLEMENT,
		
		$SHIB_DISPLAY_NAME, $SHIB_DISPLAY_EPPN, $SHIB_DISPLAY_EMAIL,
		$SHIB_DISPLAY_FULL_NAME, $ENABLE_SHIBBOLETH_AUTH;

	if (! $ENABLE_SHIBBOLETH_AUTH) return null;

	if ($SHIBBOLETH_LIBRARY == 'simpleSAMLphp') {
/*
		$authentication_source = $authentication_source == '' 
			? $SHIB_AUTH_RESOURCE : $authentication_source;

		$as = new SimpleSAML_Auth_Simple($authentication_source);


		$as->requireAuth(array('ReturnTo' => "$MY_SURL/shibboleth/"));

		$attributes = $as->getAttributes();

		return new uzivatel($as, '', '', '', '', 
			$attributes['eppn'][0], '', '', '');*/
	}
	else {
		if (isset($_SERVER["Shib-Session-ID"])) {

			$attrs[$SHIB_ATTR_EPPN] = $eppn = 
				self::setAttr($SHIB_ATTR_EPPN, ''); 
			$attrs[$SHIB_ATTR_SN] = $prijmeni = 
				self::setAttr($SHIB_ATTR_SN, '');
			$attrs[$SHIB_ATTR_GIVENNAME] = $jmeno = 
				self::setAttr($SHIB_ATTR_GIVENNAME, '');
			$attrs[$SHIB_ATTR_DISPLAYNAME] = $plne_jmeno_tituly = 
				self::setAttr($SHIB_ATTR_DISPLAYNAME, $prijmeni); 
			$attrs[$SHIB_ATTR_CN] = $plne_jmeno = 
				self::setAttr($SHIB_ATTR_CN, $prijmeni);
			$attrs[$SHIB_ATTR_MAIL] = $email = 
				self::setAttr($SHIB_ATTR_MAIL, $eppn);
			$attrs[$SHIB_ATTR_EPA] = $epa = 
				self::setAttr($SHIB_ATTR_EPA, '');
			$attrs[$SHIB_ATTR_EPSA] = $epsa = 
				self::setAttr($SHIB_ATTR_EPSA, '');
			$attrs[$SHIB_ATTR_LOCAL_AFF] = $locepa = 
				self::setAttr($SHIB_ATTR_LOCAL_AFF, '');
			$attrs[$SHIB_ATTR_ENTITLEMENT] = $entitlement = 
				self::setAttr($SHIB_ATTR_ENTITLEMENT, '');

			$display_name = self::setAttr($SHIB_DISPLAY_NAME, '');
			$display_full_name = self::setAttr($SHIB_DISPLAY_FULL_NAME, '');
			$display_email = self::setAttr($SHIB_DISPLAY_EMAIL, '');
			$display_eppn = self::setAttr($SHIB_DISPLAY_EPPN, '');


			$uzivatel = new uzivatel(null, $attrs, $eppn, $plne_jmeno, 
				$plne_jmeno_tituly, 
				$jmeno, $prijmeni, $email, $epa, $epsa, $locepa, $entitlement,
				$display_name, $display_full_name, $display_email, $display_eppn, 
				$get_facs);

			if ($get_facs) {
				$uzivatel->faculty_ids = $uzivatel->getFacultiesIDs();
			}

			return $uzivatel;

		}
		else return null;
	}
}

public static function getUzivatel() {
	global $ENABLE_SHIBBOLETH, $ENABLE_SHIBBOLETH_AUTH;


}

#public function getShibAttrs() {

#	return $this->shib_auth->getAttributes();
#}

private function getLocalAffs() {

	global $SHIB_AUTH_AUTHORIZATION_ATTRS, $SHIB_AUTH_AUTHORIZATION_DIV;

	$local_affs = array();

	foreach($SHIB_AUTH_AUTHORIZATION_ATTRS as $attr) {
		if (($affs = explode($SHIB_AUTH_AUTHORIZATION_DIV, $this->attrs[$attr]))) {
			$local_affs = array_merge($local_affs, $affs);
		}
	}

	return $local_affs;

}

public function getFaculties() {

	$affs = $this->getLocalAffs();

	$fakulty = array();

	foreach($affs as $aff) {
		$fakulta = fakulta::getFakultaByShibId($aff);
		if ($fakulta != null) {
			$fakulty[] = $fakulta;
		}

	}

	return $fakulty;
}


public function getFacultiesIDs() {

	$affs = $this->getLocalAffs();

	$fakulty = array();

	foreach($affs as $aff) {
		$fakulta = fakulta::getFakultaByShibId($aff);
		if ($fakulta != null) { 
			$fakulty[] = $fakulta->id;
		}

	}

	return $fakulty;
}

public function isInFaculties($facsIds) {

	$userFacsIds = $this->faculty_ids;

	foreach($userFacsIds as $id) {
		if (in_array($id, $facsIds)) return true;
	}

	return false;
}

public function getRawFacultiesIDs() {

	return $this->faculty_ids;
}

public function getLogoutURL($where = '') {

	global $MY_SURL, $PORTAL_PAGE, $SHIBBOLETH_LIBRARY, 
		$SHIB_LOGOUT_URL, $SHIB_REDIRECT_LOGOUT;

	if ($SHIB_REDIRECT_LOGOUT) {
		$where = $where == '' ? $MY_SURL/$PORTAL_PAGE : $where;
		$where = '?return='.$where;
	}
	else {
		$where = '';
	}

	if ($SHIBBOLETH_LIBRARY == 'simpleSAMLphp') {
	//	return htmlspecialchars($this->shib_auth->getLogoutURL($where));
	}
	else {
		return htmlspecialchars("$SHIB_LOGOUT_URL$where");
	}
}

public static function getLoginURL($where) {

	global $SHIB_LOGIN_URL;

	$where = rawurlencode($where);
	return htmlspecialchars("$SHIB_LOGIN_URL$where");
}


private static function setAttr($attr, $default) {

	return isset($_SERVER[$attr]) ? $_SERVER[$attr] : $default;
}



public function printDebugInfo() {

	global $SHIBBOLETH_LIBRARY,

		$SHIB_ATTR_EMAIL, $SHIB_ATTR_EPA, $SHIB_ATTR_EPSA, $SHIB_ATTR_SN, 
		$SHIB_ATTR_CN, $SHIB_ATTR_DISPLAYNAME, $SHIB_ATTR_GIVENNAME, 
		$SHIB_ATTR_MAIL, $SHIB_ATTR_LOCAL_AFF, $SHIB_ATTR_EPPN;

	echo "<pre>";

	echo "Typ: $SHIBBOLETH_LIBRARY\n";
	echo "EPPN: $this->eppn ($SHIB_ATTR_EPPN)\n";
	echo "Prijmeni: $this->prijmeni ($SHIB_ATTR_SN)\n";
	echo "Jmeno: $this->jmeno ($SHIB_ATTR_GIVENNAME)\n";
	echo "Plne jmeno: $this->plne_jmeno ($SHIB_ATTR_CN)\n";
	echo "Plne jmeno s tituly: $this->plne_jmeno_tituly ($SHIB_ATTR_DISPLAYNAME)\n";
	echo "Email: $this->email ($SHIB_ATTR_MAIL)\n";
	echo "Zarazeni (affiliation): $this->zarazeni ($SHIB_ATTR_EPA)\n";
	echo "Zarazeni podrobne: $this->zarazeni_podrobne ($SHIB_ATTR_EPSA)\n";
	echo "Zarazeni lokalne: $this->zarazeni_lokalni ($SHIB_ATTR_LOCAL_AFF)\n";

	$facs = $this->getFaculties();

	echo "Fakulty po prevedeni (".count($facs)."):";

	foreach($facs as $fac) { echo " $fac->zkratka"; }


	echo "</pre>";
}

public function printInfo() {

	global $SHIBBOLETH_LIBRARY,

		$SHIB_ATTR_EMAIL, $SHIB_ATTR_EPA, $SHIB_ATTR_EPSA, $SHIB_ATTR_SN, 
		$SHIB_ATTR_CN, $SHIB_ATTR_DISPLAYNAME, $SHIB_ATTR_GIVENNAME, 
		$SHIB_ATTR_MAIL, $SHIB_ATTR_LOCAL_AFF, $SHIB_ATTR_EPPN;

	echo "<pre>";

	echo "Typ: $SHIBBOLETH_LIBRARY\n";
	echo "EPPN: $this->eppn ($SHIB_ATTR_EPPN)\n";
	echo "Prijmeni: $this->prijmeni ($SHIB_ATTR_SN)\n";
	echo "Jmeno: $this->jmeno ($SHIB_ATTR_GIVENNAME)\n";
	echo "Plne jmeno: $this->plne_jmeno ($SHIB_ATTR_CN)\n";
	echo "Plne jmeno s tituly: $this->plne_jmeno_tituly ($SHIB_ATTR_DISPLAYNAME)\n";
	echo "Email: $this->email ($SHIB_ATTR_MAIL)\n";
	echo "Zarazeni (affiliation): $this->zarazeni ($SHIB_ATTR_EPA)\n";
	echo "Zarazeni podrobne: $this->zarazeni_podrobne ($SHIB_ATTR_EPSA)\n";
	echo "Zarazeni lokalne: $this->zarazeni_lokalni ($SHIB_ATTR_LOCAL_AFF)\n";

	$facs = $this->getFaculties();

	echo "Fakulty po prevedeni (".count($facs)."):";

	foreach($facs as $fac) { echo " $fac->zkratka"; }


	echo "</pre>";
}





}

