<?php

require_once("../eizlibs/db_connect.php");
require_once("../eizlibs/functions.php");
require_once("../eizlibs/rights.php");

$om = setLogging($DISPLAY_ERRORS);

$lang = "cs";

$user = getUser();

$THIS_SCRIPT = trimSELF($_SERVER['PHP_SELF']);

connect_db();

check_rights($user, $NEWS, $RGHT_IS_ADMIN, "", $THIS_SCRIPT);

// **************************************************************************
// nacti spravce a aktuality
$query = "SELECT pid, prijmeni FROM spravci";
$result = pg_query($query);
$spravci = array();
while ($row = pg_fetch_array($result, NULL, PGSQL_ASSOC)) {
	$spravci[$row['pid']] = $row['prijmeni'];
}

$query = "SELECT * FROM aktuality ORDER BY datum DESC";
$result = pg_query($query);

//navigace
$nav_bar[0]=$NAV_AUTH;
$nav_ref[0]=$NAV_AUTH_LNK;
$nav_bar[1]=$NAV_AKTUALITY;
$nav_ref[1]=$THIS_SCRIPT;

html_heading($lang, $EIZ_AUTH);

menu($lang, "$THIS_SCRIPT", "", $EIZ_AUTH, "");

my_main($lang, $EIZ_AUTH);

nav_bar($lang, $nav_bar, $nav_ref);

echo "<h1>Aktuality</h1>\n";

echo "<div class=\"obsah\">\n\n";


while ($row = pg_fetch_array($result, NULL, PGSQL_BOTH)) {
	$nazev = getValue($row['nazev'], "<span class=\"monotyp\">název není vyplněn</span>");
	$datum = getDay($row['datum']).".".getMonth($row['datum'])."."
						.getYear($row['datum']);
	$spravce = $spravci[$row['vytvoril']];
	$obsah = $row['obsah'];				
	$aktualita_id = $row['aktualita_id'];
	$povolena = getBool($row['povolena']);
	$perex = getValue($row['perex'], "<span class=\"monotyp\">nevyplněn</span>");
	$rss = "";
	if ($ENABLE_RSS_NEWS) {
		$rss = getBool($row['rss']) ? "<img src=\"../images/rss-small.gif\" alt=\"RSS\" />" : ""; 
	}

	$note = "";
	if (! $povolena) {
		$note = "<span class=\"tluste_red\">&nbsp;Není povolené zobrazování na veřejném webu!</span>";
	}
	
	echo "<form action=\"edit_aktuality.php?id=$aktualita_id\" method=\"POST\">\n";
	
	echo "<div class=\"aktualita_admin\">\n";	
	echo "<span class=\"aktuality_datum\">$datum</span>\n";
	echo "<span class=\"ital\">[$spravce]</span> $note\n";
	echo "<div class=\"aktuality_nadpis\">$nazev $rss</div>\n";
	echo "<div class=\"aktualita_obsah\">";
	echo "<span class=\"tluste\">Perex:</span> $perex</div>\n";
	echo "<div class=\"aktualita_obsah\">";
	echo "<span class=\"tluste\">Obsah:</span> $obsah</div>\n";
	echo "</div><!-- aktualita admin -->\n";

	echo "<div class=\"horiz_menu\">\n";
	tlacitko("Upravit", "submit", "upravit");
	tlacitko("Smazat", "submit", "smazat");
	echo "</div><!-- horizon menu -->\n";

	echo "</form>\n";
}

echo "\n</div><!-- obsah -->\n\n";

my_main_ending();

setlocale(LC_TIME, $MY_LOCALES1, $MY_LOCALES2, $MY_LOCALES3);
footer(filectime($THIS_SCRIPT), $lang);

html_ending();

unsetLogging($DISPLAY_ERRORS, $om);

?>
