<?php

require_once("../eizlibs/db_connect.php");
require_once("../eizlibs/functions.php");
require_once("../eizlibs/rights.php");


require_once("eizlibs/fakulta_class.php");
require_once("eizlibs/spravce_class.php");

$om = setLogging($DISPLAY_ERRORS);

$lang="cs";

$user = getUser();

$THIS_SCRIPT = trimSELF($_SERVER['PHP_SELF']);

connect_db();

$id=stringEscape(GETid());
$userinfo = getUserInfo($user, $_SERVER['PHP_SELF']);
$pid = getPid($userinfo);
$admin = getIsAdmin($userinfo);

//uzivatel dal zpet v editaci, odemkni
if (issetGET("unlock")) {
	$what_unlock = getGET("unlock");
	if (($lock = unlock($pid, $what_unlock, $MAGAZINE, 
		$_SERVER['PHP_SELF'])) != $UNLOCKED) {
			logit($user, $_SERVER['PHP_SELF'], 
				"User cannot unlock magazine $what_unlock ($lock)!", $LOG_LCK);
   }
}

// labely
$exp = "neomezena";
$not_incl = "neuveden";
$next_info = "Více...";
$notin = "nevloženo";

// ************************************************************************
// provedeme dotazy 

$query = "SELECT * FROM casopisy WHERE casopis_id='$id' AND $DELETED_MAGAZINE_COND";
$result = pg_query($query);
db_one_row($result, $user, $_SERVER['PHP_SELF'], 
	"Magazine $id mismatch or non-exist!", $lang);
$row = pg_fetch_array($result, NULL, PGSQL_BOTH);

// info o casopisu
$ezbid = getValue($row['ezbid'], $notin);
$titul = getValue($row['titul'], $notin);
$nakladatel = getValue($row['nakladatel'], $notin);
$eissn = getValue($row['e_issn'], $notin);
$pissn = getValue($row['p_issn'], $notin);
$klicova_slova = getValue($row['klicova_slova'], $notin);
$odkazy = getValue($row['odkazy'], $notin);
$typ = getValue($row['typ'], $notin);
$typ_platby = getValue($row['typ_platby'], $notin);
$pristup = getValue($row['pristup'], $notin);
$recenze = getBool($row['recenze']);
$prrv_issue = getValue($row['prrv_issue'], $notin);
$prrv_volume = getValue($row['prrv_volume'], $notin);
$prrv_year = getValue($row['prrv_year'], $notin);
$porv_issue = getValue($row['porv_issue'], $notin);
$porv_volume = getValue($row['porv_volume'], $notin);
$porv_year = getValue($row['porv_year'], $notin);
$pohybliva_dostupnost = getValue($row['pohybliva_dostupnost'], $notin);
$dostupne = getBool($row['dostupne']);
$frekvence = getValue($row['frekvence'], $notin); 
$komentar = getValue($row['komentar'], $notin);
$aktivni = getBool($row['aktivni']);
$in_ezb = getBool($row['in_ezb']);
$expirace = $row['expirace'];
$platnost = getFormatedDate($row['expirace']);
if (getYear($row['expirace']) == $TOP_YEAR) $platnost = $exp;
$modifikace = getFormatedDate($row['modifikace']);

$aktivni_od = '';
if ($row['aktivni_od'] != NULL) {
	$aktivni_od = getDay($row['aktivni_od']).".";
	$aktivni_od .= getMonth($row['aktivni_od']).".";
	$aktivni_od .= ($rok = getYear($row['aktivni_od']));
	if ($rok == $BOTTOM_YEAR) $aktivni_od = $notin;
}
else $aktivni_od = $notin;

$sfx_link = getValue($row['linker_db'], $notin);


$spravce_pid = $row['odpovedny_spravce'];
$spravce = $row['odpovedny_spravce'] != "" ? $row['odpovedny_spravce'] : $notin;
$kontaktni_osoba = $row['kontaktni_osoba'] != "" ? $row['kontaktni_osoba'] : 
																										$notin;
$vytvoren = getFormatedDate($row['vytvoren']);
$mu = getBool($row['mu']);
$smazat = getBool($row['smazat']);
$ezb = getBool($row['ezb']);


$zamek=getInt($row['zamek']);
$popis_zamku = getLockDescription($zamek, $row['zamek_cas'], $user, $THIS_SCRIPT);

// ************************
// zjisti spravce casopisu
$query = "SELECT titul_pred, jmeno, prijmeni, titul_za". 
				 " FROM spravci WHERE pid='$spravce'";
$result = pg_query($query);
db_one_row($result, $user, $_SERVER['PHP_SELF'], "Administrator id=\"$spravce\" mismatch!",
						$lang);
$row = pg_fetch_array($result, NULL, PGSQL_ASSOC);

$spravce_odkaz = spravce_odkaz($spravce);
$spravce = getFullName($row['titul_pred'], $row['jmeno'], $row['prijmeni'], 
												$row['titul_za']);

//zjisti kontatni osobu
$query = "SELECT titul_pred, jmeno, prijmeni, titul_za". 
          " FROM spravci WHERE pid='$kontaktni_osoba'";
$result = pg_query($query);
db_one_row($result, $user, $_SERVER['PHP_SELF'], "Administrator id=\"$spravce\" mismatch!",
						$lang);
$row = pg_fetch_array($result, NULL, PGSQL_ASSOC);

$osoba_odkaz=spravce_odkaz($kontaktni_osoba);
$osoba=getFullName($row['titul_pred'], $row['jmeno'], $row['prijmeni'], $row['titul_za']);


// ***************************************************************
// predmety, fakulty etc.

//zjisti kterym predmetum zdroj nalezi
$query = "SELECT predmety.predmet_id, predmety.predmet". 
					" FROM predmety, casopis_predmet".
					" WHERE (casopis_predmet.casopis_id = '$id') AND". 
								" (casopis_predmet.predmet_id = predmety.predmet_id)".
					" ORDER BY predmety.predmet";
$result = pg_query($query);
$predmety_count = pg_num_rows($result);

$predmety_id = array();
$predmety_nazev = array();

while ($row = pg_fetch_array($result, NULL, PGSQL_BOTH)) {
	array_push($predmety_id, $row['predmet_id']);
	array_push($predmety_nazev, $row[1]);
}
	
//zjisti kterym fakultam casopis nalezi
$fakultyObj = new fakulty(fakulta::getFakultyByCasopis('cs', $id));
$fakulty = $fakultyObj->printZkratky('cs', $RESOURCES_PAGE, false);

//*************************************************************************
// navigace
$db_cond = "";
$nav1_prefix_title="$NAV_VYBER_CASOPISY &ndash; ";

$nav2_label=$titul;
$nav2_param="?id=$id";
$nav2_ref="casopis.php?id=$id";

// ziskej nastaveni kde jsme a podle ceho prochazime
$navigace = navigation::getNavigation($MAGAZINE, $THIS_SCRIPT);
$nav_typ = $navigace->ntype;
$nav_params = "?ntype=$nav_typ";

switch ($navigace->ntype) {
case navigation::NAV_TYPE_DEFAULT:
	$nav1_label = "Moje časopisy";
	$nav1_ref="index.php";
	$db_cond = "WHERE odpovedny_spravce='$pid' AND $DELETED_MAGAZINE_COND ORDER BY titul";
	break;
case navigation::NAV_TYPE_ABECEDNE:
	$nav1_label = $nav1_prefix_title . $NAV_VYBER_ABECEDNE;
	$nav1_ref="casopisy_vyber.php$nav_params";
	$db_cond = "WHERE $DELETED_MAGAZINE_COND ORDER BY titul";
	break;
case navigation::NAV_TYPE_FAKULTY:
	$nav1_label = $nav1_prefix_title . $NAV_VYBER_FAKULTY;
	$nav1_ref="casopisy_vyber.php$nav_params";

	$nav_fakulta=$navigace->value1;
	$db_cond = ", casopis_fakulta ".
		" WHERE casopis_fakulta.fakulta_id = $nav_fakulta". 
		" AND casopis_fakulta.casopis_id = casopisy.casopis_id ". 
		" AND $DELETED_MAGAZINE_COND ORDER BY titul";

	$nav_bar[3] = $nav2_label;
	$nav_ref[3] = $nav2_ref;

	$nav2_label = $fakultyObj->getNazev('cs', $navigace->value1);
	$nav2_ref = "casopisy_vyber.php$nav_params&value1=$navigace->value1";
	break;
}


$nav_bar[0]=$NAV_AUTH;
$nav_ref[0]=$NAV_AUTH_LNK;
$nav_bar[1]=$nav1_label;
$nav_ref[1]=$nav1_ref;
$nav_bar[2]=$nav2_label;
$nav_ref[2]=$nav2_ref;

//**************************************************************************
// layout stranky
html_heading($lang, $EIZ_AUTH);

menu($lang, $THIS_SCRIPT, "", $EIZ_AUTH, "");

my_main($lang, $EIZ_AUTH);

nav_bar($lang, $nav_bar, $nav_ref);

echo "<div class=\"obsah\">\n";

echo "<div class=\"casopis_layout\">\n";
echo "<h1>$titul</h1>\n";
echo "</div><!-- zdroj layout -->\n";

echo "<div class=\"casopis_layout\">\n";
echo "<div class=\"informace_o\">\n";

echo "<div class=\"navigace\">\n";
if ($pid == $spravce_pid || $admin) {
	navigace("cs", $THIS_SCRIPT, $pid, $admin, $id, $db_cond, '', '', $MAGAZINE);	
}
echo "</div><!-- navigace -->\n";

echo "<table class=\"casopis\">\n";

polozka_admin("Status:", $aktivni ? "<span class=\"aktivni\">aktivní</span>" :
																			"<span class=\"neaktivni\">neaktivní</span>");
polozka_admin("Aktivováno v <img style=\"vertical-align: bottom\" src=\"images/sfx.gif\" alt=\"SFX\" />:", $in_ezb ? "ano" : "ne");
//polozka_admin("EZB ID:", $ezbid != $notin ? "<a href=\"$EZB_URL$ezbid\">$ezbid</a>" : $ezbid);
polozka_admin("Titul:", $titul); 
polozka_admin("E-ISSN:", $eissn);
polozka_admin("P-ISSN:", $pissn);
polozka_admin("Nakladatel:", $nakladatel);
polozka_admin("Klíčová slova:", $klicova_slova);
polozka_admin("Odkazy:", $odkazy);
polozka_admin("Typ:", $MAGAZINE_TYPE[$typ]);
polozka_admin("Typ platby:", $MAGAZINE_COST[$typ_platby]);
polozka_admin("Přístup:", $MAGAZINE_ACCESS[$pristup]);
polozka_admin("Recenzováno:", $recenze ? "ano" : "ne");

if ($prrv_issue == $notin && $prrv_volume == $notin && $prrv_year == $notin)
	polozka_admin("První vydání:", $notin);
else 
	polozka_admin("První vydání:", $prrv_issue."-".$prrv_volume."-".$prrv_year); 

if ($porv_issue == $notin && $porv_volume == $notin && $porv_year == $notin)
	polozka_admin("Poslední vydání:", $notin);
else
	polozka_admin("Poslední vydání:", $porv_issue."-".$porv_volume."-".$porv_year);
$prefix = $dostupne ? "ne" : "";
polozka_admin("Časová dostupnost:", $prefix.
							"dostupné posledních $pohybliva_dostupnost měsíců");

polozka_admin("Frekvence:", $frekvence);

// predmety
if ($predmety_count == 0) {
	polozka_admin("Předmětové řazení:", $notin);
}
else {
	$predmety = "";
	foreach ($predmety_id as $klic => $predmet) {
		$predmety .= $predmety_nazev[$klic].", ";
	}
	$predmety = normalizeList($predmety);
	polozka_admin("Předmětové řazení:", 
		"<span class=\"item_domains_faculties\">$predmety</span>");
}

// fakulty 

if ($mu) {
	polozka_admin("Náleží fakultám:", "<span class=\"item_domains_faculties\">celá $UNIVERSITY</span>");
}
else {
	if ($fakulty != '') {
		polozka_admin("Náleží fakultám:", 
									"<span class=\"item_domains_faculties\">".normalizeList($fakulty)."</span>");
	}
	else {
		polozka_admin("Náleží fakultám:", "<span class=\"item_domains_faculties\">nejsou vybrány žádné fakulty</span>");
	}
}


echo "<tr><td colspan=\"2\">";
echo "<hr class=\"zdroje\" />";
echo "</td></tr>";

polozka_admin("Komentář:", $komentar);
polozka_admin("Vytvořen:", $vytvoren);
polozka_admin("Poslední změna:", $modifikace);
if (compareCurrentDate($expirace) >= 0) 
		polozka_admin("Platnost:", $platnost);
else 
	polozka_admin("Platnost:", "<span class=\"expirace\">$platnost</span>");

polozka_admin("Aktivni od:", $aktivni_od);

polozka_admin("Odpovědný správce:", "<a href=\"$spravce_odkaz\">$spravce</a>");
polozka_admin("Kontaktní osoba:", "<a href=\"$osoba_odkaz\">$osoba</a>"); 
polozka_admin("Zámek na časopisu: ", $popis_zamku);
polozka_admin("SFX baze: ", $sfx_link);


echo "</td></tr>\n";

echo "</table><!-- zdroj -->\n";

echo "</div><!-- informace o -->\n";

echo "</div><!-- zdroj layout -->\n";

echo "<form action=\"edit_casopisy.php?id=$id\" method=\"post\">\n";
echo "<div class=\"horiz_menu\">\n";
tlacitko("Editovat časopis", "submit", "");
if ($zamek != null)
tlacitko("Odemknout časopis", "submit", "unlock");
tlacitko("Smazat časopis", "submit", "smazat");
tlacitko("Správa souborů", "submit", "soubory");
echo "<input type=\"hidden\" name=\"zkratka\" value=\"$titul\" />\n";
echo "</div>\n";
echo "</form>\n";

echo "\n</div><!-- obsah -->\n\n";

my_main_ending();

setlocale(LC_TIME, $MY_LOCALES1, $MY_LOCALES2, $MY_LOCALES3);
footer(filectime($THIS_SCRIPT), $lang);

html_ending();

unsetLogging($DISPLAY_ERRORS, $om);

?>
