<?php

require_once("../eizlibs/logging.php");
require_once("../eizlibs/db_connect.php");
require_once("../eizlibs/functions.php");
require_once("../eizlibs/rights.php");
require_once("../eizlibs/classes.php");

require_once("eizlibs/fakulta_class.php");
require_once("eizlibs/spravce_class.php");

$om = setLogging($DISPLAY_ERRORS);

// **************************************************************************
// funkce
function getLock($id, $zamek, $zamek_cas) 
{
	global $IMG_DIR, $MAGAZINE;
		//$obr = getSourceIcon("..", $aktivni , $expirace, $zamek, 0);
		if ($zamek != null) {
			$cas=getDay($zamek_cas).".";
			$cas.=getMonth($zamek_cas).".";
			$cas.=getYear($zamek_cas). " ";
			$cas.=getTime($zamek_cas);
			$zam_str = " <a href=\"odemkni.php?id=$id&typ=$MAGAZINE\"><img src=\"../$IMG_DIR/odemknout.gif\" alt=\"Odemkni časopis.\" /></a> ($cas)";
		}
		else $zam_str="";
		
		return $zam_str;
}

// **************************************************************************
// stranka

$lang = "cs";

$user = getUser();

$THIS_SCRIPT = trimSELF($_SERVER['PHP_SELF']);

connect_db();

$userinfo = check_rights($user, $MAGAZINE, $RGHT_IS_ADMIN, 0, $_SERVER['PHP_SELF']);

// ************************************************************************
// parametry stranky

// defaultne vypiseme vse dle abecedy

$navigace = navigation::getNavigation($MAGAZINE, $THIS_SCRIPT);
$params_in = "?ntype=$navigace->ntype";
$fakulta = null;
if ($navigace->value1 !=  navigation::NAV_VAL_NOT_DEF) {
	$params_in .= "&value1=$navigace->value1";
	$fakulta = $navigace->value1;
}

$abecedne = false;
$fakulty = false;

switch($navigace->ntype) {
default:
case navigation::NAV_TYPE_ABECEDNE:
	$abecedne = true;
	$title = $NAV_VYBER_ABECEDNE;
	break;
case navigation::NAV_TYPE_FAKULTY:
	$fakulty = true;
	$title = $NAV_VYBER_FAKULTY;
	break;
}


// **************************************************************************
// dotazy

// podminka (dle tlacitek v horni liste)
$casopisy = array();

// **************************** fakulty **************************************
// potrebujeme fakulty - jejich zkratky
$fakultyObj = new fakulty(fakulta::getFakulty('cs'));

// *************************** spravci **************************************
$spravci = spravce::getSpravci();


// vypis dle fakult
// prepare magazines by given faculty
if ($navigace->value1 != navigation::NAV_VAL_NOT_DEF) {	
	$fakulta = $navigace->value1;
	//$cond = trim($cond) != "" ? "AND ($cond)" : "";
	$query_fakulta = "SELECT casopisy.casopis_id,titul,odpovedny_spravce,".
		"	expirace, aktivni, zamek, zamek_cas, aktivni, ezbid, in_ezb ". 
										" FROM casopisy, casopis_fakulta".
										" WHERE casopisy.casopis_id = casopis_fakulta.casopis_id".
										" AND casopis_fakulta.fakulta_id = $fakulta". 
										" AND $DELETED_MAGAZINE_COND ORDER BY titul";
	
	$result = pg_query($query_fakulta);
	
	while ($row = pg_fetch_array($result, NULL, PGSQL_ASSOC)) {
		$casopis_id=$row['casopis_id'];
		$titul=$row['titul'];
		$aktivni=getBool($row['aktivni']);
		$expirace_val=getTopExpirace($row['expirace']);
		$zamek=getInt($row['zamek']);
		$zamek_cas=$row['zamek_cas'];
		$odpovedny_spravce = getInt($row['odpovedny_spravce']);
		$ezbid = getInt($row['ezbid']);
		
		$prijmeni = $spravci[$odpovedny_spravce]->getPrijmeni();
		$ufakulta = $fakultyObj->getZkratka($spravci[$odpovedny_spravce]->getFakulta());
		$ufakulta = $ufakulta != '' ? " $ufakulta" : '';

		$btag="";
		$etag="";
		if (getBool($row['in_ezb'])) {
			$btag="<span class=\"tluste yellow\">";
			$etag="</span>";
		}

		//echo "<div class=\"zdroj_admin\">\n";
		$to_print = "";
		$obr = getMagazineIcon("..", $aktivni, $expirace_val, 'f', $zamek);
		$to_print .= "\t<a href=\"casopis.php$params_in&id=$casopis_id\">$obr</a>\n";
		$to_print .="\t<a href=\"casopis.php$params_in&id=$casopis_id\">" 
			.htmlEscape($titul) ."</a>\n";
		$to_print .= "\t{".$btag."SFX$etag</a>}\n";
		$to_print .= " [<span class=\"ital\">$prijmeni$ufakulta</span>] ";
		$to_print .= getLock($casopis_id, $zamek, $zamek_cas, $fakulta, 
			$DEL_NO_PARAMS);
			
		array_push($casopisy, $to_print);
		//echo "</div><!-- zdroj admin -->\n";
	}
}

// ********************* abecedne ********************************
if ($abecedne) {

	
	$query ="SELECT casopis_id, titul, aktivni, expirace, in_ezb,".
								"	odpovedny_spravce, zamek, zamek_cas, smazat, ezbid".
					"	FROM casopisy WHERE $DELETED_MAGAZINE_COND ORDER BY titul";


	// so we get the result of query 
	$result = pg_query($query);

	// pripravime si data

	$char = ' ';
	while ($row = pg_fetch_array($result, NULL, PGSQL_BOTH)) {
		$casopis_id = $row['casopis_id'];
		$titul = $row['titul'] == "" ? $casopis_id : $row['titul'];
		$aktivni = getBool($row['aktivni']);
		$expirace_val = getTopExpirace($row['expirace']);
		$zamek = getInt($row['zamek']);
		$zamek_cas = $row['zamek_cas'];
		$odpovedny_spravce = $row['odpovedny_spravce'];
		$smazat = getBool($row['smazat']);
		$ezbid = getInt($row['ezbid']);

		$prijmeni = $spravci[$odpovedny_spravce]->getPrijmeni();
		$ufakulta = $fakultyObj->getZkratka($spravci[$odpovedny_spravce]->getFakulta());
		$ufakulta = $ufakulta != '' ? " $ufakulta" : '';

		$btag="";
		$etag="";
		if (getBool($row['in_ezb'])) {
			$btag="<span class=\"tluste yellow\">";
			$etag="</span>";
		}


		$to_print = "";
	
		$index = ord($titul[0]);
		if ($index < 127) {
			$znak = $titul[0];
		}
		
		if (ord($znak) != $char) {
			$char = ord($znak);
			$to_print .= "<a name=\"c$char\"></a>";
		}

		$obr = getMagazineIcon("..", $aktivni, $expirace_val, false, $zamek);

		$platnost = "";
		
		$to_print .= "<a href=\"casopis.php$params_in&amp;".
			"id=$casopis_id\">$obr</a> ";	
		$to_print .= "$platnost ";
		$to_print .= "<a href=\"casopis.php$params_in&amp;id=$casopis_id\">"
			.htmlEscape($titul) ."</a> ";
		$to_print .= "\t{<a href=\"$EZB_URL$ezbid\">".$btag."SFX$etag</a>}\n";
		$to_print .= "[<span class=\"ital\">$prijmeni$ufakulta</span>] ";
		$to_print .= getLock($casopis_id, $zamek, $zamek_cas, $DEL_ABECEDNE, 
			$DEL_NO_PARAMS);
		
		array_push($casopisy, $to_print);
		
	}
}



// ************************************************************************
// navigacni lista
$nav_bar[0]=$NAV_AUTH;
$nav_ref[0]=$NAV_AUTH_LNK;
$nav_bar[1]="$NAV_VYBER_CASOPISY &ndash; $title";
$nav_ref[1]="casopisy_vyber.php?ntype=$navigace->ntype";

if ($fakulta) {
	$nav_bar[2]=$fakultyObj->getNazev('cs', $fakulta);
	$nav_ref[2]="casopisy_vyber.php$params_in";
}



// ****************************************************************************
// layout

html_heading($lang, $EIZ_AUTH);

menu($lang, $THIS_SCRIPT, $params_in, $EIZ_AUTH, "");

my_main($lang, $EIZ_AUTH);

nav_bar($lang, $nav_bar, $nav_ref);

echo "<h1>Seznam časopisů &ndash; $title</h1>\n\n";

echo "<div class=\"obsah\">\n";

// generuj abededu vcetne odkazu na zdroje 
if ($abecedne) {
	generate_alphabet();
	$char = ' ';
}

echo "\n<form action=\"vyber.php$params_in\" method=\"post\">\n";
//vyber_horizon_menu($vse_tl, $lic_tl, $free_tl, $trial_tl, $lock_tl, $link_tl);
echo "</form>\n";

printMagazineLegend();

echo "<div class=\"seznam_admin\">\n";

// vypisujeme-li zdroje abecedne ci dle expirace, tahame ta sama data
if ($abecedne) {
	foreach ($casopisy as $casopis) {
		echo "\t<div class=\"zdroj_admin\">\n";
		echo "\t\t$casopis\n";
		echo "\t</div><!-- zdroj admin -->\n";
	}
}

if ($fakulty) {
	foreach($fakultyObj->fakulty as $fac) {
		
		echo "<div class=\"seznam\">\n";
		
		if ($fakulta != $fac->fid) {
			echo "<div class=\"plus\">";
			echo "<a href=\"casopisy_vyber.php?ntype=$navigace->ntype&value1=". $fac->fid . 
						"\">";
			echo "<img src=\"../$IMG_DIR/plus.gif\" alt=\"plus\" /></a>";
			echo "&nbsp;<a href=\"casopisy_vyber.php?ntype=$navigace->ntype&value1=".
				$fac->fid . "\">";
			echo "<span class=\"spravce\">". $fac->nazev . "</span></a></div>\n";
		}
		else {	
			echo "<div class=\"minus\">";
			echo "<a href=\"casopisy_vyber.php?ntype=$navigace->ntype\">";
			echo "<img src=\"../$IMG_DIR/minus.gif\" alt=\"minus\" /></a>";
			echo "&nbsp;<a href=\"casopisy_vyber.php?ntype=$navigace->ntype\">";
			echo "<span class=\"spravce\">". $fac->nazev ."</span></a></div>\n";

			echo "<div class=\"podseznam\">\n";

			foreach($casopisy as $casopis) {
				echo "\t<div class=\"zdroj_admin\">\n";
				echo "\t\t$casopis\n";
				echo "\t</div><!-- zdroj admin -->\n";
			}
			echo "</div><!-- podseznam -->\n";
		}
		echo "</div><!-- vyrovnej seznam -->\n";
	}
}

echo "</div><!-- seznam admin -->\n";

echo "<form action=\"vyber.php$params_in\" method=\"post\">\n";
//vyber_horizon_menu($vse_tl, $lic_tl, $free_tl, $trial_tl, $lock_tl, $link_tl);
echo "</form>\n";

echo "\n</div><!-- obsah -->\n\n";

my_main_ending();

setlocale(LC_TIME, $MY_LOCALES1, $MY_LOCALES2, $MY_LOCALES3);
footer(filectime($THIS_SCRIPT), $lang);

html_ending();

unsetLogging($DISPLAY_ERRORS, $om);

?>
	

