<?php

require_once("../eizlibs/db_connect.php");
require_once("../eizlibs/functions.php");
require_once("../eizlibs/rights.php");
require_once("../eizlibs/classes.php");

require_once("eizlibs/fakulta_class.php");

$om = setLogging($DISPLAY_ERRORS);

$lang = "cs";

$user = getUser();

$THIS_SCRIPT = trimSELF($_SERVER['PHP_SELF']);

// pokud uzivatel neklepl na edit, ale na smazat, tak jdeme dal
if (issetPOST("smazat")) {
	$zkr_dal = urlencode(getPOST("zkratka"));
	$id = getGET("id");
	header("Location: smazat_ano_ne.php?id=$id&zkratka=$zkr_dal&".
					"typ=$SOURCE");
	exit(0);
}

// a taky mohl klepnout na odemcit
if (issetPOST("unlock")) {
	$id = getGET("id");
	header("Location: odemkni.php?id=$id&typ=$SOURCE");
	exit(0);
}

if (issetPOST("kopie")) {
	$kopie = true;
}
else {
	$kopie = false;
}

if (issetPOST("soubory")) {
	$id = getGET("id");
	header("Location: edit_soubory.php?id=$id&typ=$SOURCE");
	exit(0);
}

// **************************************************************************
// nejake mistni konstanty

$textboxsize=73;
$sloupce=3;

// **************************************************************************
// zjistime potrebne informace z databaze
connect_db();

// **************************************************************************
// jake ze to mam teda vsechny oobory a fakulty

// obory
$query = "SELECT obor_id, nazev FROM obory WHERE koren='t' ORDER BY nazev";
$result = pg_query($query);

$obory_id = array();
$obory_nazev = array();
$is_koren_o = array();
$is_active_o = array(); // je obor zaskrtnut?
if (pg_num_rows($result) > 0) {
	while ($row = pg_fetch_array($result, NULL, PGSQL_ASSOC)) {
		$loc_obor_id = $row['obor_id'];
		array_push($obory_id, $loc_obor_id);
		array_push($obory_nazev, $row['nazev']);
		array_push($is_koren_o, true);
		$is_active_o[$loc_obor_id] = false;
		
		// podobory
		$query = "SELECT obory.obor_id, obory.nazev".
	          	" FROM obory, obor_obor". 
							" WHERE (obor_obor.obor_rodic = '$loc_obor_id') AND". 
							    	"	(obor_obor.obor_potomek = obory.obor_id)".
							" ORDER BY obory.nazev";
		$result_pod = pg_query($query);

		while ($row_pod = pg_fetch_array($result_pod, NULL, PGSQL_ASSOC)) {
			array_push($obory_id, $row_pod['obor_id']);
			array_push($obory_nazev, $row_pod['nazev']);
			array_push($is_koren_o, false);
			$is_active_o[$row_pod['obor_id']] = false;
		}
	}
}

// fakulty
$query = "SELECT fakulta_id, nazev FROM fakulty ORDER BY nazev";
$result = pg_query($query);

$fakulty = array();
$is_active_f = array();
$plne_info_fakulty = array();
if (pg_num_rows($result) > 0) {
	while ($row = pg_fetch_array($result, NULL, PGSQL_ASSOC)) {
		$fakulty[$row['fakulta_id']]=$row['nazev'];
		$plne_info_fakulty[$row['fakulta_id']]=new fakulta_info($SOURCE);
	}
}
foreach ($fakulty as $klic => $item) $is_active_f[$klic]=false;


// ********** informace o spracich
$osoby_pid = array();
$osoby_jmeno = array();
$can_login = array();
$query = "SELECT pid, jmeno, prijmeni, login FROM spravci ORDER BY prijmeni";
$result = pg_query($query);
while ($row = pg_fetch_row($result, NULL, PGSQL_ASSOC)) {
	array_push($osoby_pid, $row['pid']);
	array_push($osoby_jmeno, $row['prijmeni'].", ".$row['jmeno']);
	array_push($can_login, checkLogin($row['login']));
}


// priprav si datum
$currd = getdate();
$dnes=$currd['year']."-".$currd['mon']."-".$currd['mday'];


// **************************************************************************
// nyni zjistime vse o zdroji


if (($id = getGET("id")) == null) {

// *****************************************
// ***** novy zdroj ************************

	$new = true;	
	$userinfo = getUserInfo($user, $_SERVER['PHP_SELF']);
	$pid = getPid($userinfo);
	
	$nadpis = "<h1>Přidání nového zdroje</h1>\n";

	$zkratka="";
	$zkratka_note="";

	$nazev="";
	$nazev_note="";

	$odkaz="";
	$odkaz_note="";
	$onelog_note="";

	$modifikace = "&lt;nový zdroj&gt;";
	$expirace = "";
	$rok = ""; $mesic= ""; $den = "";
	$aktivni_od = '';
	$aktivni_od_rok = '';
	$aktivni_od_mesic = '';
	$aktivni_od_den = '';
	$aktivni_od_note = '';
	
	$info_strucne = "";
	$info_strucne_en = "";
	$info_podrobne = "";
	$info_podrobne_en = "";
	$producent_nazev = "";
	$producent_odkaz = "";
	$financovani = "";
	$licence = "";
	$typ = 0;
	$jazyk = "";
	$kategorie = $KAT_DEFAULT;
	$aktivni = true;
	$novinky = true;
	$zarazeni = $SOURCE_IN_DEFAULT;
	$zarazeni_note = "";
	$multioborovy = false;
	$pridan=$dnes;
	$kontaktni_osoba = getPID($userinfo);
	$odpovedny_spravce = getPID($userinfo);

	// configurable fields
	$nazev_extra_cz = "";
	$odkaz_extra_cz = "";
	$odkaz_onelog_en = "";
	$odkaz_onelog_cz = "";
	$ezproxy_odkaz = false;

	$exp_note="";
	$notvalid_cs="";
	$notvalid_en="";

	$any_note = "";

	$old_rss = false;
	$rss = true; // defaultne se nove zdroje do RSS vkladaji
	$smazat_zdroj=false; // u noveho zdroje tlacitko na smazani nechceme

	$verde_id = 0;
	$verde_id_note = "";

	$retrospektiva = array();

	$sfx=false;
	$sfx_popis='';
	$sfx_popis_en='';

	$shib=false;
	$shib_odkaz='';
	$shib_odkaz_en='';
	$shib_popis='';
	$shib_popis_en='';

	$ezproxy_odkaz_prepis = $EZPROXY_LINKS_AUTOMATIC_UPDATE_DEFAULT;

	$linker_db='';
	$vyhledavac_db='';
	$linker_automat=false;

	$az_link_cs = '';
	$az_link_en = '';
	

	$snippets = array();
	$subresources = array();

} 
else {
	
// *****************************************************
// ************* editujeme drive vlozeny zdroj *********

	$new = false;	
	$userinfo = check_rights($user, $SOURCE, $RGHT_EDIT, $id, $_SERVER['PHP_SELF']);

	$pid = getPid($userinfo);
	if (! lock($pid, $id, $SOURCE, $_SERVER['PHP_SELF'])) {
		logit($user, $_SERVER['PHP_SELF'],"Source $id already locked!".pg_last_error(), 
					$LOG_LCK);
		print_lock_error_page($lang);
	}
		
	/* ****** ziskame informace o zdroji ******** */
	/* ****************************************** */
	$id = stringEscape($id);
	
	$query = "SELECT * FROM zdroje WHERE zdroj_id='$id'";
	$result = pg_query($query);
	db_one_row($result, $user, $_SERVER['PHP_SELF'], "Source id='$id' conflict error!", 
							$lang);
	$row = pg_fetch_array($result, NULL, PGSQL_ASSOC);
	
	/*
	$nazev="";
	$nazev_note="";
	if (issetGET("nazev")) $nazev_note="Plný název musí být vyplněn!"; 
	else $nazev = $row['nazev'];
	*/
	
	$zkratka="";
	$zkratka_note="";
	if (issetGET("zkratka")) $zkratka_note="Název musí být vyplněn!"; 
	else $zkratka = htmlEscape(checkForNull($row['zkratka']));

	$odkaz="";
	$odkaz_note="";
	if (issetGET("odkaz")) $odkaz_note="Odkaz musí být vyplněn!";      
	else $odkaz = htmlEscape(checkForNull($row['odkaz']));

	$onelog_note="";
	if (issetGET("odkaz_onelog_en")) $onelog_note="Odkaz na EZproxy musí být vyplněn!";

	$any_note="";
	if (issetGET("any")) $any_note = "Aspoň jeden z Odkaz nebo Odkaz EZproxy musí být vyplněn!";


	$modifikace = $row['modifikace'];
	$modifikace = getDay($modifikace) . "." . getMonth($modifikace) . "." .
								getYear($modifikace) . " " . getTime($modifikace);
	
	$expirace = $row['expirace'] != null ? $row['expirace'] : "";
	if (($rok = getYear($expirace)) == $TOP_YEAR) { $rok=""; $expirace=""; }
	$mesic = getMonth($expirace);
	$den = getDay($expirace);
	if (issetGET("expirace")) $exp_note = "Chybně vloženo datum expirace!";
	else $exp_note = "";

	$aktivni_od = $row['aktivni_od'] != null ? $row['aktivni_od'] : '';
	if ($aktivni_od == '1900-01-01') {
		$aktivni_od_rok = $aktivni_od_mesic = $aktivni_od_den = '';
	}
	else {
		$aktivni_od_rok = getYear($aktivni_od);
		$aktivni_od_mesic = getMonth($aktivni_od);
		$aktivni_od_den = getDay($aktivni_od);
	}
	if (issetGET("aktivni_od")) { 
		$aktivni_od_note = "Chybně vloženo datum pro aktivaci zdroje!";
	}



	//$zkratka = checkForNull($row['zkratka']);
	$info_strucne = htmlEscape(checkForNull($row['info_strucne']));
	$info_strucne_en = htmlEscape(checkForNull($row['info_strucne_en']));
	$info_podrobne = checkForNull($row['info_podrobne']);
	$info_podrobne_chyba = checkForNull($row['info_podrobne_chyba']);
	$info_podrobne_en = checkForNull($row['info_podrobne_en']);
	$info_podrobne_en_chyba = checkForNull($row['info_podrobne_en_chyba']);
	$producent_nazev = htmlEscape(checkForNull($row['producent_nazev']));
	$producent_odkaz = htmlEscape(checkForNull($row['producent_odkaz']));
	$financovani = checkForNull($row['financovani']);
	$licence = htmlEscape(checkForNull($row['licence']));
	$typ = getTyp($row['typ']);
	$jazyk = getJazyk($row['jazyk']);
	$aktivni = getBool($row['aktivni']);
	$rss = false;
	$old_rss = getBool($row['rss']);
	$novinky = getBool($row['novinky']);
	$zarazeni = getZarazeni($row['zarazeni']);
	$multioborovy = getBool($row['multioborovy']);
	$ezproxy_odkaz_prepis = getBool($row['ezproxy_prepis']);
	$kategorie = getKategorie($row['kategorie']);
	$kontaktni_osoba = checkForNull($row['kontaktni_osoba']);
	if ($kontaktni_osoba == "") $kontaktni_osoba=getPID($userinfo);
	$odpovedny_spravce = checkForNull($row['odpovedny_spravce']);
	if ($odpovedny_spravce == "") $odpovedny_spravce=getPID($userinfo);

	$pridan = $row['vytvoren']; // kdy byl zdroj pridan (nevyplnujeme pri editaci)	
	$verde_id = checkForNull($row['verde_id']);

		$verde_id_note = "";

	$notvalid="<div class=\"valid_error\">";
	$notvalid.="<span class=\"tluste_red\">Vložený popis není validní!</span> ";
	$notvalid.="(<a href=\"vypis_chyby.php?id=$id&chyba=$VALIDITY_EDIT_SRC_ERROR";
	$end_valid="\" target=\"_blank\">info</a>)</div>";
	$notvalid_cs="";
	$notvalid_en="";
	if (issetGET("nonvalid_cs") || $info_podrobne_chyba != "") {
		$notvalid_cs=$notvalid."&cs=1".$end_valid;
	}
	if (issetGET("nonvalid_en") || $info_podrobne_en_chyba != "") {
		$notvalid_en=$notvalid."&en=1".$end_valid;
	}
	
	
	// udelam nadpis
	$zkratka_od = $zkratka == "" ? "&lt;neznámý název&gt;&nbsp;(id=$id)" : 
																	$zkratka;
	$smazat_zdroj=true; // chceme mit tlacitko, ze je mozne zdroj smazat
	if ($kopie) {
		$nadpis = "<h1><i>Kopie zdroje</i> \"$zkratka_od\"</h1>";
	}
	else {
		$nadpis = "<h1>$zkratka_od</h1>";
	}

	// sfx a shibboleth
	$sfx=getBool($row['sfx']);
	$sfx_popis=checkForNull($row['sfx_popis']);
	$sfx_popis_en=checkForNull($row['sfx_popis_en']);

	$dostupnost=checkForNull($row['dostupnost']);
	$kolekce=checkForNull($row['kolekce']);

	$shib=getBool($row['shib']);
	$shib_odkaz=checkForNull($row['shib_odkaz']);
	$shib_odkaz_en=checkForNull($row['shib_odkaz_en']);
	$shib_popis=checkForNull($row['shib_popis']);
	$shib_popis_en=checkForNull($row['shib_popis_en']);

	$linker_db=htmlEscape(checkForNull($row['linker_db']));
	$vyhledavac_db=htmlEscape(checkForNull($row['vyhledavac_db']));
	$linker_automat=getBool($row['linker_manualni_nahrani']);


	$az_link_cs = checkForNull($row['az_link_cs']);
	$az_link_en = checkForNull($row['az_link_en']);


	// configurable fields

		$nazev_extra_cz = htmlEscape(checkForNull($row['nazev_extra_cz']));

		$odkaz_extra_cz = htmlEscape(checkForNull($row['odkaz_extra_cz']));

		$odkaz_onelog_en = htmlEscape(checkForNull($row['odkaz_onelog_en']));
		$odkaz_onelog_cz = htmlEscape(checkForNull($row['odkaz_onelog_cz']));

		$ezproxy_odkaz = getBool($row['ezproxy_odkaz']);


	//***************************************************
	//***** informace o snippetech **********************
		$query = "SELECT snippet FROM zdroj_snippet WHERE zdroj_id = '$id'";
		$result = pg_query($query);
		if (pg_num_rows($result) > 0) {
			while ($row = pg_fetch_array($result, NULL, PGSQL_NUM)) {
				$snippets[] = htmlEscape(checkForNull($row[0]));
			}
		}
		else {
			$snippets = array();
		}

	if ($ENABLE_SUBRESOURCES) {
	//***************************************************
	//******* informace o podzdrojich *******************

		$subresources = array();
		$subresources_values = null;
		$query = "SELECT potomek_id FROM zdroj_zdroj WHERE rodic_id = '$id'";
		$result = pg_query($query);
		if (pg_num_rows($result) > 0) {
			while ($row = pg_fetch_array($result, NULL, PGSQL_NUM)) {
				$subresources[] = $row[0];
				$subresources_values .= $row[0].',';
			}
		}


		$subresources_titles = array();
		foreach($subresources as $subresource) {
			$query = "SELECT zkratka FROM zdroje WHERE zdroj_id = '$subresource'";
			$result = pg_query($query);

			if (pg_num_rows($result) > 0) {
				while ($row = pg_fetch_array($result, NULL, PGSQL_NUM)) {
					$subresources_titles[$subresource] = $row[0];
				}
			}
		}


	}

	// **************************************************
	// ****** ziskame informace o oborech zdroje ******** 
	$query = "SELECT obor_id FROM zdroj_obor
						WHERE zdroj_id = '$id'";
	$result = pg_query($query);
	if (pg_num_rows($result) > 0) {
		while ($row = pg_fetch_array($result, NULL, PGSQL_NUM)) {
			$is_active_o[$row[0]]=true;
		}
	}

	// **************************************************
	// ****** ziskame informace o fakultach ************* 
	$query = "SELECT * FROM zdroj_fakulta
						WHERE zdroj_id = '$id'";
	$result = pg_query($query);

	$zarazeni_note="";
	if (pg_num_rows($result) > 0) {
		while ($row = pg_fetch_array($result, NULL, PGSQL_ASSOC)) {
			$is_active_f[$row['fakulta_id']]=true;
		}
	}
	else {
		if ($zarazeni == $SOURCE_MU_FACS) {
			$zarazeni_note="Prosím označte některou z fakult!";
		}
	}

	$query = "SELECT * FROM zdroj_fakulta_info
		            WHERE zdroj_id = '$id'";
	$result = pg_query($query);

	if (pg_num_rows($result) > 0) {
		while ($row = pg_fetch_array($result, NULL, PGSQL_ASSOC)) {
			$plne_info_fakulty[$row['fakulta_id']] =
				new fakulta_info($SOURCE, $row['fakulta_id'], $row['nazev_cs'], 
				$row['nazev_en'], $row['odkaz_cs'], $row['odkaz_en'], 
				$row['odkaz_onelog_cs'], $row['odkaz_onelog_en']);
		}
	}

	//******************************************************
	//********* informace o retrospektive zdroje
	$query = "SELECT zacatek, konec, poznamka FROM retrospektiva_zdroje ".
		" WHERE zdroj_id=$id ORDER BY zacatek, konec";
	$result = pg_query($query);

	$retrospektiva = array();
	$retrospektiva_pocet = pg_num_rows($result);

	while ($row = pg_fetch_array($result, NULL, PGSQL_ASSOC)) {
		array_push($retrospektiva, new retrospektiva(getDay($row['zacatek']), getMonth($row['zacatek']), getYear($row['zacatek']), getDay($row['konec']), getMonth($row['konec']), getYear($row['konec']), $row['poznamka']));
	}
}

$admin = getIsAdmin($userinfo);

// **************************************************************************
// navigacni lista
$nav_bar[0]=$NAV_AUTH;
$nav_ref[0]=$NAV_AUTH_LNK;
$nav_bar[1]="Editace zdroje";
$nav_temp = $id == null ? "" : "?id=$id";
$nav_ref[1]="edit.php$nav_temp";


// **************************************************************************
// layout

html_heading($lang, $EIZ_AUTH_TXTAR);

menu($lang, $THIS_SCRIPT, "", $EIZ_AUTH, ""/*$id == null ? "" : "unlock=$id"*/);

my_main($lang, $lang, $EIZ_AUTH);

nav_bar($lang, $nav_bar, $nav_ref);

echo $nadpis;

echo "<div class=\"obsah\">\n";

echo "<form action=\"zpracuj_edit.php?par=1\" method=\"post\">\n";

echo "<div class=\"horiz_menu\">\n";
tlacitko("Uložit změny", "submit", "");
tlacitko("Původní hodnoty", "reset", "");
//if ($smazat_zdroj) tlacitko("Smazat zdroj", "submit", "smazat");
//tlacitko("Zpět na moji stránku", "submit", "zpet");
if ($smazat_zdroj) tlacitko("Zpět na zdroj", "submit", "zdroj");
if ($ENABLE_VERDE) tlacitko("Načti Verde", "submit", "verde");
echo "</div><!-- horizon menu -->\n";

echo "<div class=\"formular_inside\">\n";

if (issetGET("ok"))
	echo "\t<div class=\"ok_info\">Vložení údajů proběhlo úspěšně</div>\n";

if (issetGET("bad")) {
	echo "\t<div class=\"not_ok_info\">Vložení údajů neproběhlo úspěšně</div>\n";
	echo "\t<div class=\"not_ok_info\">Zdroj se nebude zobrazovat ve veřejné části portálu</div>\n";
}

if (getGET("verde") == "1") {
	echo "\t<div class=\"ok_info\">Údaje byly nataženy z Verde</div>\n";
}

echo "<table class=\"formular\">\n";
//text_form("Plný název*:", $nazev, "nazev", 50, $nazev_note);
if ($ENABLE_EXTRA_CZECH_TITLE) $tpozn = "en";
else $tpozn = "zkráceně";

if ($ENABLE_EXTRA_CZECH_LINK) $opozn = "(en)";
else $opozn = "";

$lstars = "*";
$onelogstars = "";
$lpozn = "";

if ($ENABLE_ONELOG_LINK) {
	if ($ANY_LINK) {
		$lstars = "**";
		$onelogstars = "**";
		$lpozn = "** Odkaz nebo Odkaz EZproxy musí být vyplněn";

	}
	else {
		
		if ($ONELOG_LINK_MANDATORY) {
			$onelogstars = "*";
		}

		if (! $DIRECT_LINK_MANDATORY) {
			$lstars = "";
		}
	}
}

$links_add_note = "";
if (($ENABLE_EXTRA_CZECH_LINK || $ENABLE_ONELOG_LINK) && ! $ANY_LINK) {
	$links_add_note = "(pro \"Odkaz\" a \"Odkaz EZproxy\" povinný vždy jeden z \"en\" a \"cs\")";
}


if ($ENABLE_VERDE) {
	text_form("Verde ID:", $verde_id, "verde_id", 30, $verde_id_note);
}
else {
	hidden_form("verde_id", $verde_id);
}


text_form("Název ($tpozn)*:", $zkratka, "zkratka", 50, $zkratka_note);
if ($ENABLE_EXTRA_CZECH_TITLE) text_form("Název (cs):", $nazev_extra_cz, 
	"nazev_extra_cz", 50, "");

if ($EN_BEFORE_CZ) {
	text_form("Stručný popis (en):", $info_strucne_en, "info_strucne_en", 50, "");
	text_form("Stručný popis (cs):", $info_strucne, "info_strucne", 50, "");
}
else {
	text_form("Stručný popis (cs):", $info_strucne, "info_strucne", 50, "");
	text_form("Stručný popis (en):", $info_strucne_en, "info_strucne_en", 50, "");
}

text_form("Odkaz $opozn$lstars:", $odkaz, "odkaz", 50, $odkaz_note.$any_note);
if ($ENABLE_EXTRA_CZECH_LINK) 
	text_form("Odkaz (cs):", $odkaz_extra_cz, "odkaz_extra_cz", 50, "");


if ($ENABLE_ONELOG_LINK) {

	if ($SHOW_EZPROXY_LINKS_UPDATE_CHECKBOX || ! $EZPROXY_LINKS_AUTOMATIC_UPDATE_DEFAULT) {
		if ($ENABLE_EXTRA_CZECH_LINK) {
			text_form("Odkaz EZproxy (en)$onelogstars:", $odkaz_onelog_en, "odkaz_onelog_en", 50, $onelog_note.$any_note);
		}

		text_form("Odkaz EZproxy:", $odkaz_onelog_cz, "odkaz_onelog_cz", 50, "");
	}
	

	box_form_begin("Zobrazovat EZproxy odkaz:");
	box_form_header();
	radio_button("ezproxy_odkaz", "t", 
					"<span class=\"label\">Ano</span> (na veřejném webu bude odkaz pro EZproxy)",
							$ezproxy_odkaz ? $CHECKED : "");
	radio_button("ezproxy_odkaz", "f", 
						"<span class=\"label\">Ne</span>",
							! $ezproxy_odkaz ? $CHECKED : "");
	box_form_end();

	if ($SHOW_EZPROXY_LINKS_UPDATE_CHECKBOX) {
		box_form_begin("Automaticky generovat odkaz EZproxy:");
		box_form_header();
		radio_button("ezproxy_odkaz_prepis", "t", 
					"<span class=\"label\">Ano</span>",
							$ezproxy_odkaz_prepis ? $CHECKED : "");
		radio_button("ezproxy_odkaz_prepis", "f", 
						"<span class=\"label\">Ne</span>",
							! $ezproxy_odkaz_prepis ? $CHECKED : "");
		box_form_end();
	}
	else {
		hidden_form("ezproxy_odkaz_prepis", getDbBool($EZPROXY_LINKS_AUTOMATIC_UPDATE_DEFAULT));
	}
}


info_form("", "<span class=\"note\">* povinné údaje $links_add_note</span>");
if ($lpozn != "") info_form("", "<span class=\"note\">$lpozn</span>");

empty_form();

if ($ENABLE_AZ_LINK) {
	text_form("AZ odkaz (cs):", $az_link_cs, "az_link_cs", 50, "");
 	text_form("AZ odkaz (en):", $az_link_en, "az_link_en", 50, "");	
}

empty_form();


if ($admin) {
info_form("<a href=\"javascript:toggleItem('sfx_shib');\">Nastavení S.F.X. a Shibboleth</a>", '');

echo "<tr><td colspan=\"2\"><table id=\"sfx_shib\" style=\"display: none; background-color: #F0FFFF; border-style: solid; border-width: 1px\">";
echo "<tr><td colspan=\"2\"><img src=\"../images/sfx-icon.gif\" alt=\"SFX\" /></td></tr>\n";
if ($EN_BEFORE_CZ) {
	area_form("SFX popis anglicky:",
					$sfx_popis_en, "sfx_popis_en", $textboxsize, 10, "mceEditor");
	area_form("SFX popis česky:",
					$sfx_popis, "sfx_popis", $textboxsize, 10, "mceEditor"); 
}
else {
	area_form("SFX popis česky:",
					$sfx_popis, "sfx_popis", $textboxsize, 10, "mceEditor"); 
	area_form("Podrobný popis anglicky:",
					$sfx_popis_en, "sfx_popis_en", $textboxsize, 10, "mceEditor");
}

box_form_begin("Zobrazovat info o SFX:");
box_form_header();
radio_button("sfx", "t", 
	"<span class=\"label\">Ano</span> (na veřejném webu bude info o SFX)",
	$sfx ? $CHECKED : "");
radio_button("sfx", "f", 
	"<span class=\"label\">Ne</span>", ! $sfx ? $CHECKED : "");
box_form_end();

empty_form();
echo "<tr><td colspan=\"2\"><img src=\"../images/shib_mensi.png\" alt=\"Shibboleth\" /></td></tr>\n";
if ($EN_BEFORE_CZ) {
	text_form("Odkaz Shibboleth (en):", $shib_odkaz_en, "shib_odkaz_en", 50, "");
	text_form("Odkaz Shibboleth (cs):", $shib_odkaz, "shib_odkaz", 50, "");
	area_form("Shibboleth popis anglicky:",
					$sfx_popis_en, "shib_popis_en", $textboxsize, 10, "mceEditor");
	area_form("Shibboleth popis česky:",
					$sfx_popis, "shib_popis", $textboxsize, 10, "mceEditor"); 
}
else {
	text_form("Odkaz Shibboleth (cs):", $shib_odkaz, "shib_odkaz", 50, "");
	text_form("Odkaz Shibboleth (en):", $shib_odkaz_en, "shib_odkaz_en", 50, "");
	area_form("Shibboleth popis česky:",
					$shib_popis, "shib_popis", $textboxsize, 10, "mceEditor"); 
	area_form("Shibboleth popis anglicky:",
					$shib_popis_en, "shib_popis_en", $textboxsize, 10, "mceEditor");
}

box_form_begin("Zobrazovat Shibboleth:");
box_form_header();
radio_button("shib", "t", 
	"<span class=\"label\">Ano</span> (na veřejném webu bude info o Shibbolethu)",
	$shib ? $CHECKED : "");
radio_button("shib", "f", 
	"<span class=\"label\">Ne</span>", ! $shib ? $CHECKED : "");
box_form_end();

empty_form();

echo "</table><!-- shib table inside -->\n";

echo "</td></tr>\n";

}
else {
	hidden_form("sfx_popis_en", $sfx_popis_en);
	hidden_form("sfx_popis", $sfx_popis);
	hidden_form("sfx", $sfx ? 't' : 'f');
	hidden_form("shib_odkaz_en", $shib_odkaz_en);
	hidden_form("shib_odkaz", $shib_odkaz);
	hidden_form("shib_popis_en", $sfx_popis_en);
	hidden_form("shib_popis", $sfx_popis);
	hidden_form("shib", $shib ? 't' : 'f');
}


if ($admin) {
	info_form("<a href=\"javascript:toggleItem('db_info');\">Informace o linkeru a vyhledávači (pouze pro administrátory)</a>", '');

	echo "<tr><td colspan=\"2\">\n<table id=\"db_info\" style=\"display: none; background-color: #ffd4d4; border-style: solid; border-width: 1px\">";


	text_form("Identifikátor pro vyhledávač/discovery:", $vyhledavac_db, "vyhledavac_db", 50, "");

	text_form("Identifikátor pro linker (SFX, LinkSource):", $linker_db, "linker_db", 50, "");

	box_form_begin("Portfolio aktivováno manuálně (např. ze souboru):");
	box_form_header();
	radio_button("linker_automat", "t", 
		"<span class=\"label\">Ano</span>",
		$linker_automat ? $CHECKED : "");
	radio_button("linker_automat", "f", 
		"<span class=\"label\">Ne</span>", ! $linker_automat ? $CHECKED : "");
	box_form_end();

	echo "</table><!-- db_info -->\n";

	echo "</td></tr>\n";
}
else {
	hidden_form("linker_automat", $linker_automat ? 't' : 'f');
	hidden_form("vyhledavac_db", $vyhledavac_db);
	hidden_form("linker_db", $linker_db);
}



if ($ENABLE_SUBRESOURCES && $admin) {
	info_form("<a href=\"javascript:toggleItem('subresources');\">Správa vložených zdrojů</a>", '');

	echo "<tr><td colspan=\"2\">\n";

	echo "<div id=\"subresources\" style=\"display: none; background-color: #e5ffe1; border-style: solid; border-width: 1px; padding: 10px;\">\n";

	echo "\t<div style=\"margin-bottom: 5px\"><span class=\"form_label\">Seznam podzdrojů:</span></div>\n";

	echo "<input type=\"hidden\" id=\"subresources_form\" name=\"subresources\" value=\"". $subresources_values ."\" />";

	echo "\t<div id=\"subresources_list\" style=\"margin-bottom: 10px;\">\n";
	foreach($subresources as $subresource) {
		subresources_form($subresource, $subresources_titles[$subresource]);
	}
	echo "\t</div><!-- subresources_list -->\n";

	echo "\t<div><span class=\"form_label\">Hledat a přidat zdroj (kliknutím na vyhledané):</span></div>\n";
?>

<script type="text/javascript" src="jscripts/jquery-ui/js/jquery.js"></script>
<script type="text/javascript" src="jscripts/jquery-ui/js/jquery-ui.js"></script>
<input id="zkratka" class="form_area" type="text" size="50" />
<script type="text/javascript">

function spanClick(locsid) {
	var id = locsid.substring(13);
	$("#"+locsid).remove();
	var myList = $('#subresources_form').attr('value').split(",");
	var index = $.inArray(id, myList);
	myList.splice(index, 1);
	$('#subresources_form').attr('value', myList.toString());	
}

$('#debug').text($('#subresources_form').attr('value'));
$("#zkratka").autocomplete({ 
	source: "json/search_resource_names.php", 
	messages: {
		noResults: '',
		results: function() {}
	},
	select: function(event, ui) {
		if (ui.item) {
			
			var sid_text = 'subresourceid'+ui.item.value;
			var sid = '#'+sid_text;

			var func = spanClick;

			if ( $(sid).length <= 0 ) {
				var span = $("<span>").text('Odebrat');
				span.addClass('male_tlacitko');
				span.click(
				 	function() {	
						 var locsid = $(this).parent().attr('id');
						 spanClick.apply(this, [ locsid.toString() ]);
				 	});
				var div = $('<div id="'+sid_text+'">');

				div.append(span);
				div.append("&nbsp;&nbsp;"+ui.item.label);
				div.addClass('stredni_text odrazit');

				$("#subresources_list").append(div);
				var formerList = $('#subresources_form').attr('value');
				$('#subresources_form').attr('value', formerList + ui.item.value + ',');
			}
			ui.item.value='';
		}
	}
});
</script>

<?php

echo "</div><!-- subresources -->\n";

echo "</td></tr>\n";
}
else {
	hidden_form("subresources", $subresources_values);
}

empty_form();


text_form("Jméno producenta:", $producent_nazev, "producent_nazev", 50, "");
text_form("Odkaz na producenta:", $producent_odkaz, "producent_odkaz", 50, "");
empty_form();
info_form("Naposledy změněn:", $modifikace);
//text_form("Expirace**:", $expirace, "expirace", 10, "");
date_form("Expirace:", $rok, $mesic, $den, $exp_note);
//info_form("", "<span class=\"note\">** den.měsíc.rok</span>");
date_form_aktivni("Aktivovat zdroj od:", $aktivni_od_rok, $aktivni_od_mesic, $aktivni_od_den, $aktivni_od_note);
empty_form();

if ($admin) {
	text_form("Dostupnost portfolia:", $dostupnost, "dostupnost", 30, "");
}
else {
	hidden_form("dostupnost", $dostupnost);
}
text_form("Kolekce v rámci zdroje:", $kolekce, "kolekce", 50, "");
empty_form();

if ($EN_BEFORE_CZ) {
	area_form("Podrobný popis anglicky:",
					/*(XHTML &ndash; <span class=\"normal\">".
					"<a href=\"priklad.html.utf8.cs\" target=\"blank\">".
					"pravidla</a></span>): $notvalid_en", */
					$info_podrobne_en, "info_podrobne_en", $textboxsize, 10, "mceEditor");
	area_form("Podrobný popis česky:",
					/*(XHTML &ndash; <span class=\"normal\">". 
					"<a href=\"priklad.html.utf8.cs\" target=\"_blank\">".
					"pravidla</a></span>): $notvalid_cs",*/ $info_podrobne, 
					"info_podrobne", $textboxsize, 10, "mceEditor"); 
}
else {
	area_form("Podrobný popis česky:",
					/*(XHTML &ndash; <span class=\"normal\">". 
					"<a href=\"priklad.html.utf8.cs\" target=\"_blank\">".
					"pravidla</a></span>): $notvalid_cs",*/ $info_podrobne, 
					"info_podrobne", $textboxsize, 10, "mceEditor"); 
	area_form("Podrobný popis anglicky:",
					/*(XHTML &ndash; <span class=\"normal\">".
					"<a href=\"priklad.html.utf8.cs\" target=\"blank\">".
					"pravidla</a></span>): $notvalid_en", */
					$info_podrobne_en, "info_podrobne_en", $textboxsize, 10, "mceEditor");
}	
	
empty_form();
area_form("Financování:", $financovani, "financovani", $textboxsize, 5,
					"mceEditor");
area_form("Licence:", $licence, "licence", $textboxsize, 5, 
					"form_area2");
empty_form();
select_type_lang_form($typ, $jazyk);
empty_form();
select_persons($can_login, $osoby_pid, $osoby_jmeno, $kontaktni_osoba, 
							$odpovedny_spravce, getIsAdmin($userinfo), $SOURCE);
empty_form();

box_form_begin("Obory zdroje:");
echo "\t\t<tr>\n\t\t\t<td>\n";
echo "\t\t\t\t<div class=\"form_podnadpis\">Multioborový zdroj:</div>\n";
echo "\t\t\t</td>\n\t\t</tr>\n\t\t<tr>\n\t\t\t<td>\n";
radio_button("multioborovy", "t", "Ano", $multioborovy ? $CHECKED : "");
radio_button("multioborovy", "f", "Ne", ! $multioborovy ? $CHECKED : "");
echo "\t\t\t</td>\n\t\t</tr>\n\t\t<tr>\n\t\t\t<td>\n";
echo "\t\t\t\t<hr class=\"formular\" />\n";

echo "\t\t\t\t<div class=\"form_podnadpis\">Jednotlivé obory:</div>\n";
echo "\t\t\t</td>\n\t\t</tr>\n\t\t<tr>\n\t\t\t<td>\n";
foreach ($obory_id as $klic => $obor_id) {
	if ($is_koren_o[$klic]) {
		check_box_bold($obor_id, "obor", $obory_nazev[$klic], 
										$is_active_o[$obor_id] ? $CHECKED : "");
	}
	else { 
		check_box_normal($obor_id, "obor", $obory_nazev[$klic], 
											$is_active_o[$obor_id] ? $CHECKED : "");
	}
}
box_form_end(); // obory zdroje

empty_form();

box_form_begin("Kategorie zdroje:");
echo "\t\t<tr>\n\t\t\t<td>\n";
kategorie_button($KAT_LICENCOVANY, "Licencovaný",
									$kategorie == $KAT_LICENCOVANY ? $CHECKED : "");
kategorie_button($KAT_FREE, "Volně dostupný (Free)",
									$kategorie == $KAT_FREE ? $CHECKED : "");
kategorie_button($KAT_FREE_TRIAL, "Testovací přístup (Free-trial)",
									$kategorie == $KAT_FREE_TRIAL ? $CHECKED : "");	
kategorie_button($KAT_USEFUL, "Užitečný odkaz",
							 		$kategorie == $KAT_USEFUL ? $CHECKED : "");
kategorie_button($KAT_META, "Metazdroj", 
									 $kategorie == $KAT_META ? $CHECKED : "");
box_form_end(); // kategorie zdroje
							
empty_form();

box_form_begin("Příslušnost (dostupnost) zdroje:");
echo "\t\t<tr>\n\t\t\t<td colspan=\"$sloupce\">\n";
echo "\t\t\t\t<div class=\"form_podnadpis\">Hlavní zařazení:</div>\n";
echo "\t\t\t</td>\n\t\t</tr>\n\t\t<tr>\n\t\t\t<td colspan=\"$sloupce\">\n";
radio_button("zarazeni", $SOURCE_NOTIN, "Nezařazený", 
						$zarazeni == $SOURCE_NOTIN ? $CHECKED : "");
radio_button("zarazeni", $SOURCE_MU_FACS, "Pouze jednotlivé fakulty",
						$zarazeni == $SOURCE_MU_FACS ? $CHECKED : "");
radio_button("zarazeni", $SOURCE_MU, "Celá $UNIVERSITY", 
            $zarazeni == $SOURCE_MU ? $CHECKED : "");
echo "\t\t\t</td>\n\t\t</tr>";
						
// zarazeni pod fakulty
echo "\n\t\t<tr>\n\t\t\t<td colspan=\"$sloupce\">\n";
echo "\t\t\t\t<hr class=\"formular\" />\n";
echo "\t\t\t\t<div class=\"form_podnadpis\">Zařazení pod fakulty:</div>\n";
echo "\n\t\t\t</td>\n\t\t</tr>";
if ($zarazeni_note != "") {
	echo "\n\t\t<tr><td></td>";
	echo "<td><span class=\"error\">";
	echo "$zarazeni_note</span></td><td></td></tr>";
}	
echo "\n\t\t<tr>\n\t\t\t<td>\n";

$i=0;
$kolik=floor(count($fakulty)/$sloupce);
foreach ($fakulty as $fakulta_id => $fakulta) {

	$infoobj =  $plne_info_fakulty[$fakulta_id];
	
	if (($i % $kolik == 0) && ($i != 0)) echo "\t\t\t</td>\n\t\t\t<td>\n";
	echo "\t\t\t<table class=\"noborder\">";

	echo "<tr><td>";
	raw_check_box($fakulta_id, "fakulta", 
						$is_active_f[$fakulta_id] ? $CHECKED : "");
	echo "</td><td>";
	
	$tmp_fakulta = $fakulta;

	if ($ENABLE_TITLES_BY_FACS) {
		$tmp_fakulta = "<a href=\"javascript:toggleItem('fac$fakulta_id')\">$fakulta</a>";
	}
	

	echo "$tmp_fakulta";

	if ($ENABLE_TITLES_BY_FACS) {
		echo "<div class=\" hidden titles_by_facs\" id=\"fac$fakulta_id\">";

		echo "<table class=\"titles_by_facs\">";

		$small_nazev_suffix = "";
	
		if ($ENABLE_EXTRA_CZECH_LINK) $small_nazev_suffix = "(en)";

		/*
		text_form("Název $small_nazev_suffix: ", 
			$infoobj->nazev_en, "nazev_en$fakulta_id", 20, "");

		if ($ENABLE_EXTRA_CZECH_TITLE) {
			text_form("Název (cs): ", $infoobj->nazev_cs, "nazev_cs$fakulta_id", 20, 
				"");
		}
		*/

		text_form("Odkaz $small_nazev_suffix: ", $infoobj->odkaz_en, "odkaz_en$fakulta_id", 20, "");

		if ($ENABLE_EXTRA_CZECH_LINK) {
			text_form("Odkaz (cs): ",  $infoobj->odkaz_cs, "odkaz_cs$fakulta_id", 20, "");
		}
		
		if ($ENABLE_ONELOG_LINK) {
			text_form("Odkaz EZproxy (en): ", $infoobj->odkaz_onelog_en, "odkaz_onelog_en$fakulta_id", 20, "");
			text_form("Odkaz EZproxy (cs): ", $infoobj->odkaz_onelog_cs, "odkaz_onelog_cs$fakulta_id", 20, "");
		}
		
		if ($ENABLE_SHIBBOLETH && $ENABLE_TITLES_BY_FACS_SHIB_LINKS) {
			text_form("Odkaz Shibboleth (en): ", $infoobj->odkaz_shib_en, "odkaz_shib_en$fakulta_id", 20, "");
			text_form("Odkaz Shibboleth (cs): ", $infoobj->odkaz_shib_cs, "odkaz_shib_cs$fakulta_id", 20, "");
		}		

		echo "</table>\n";

		echo "</div>\n";
	}	
	echo "</td></tr>";
	
	echo "</table><!-- noborder -->\n";
	$i++;
}
box_form_end(); // prislusnost zdroje

if ($ENABLE_SNIPPETS) {
	box_form_begin("Připojené snippety:");

	box_form_header();
	foreach($SNIPPETS as $klic => $snippet) {
		$active_snippet = in_array($snippet, $snippets);
		check_box_normal($snippet, "snippet", " ".$SNIPPETS_COMMENTS[$klic]." ($snippet)" , $active_snippet ? $CHECKED : "");
	}
	box_form_end();
}

empty_form();

retrospektiva_begin();
$i=0;
foreach($retrospektiva as $item) {
	if (! $item->compare()){
		echo "<div><span class=\"error\">Chybné datum. \"od\" musí být menší než \"do\".</span></div>";
	}
	$item->clear();
	retrospektiva_form($i, $item->denOd, $item->mesicOd, $item->rokOd, $item->denDo, $item->mesicDo, $item->rokDo, $item->poznamka);
	$i++;
}
retrospektiva_form($i);
$i++;
retrospektiva_form($i);
$i++;
retrospektiva_end();

hidden_form("retrospektiva_pocet", $i);

empty_form();

if ($ENABLE_RSS_SOURCES) {
	if ($new) {
		$rss_text = "Řadit do RSS:";
	}
	else {
		$rss_text = "Aktualizovat i v RSS:";
	}
	
	box_form_begin("<img src=\"../$IMG_DIR/rss-small.gif\" alt=\"RSS\" /> $rss_text");
	box_form_header();
	radio_button("rss", "t", "<span class=\"label\">Ano</span>", $CHECKED);
	radio_button("rss", "f", "<span class=\"label\">Ne</span>", "");	
	box_form_end();
	text_form("Komentář k RSS:", "", "rss_comm", 50, "");
	text_form("Komentář k RSS (en):", "", "rss_comm_en", 50, "");
}

empty_form();
box_form_begin("Řadit mezi nové:");
box_form_header();
radio_button("novinky", "t", 
					"<span class=\"label\">Ano</span> (zdroj může být uveden na homepage)",
							$novinky ? $CHECKED : "");
radio_button("novinky", "f", 
						"<span class=\"label\">Ne</span> (zdroj nebude nikdy uveden na homepage)",
							! $novinky ? $CHECKED : "");
box_form_end();

empty_form();
box_form_begin("Status zdroje:");
box_form_header();
radio_button("aktivni", "t", 
					"<span class=\"label\">Aktivní</span> (zobrazuje se na veřejném www)",
							$aktivni ? $CHECKED : "");
radio_button("aktivni", "f", 
						"<span class=\"label\">Neaktivní</span> (zobrazuje se pouze v autentizované části)",
							! $aktivni ? $CHECKED : "");
box_form_end();

echo "\t</td>\n</tr>\n</table><!-- formular -->\n";

if (issetGET("ok"))
	echo "\t<div class=\"ok_info\">Vložení údajů proběhlo úspěšně</div>\n";

if (issetGET("bad")) {
	echo "\t<div class=\"not_ok_info\">Vložení údajů neproběhlo úspěšně</div>\n";
	echo "\t<div class=\"not_ok_info\">Zdroj se nebude zobrazovat ve veřejné části portálu</div>\n";
}

echo "\n</div><!-- formular_inside -->\n\n";

echo "<div class=\"horiz_menu\">\n";
tlacitko("Uložit změny", "submit", "");
tlacitko("Původní hodnoty", "reset", "");
//if ($smazat_zdroj) tlacitko("Smazat zdroj", "submit", "smazat");
//tlacitko("Zpět na moji stránku", "submit", "zpet");
if ($smazat_zdroj) tlacitko("Zpět na zdroj", "submit", "zdroj");
if ($ENABLE_VERDE) tlacitko("Načti Verde", "submit", "verde");
echo "</div><!-- horizon menu -->\n";
 
hidden_form("vytvoren", $kopie ? $dnes : $pridan); 
if ($id != null) hidden_form("id", $id); 
hidden_form("prev_aktivni", $aktivni ? "t" : "f");
hidden_form("old_rss", $old_rss ? "t" : "f");
if ($kopie) hidden_form("kopie", "t");

// configurable fields - if disabled send them empty
if (! $ENABLE_EXTRA_CZECH_TITLE) {
 hidden_form("nazev_extra_cz", $nazev_extra_cz);
}

if (! $ENABLE_EXTRA_CZECH_LINK) {
	hidden_form("odkaz_extra_cz", $odkaz_extra_cz); 
}

if (! $ENABLE_ONELOG_LINK) {
	hidden_form("odkaz_onelog_en", $odkaz_onelog_en); 
	hidden_form("odkaz_onelog_cz", $odkaz_onelog_cz); 
}


echo "</form>\n";

echo "</div><!-- obsah -->\n";

my_main_ending();

setlocale(LC_TIME, $MY_LOCALES1, $MY_LOCALES2, $MY_LOCALES3);
footer(filectime($THIS_SCRIPT), $lang);

html_ending();

unsetLogging($DISPLAY_ERRORS, $om);

?>

