<?php
require_once("../eizlibs/logging.php");
$om = setLogging($DISPLAY_ERRORS);

require_once("../eizlibs/db_connect.php");
require_once("../eizlibs/functions.php");
require_once("../eizlibs/rights.php");
require_once("eizlibs/functionsv2.php");
require_once("eizlibs/layout.php");

require_once("eizlibs/fakulta_class.php");

$lang = "cs";

$user = getUser();

$THIS_SCRIPT = trimSELF($_SERVER['PHP_SELF']);


// pokud uzivatel neklepl na edit, ale na smazat, tak jdeme dal
if (issetPOST("smazat")) {
	$zkr_dal = urlencode(getPOST("zkratka"));
	$id = getGET("id");
	header("Location: smazat_ano_ne.php?id=$id&zkratka=$zkr_dal&".
		"typ=$MAGAZINE");
		exit(0);
}

// a taky mohl klepnout na odemcit
if (issetPOST("unlock")) {
	$id = getGET("id");
	header("Location: odemkni.php?id=$id&typ=$MAGAZINE");
	exit(0);
}

if (issetPOST("soubory")) {
	$id = getGET("id");
	header("Location: edit_soubory.php?id=$id&typ=$MAGAZINE");
	exit(0);
}


// **************************************************************************
// nejake mistni konstanty

$textboxsize=73;
$sloupce=3;

// **************************************************************************
// zjistime potrebne informace z databaze
connect_db();

// **************************************************************************
// jake ze to mam teda vsechny predmety a fakulty

// predmety
$query = "SELECT predmet_id, predmet FROM predmety";
$result = pg_query($query);

$predmety_id = array();
$predmety_nazev = array();
$is_active_p = array(); // je predmet vybran
if (pg_num_rows($result) > 0) {
	while ($row = pg_fetch_array($result, NULL, PGSQL_ASSOC)) {
		$loc_predmet_id = $row['predmet_id'];
		array_push($predmety_id, $loc_predmet_id);
		array_push($predmety_nazev, $row['predmet']);
		$is_active_p[$loc_predmet_id] = false;	
	}
}

// fakulty
$query = "SELECT fakulta_id, nazev FROM fakulty ORDER BY nazev";
$result = pg_query($query);

$fakulty = array();
$is_active_f = array();
if (pg_num_rows($result) > 0) {
	while ($row = pg_fetch_array($result, NULL, PGSQL_ASSOC)) {
		$fakulty[$row['fakulta_id']]=$row['nazev'];
	}
}
foreach ($fakulty as $klic => $item) $is_active_f[$klic]=false;

// ********** informace o spravcich
$osoby_pid = array();
$osoby_jmeno = array();
$can_login = array();
$query = "SELECT pid, jmeno, prijmeni, login FROM spravci ORDER BY prijmeni";
$result = pg_query($query);
while ($row = pg_fetch_row($result, NULL, PGSQL_ASSOC)) {
	array_push($osoby_pid, $row['pid']);
	array_push($osoby_jmeno, $row['prijmeni'].", ".$row['jmeno']);
	array_push($can_login, checkLogin($row['login']));
}

// **************************************************************************
// nyni zjistime vse o casopisu


if (($id = getGET("id")) == null) {

// *****************************************
// ***** novy casopis ************************
	
	$userinfo = getUserInfo($user, $_SERVER['PHP_SELF']);
	$pid = getPid($userinfo);
	$fakulta = getFakulta($userinfo);
	if ($fakulta != null) {
		$is_active_f[$fakulta]=true;
	}

	$nadpis = "Vložení nového časopisu";

	$ezbid = "";
	$titul_note = "";
	$odkazy_note = "";

	$titul = "";
	$nakladatel = "";
	$eissn = "";
	$pissn = "";
	$klicova_slova = "";
	$odkazy = "";
	$typ = "";
	$typ_platby = $MAG_COST_PAYED;
	$pristup = $MAG_ACC_IP;
	$recenze = true;
	$prrv_issue = "";
	$prrv_volume = "";
	$prrv_year = "";
	$porv_issue = "";
	$porv_volume = "";
	$porv_year = "";
	$pohybliva_dostupnost = "";
	$dostupne = true;
	$frekvence = "";
	$komentar = "";
	$aktivni = true;
	$expirace_den = "";
	$expirace_mesic = "";
	$expirace_rok = "";
	$modifikace = "nový časopis";

	$ke_smazani = false;

	$spravce_pid = "";
	$spravce = $pid;
	$kontaktni_osoba = $pid;
	$mu = false;
	$ezb = true;
	$in_ezb = false;

	$currd = getdate();
	$pridan=$currd['year']."-".$currd['mon']."-".$currd['mday'];

	$smazat_casopis=false; // u noveho casopisu tlacitko na smazani nechceme

	$expirace = '';
	$exp_note = '';
	$rok = "";
	$mesic = "";
	$den = "";

	$aktivni_od = '';
	$aktivni_od_rok = '';
	$aktivni_od_mesic = '';
	$aktivni_od_den = '';
	$aktivni_od_note = '';	
	$linker_db = '';

} 
else {

// *******************************************************
// ************* editujeme drive vlozeny casopis *********
	
	$userinfo = check_rights($user, $MAGAZINE, $RGHT_EDIT, $id, $_SERVER['PHP_SELF']);

	$pid = getPid($userinfo);

	if (! lock($pid, $id, $MAGAZINE, $_SERVER['PHP_SELF'])) {
		logit($user, $_SERVER['PHP_SELF'],"Magazine $id already locked!".
			pg_last_error(), $LOG_LCK);
		print_lock_error_page($lang);
	}
		
	/* ****** ziskame informace o casopisu ******** */
	/* ****************************************** */
	$id = stringEscape($id);
	
	$query = "SELECT * FROM casopisy WHERE casopis_id='$id' AND $DELETED_MAGAZINE_COND";
	$result = pg_query($query);
	db_one_row($result, $user, $_SERVER['PHP_SELF'], 
		"Magazine id='$id' conflict error!", $lang);
	$row = pg_fetch_array($result, NULL, PGSQL_ASSOC);

	$notin = "";	

	if (issetGET("titul")) $titul_note = "Titul musí být vložen!";
	else $titul_note = "";
	$titul = getValue($row['titul'], $notin);
	$nadpis = $titul;

	$ezbid = getValue($row['ezbid']);
	$nakladatel = getValue($row['nakladatel'], $notin);
	$eissn = getValue($row['e_issn'], $notin);
	$pissn = getValue($row['p_issn'], $notin);
	$klicova_slova = getValue($row['klicova_slova'], $notin);

	if (issetGET("odkazy")) $odkazy_note = "Musí být vložen alespoň jeden odkaz!";
	else $odkazy_note="";
	$odkazy = getValue($row['odkazy'], $notin);

	$typ = getValue($row['typ'], $notin);
	$typ_platby = getValue($row['typ_platby'], $notin);
	$pristup = getValue($row['pristup'], $notin);
	$recenze = getBool($row['recenze']);
	$prrv_issue = getValue($row['prrv_issue'], $notin);
	$prrv_volume = getValue($row['prrv_volume'], $notin);
	$prrv_year = getValue($row['prrv_year'], $notin);
	$porv_issue = getValue($row['porv_issue'], $notin);
	$porv_volume = getValue($row['porv_volume'], $notin);
	$porv_year = getValue($row['porv_year'], $notin);
	$pohybliva_dostupnost = getValue($row['pohybliva_dostupnost'], $notin);
	$dostupne = getBool($row['dostupne']);
	$frekvence = getValue($row['frekvence'], $notin);
	$komentar = getValue($row['komentar'], $notin);
	$modifikace = getFormatedDate($row['modifikace']);

	$mu = getBool($row['mu']);
	$ke_smazani = getBool($row['smazat']); 
	$ezb = getBool($row['ezb']);
	$aktivni = getBool($row['aktivni']);
	$in_ezb = getBool($row['in_ezb']);

	$smazat_casopis = true;

	$spravce_pid = $row['odpovedny_spravce'];
	$spravce = $row['odpovedny_spravce'] != "" ? $row['odpovedny_spravce'] : $notin;
	$kontaktni_osoba = $row['kontaktni_osoba'] != "" ? $row['kontaktni_osoba'] : $notin;

	$linker_db=htmlEscape(checkForNull($row['linker_db']));
	
	$expirace = $row['expirace'] != null ? $row['expirace'] : "";
	if (($rok = getYear($expirace)) == $TOP_YEAR) { $rok=""; $expirace=""; }
	$mesic = getMonth($expirace);
	$den = getDay($expirace);
	if (issetGET("expirace")) $exp_note = "Chybně vloženo datum expirace!";
	else $exp_note = "";

	$aktivni_od = $row['aktivni_od'] != null ? $row['aktivni_od'] : '';
	$aktivni_od_rok = getYear($aktivni_od);
	$aktivni_od_mesic = getMonth($aktivni_od);
	$aktivni_od_den = getDay($aktivni_od);
	if (issetGET("aktivni_od")) { 
		$aktivni_od_note = "Chybně vloženo datum pro aktivaci časopisu!";
	}



		// predmety, fakulty etc.

	//zjisti kterym predmetum casopis nalezi
	$query = "SELECT predmet_id FROM casopis_predmet".
    				" WHERE casopis_id = '$id'";

	$result = pg_query($query);
	if (pg_num_rows($result) > 0) {
		while ($row = pg_fetch_array($result, NULL, PGSQL_NUM)) {
			$is_active_p[$row[0]]=true;
		}
	}

	
	// krterym fakultam zdroj nalezi
	$query = "SELECT fakulta_id FROM casopis_fakulta
						WHERE casopis_id = '$id'";
	
	$result = pg_query($query);
	
	if (pg_num_rows($result) > 0) {
		while ($row = pg_fetch_array($result, NULL, PGSQL_NUM)) {
			$is_active_f[$row[0]]=true;
		}
	}
}

$admin = getIsAdmin($userinfo);


// **************************************************************************
// navigacni lista
$nav_bar[0]=$NAV_AUTH;
$nav_ref[0]=$NAV_AUTH_LNK;
$nav_bar[1]="Editace časopisu";
$nav_temp = $id == null ? "" : "?id=$id";
$nav_ref[1]="$THIS_SCRIPT$nav_temp";


// **************************************************************************
// layout

html_heading($lang, $EIZ_AUTH_TXTAR);

menu($lang, $THIS_SCRIPT, "", $EIZ_AUTH, $id == null ? "" : "unlock=$id");

my_main($lang, $lang, $EIZ_AUTH);

nav_bar($lang, $nav_bar, $nav_ref);

echo "<h1>$nadpis</h1>\n";

echo "<div class=\"obsah\">\n";

echo "<form action=\"zpracuj_casopisy.php?par=1\" method=\"post\">\n";

echo "<div class=\"horiz_menu\">\n";
tlacitko("Uložit změny", "submit", "");
tlacitko("Původní hodnoty", "reset", "");
//if ($smazat_casopis) tlacitko($ke_smazani ? "Zrušit smazání" : "Označit pro smazání", "submit", "smazat");
//tlacitko("Zpět na moji stránku", "submit", "zpet");
if ($smazat_casopis) tlacitko("Zpět na časopis", "submit", "casopis");
echo "</div><!-- horizon menu -->\n";

echo "<div class=\"formular_inside\">\n";

if (issetGET("ok"))
	echo "\t<div class=\"ok_info\">Vložení údajů proběhlo úspěšně</div>\n";

if (issetGET("bad")) {
	echo "\t<div class=\"not_ok_info\">Musíte vložit alespoň jedno ISSN!</div>\n";
}


//echo "<div class=\"help_link\"><a href=\"casopisy_EZB.pdf\" target=\"_blank\">Nápověda (v PDF)</a></div>\n";
echo "<table class=\"formular\">\n";

text_form("E-ISSN<sup>*</sup>:", $eissn, "e_issn", 10, "");
text_form("P-ISSN<sup>*</sup>:", $pissn, "p_issn", 10, "");

info_form("", "<span class=\"note\">* jedno z polí ISSN je povinné</span>");
empty_form();
text_form("<span class=\"tluste_blue\">Titul**</span>:", $titul, "titul", 50, $titul_note);
info_form("", "<span class=\"note\">** prosím vkládejte pro upřesnění i titul časopisu</span>");
text_form("Nakladatel***:", $nakladatel, "nakladatel", 50, "");
info_form("", "<span class=\"note\">*** prosím vložte nakladatele/producenta (jeho název nebo url, např. Proquest, EBSCO apod.), u kterého máme el. verzi časopisu dostupnou - na daného producenta bude veden z SFX odkaz</span>");
text_form("Klíčová slova:", $klicova_slova, "klicova_slova", 50, ""); 
info_form("", "<span class=\"note\">jednotlivá klíčová slova oddělujte čárkou</span>");
empty_form();

info_form("Naposledy změněn:", $modifikace);

date_form("Expirace:", $rok, $mesic, $den, $exp_note);
//info_form("", "<span class=\"note\">** den.měsíc.rok</span>");
date_form_aktivni("Aktivovat zdroj od:", $aktivni_od_rok, $aktivni_od_mesic, $aktivni_od_den, $aktivni_od_note);
empty_form();

if ($admin) {
	text_form("Identifikátor pro linker (SFX):", $linker_db, "linker_db", 30, "");
	empty_form();
}

select_subject_form($predmety_id, $predmety_nazev, $is_active_p);

area_form("<span class=\"tluste_blue\">Odkazy*</span> (URL na el. verzi časopisu):", $odkazy, "odkazy", $textboxsize, 3, "form_area2");

if ($odkazy_note != "") info_form("", "<span class=\"error\">$odkazy_note</span>\n");

empty_form();

box_form_begin("Typ (verze předplatného, kterou máme k dispozici):");
echo "\t\t<tr>\t\t\t<td>\n\n";
foreach($MAGAZINE_TYPE as $klic => $nazev_typu) {
	if ($klic == $typ) $checked = $CHECKED;
	else $checked = "";

	echo "\t\t\t\t<div>";
	radio_button("typ", $klic, $nazev_typu .
		" <span class=\"ital\">(".$MAGAZINE_TYPE_COMM[$klic].")</span>", $checked);
	echo "</div>\n";
}
echo "\t\t\t</td>\n\t\t</tr>\n";
box_form_end();

box_form_begin("Fulltext:");
echo "\t\t<tr>\n\t\t\t<td>\n";
foreach($MAGAZINE_COST as $klic => $nazev_platby) {
	if ($klic == $typ_platby) $checked = $CHECKED;
	else $checked = "";

	echo "\t\t\t\t<div>";
	radio_button("typ_platby", $klic, $nazev_platby, $checked);
	echo "</div>\n";
}
echo "\t\t\t</td>\n\t\t</tr>\n";
box_form_end();

box_form_begin("Požadavky pro přístup:");
echo "\t\t<tr>\n\t\t\t<td>\n";
foreach($MAGAZINE_ACCESS as $klic => $naz_pristup) {
	if ($klic == $pristup) $checked = $CHECKED;
	else $checked = "";

	echo "\t\t\t\t<div>";
	radio_button("pristup", $klic, $naz_pristup, $checked);
	echo "</div>\n";
}
echo "\t\t\t</td>\n\t\t</tr>\n";
box_form_end();

box_form_begin("Recenzovaný časopis:");
echo "\t\t<tr>\n\t\t\t<td>\n";
radio_button("recenze", "t", "Ano", $recenze ? $CHECKED : "");
radio_button("recenze", "f", "Ne",! $recenze ? $CHECKED : "");
box_form_end();

empty_form();

magazine_issue_form("První rok vydání:", $prrv_issue, $prrv_volume, $prrv_year , "prrv");
magazine_issue_form("Poslední rok vydání:", $porv_issue, $porv_volume, $porv_year , "porv");

info_form("", "<span class=\"note\">číslo - ročník - rok</span>");
info_form("", "<span class=\"note\">poslední rok vydání - jen pokud již bylo vydávání ukončeno</span>");

empty_form();

moving_wall_form($dostupne, $pohybliva_dostupnost);

text_form("Frekvence vydávání:", $frekvence, "frekvence", 50, "");
info_form("", "<span class=\"note\">jak často jsou vydávána nová čísla</span>");
empty_form();

area_form("Komentář:", $komentar, "komentar", 70, 3, "form_area2");

empty_form();

select_persons($can_login, $osoby_pid, $osoby_jmeno, $kontaktni_osoba,
	              $spravce, getIsAdmin($userinfo), $MAGAZINE);

// zarazeni pod fakulty
box_form_begin("Zařazení časopisu:");
$sloupce=3;
echo "\n\t\t<tr>\n\t\t\t<td colspan=\"$sloupce\">";
radio_button("mu", "t", "Celá MU", $mu ? $CHECKED : "");
radio_button("mu", "f", "Jen jednotlivé fakulty (časopi není přístupný celouniverzitně<sup><b>*</b></sup>)", ! $mu ? $CHECKED : "");

echo "\n\t\t\t</td>\n\t\t</tr>";

echo "\n\t\t<tr>\n\t\t\t<td>\n";

$i=0;
$kolik=floor(count($fakulty)/$sloupce);
foreach ($fakulty as $fakulta_id => $fakulta) {
	if (($i % $kolik == 0) && ($i != 0)) echo "\t\t\t</td>\n\t\t\t<td>\n";
	echo "\t\t\t<table class=\"noborder\">";
	check_box($fakulta_id, "fakulta", $fakulta, 
						$is_active_f[$fakulta_id] ? $CHECKED : "");
	echo "</table><!-- noborder -->\n";
	$i++;
}
box_form_end(); // prislusnost zdroje

info_form('<span class="note"><sup>*</sup>Je-li časopis přístupný z celé MU, ponechte prosím zaškrtnuto "Celá MU" (při tom si můžete zaškrtnout i fakulty, pro které je časopis primárně určen)</span>', ''); 

empty_form();

if (getIsAdmin($userinfo)) {
	box_form_begin("Aktivováno v SFX:");
	echo "\t\t<tr>\n\t\t\t<td>\n";
	radio_button("in_ezb", "t", "Ano", $in_ezb ? $CHECKED : "");
	radio_button("in_ezb", "f", "Ne", ! $in_ezb ? $CHECKED : "");
	box_form_end();
}
else {
	hidden_form("in_ezb", $in_ezb ? "t" : "f");
}

box_form_begin("Status časopisu:");
echo "\t\t<tr>\n\t\t\t<td>\n";
radio_button("aktivni", "t", "Aktivní (propaguje se do EZB)", $aktivni ? $CHECKED : "");
radio_button("aktivni", "f", "Neaktivní (nepropaguje se do EZB)",! $aktivni ? $CHECKED : "");
box_form_end();


//empty_form();

//info_form("Status časopisu:", $ke_smazani ? "<span class=\"tluste_red\">Označen ke smazání</span>" : "<span class=\"tluste_green\">aktivní</span>");

echo "\t</td>\n</tr>\n</table><!-- formular -->\n";

if (issetGET("ok"))
	echo "\t<div class=\"ok_info\">Vložení údajů proběhlo úspěšně</div>\n";

if (issetGET("bad")) {
	echo "\t<div class=\"not_ok_info\">Vložení údajů neproběhlo úspěšně</div>\n";
}

echo "\n</div><!-- formular_inside -->\n\n";

echo "<div class=\"horiz_menu\">\n";
tlacitko("Uložit změny", "submit", "");
tlacitko("Původní hodnoty", "reset", "");
//if ($smazat_casopis) tlacitko($ke_smazani ? "Zrušit smazání" : "Označit pro smazání", "submit", "smazat");
//tlacitko("Zpět na moji stránku", "submit", "zpet");
if ($smazat_casopis) tlacitko("Zpět na časopis", "submit", "casopis");
echo "</div><!-- horizon menu -->\n";

if ($id != null) {
	hidden_form("id", $id); 
}
else {
	hidden_form("vytvoren", $pridan); 
}

echo "</form>\n";

echo "</div><!-- obsah -->\n";

my_main_ending();

setlocale(LC_TIME, $MY_LOCALES1, $MY_LOCALES2, $MY_LOCALES3);
footer(filectime($THIS_SCRIPT), $lang);

html_ending();

unsetLogging($DISPLAY_ERRORS, $om);

?>

