<?php

require_once("../eizlibs/db_connect.php");
require_once("../eizlibs/functions.php");
require_once("../eizlibs/rights.php");
require_once("../eizlibs/classes.php");

require_once("eizlibs/fakulta_class.php");

$om = setLogging($DISPLAY_ERRORS);

$lang = "cs";

$user = getUser();

$THIS_SCRIPT = trimSELF($_SERVER['PHP_SELF']);

// pokud uzivatel neklepl na edit, ale na smazat, tak jdeme dal
if (issetPOST("smazat")) {
	$zkr_dal = urlencode(getPOST("zkratka"));
	$id = getGET("id");
	header("Location: smazat_ano_ne.php?id=$id&zkratka=$zkr_dal&typ=$BOOK");
	exit(0);
}

// a taky mohl klepnout na odemcit
if (issetPOST("unlock")) {
	$id = getGET("id");
	header("Location: odemkni.php?id=$id&typ=$BOOK");
	exit(0);
}

if (issetPOST("kopie")) {
	$kopie = true;
}
else {
	$kopie = false;
}

if (issetPOST("soubory")) {
	$id = getGET("id");
	header("Location: edit_soubory.php?id=$id&typ=$BOOK");
	exit(0);
}


// **************************************************************************
// nejake mistni konstanty

$textboxsize=73;
$sloupce=3;

// **************************************************************************
// zjistime potrebne informace z databaze
connect_db();

// **************************************************************************
// jake ze to mam teda vsechny oobory a fakulty

// obory
$query = "SELECT obor_id, nazev FROM obory WHERE koren='t' ORDER BY nazev";
$result = pg_query($query);

$obory_id = array();
$obory_nazev = array();
$is_koren_o = array();
$is_active_o = array(); // je obor zaskrtnut?
if (pg_num_rows($result) > 0) {
	while ($row = pg_fetch_array($result, NULL, PGSQL_ASSOC)) {
		$loc_obor_id = $row['obor_id'];
		array_push($obory_id, $loc_obor_id);
		array_push($obory_nazev, $row['nazev']);
		array_push($is_koren_o, true);
		$is_active_o[$loc_obor_id] = false;
		
		// podobory
		$query = "SELECT obory.obor_id, obory.nazev".
	          	" FROM obory, obor_obor". 
							" WHERE (obor_obor.obor_rodic = '$loc_obor_id') AND". 
							    	"	(obor_obor.obor_potomek = obory.obor_id)".
							" ORDER BY obory.nazev";
		$result_pod = pg_query($query);

		while ($row_pod = pg_fetch_array($result_pod, NULL, PGSQL_ASSOC)) {
			array_push($obory_id, $row_pod['obor_id']);
			array_push($obory_nazev, $row_pod['nazev']);
			array_push($is_koren_o, false);
			$is_active_o[$row_pod['obor_id']] = false;
		}
	}
}

// fakulty
$query = "SELECT fakulta_id, nazev FROM fakulty ORDER BY nazev";
$result = pg_query($query);

$fakulty = array();
$is_active_f = array();
$plne_info_fakulty = array();
if (pg_num_rows($result) > 0) {
	while ($row = pg_fetch_array($result, NULL, PGSQL_ASSOC)) {
		$fakulty[$row['fakulta_id']]=$row['nazev'];
		$plne_info_fakulty[$row['fakulta_id']]=new fakulta_info($BOOK);
	}
}
foreach ($fakulty as $klic => $item) $is_active_f[$klic]=false;


// ********** informace o spracich
$osoby_pid = array();
$osoby_jmeno = array();
$can_login = array();
$query = "SELECT pid, jmeno, prijmeni, login FROM spravci ORDER BY prijmeni";
$result = pg_query($query);
while ($row = pg_fetch_row($result, NULL, PGSQL_ASSOC)) {
	array_push($osoby_pid, $row['pid']);
	array_push($osoby_jmeno, $row['prijmeni'].", ".$row['jmeno']);
	array_push($can_login, checkLogin($row['login']));
}


// priprav si datum
$currd = getdate();
$dnes=$currd['year']."-".$currd['mon']."-".$currd['mday'];


// **************************************************************************
// nyni zjistime vse o zdroji


if (($id = getGET("id")) == null) {

// *****************************************
// ***** novy zdroj ************************

	$new = true;	
	$userinfo = getUserInfo($user, $_SERVER['PHP_SELF']);
	$pid = getPid($userinfo);
	
	$nadpis = "<h1>Přidání nové e-knihy</h1>\n";

	$titul="";
	$titul_note="";

	$odkaz="";
	$odkaz_note="";
	$onelog_note="";

	$modifikace = "&lt;nová e-kniha&gt;";
	$expirace = "";
	$rok = ""; $mesic= ""; $den = "";

	$autori = "";
	$ext_id = "";
	$strucny_popis = "";
	$strucny_popis_en = "";
	$popis = "";
	$popis_en = "";
	$producent = "";
	$producent_odkaz = "";
	$vydavatel = "";
	$vydavatel_odkaz = "";
	$rok_vydani = "";
	$isbn = "";
	$pocet_stran = "";
	$misto_vydani = "";

	$financovani = "";
	$licence = "";
	$jazyk = "";
	//$kategorie = $KAT_DEFAULT;
	$aktivni = true;
	$novinky = true;
	$zarazeni = $SOURCE_IN_DEFAULT;
	$zarazeni_note = "";
	$multioborovy = false;
	$pridan=$dnes;
	$kontaktni_osoba = getPID($userinfo);
	$odpovedny_spravce = getPID($userinfo);

	// configurable fields
	$titul_extra_cz = "";
	$odkaz_extra_cz = "";
	$odkaz_onelog_en = "";
	$odkaz_onelog_cz = "";

	$aktivni_od = '';
	$aktivni_od_rok = '';
	$aktivni_od_mesic = '';
	$aktivni_od_den = '';
	$aktivni_od_note = '';	
	$linker_db = '';



	$del1=0;
	$del2=0;
	$exp_note="";
	$notvalid_cs="";
	$notvalid_en="";

	$any_note = "";

	$old_rss = false;
	$rss = true; // defaultne se nove zdroje do RSS vkladaji
	$smazat_zdroj=false; // u noveho zdroje tlacitko na smazani nechceme

	$verde_id = "";
	$verde_id_note = "";

	$retrospektiva = array();
} 
else {
	
// *****************************************************
// ************* editujeme drive vlozeny zdroj *********

	$new = false;	
	$userinfo = check_rights($user, $BOOK, $RGHT_EDIT, $id, $_SERVER['PHP_SELF']);

	$pid = getPid($userinfo);
	if (! lock($pid, $id, $BOOK, $_SERVER['PHP_SELF'])) {
		logit($user, $_SERVER['PHP_SELF'],
			"Book $id already locked!".pg_last_error(), $LOG_LCK);
		print_lock_error_page($lang);
	}
		
	/* ****** ziskame informace o zdroji ******** */
	/* ****************************************** */
	$id = stringEscape($id);
	
	$query = "SELECT * FROM knihy WHERE kniha_id='$id'";
	$result = pg_query($query);
	db_one_row($result, $user, $_SERVER['PHP_SELF'], "Book id='$id' conflict error!", 
							$lang);
	$row = pg_fetch_array($result, NULL, PGSQL_ASSOC);
	
	/*
	$nazev="";
	$nazev_note="";
	if (issetGET("nazev")) $nazev_note="Plný název musí být vyplněn!"; 
	else $nazev = $row['nazev'];
	*/
	
	$titul="";
	$titul_note="";
	
	//if (issetGET("titul")) $titul_note="Titul musí být vyplněn!"; 
	$titul = htmlEscape(checkForNull($row['titul']));

	$odkaz="";
	$odkaz_note="";
	//if (issetGET("odkaz")) $odkaz_note="Odkaz musí být vyplněn!";      
	$odkaz = htmlEscape(checkForNull($row['odkaz']));

	$onelog_note="";
	if (issetGET("odkaz_onelog_en")) $onelog_note="Odkaz na OneLog musí být vyplněn!";

	$any_note="";
	if (issetGET("any")) $any_note = "Aspoň jeden z Odkaz nebo Odkaz OneLog musí být vyplněn!";


	$modifikace = $row['modifikace'];
	$modifikace = getDay($modifikace) . "." . getMonth($modifikace) . "." .
								getYear($modifikace) . " " . getTime($modifikace);
	
	$expirace = $row['expirace'] != null ? $row['expirace'] : "";
	if (($rok = getYear($expirace)) == $TOP_YEAR) { $rok=""; $expirace=""; }
	$mesic = getMonth($expirace);
	$den = getDay($expirace);
	if (issetGET("expirace")) $exp_note = "Chybně vloženo datum expirace!";
	else $exp_note = "";

	$aktivni_od = $row['aktivni_od'] != null ? $row['aktivni_od'] : '';
	$aktivni_od_rok = getYear($aktivni_od);
	$aktivni_od_mesic = getMonth($aktivni_od);
	$aktivni_od_den = getDay($aktivni_od);
	if (issetGET("aktivni_od")) { 
		$aktivni_od_note = "Chybně vloženo datum pro aktivaci knihy!";
	}

	$linker_db = htmlEscape(checkForNull($row['linker_db']));

	//$zkratka = checkForNull($row['zkratka']);
	$autori = htmlEscape(checkForNull($row['autori']));
	$strucny_popis = htmlEscape(checkForNull($row['strucny_popis']));
	$strucny_popis_en = htmlEscape(checkForNull($row['strucny_popis_en']));
	$popis = checkForNull($row['popis']);
	$popis_en = checkForNull($row['popis_en']);
	$producent = htmlEscape(checkForNull($row['producent']));
	$producent_odkaz = htmlEscape(checkForNull($row['producent_odkaz']));
	$vydavatel = htmlEscape(checkForNull($row['vydavatel']));
	$vydavatel_odkaz = htmlEscape(checkForNull($row['vydavatel_odkaz']));

	$misto_vydani = htmlEscape(checkForNull($row['misto_vydani']));
	$ext_id =  htmlEscape(checkForNull($row['id']));
	$rok_vydani =  htmlEscape(checkForNull($row['rok_vydani']));
	$isbn =  htmlEscape(checkForNull($row['isbn']));
	$pocet_stran =  htmlEscape(checkForNull($row['pocet_stran']));

	$financovani = checkForNull($row['financovani']);
	$licence = htmlEscape(checkForNull($row['licence']));
	$jazyk = getJazyk($row['jazyk']);
	$aktivni = getBool($row['aktivni']);
	$rss = false;
	$old_rss = getBool($row['rss']);
	$novinky = getBool($row['novinky']);
	$zarazeni = getZarazeni($row['zarazeni']);
	$multioborovy = getBool($row['multioborovy']);
	//$kategorie = getKategorie($row['kategorie']);
	$kontaktni_osoba = checkForNull($row['kontaktni_osoba']);
	if ($kontaktni_osoba == "") $kontaktni_osoba=getPID($userinfo);
	$odpovedny_spravce = checkForNull($row['odpovedny_spravce']);
	if ($odpovedny_spravce == "") $odpovedny_spravce=getPID($userinfo);

	$pridan = $row['vytvoren']; // kdy byl zdroj pridan (nevyplnujeme pri editaci)	
	$verde_id = checkForNull($row['verde_id']);

		$verde_id_note = "";

	// udelam nadpis
	$zkratka_od = $titul == "" ? "&lt;neznámý název&gt;&nbsp;(id=$id)" : 
																	$titul;
	$smazat_zdroj=true; // chceme mit tlacitko, ze je mozne zdroj smazat
	if ($kopie) {
		$nadpis = "<h1><i>Kopie zdroje</i> \"$zkratka_od\"</h1>";
	}
	else {
		$nadpis = "<h1>$zkratka_od</h1>";
	}

	// configurable fields

		$titul_extra_cz = htmlEscape(checkForNull($row['titul_extra_cz']));

		$odkaz_extra_cz = htmlEscape(checkForNull($row['odkaz_extra_cz']));

		$odkaz_onelog_en = htmlEscape(checkForNull($row['odkaz_onelog_en']));
		$odkaz_onelog_cz = htmlEscape(checkForNull($row['odkaz_onelog_cz']));



	// **************************************************
	// ****** ziskame informace o oborech zdroje ******** 
	$query = "SELECT obor_id FROM kniha_obor
						WHERE kniha_id = '$id'";
	$result = pg_query($query);
	if (pg_num_rows($result) > 0) {
		while ($row = pg_fetch_array($result, NULL, PGSQL_NUM)) {
			$is_active_o[$row[0]]=true;
		}
	}

	// **************************************************
	// ****** ziskame informace o fakultach ************* 
	$query = "SELECT * FROM kniha_fakulta
						WHERE kniha_id = '$id'";
	$result = pg_query($query);

	$zarazeni_note="";
	if (pg_num_rows($result) > 0) {
		while ($row = pg_fetch_array($result, NULL, PGSQL_ASSOC)) {
			$is_active_f[$row['fakulta_id']]=true;
		}
	}
	else {
		if ($zarazeni == $SOURCE_MU_FACS) {
			$zarazeni_note="Prosím označte některou z fakult!";
		}
	}

	$query = "SELECT * FROM kniha_fakulta_info
		            WHERE kniha_id = '$id'";
	$result = pg_query($query);

	if (pg_num_rows($result) > 0) {
		while ($row = pg_fetch_array($result, NULL, PGSQL_ASSOC)) {
			$plne_info_fakulty[$row['fakulta_id']] =
				new fakulta_info($BOOK, $row['fakulta_id'], $row['nazev_cs'], 
				$row['nazev_en'], $row['odkaz_cs'], $row['odkaz_en'], 
				$row['odkaz_onelog_cs'], $row['odkaz_onelog_en']);
		}
	}

	//******************************************************
	//********* informace o retrospektive zdroje
	$query = "SELECT zacatek, konec, poznamka FROM retrospektiva_knihy ".
		" WHERE kniha_id=$id ORDER BY zacatek, konec";
	$result = pg_query($query);

	$retrospektiva = array();
	$retrospektiva_pocet = pg_num_rows($result);

	while ($row = pg_fetch_array($result, NULL, PGSQL_ASSOC)) {
		array_push($retrospektiva, new retrospektiva(getDay($row['zacatek']), getMonth($row['zacatek']), getYear($row['zacatek']), getDay($row['konec']), getMonth($row['konec']), getYear($row['konec']), $row['poznamka']));
	}
}

$admin = getIsAdmin($userinfo);

// **************************************************************************
// navigacni lista
$nav_bar[0]=$NAV_AUTH;
$nav_ref[0]=$NAV_AUTH_LNK;
$nav_bar[1]="Editace e-knihy";
$nav_temp = $id == null ? "" : "?id=$id";
$nav_ref[1]="edit.php$nav_temp";


// **************************************************************************
// layout

html_heading($lang, $EIZ_AUTH_TXTAR);

menu($lang, $THIS_SCRIPT, "", $EIZ_AUTH, ""/*$id == null ? "" : "unlock=$id"*/);

my_main($lang, $lang, $EIZ_AUTH);

nav_bar($lang, $nav_bar, $nav_ref);

echo $nadpis;

echo "<div class=\"obsah\">\n";

echo "<form action=\"zpracuj_knihu.php?par=1\" enctype=\"multipart/form-data\" method=\"post\">\n";

//echo "<input type=\"hidden\" name=\"odkud\" value=\"edit\" />\n";

echo "<div class=\"horiz_menu\">\n";
tlacitko("Uložit změny", "submit", "");
tlacitko("Původní hodnoty", "reset", "");
//if ($smazat_zdroj) tlacitko("Smazat zdroj", "submit", "smazat");
//tlacitko("Zpět na moji stránku", "submit", "zpet");
if ($smazat_zdroj) tlacitko("Zpět na e-knihu", "submit", "kniha");
if ($ENABLE_VERDE) tlacitko("Načti Verde", "submit", "verde");
echo "</div><!-- horizon menu -->\n";

echo "<div class=\"formular_inside\">\n";

if (issetGET("ok"))
	echo "\t<div class=\"ok_info\">Vložení údajů proběhlo úspěšně</div>\n";

if (issetGET("bad")) {
	echo "\t<div class=\"not_ok_info\">Vložení údajů neproběhlo úspěšně</div>\n";
	echo "\t<div class=\"not_ok_info\">E-kniha se nebude zobrazovat ve veřejné části portálu</div>\n";
}

if (getGET("verde") == "1") {
	echo "\t<div class=\"ok_info\">Údaje byly nataženy z Verde</div>\n";
}

echo "<table class=\"formular\">\n";
//text_form("Plný název*:", $nazev, "nazev", 50, $nazev_note);
if ($ENABLE_EXTRA_CZECH_TITLE) $tpozn = "en";
else $tpozn = "zkráceně";

if ($ENABLE_EXTRA_CZECH_LINK) $opozn = "(en)";
else $opozn = "";

$lstars = "";
$onelogstars = "";
$lpozn = "";

/*
if ($ENABLE_ONELOG_LINK) {
	if ($ANY_LINK) {
		$lstars = "**";
		$onelogstars = "**";
		$lpozn = "** Odkaz nebo Odkaz OneLog musí být vyplněn";

	}
	else {
		
		if ($ONELOG_LINK_MANDATORY) {
			$onelogstars = "*";
		}

		if (! $DIRECT_LINK_MANDATORY) {
			$lstars = "";
		}
	}
}
	 */

$links_add_note = "";
/*
if (($ENABLE_EXTRA_CZECH_LINK || $ENABLE_ONELOG_LINK) && ! $ANY_LINK) {
	$links_add_note = "(pro \"Odkaz\" a \"Odkaz Onelog\" povinný vždy jeden z \"en\" a \"cs\")";
}
	 */

if ($ENABLE_VERDE) {
	text_form("Verde ID:", $verde_id, "verde_id", 30, $verde_id_note);
}
else {
	hidden_form("verde_id", $verde_id);
}

empty_form();


text_form("ISBN<sup>*</sup>:", $isbn, "isbn", 20, "");

info_form("", "<span class=\"note\">pole ISBN je povinné</span>");

text_form("Titul:", $titul, "titul", 50, $titul_note);

//if ($ENABLE_EXTRA_CZECH_TITLE) text_form("Titul (cs):", $titul_extra_cz, 
//	"titul_extra_cz", 50, "");

text_form("Externí identifikátor:", $ext_id, "ext_id", 10, "");


empty_form();
info_form("Naposledy změněn:", $modifikace);
//text_form("Expirace**:", $expirace, "expirace", 10, "");
date_form("Expirace:", $rok, $mesic, $den, $exp_note);
//info_form("", "<span class=\"note\">** den.měsíc.rok</span>");

date_form_aktivni("Aktivovat zdroj od:", $aktivni_od_rok, $aktivni_od_mesic, $aktivni_od_den, $aktivni_od_note);
empty_form();

if ($admin) {
	text_form("Identifikátor pro linker (SFX):", $linker_db, "linker_db", 30, "");
	empty_form();
}

text_form("Autoři:", $autori, "autori", 50, "");

if ($EN_BEFORE_CZ) {
	text_form("Stručný popis (en):", $strucny_popis_en, "strucny_popis_en", 50, "");
	text_form("Stručný popis (cs):", $strucny_popis, "strucny_popis", 50, "");
}
else {
	text_form("Stručný popis (cs):", $strucny_popis, "strucny_popis", 50, "");
	text_form("Stručný popis (en):", $strucny_popis_en, "strucny_popis_en", 50, "");
}

text_form("Odkaz $opozn$lstars:", $odkaz, "odkaz", 50, $odkaz_note.$any_note);
if ($ENABLE_EXTRA_CZECH_LINK) 
	text_form("Odkaz (cs):", $odkaz_extra_cz, "odkaz_extra_cz", 50, "");
if ($ENABLE_ONELOG_LINK) {
	text_form("Odkaz OneLog (en)$onelogstars:", $odkaz_onelog_en, "odkaz_onelog_en", 50, $onelog_note.$any_note);
	text_form("Odkaz OneLog (cs):", $odkaz_onelog_cz, "odkaz_onelog_cz", 50, "");
}

//info_form("", "<span class=\"note\">* povinné údaje $links_add_note</span>");
//if ($lpozn != "") info_form("", "<span class=\"note\">$lpozn</span>");
empty_form();

text_form("Jméno producenta:", $producent, "producent", 50, "");
text_form("Odkaz na producenta:", $producent_odkaz, "producent_odkaz", 50, "");
text_form("Jméno vydavatele:", $vydavatel, "vydavatel", 50, "");
text_form("Odkaz na vydavatele:", $vydavatel_odkaz, "vydavatel_odkaz", 50, "");
empty_form();
//text_form("Externí identifikátor:", $ext_id, "ext_id", 10, "");
//text_form("ISBN:", $isbn, "isbn", 20, "");
text_form("Rok vydání:", $rok_vydani, "rok_vydani", 6, "");
text_form("Místo vydáni:", $misto_vydani, "misto_vydani", 30, "");
text_form("Počet stran:", $pocet_stran, "pocet_stran", 10, "");

file_form("Náhled obálky:", "obalka", 50);
empty_form();

if ($EN_BEFORE_CZ) {
	area_form("Podrobný popis anglicky:",
					$popis_en, "popis_en", $textboxsize, 10, "mceEditor");
	area_form("Podrobný popis česky:",
					$popis, 
					"popis", $textboxsize, 10, "mceEditor"); 
}
else {
	area_form("Podrobný popis česky:",
					$popis, 
					"popis", $textboxsize, 10, "mceEditor"); 
	area_form("Podrobný popis anglicky:",
					$popis_en, "popis_en", $textboxsize, 10, "mceEditor");
}	
	
empty_form();
area_form("Financování:", $financovani, "financovani", $textboxsize, 5,
					"mceEditor");
area_form("Licence:", $licence, "licence", $textboxsize, 5, 
					"form_area2");

empty_form();
echo "\n\t<tr class=\"formular\">\n\t\t<td class=\"formular\">\n";
select_lang_form("Jazyk e-knihy:", $jazyk);
echo "\n\t\t</td>\n\t</tr>\n";

empty_form();
select_persons($can_login, $osoby_pid, $osoby_jmeno, $kontaktni_osoba, 
							$odpovedny_spravce, getIsAdmin($userinfo), $BOOK);
empty_form();

box_form_begin("Obory e-knihy:");
echo "\t\t<tr>\n\t\t\t<td>\n";
echo "\t\t\t\t<div class=\"form_podnadpis\">Multioborová kniha:</div>\n";
echo "\t\t\t</td>\n\t\t</tr>\n\t\t<tr>\n\t\t\t<td>\n";
radio_button("multioborovy", "t", "Ano", $multioborovy ? $CHECKED : "");
radio_button("multioborovy", "f", "Ne", ! $multioborovy ? $CHECKED : "");
echo "\t\t\t</td>\n\t\t</tr>\n\t\t<tr>\n\t\t\t<td>\n";
echo "\t\t\t\t<hr class=\"formular\" />\n";

echo "\t\t\t\t<div class=\"form_podnadpis\">Jednotlivé obory:</div>\n";
echo "\t\t\t</td>\n\t\t</tr>\n\t\t<tr>\n\t\t\t<td>\n";
foreach ($obory_id as $klic => $obor_id) {
	if ($is_koren_o[$klic]) {
		check_box_bold($obor_id, "obor", $obory_nazev[$klic], 
										$is_active_o[$obor_id] ? $CHECKED : "");
	}
	else { 
		check_box_normal($obor_id, "obor", $obory_nazev[$klic], 
											$is_active_o[$obor_id] ? $CHECKED : "");
	}
}
box_form_end(); // obory zdroje

empty_form();
						
box_form_begin("Příslušnost (dostupnost) e-knihy:");
echo "\t\t<tr>\n\t\t\t<td colspan=\"$sloupce\">\n";
echo "\t\t\t\t<div class=\"form_podnadpis\">Hlavní zařazení:</div>\n";
echo "\t\t\t</td>\n\t\t</tr>\n\t\t<tr>\n\t\t\t<td colspan=\"$sloupce\">\n";
radio_button("zarazeni", $SOURCE_NOTIN, "Nezařazený", 
						$zarazeni == $SOURCE_NOTIN ? $CHECKED : "");
radio_button("zarazeni", $SOURCE_MU_FACS, "Pouze jednotlivé fakulty",
						$zarazeni == $SOURCE_MU_FACS ? $CHECKED : "");
radio_button("zarazeni", $SOURCE_MU, "Celá $UNIVERSITY", 
            $zarazeni == $SOURCE_MU ? $CHECKED : "");
echo "\t\t\t</td>\n\t\t</tr>";
						
// zarazeni pod fakulty
echo "\n\t\t<tr>\n\t\t\t<td colspan=\"$sloupce\">\n";
echo "\t\t\t\t<hr class=\"formular\" />\n";
echo "\t\t\t\t<div class=\"form_podnadpis\">Zařazení pod fakulty:</div>\n";
echo "\n\t\t\t</td>\n\t\t</tr>";
if ($zarazeni_note != "") {
	echo "\n\t\t<tr><td></td>";
	echo "<td><span class=\"error\">";
	echo "$zarazeni_note</span></td><td></td></tr>";
}	
echo "\n\t\t<tr>\n\t\t\t<td>\n";

$i=0;
$kolik=floor(count($fakulty)/$sloupce);
foreach ($fakulty as $fakulta_id => $fakulta) {

	$infoobj =  $plne_info_fakulty[$fakulta_id];
	
	if (($i % $kolik == 0) && ($i != 0)) echo "\t\t\t</td>\n\t\t\t<td>\n";
	echo "\t\t\t<table class=\"noborder\">";

	echo "<tr><td>";
	raw_check_box($fakulta_id, "fakulta", 
						$is_active_f[$fakulta_id] ? $CHECKED : "");
	echo "</td><td>";
	
	$tmp_fakulta = $fakulta;

	if ($ENABLE_TITLES_BY_FACS) {
		$tmp_fakulta = "<a href=\"javascript:toggleItem('fac$fakulta_id')\">$fakulta</a>";
	}
	

	echo "$tmp_fakulta";

	if ($ENABLE_TITLES_BY_FACS) {
		echo "<div class=\" hidden titles_by_facs\" id=\"fac$fakulta_id\">";

		echo "<table class=\"titles_by_facs\">";
		$small_nazev_suffix = "";
		if ($ENABLE_EXTRA_CZECH_TITLE) $small_nazev_suffix = "(en)";

		text_form("Název $small_nazev_suffix: ", 
			$infoobj->nazev_en, "nazev_en$fakulta_id", 20, "");

		if ($ENABLE_EXTRA_CZECH_TITLE) {
			text_form("Název (cs): ", $infoobj->nazev_cs, "nazev_cs$fakulta_id", 20, 
				"");
		}

		text_form("Odkaz $small_nazev_suffix: ", $infoobj->odkaz_en, "odkaz_en$fakulta_id", 20, "");

		if ($ENABLE_EXTRA_CZECH_LINK) {
			text_form("Odkaz (cs): ",  $infoobj->odkaz_cs, "odkaz_cs$fakulta_id", 20, "");
		}
		
		if ($ENABLE_ONELOG_LINK) {
			text_form("Odkaz OneLog (en): ", $infoobj->odkaz_onelog_en, "odkaz_onelog_en$fakulta_id", 20, "");
			text_form("Odkaz OneLog (cs): ", $infoobj->odkaz_onelog_cs, "odkaz_onelog_cs$fakulta_id", 20, "");
		}
		echo "</table>\n";

		echo "</div>\n";
	}	
	echo "</td></tr>";
	
	echo "</table><!-- noborder -->\n";
	$i++;
}
box_form_end(); // prislusnost zdroje


empty_form();

retrospektiva_begin();
$i=0;
foreach($retrospektiva as $item) {
	if (! $item->compare()){
		echo "<div><span class=\"error\">Chybné datum. \"od\" musí být menší než \"do\".</span></div>";
	}
	$item->clear();
	retrospektiva_form($i, $item->denOd, $item->mesicOd, $item->rokOd, $item->denDo, $item->mesicDo, $item->rokDo, $item->poznamka);
	$i++;
}
retrospektiva_form($i);
$i++;
retrospektiva_form($i);
$i++;
retrospektiva_end();

hidden_form("retrospektiva_pocet", $i);

empty_form();

if ($ENABLE_RSS_BOOKS) {
	if ($new) {
		$rss_text = "Řadit do RSS:";
	}
	else {
		$rss_text = "Aktualizovat i v RSS:";
	}
	
	box_form_begin("<img src=\"../$IMG_DIR/rss-small.gif\" alt=\"RSS\" /> $rss_text");
	box_form_header();
	radio_button("rss", "t", "<span class=\"label\">Ano</span>", $CHECKED);
	radio_button("rss", "f", "<span class=\"label\">Ne</span>", "");	
	box_form_end();
	text_form("Komentář k RSS:", "", "rss_comm", 50, "");
	text_form("Komentář k RSS (en):", "", "rss_comm_en", 50, "");
}

empty_form();
box_form_begin("Řadit mezi nové:");
box_form_header();
radio_button("novinky", "t", 
					"<span class=\"label\">Ano</span> (kniha může být uvedena na homepage)",
							$novinky ? $CHECKED : "");
radio_button("novinky", "f", 
						"<span class=\"label\">Ne</span> (kniha nebude nikdy uvedena na homepage)",
							! $novinky ? $CHECKED : "");
box_form_end();

empty_form();
box_form_begin("Status e-knihy:");
box_form_header();
radio_button("aktivni", "t", 
					"<span class=\"label\">Aktivní</span> (zobrazuje se na veřejném www)",
							$aktivni ? $CHECKED : "");
radio_button("aktivni", "f", 
						"<span class=\"label\">Neaktivní</span> (zobrazuje se pouze v autentizované části)",
							! $aktivni ? $CHECKED : "");
box_form_end();

echo "\t</td>\n</tr>\n</table><!-- formular -->\n";

if (issetGET("ok"))
	echo "\t<div class=\"ok_info\">Vložení údajů proběhlo úspěšně</div>\n";

if (issetGET("bad")) {
	echo "\t<div class=\"not_ok_info\">Vložení údajů neproběhlo úspěšně</div>\n";
	echo "\t<div class=\"not_ok_info\">E-kniha se nebude zobrazovat ve veřejné části portálu</div>\n";
}

echo "\n</div><!-- formular_inside -->\n\n";

echo "<div class=\"horiz_menu\">\n";
tlacitko("Uložit změny", "submit", "");
tlacitko("Původní hodnoty", "reset", "");
//if ($smazat_zdroj) tlacitko("Smazat zdroj", "submit", "smazat");
//tlacitko("Zpět na moji stránku", "submit", "zpet");
if ($smazat_zdroj) tlacitko("Zpět na e-knihu", "submit", "kniha");
if ($ENABLE_VERDE) tlacitko("Načti Verde", "submit", "verde");
echo "</div><!-- horizon menu -->\n";
 
hidden_form("vytvoren", $kopie ? $dnes : $pridan); 
if ($id != null) hidden_form("id", $id); 
hidden_form("prev_aktivni", $aktivni ? "t" : "f");
hidden_form("old_rss", $old_rss ? "t" : "f");
if ($kopie) hidden_form("kopie", "t");

// configurable fields - if disabled send them empty
if (! $ENABLE_EXTRA_CZECH_TITLE) {
 hidden_form("nazev_extra_cz", $titul_extra_cz);
}

if (! $ENABLE_EXTRA_CZECH_LINK) {
	hidden_form("odkaz_extra_cz", $odkaz_extra_cz); 
}

if (! $ENABLE_ONELOG_LINK) {
	hidden_form("odkaz_onelog_en", $odkaz_onelog_en); 
	hidden_form("odkaz_onelog_cz", $odkaz_onelog_cz); 
}


echo "</form>\n";

echo "</div><!-- obsah -->\n";

my_main_ending();

setlocale(LC_TIME, $MY_LOCALES1, $MY_LOCALES2, $MY_LOCALES3);
footer(filectime($THIS_SCRIPT), $lang);

html_ending();

unsetLogging($DISPLAY_ERRORS, $om);

?>

