<?php

require_once("../eizlibs/db_connect.php");
require_once("../eizlibs/functions.php");
require_once("../eizlibs/rights.php");
require_once("../eizlibs/classes.php");
require_once("../eizlibs/file_class.php");

$om = setLogging($DISPLAY_ERRORS);

$lang = "cs";

$user = getUser();

$THIS_SCRIPT = trimSELF($_SERVER['PHP_SELF']);

$odkud = getPOST("odkud");

// **************************************************************************
// nejake mistni konstanty

$textboxsize=73;
$sloupce=3;

// **************************************************************************
// zjistime potrebne informace z databaze
connect_db();

if (($id = getGET("fileid")) != null) {
	
	$file = soubor::getFileById($id, $user, "smaz_soubor.php");
	
	$userinfo = check_rights($user, $file->objekt_typ, $RGHT_EDIT, $file->objekt_id, $_SERVER['PHP_SELF']);

	$pid = getPid($userinfo);

	if (! lock($pid, $id, $FILE, $_SERVER['PHP_SELF'])) {
		logit($user, $_SERVER['PHP_SELF'],
			"File $id already locked!".pg_last_error(), $LOG_LCK);
		print_lock_error_page($lang);
	}
		
	/* ****** ziskame informace o zdroji ******** */
	/* ****************************************** */
	$id = stringEscape($id);
	
	$query = "SELECT * FROM soubory WHERE soubor_id='$id'";
	$result = pg_query($query);
	db_one_row($result, $user, $_SERVER['PHP_SELF'], 
		"File id='$id' conflict error!", $lang);
	$row = pg_fetch_array($result, NULL, PGSQL_ASSOC);

	$jmeno = htmlEscape(checkForNull($row['jmeno']));
	$popis = htmlEscape(checkForNull($row['popis']));
	$popis_en = htmlEscape(checkForNull($row['popis_en']));
	$verejny = getBool($row['verejny']); 

	// **************************************************
	// ****** ziskame informace o fakultach ************* 
	$typ = $file->objekt_typ;
	$query = "SELECT ".$TYPE_DBTITLES[$typ].
		" FROM ".$TYPE_TABLENAMES[$typ].
		" WHERE ".$TYPE_IDNAMES[$typ]."_id = '$file->objekt_id'";
	$result = pg_query($query);
	db_one_row($result, $user, $_SERVER['PHP_SELF'],
		$TYPE_DESCRIPTION[$typ]." id='$id' conflict error!", $lang);

	$row = pg_fetch_array($result, NULL, PGSQL_NUM);
	$objekt_nazev = htmlEscape(checkForNull($row[0]));
}
else {
	print_error_page($lang);
	exit(0);
}
	
$admin = getIsAdmin($userinfo);
$nadpis = "$file->jmeno ($objekt_nazev)";

// **************************************************************************
// navigacni lista
$nav_bar[0]=$NAV_AUTH;
$nav_ref[0]=$NAV_AUTH_LNK;
$nav_bar[1]=$objekt_nazev;
$nav_ref[1]="edit_soubory.php?typ=$typ&id=$file->objekt_id&unlock=$id";

// **************************************************************************
// layout

html_heading($lang, $EIZ_AUTH_TXTAR);

menu($lang, $THIS_SCRIPT, "", $EIZ_AUTH, ""/*$id == null ? "" : "unlock=$id"*/);

my_main($lang, $lang, $EIZ_AUTH);

nav_bar($lang, $nav_bar, $nav_ref);


echo "<div class=\"obsah\">\n";

echo "<h3>$nadpis</h3>\n";

echo "<form action=\"zpracuj_edit_soubor.php?par=1\" enctype=\"multipart/form-data\" method=\"post\">\n";

//echo "<input type=\"hidden\" name=\"odkud\" value=\"edit\" />\n";

echo "<div class=\"horiz_menu\">\n";
tlacitko("Uložit změny", "submit", "");
tlacitko("Původní hodnoty", "reset", "");
//if ($smazat_zdroj) tlacitko("Smazat zdroj", "submit", "smazat");
//tlacitko("Zpět na moji stránku", "submit", "zpet");
tlacitko("Zpět na soubory", "submit", "zpet");
echo "</div><!-- horizon menu -->\n";

echo "<div class=\"formular_inside\">\n";

echo "<table class=\"formular\">\n";
text_form("Jméno souboru:", $jmeno, "jmeno", 50, '');

text_form("Popis (cs):", $popis, "popis", 70, "");
text_form("Popis (en):", $popis_en, "popis_en", 70, "");

box_form_begin("Veřejný soubor:");
box_form_header();
radio_button("verejny", "t", 
	"<span class=\"label\">Ano</span> (zobrazuje se na veřejném www)",
							$verejny ? $CHECKED : "");
radio_button("verejny", "f", 
	"<span class=\"label\">Ne</span> (zobrazuje se pouze v autentizované části)",
							! $verejny ? $CHECKED : "");
box_form_end();

echo "\t</td>\n</tr>\n</table><!-- formular -->\n";

echo "\n</div><!-- formular_inside -->\n\n";

hidden_form("id", $id);
hidden_form("objekt_id", $file->objekt_id);
hidden_form("objekt_typ", $file->objekt_typ);

echo "<div class=\"horiz_menu\">\n";
tlacitko("Uložit změny", "submit", "");
tlacitko("Původní hodnoty", "reset", "");
//if ($smazat_zdroj) tlacitko("Smazat zdroj", "submit", "smazat");
//tlacitko("Zpět na moji stránku", "submit", "zpet");
tlacitko("Zpět na soubory", "submit", "zpet");
echo "</div><!-- horizon menu -->\n";
 
echo "</form>\n";

echo "</div><!-- obsah -->\n";

my_main_ending();

setlocale(LC_TIME, $MY_LOCALES1, $MY_LOCALES2, $MY_LOCALES3);
footer(filectime($THIS_SCRIPT), $lang);

html_ending();

unsetLogging($DISPLAY_ERRORS, $om);

?>

