<?php

require_once("../eizlibs/db_connect.php");
require_once("../eizlibs/functions.php");
require_once("../eizlibs/rights.php");
require_once("../eizlibs/classes.php");
require_once("../eizlibs/file_class.php");

$om = setLogging($DISPLAY_ERRORS);

$lang = "cs";

$user = getUser();

$THIS_SCRIPT = trimSELF($_SERVER['PHP_SELF']);

connect_db();

if (($id = getGET("id")) == null) {
	print_error_page('cs');
	exit(0);
}
else {
	$type = getGET("typ");


	$userinfo = check_rights($user, $type, $RGHT_EDIT, $id, $_SERVER['PHP_SELF']);

	$pid = getPid($userinfo);
		
	$id = stringEscape($id);
	
	if (issetGET('unlock')) {
		$unlock = getGET('unlock');
		if (($lock = unlock($pid, $unlock, $FILE, 
		$_SERVER['PHP_SELF'])) != $UNLOCKED) {
			logit($user, $_SERVER['PHP_SELF'], 
				"User cannot unlock file $unlock ($lock)!", $LOG_LCK);
   }
	}
	
	switch ($type) {
	case $SOURCE: $nazev = 'zkratka'; break;
	case $MAGAZINE: $nazev = 'titul'; break;
	case $NEWS: print_error_page('cs'); exit(0); break;
	case $BOOK: $nazev = 'titul'; break;
	default: print_error_page('cs'); exit(0); break;
	}


	// zjisti informace o objektu, ve kterem budeme manipulovat se soubory
	$query = "SELECT $nazev FROM ".$TYPE_TABLENAMES[$type]." WHERE ".$TYPE_IDNAMES[$type]."_id='$id'";
	$result = pg_query($query);
	db_one_row($result, $user, $_SERVER['PHP_SELF'], $TYPE_DESCRIPTION[$type]." id='$id' conflict error!", 
							$lang);
	$row = pg_fetch_array($result, NULL, PGSQL_ASSOC);
	$nazevstr = $row[$nazev];



	// nacti jiz ulozene soubory
	$files = soubor::getFilesFor($id, $type);

	$admin = getIsAdmin($userinfo);
}

// **************************************************************************
// navigacni lista
$nav_bar[0]=$NAV_AUTH;
$nav_ref[0]=$NAV_AUTH_LNK;
$nav_bar[1]=$nazevstr;
$nav_ref[1]=$TYPE_IDNAMES[$type].".php?id=$id";
$nav_bar[2]="Správa souborů";
$nav_ref[2]="edit_soubory.php?id=$id&typ=$type";


// **************************************************************************
// layout

html_heading($lang, $EIZ_AUTH);

menu($lang, $THIS_SCRIPT, "", $EIZ_AUTH, ""/*$id == null ? "" : "unlock=$id"*/);

my_main($lang, $lang, $EIZ_AUTH);

nav_bar($lang, $nav_bar, $nav_ref);

echo "<h1>$nazevstr</h1>";

echo "<div class=\"obsah\">\n";

if (count($files) == 0) {
	echo "<div class=\"zadne_soubory\">Zatím nebyly nahrány žádné soubory.</div>\n";
}
else {
	echo "<table class=\"filelist\">";
	
	foreach ($files as $file) {

		$public = $file->verejny ? 'public' : 'nopublic';

		echo "\t<tr><td>";
		echo "<img src=\"../$IMG_DIR/$public.gif\" alt=\"$public\" />&nbsp;";
		echo "<span class=\"odkaz\" onmouseover=\"TagToTip('soubor$file->id')\">";
		echo "<a href=\"otevri_soubor.php?id=$file->id\">$file->jmeno</a>";
		echo "</span>";

		$rozdelovnik = '';
		if ($file->popis != '' && $file->popis_en != '') {
			$rozdelovnik = '###';
		}
		else {
			if ($file->popis == '' && $file->popis_en == '') {
				$rozdelovnik = '&lt; <i>popis není vyplněn</i> &gt;';
			}
		}

		echo "<span class=\"hidden\" id=\"soubor$file->id\">$file->popis $rozdelovnik $file->popis_en</span>";
		echo " ($file->datum)</td><td> ";
		
		if ($file->zamek != null) {

			if ($admin || $file->zamek == $pid) {
				echo "<a href=\"$THIS_SCRIPT?id=$id&typ=$type&unlock=$file->id\"><img src=\"../$IMG_DIR/odemknout.gif\" alt=\"Odemkni\" /></a>";
			}
			else {
				echo "<img src=\"../$IMG_DIR/zamek.gif\" alt=\"Uzamčen\" />";
			}
		}
	
		echo "<a class=\"normal button\" ";
		echo "href=\"edit_soubor.php?fileid=$file->id\">Editovat</a>";

		echo "<a class=\"normal button\" ";
		echo "href=\"smazat_ano_ne.php?id=$id&typ=$FILE&fileid=$file->id&zkratka=".
			urlencode($file->jmeno). "\">Smazat</a>";



		echo "</td></tr>\n";
	}

	echo "</table>\n";
}


echo "<form action=\"zpracuj_soubor.php\" enctype=\"multipart/form-data\" method=\"post\">\n";

echo "<div class=\"formular_inside\">\n";

echo "<table class=\"formular\">\n";


file_form("Nový soubor:", "soubor", 50);

echo "</table><!-- formular -->\n";

echo "\n</div><!-- formular_inside -->\n\n";

hidden_form("objekt_id", $id);
hidden_form("objekt_typ", $type);

echo "<div class=\"horiz_menu\">\n";
tlacitko("Nahrát soubor", "submit", "");
echo "</div><!-- horizon menu -->\n";
 
echo "</form>\n";

echo "</div><!-- obsah -->\n";

my_main_ending();

setlocale(LC_TIME, $MY_LOCALES1, $MY_LOCALES2, $MY_LOCALES3);
footer(filectime($THIS_SCRIPT), $lang);

html_ending();

unsetLogging($DISPLAY_ERRORS, $om);

?>

