<?php

require_once("../eizlibs/db_connect.php");
require_once("../eizlibs/functions.php");
require_once("../eizlibs/rights.php");
require_once("../eizlibs/classes.php");

require_once("eizlibs/navigation_class.php");
require_once("eizlibs/fakulta_class.php");
require_once("eizlibs/spravce_class.php");


$om = setLogging($DISPLAY_ERRORS);

$lang="cs";

$user = getUser();

$THIS_SCRIPT = trimSELF($_SERVER['PHP_SELF']);

connect_db();

$id=stringEscape(GETid());
$userinfo = getUserInfo($user, $_SERVER['PHP_SELF']);
$pid = getPid($userinfo);
$admin = getIsAdmin($userinfo);

//uzivatel dal zpet v editaci, odemkni zdroj
if (issetGET("unlock")) {
	$what_unlock = getGET("unlock");
	if (($lock = unlock($pid, $what_unlock, $BOOK, $_SERVER['PHP_SELF'])) != $UNLOCKED) {
		logit($user, $_SERVER['PHP_SELF'], "User cannot unlock book $what_unlock ($lock)!", $LOG_LCK);
	}
}

// labely
$exp = "neomezena";
$not_incl = "neuveden";
$obor_nazev = "nazev";
$fakulta_nazev = "nazev";
$notin = "<span class=\"nevyplneno\">není vyplněno</span>";
$not_known = "neznámý (jiný)";
$languages = $LANGUAGES_CS;

$item_autori = "Autoři:";
$item_status = "Status:";
$item_ext_id = "Identifikátor:";
$item_url = "Odkaz:";
$item_prod_name = "Producent název:";
$item_prod_ref = "Producent odkaz:";
$item_vydavatel = "Vydavatel název:";
$item_vydavatel_odkaz = "Vydavatel odkaz:";
$item_rok_vydani = "Rok vydání:";
$item_misto_vydani = "Místo vydání:";
$item_isbn = "ISBN:";
$item_pocet_stran = "Počet stran:";
$item_strucny_popis = "Stručný popis:";
$item_popis = "Popis:";
$item_poznamka = "Poznámka:";
$item_expirace = "Dostupnost do:";
$item_aktivni_od = "Aktivni od:";
$item_financovani = "Financování:";
$item_licence = "Licence:";


$item_odpovedny_spravce = "Správce:";
$item_kontaktni_osoba = "Kontatní osoba:";
$item_modifikace = "Změněna:";
$item_jazyk = "Jazyk knihy:";
$item_obory = "Obory:";
$item_novinky = "Řadit mezi nové:";
$multioborovy_desc = "multioborová e-kniha";
$jeste_nezarazen = "není zařazen";
$item_dostupne = "Přístup z:";
$mu = "Masarykovy univerzity";
$mu_fac = "Masarykova univerzita";
$next_info = "Více...";
$item_rss = "Zařazena v RSS:";

$item_extra_url_cz = "Odkaz (cs):";
$item_extra_title_cz = "Název (cs):";
$item_onelog_url_cz = "Onelog (cs):";
$item_onelog_url_en = "Onelog (en):";


// ************************************************************************
// provedeme dotazy 

$query = "SELECT * FROM knihy WHERE (kniha_id='$id')";
$result = pg_query($query);
db_one_row($result, $user, $_SERVER['PHP_SELF'], "Book $id mismatch or non-exist!", 
						$lang);
$row = pg_fetch_array($result, NULL, PGSQL_BOTH);

// info o knize
$autori = $row['autori'] != "" ? htmlEscape($row['autori']) : $id ;
$titul = $row['titul'] != "" ? htmlEscape($row['titul']) : $id ;
$aktivni = getBool($row['aktivni']);
$ext_id = getInt($row['id']);
$strucny_popis = $row['strucny_popis'] != "" ? htmlEscape($row['strucny_popis']) : $notin;
$popis = $row['popis'] != "" ? $row['popis'] : $notin;
$kniha_id = $row['kniha_id'] != "" ? $row['kniha_id'] : $notin;
$odkaz = $row['odkaz'] != "" ? htmlEscape($row['odkaz']) : $notin;
$rok_vydani = $row['rok_vydani'] != "" ? htmlEscape($row['rok_vydani']) : $notin;
$misto_vydani = $row['misto_vydani'] != "" ? htmlEscape($row['misto_vydani']) : $notin;
$isbn = $row['isbn'] != "" ? htmlEscape($row['isbn']) : $notin;
$pocet_stran = $row['pocet_stran'] != "" ? htmlEscape($row['pocet_stran']) : $notin;
$producent = $row['producent'] != "" ? 
		htmlEscape($row['producent'] ): $notin;
$producent_odkaz = $row['producent_odkaz'] != "" ? 
		htmlEscape($row['producent_odkaz']) : $notin;
$vydavatel = $row['vydavatel'] != "" ? 
		htmlEscape($row['vydavatel'] ): $notin;
$vydavatel_odkaz = $row['vydavatel_odkaz'] != "" ? 
		htmlEscape($row['vydavatel_odkaz']) : $notin;




$expirace = $row['expirace'];
if ($row['expirace'] != NULL) { 
	$platnost = getDay($row['expirace']).".";
	$platnost .= getMonth($row['expirace'])."."; 
	$platnost .= ($rok = getYear($row['expirace']));
	if ($rok == $TOP_YEAR) $platnost = $exp;
}
else $platnost = $exp;

$aktivni_od = '';
if ($row['aktivni_od'] != NULL) {
	$aktivni_od = getDay($row['aktivni_od']).".";
	$aktivni_od .= getMonth($row['aktivni_od']).".";
	$aktivni_od .= ($rok = getYear($row['aktivni_od']));
	if ($rok == $BOTTOM_YEAR) $aktivni_od = $notin;
}
else $aktivni_od = $notin;


$modifikace = getDay($row['modifikace']).".";
$modifikace .= getMonth($row['modifikace']).".";
$modifikace .= getYear($row['modifikace'])." ";
$modifikace .= getTime($row['modifikace']);

// configurable fields
$titul_extra_cz = "";
$odkaz_extra_cz = "";
$odkaz_onelog_en = "";
$odkaz_onelog_cz = "";

if ($ENABLE_EXTRA_CZECH_TITLE) {
	$titul_extra_cz = $row['titul_extra_cz'] != "" ? 
		htmlEscape($row['titul_extra_cz']) : $notin;
}

if ($ENABLE_EXTRA_CZECH_LINK) {
	$odkaz_extra_cz = $row['odkaz_extra_cz'] != "" ? 
		htmlEscape($row['odkaz_extra_cz']) : $notin;
}

if ($ENABLE_ONELOG_LINK) {
	$odkaz_onelog_en = $row['odkaz_onelog_en'] != "" ? 
		htmlEscape($row['odkaz_onelog_en']) : $notin;
	$odkaz_onelog_cz = $row['odkaz_onelog_cz'] != "" ? 
		htmlEscape($row['odkaz_onelog_cz']) : $notin;
}


$jazyk = getJazyk($row['jazyk']);
$licence = $row['licence'] != "" ? htmlEscape($row['licence']) : $notin;
$financovani = $row['financovani'] != "" ? $row['financovani'] : $notin;

$nahled = $row['nahled'];

$spravce_pid = $row['odpovedny_spravce'];
$spravce = $row['odpovedny_spravce'] != "" ? $row['odpovedny_spravce'] : $notin;
$kontaktni_osoba = $row['kontaktni_osoba'] != "" ? $row['kontaktni_osoba'] : 
																										$notin;

$multioborovy = getBool($row['multioborovy']);
$zarazeni = getZarazeni($row['zarazeni']);
$rss = getBool($row['rss']) ? "ano&nbsp;&nbsp;&nbsp;<img src=\"../$IMG_DIR/rss-small.gif\" alt=\"RSS\" />" : "ne";
$novinky = getBool($row['novinky']) ? "zařazovat mezi naposledny přidané e-knihy" : "nezařazovat mezi naposledny přidané e-knihy";
$povoleny = getBool($row['povoleny']);

$vytvoren = getDay($row['vytvoren']).".";
$vytvoren .= getMonth($row['vytvoren']).".";
$vytvoren .= getYear($row['vytvoren']);

$zamek=getInt($row['zamek']);
$popis_zamku = getLockDescription($zamek, $row['zamek_cas'], $user, $THIS_SCRIPT); 

// ********************
// zjisti spravce knihy
$spravceObj = spravce::getSpravce($spravce, $user);
$spravce_odkaz = $spravceObj->getFormattedLink();
$spravce_desc = $spravceObj->getFullName();
//zjisti kontatni osobu
$osobaObj = spravce::getSpravce($kontaktni_osoba, $user);
$osoba_odkaz = $osobaObj->getFormattedLink();
$osoba = $osobaObj->getFullName();

// ***************************************************************
// obory, fakulty etc.

//zjisti kterym oborum zdroj nalezi
$query = "SELECT obory.obor_id, obory.$obor_nazev, obory.koren". 
					" FROM obory, kniha_obor".
					" WHERE (kniha_obor.kniha_id = '$id') AND". 
								" (kniha_obor.obor_id = obory.obor_id)".
					" ORDER BY obory.$obor_nazev";
$result = pg_query($query);
	
$obory_id = array();
$obory_nazev = array();

while ($row = pg_fetch_array($result, NULL, PGSQL_BOTH)) {
	array_push($obory_id, $row['obor_id']);
	array_push($obory_nazev, $row[1]);
}
	
//zjisti kterym fakultam zdroj nalezi
$fakultyObj = new fakulty(fakulta::getFakultyByKniha('cs', $id));
$fakulty = $fakultyObj->printZkratky('cs', '', false);


$retrospektiva = array();
$query = "SELECT zacatek, konec, poznamka FROM retrospektiva_knihy".
	" WHERE kniha_id='$id' ORDER BY zacatek, konec";
$result = pg_query($query);
$retrospektiva_pocet = pg_num_rows($result);

while ($row = pg_fetch_array($result, NULL, PGSQL_ASSOC)) {
	array_push($retrospektiva, new retrospektiva(getDay($row['zacatek']), getMonth($row['zacatek']), getYear($row['zacatek']), getDay($row['konec']), getMonth($row['konec']), getYear($row['konec']), $row['poznamka']));
}


//**************************************************************************
// navigace
$db_cond = '';
$nav1_prefix_title="$NAV_VYBER_KNIHY &ndash; ";

// defaultne procházíme zdroje prihlaseneho uzivatele
$nav2_label=$titul;
$nav2_ref="kniha.php?id=$id";


// ziskej nastaveni kde jsme a podle ceho prochazime
$navigace = navigation::getNavigation($BOOK, $THIS_SCRIPT);
$nav_typ = $navigace->ntype;
$snav_typ = $navigace->stype;
$nav_params = "?ntype=$nav_typ";

switch ($navigace->ntype) {
case navigation::NAV_TYPE_DEFAULT:
	$nav1_label = $nav1_prefix_title . "Moje knihy";
	$nav1_ref="index.php";
	$db_cond = "WHERE odpovedny_spravce='$pid' ORDER BY titul";
	break;
case navigation::NAV_TYPE_ABECEDNE:
	$nav1_label = $nav1_prefix_title . $NAV_VYBER_ABECEDNE;
	$nav1_ref="knihy_vyber.php$nav_params";
	$db_cond = "ORDER BY titul";
	break;
case navigation::NAV_TYPE_SPRAVCI:
	$nav1_label = $nav1_prefix_title . $NAV_VYBER_SPRAVCI;
	$nav1_ref="knihy_vyber.php$nav_params";
	$nav_spravce=$navigace->value1;
	$db_cond = "WHERE odpovedny_spravce = '$nav_spravce' ORDER BY titul";
	$spravceObj = spravce::getSpravce($nav_spravce, $user);
	$nav_bar[3] = $titul;
	$nav_ref[3] = $nav2_ref;
	$nav2_label = $spravceObj->getPrijmeni();
	$nav2_ref = "knihy_vyber.php?$nav_params&value1=$nav_spravce";

	break;
default: break;
}


$nav_bar[0]=$NAV_AUTH;
$nav_ref[0]=$NAV_AUTH_LNK;
$nav_bar[1]=$nav1_label;
$nav_ref[1]=$nav1_ref;
$nav_bar[2]=$nav2_label;
$nav_ref[2]=$nav2_ref;

//**************************************************************************
// layout stranky
html_heading($lang, $EIZ_AUTH);

menu($lang, $THIS_SCRIPT, "", $EIZ_AUTH, "");

my_main($lang, $EIZ_AUTH);

nav_bar($lang, $nav_bar, $nav_ref);

echo "<div class=\"obsah\">\n";

echo "<div class=\"zdroj_layout knihy\">\n";
echo "<h1>$titul</h1>\n";
echo "</div><!-- zdroj layout -->\n";

echo "<div class=\"zdroj_layout knihy\">\n";
echo "<div class=\"informace_o\">\n";

echo "<div class=\"navigace\">\n";
navigace("cs", $THIS_SCRIPT, $pid, $admin, $id, $db_cond, "", "", $BOOK);
echo "</div><!-- navigace -->\n";

if ($nahled != "") 
echo "\n<div class=\"nahled\"><img src=\"../$nahled\" alt=\"Náhled\" /></div>\n";

echo "<table class=\"zdroj kniha\">\n";

$status_prnt="<span class=\"status\">";
polozka_admin($item_status, 
							$aktivni ? 
							"$status_prnt<span class=\"aktivni\">aktivní</span></span>" : 
							"$status_prnt<span class=\"neaktivni\">neaktivní</span></span>");

if ($ENABLE_EXTRA_CZECH_TITLE) {
	polozka_admin($item_extra_title_cz, $titul_extra_cz, $notin);
}

polozka_admin($item_strucny_popis, $strucny_popis); 

if ($odkaz == $notin) polozka_admin($item_url, $notin);
else polozka_admin($item_url, "<a href=\"$odkaz\">$odkaz</a>");

if ($ENABLE_EXTRA_CZECH_LINK) {
	if ($odkaz_extra_cz == $notin) polozka_admin($item_extra_url_cz, $notin);
	else polozka_admin($item_extra_url_cz, "<a href=\"$odkaz_extra_cz\">$odkaz_extra_cz</a>");
}

if ($ENABLE_ONELOG_LINK) {
	if ($odkaz_onelog_en == $notin) polozka_admin($item_onelog_url_en, $notin);
	else polozka_admin($item_onelog_url_en, "<a href=\"$odkaz_onelog_en\">$odkaz_onelog_en</a>");

	if ($odkaz_onelog_cz == $notin) polozka_admin($item_onelog_url_cz, $notin);
	else polozka_admin($item_onelog_url_cz, "<a href=\"$odkaz_onelog_cz\">$odkaz_onelog_cz</a>");
}


polozka_admin($item_prod_name, "$producent");

if ($producent_odkaz == $notin) polozka_admin($item_prod_ref, $notin);
else polozka_admin($item_prod_ref, "<a href=\"$producent_odkaz\">$producent_odkaz</a>");

polozka_admin($item_vydavatel, "$vydavatel");

if ($vydavatel_odkaz == $notin) polozka_admin($item_vydavatel, $notin);
else polozka_admin($item_vydavatel, "<a href=\"$vydavatel_odkaz\">$vydavatel_odkaz</a>");

polozka_admin($item_rok_vydani, $rok_vydani);
polozka_admin($item_misto_vydani, $misto_vydani);
polozka_admin($item_isbn, $isbn);
polozka_admin($item_pocet_stran, $pocet_stran);

//polozka_admin($item_kategorie, $kategorie);

// dostupnost zdroje
if (($zarazeni == $SOURCE_NOTIN || $fakultyObj->pocet == 0) 
		&& $zarazeni != $SOURCE_MU) 
	polozka_admin($item_dostupne, $notin);
else {
	if ($zarazeni == $SOURCE_MU) {
		$fakulty = "MU, $fakulty";
	}
								
	$fakulty = normalizeList($fakulty);
	polozka_admin($item_dostupne, 
								"<span class=\"item_domains_faculties\">$fakulty</span>");
}


// obory
if ($multioborovy) {
	polozka_admin($item_obory, "$multioborovy_desc");
}
else {
	if (count($obory_id) > 0) {
		$obory = "";
		foreach ($obory_id as $klic => $obor) {
			$obory .= "<a href=\"$MY_URL/obory.php?lang=$lang&obor=$klic\">".
			"$obory_nazev[$klic]</a>, ";
		}
		$obory = normalizeList($obory);
		polozka_admin($item_obory, "<span class=\"item_domains_faculties\">". 
									"$obory</span>");
	}
	else polozka_admin($item_obory, $notin);
}

echo "<tr><td colspan=\"2\">\n";

echo "<div class=\"zdroj_podrobne\">\n";
echo "<div class=\"licence_financovani_nadpis\">Podrobné info:</div>\n";
if (strlen($popis) <= $SRC_DESC_LEN) {
	echo $popis;
} 
else {
	if (issetGET("podrobne")) {
		echo "$popis";
		$podretez = podretez($popis, $SRC_DESC_LEN);
		if (strlen($podretez) < strlen($popis)) {
			echo "<div class=\"zdroj_vice\">\n";
			echo "<a href=\"zdroj.php?id=$id\">";
			echo "Stručně...</a>\n";
			echo "</div><!-- zdroj vice -->\n";
		}	
	}
	else {
		$podretez = podretez($popis, $SRC_DESC_LEN);
		echo $podretez;
		if (strlen($podretez) < strlen($popis)) {
			echo "...\n";
			echo "<div class=\"zdroj_vice\">\n";
			echo "<a href=\"zdroj.php?id=$id&podrobne=1\">";
			echo "$next_info</a>\n";
			echo "</div><!-- zdroj vice -->\n";
		}
	}
}
echo "</div><!-- zdroj podrobne -->\n";

echo "</td></tr>\n";

echo "<tr><td colspan=\"2\">";
echo "<hr class=\"zdroje\" />";
echo "</td></tr>";

if ($ENABLE_RSS_SOURCES) polozka_admin($item_rss, $rss);
polozka_admin($item_novinky, $novinky);
//polozka_admin($item_type, $typ);
polozka_admin($item_jazyk, $languages[$jazyk]);
polozka_admin($item_modifikace, $modifikace);
polozka_admin("Datum vytvoření: ", $vytvoren);
if (compareCurrentDate($expirace) >= 0) 
	polozka_admin($item_expirace, $platnost);
else polozka_admin($item_expirace, "<span class=\"expirace\">$platnost</span>");

polozka_admin($item_aktivni_od, $aktivni_od);

polozka_admin($item_odpovedny_spravce, "<a href=\"$spravce_odkaz\">$spravce_desc</a>");
polozka_admin("Kontaktní osoba: ", "<a href=\"$osoba_odkaz\">$osoba</a>");
polozka_admin("Zámek na e-knize: ", $popis_zamku); 
//echo "<hr class=\"zdroje\" />\n";

if ($retrospektiva_pocet > 0) {
	polozka_admin("Retrospektiva: ", "");

	echo "<tr><td colspan=\"2\">";
	echo "<table class=\"retrospektiva\">\n";
	foreach($retrospektiva as $item) {
		$item->clear();
		echo "<tr><td class=\"retrospektiva_datum\">".$item->tiskOd()."</td>";
		echo "<td>&ndash;</td>";
		echo "<td class=\"retrospektiva_datum\">".$item->tiskDo()."</td>";
		echo "<td class=\"retrospektiva_pozn\">$item->poznamka</td></tr>";
	}
	echo "\n</table>";
	echo "</td></tr>";
}
	

echo "<tr><td colspan=\"2\">\n";
echo "<div class=\"nedulezite_info\">\n";

echo "<div class=\"licence_financovani_nadpis\">$item_licence</div>\n";
echo "<div class=\"licence\">";
if (issetGET("licence") || strlen($licence) <= $SRC_LIC_LEN) {
	echo "<pre>$licence</pre>";
}
else {
	echo "<pre>";
	echo podretez($licence, $SRC_LIC_LEN);
	echo "</pre>...\n";
	echo "<a href=\"zdroj.php?id=$id&licence=1\">";
	echo "$next_info</a>";
}
echo "\n</div><!-- licence -->\n";

echo "<div class=\"licence_financovani_nadpis\">$item_financovani</div>\n";
echo "<div class=\"financovani\">";
if (issetGET("financovani") || strlen($financovani) <= $SRC_FIN_LEN) {
	echo "$financovani";
}
else {
	echo podretez($financovani, $SRC_FIN_LEN);
	echo "...\n";
	echo "<a href=\"zdroj.php?id=$id&financovani=1\">";
	echo "$next_info</a>\n";
}
echo "</div><!-- financovani -->\n";

echo "</div><!-- nedulezite info -->\n";

echo "</td></tr>\n";

if (! $povoleny) {
	echo "\t<tr>\n\t\t<td colspan=\"2\">\n";
	echo "\t\t\t<div class=\"stred\"><span class=\"tluste_red\">";
	echo "Některá metadata e-knihy jsou nesprávně vyplněna!</span></div>\n";
	echo "\t\t\t<div class=\"stred\"><span class=\"tluste_red\">";
	echo "E-kniha nebude zobrazován ve veřejné části portálu.</span></div>\n";
	echo "\t\t</td>\n\t</td>\n";
}

echo "</table><!-- kniha -->\n";

echo "</div><!-- informace o -->\n";

echo "</div><!-- kniha layout -->\n";

echo "<form action=\"edit_kniha.php?id=$id\" method=\"post\">\n";
hidden_form("odkud", $DEL_KNIHA);
//hidden_form("del1", $paramdel1);
//hidden_form("del2", $paramdel2);
echo "<div class=\"horiz_menu\">\n";
tlacitko("Editovat e-knihu", "submit", "");
tlacitko("Smazat e-knihu", "submit", "smazat");
if ($zamek != null) 
	tlacitko("Odemknout e-knihu", "submit", "unlock"); 
tlacitko("Správa souborů", "submit", "soubory");
echo "<input type=\"hidden\" name=\"zkratka\" value=\"$titul\" />\n";
echo "</div>\n";
echo "</form>\n";

echo "\n</div><!-- obsah -->\n\n";

my_main_ending();

setlocale(LC_TIME, $MY_LOCALES1, $MY_LOCALES2, $MY_LOCALES3);
footer(filectime($THIS_SCRIPT), $lang);

html_ending();

unsetLogging($DISPLAY_ERRORS, $om);

?>
