<?php

require_once("../eizlibs/logging.php");
require_once("../eizlibs/db_connect.php");
require_once("../eizlibs/functions.php");
require_once("../eizlibs/rights.php");
require_once("../eizlibs/classes.php");

require_once("eizlibs/navigation_class.php");
require_once("eizlibs/fakulta_class.php");
require_once("eizlibs/spravce_class.php");


$om = setLogging($DISPLAY_ERRORS);

// **************************************************************************
// funkce
function getLock($id, $zamek, $zamek_cas) 
{
	global $IMG_DIR, $DEL_KNIHY_VYBER, $BOOK;
		//$obr = getSourceIcon("..", $aktivni , $expirace, $zamek, 0);
		if ($zamek != null) {
			$cas=getDay($zamek_cas).".";
			$cas.=getMonth($zamek_cas).".";
			$cas.=getYear($zamek_cas). " ";
			$cas.=getTime($zamek_cas);
			$zam_str = " <a href=\"odemkni.php?id=$id&typ=$BOOK\"><img src=\"../$IMG_DIR/odemknout.gif\" alt=\"Odemkni knihu.\" /></a> ($cas)";
		}
		else $zam_str="";
		
		return $zam_str;
}

// **************************************************************************
// stranka

$lang = "cs";

$user = getUser();

$THIS_SCRIPT = trimSELF($_SERVER['PHP_SELF']);

connect_db();

$userinfo = check_rights($user, $BOOK, $RGHT_IS_ADMIN, 0, $_SERVER['PHP_SELF']);

// ************************************************************************
// parametry stranky - poresime pres COOKIES


$navigace = navigation::getNavigation($BOOK, $THIS_SCRIPT);
$params_in = "?ntype=$navigace->ntype";
$spravce = null;
if ($navigace->value1 != navigation::NAV_VAL_NOT_DEF) {
	$params_in .= "&value1=$navigace->value1";
	$spravce = $navigace->value1;
}

$abecedne = false;
$spravci = false;


// priprav si cookie, ktera urciuje dle ceho prolezam knihy
switch($navigace->ntype) {
default:
case navigation::NAV_TYPE_ABECEDNE:
	$abecedne = true;
	$title = $NAV_VYBER_ABECEDNE;
	break;
case navigation::NAV_TYPE_SPRAVCI:
	$spravci = true;
	$title = $NAV_VYBER_SPRAVCI;
	break;
}

$cond = "";


// **************************************************************************
// dotazy

$knihy = array();

// **************************** fakulty **************************************
// potrebujeme fakulty - jejich zkratky
/*$faculties = array();
$idzkratky = array();
$nazvy = array();
$query_fakulty = "SELECT fakulta_id, nazev, zkratka, pocet". 
	" FROM fakulty ORDER BY nazev";
$result = pg_query($query_fakulty);
while ($row = pg_fetch_array($result, NULL, PGSQL_ASSOC)) {
	$fac = new fakulta($row['fakulta_id'], $row['nazev'], "", $row['zkratka'],
		$row['pocet'], "");
	array_push($faculties, $fac);
	$idzkratky[$fac->fid] = $fac->zkratka;
	$nazvy[$fac->fid] = $fac->nazev;
}
 */

$fakultyObj = new fakulty(fakulta::getFakulty('cs'));


// *************************** spravci **************************************
// fix it -- we read all admins although it is not necessary, but it is better 
//           to make select to get admin for each source
// spravce potrebujeme urcite 
$pids = array();
$prijmenis = array();
$userfacs = array();
$query_admin = "SELECT pid, prijmeni, fakulta FROM spravci". 
								" WHERE login IS NOT NULL ORDER BY prijmeni";
$result = pg_query($query_admin);
while ($row = pg_fetch_array($result, NULL, PGSQL_ASSOC)) {
	array_push($pids, $row['pid']);
	array_push($prijmenis, $row['prijmeni']);
	$fak = getInt($row['fakulta']);
	if ($fak == null) {
		array_push($userfacs, "");
	} else {
		array_push($userfacs, $fakultyObj->zkratky[$fak]); 
	}	
}

$spravciObj = spravce::getSpravci();


// ********************* abecedne ********************************
// default je abecedni, nicmene spravce uz jsme nacetli a chcem-li pouze je,
// pak nebudeme provadet dalsi dotazy
if ($abecedne) {

	
	$query ="SELECT kniha_id, titul, aktivni, expirace,".
								"	odpovedny_spravce, zamek, zamek_cas".
					"	FROM knihy ORDER BY titul";

	$result = pg_query($query);

	// pripravime si data

	$char = ' ';
	
	while ($row = pg_fetch_array($result, NULL, PGSQL_BOTH)) {
		$kniha_id = $row['kniha_id'];
		$titul = $row['titul'] == "" ? $kniha_id : $row['titul'];
		$aktivni = getBool($row['aktivni']);
		$expirace_val = getTopExpirace($row['expirace']);
		$zamek = getInt($row['zamek']);
		$zamek_cas = $row['zamek_cas'];
		$odpovedny_spravce = $row['odpovedny_spravce'];

		$prijmeni = $spravciObj["$odpovedny_spravce"]->getPrijmeni();
		$fakulta = $spravciObj["$odpovedny_spravce"]->getFakulta();
		$ufakulta = $fakultyObj->getZkratka($fakulta);
		$ufakulta = $ufakulta != '' ? ", $ufakulta" : '';	
		
		$to_print = "";
	
		$index = ord($titul[0]);
		if ($index < 127) {
			$znak = $titul[0];
		}
		
		if (ord($znak) != $char) {
			$char = ord($znak);
			$to_print .= "<a name=\"c$char\"></a>";
		}

		$obr = getBookIcon("..", $aktivni, $expirace_val, $zamek);

		$platnost = "";
		
		$to_print .= "<a href=\"kniha.php".
			"?id=$kniha_id\">$obr</a> ";	
		$to_print .= "$platnost ";
		$to_print .= "<a href=\"kniha.php?id=$kniha_id\">"
			.htmlEscape($titul) ."</a> ";
		$to_print .= "[<span class=\"ital\">$prijmeni$ufakulta</span>] ";
		$to_print .= getLock($kniha_id, $zamek, $zamek_cas);
		
		array_push($knihy, $to_print);
	}
}

if ($spravce != null) {

	$query = "SELECT kniha_id, titul, aktivni, expirace,".
		" zamek, zamek_cas FROM knihy".
		" WHERE odpovedny_spravce='$spravce' ORDER BY titul";

	$result = pg_query($query);

	while ($row = pg_fetch_array($result, NULL, PGSQL_BOTH)) {
		$kniha_id = $row['kniha_id'];
		$titul = $row['titul'] == "" ? $kniha_id : $row['titul'];
		$aktivni = getBool($row['aktivni']);
		$expirace_val = getTopExpirace($row['expirace']);
		$zamek = getInt($row['zamek']);
		$zamek_cas = $row['zamek_cas'];

		$to_print = "";
	
		$obr = getBookIcon("..", $aktivni, $expirace_val, $zamek);

		$platnost = "";
		
		$to_print .= "<a href=\"kniha.php".
			"?id=$kniha_id\">$obr</a> ";	
		$to_print .= "$platnost ";
		$to_print .= "<a href=\"kniha.php?id=$kniha_id\">"
			.htmlEscape($titul) ."</a> ";
		$to_print .= getLock($kniha_id, $zamek, $zamek_cas);
		
		array_push($knihy, $to_print);
	}
}


// ************************************************************************
// navigacni lista
$nav_bar[0]=$NAV_AUTH;
$nav_ref[0]=$NAV_AUTH_LNK;
$nav_bar[1]="$NAV_VYBER_KNIHY &ndash; $title";
$nav_ref[1]="$THIS_SCRIPT";

// ****************************************************************************
// layout

html_heading($lang, $EIZ_AUTH);

menu($lang, $THIS_SCRIPT, '', $EIZ_AUTH, "");

my_main($lang, $EIZ_AUTH);

nav_bar($lang, $nav_bar, $nav_ref);

echo "<h1>Seznam knih &ndash; $title</h1>\n\n";

echo "<div class=\"obsah\">\n";

// generuj abededu vcetne odkazu na zdroje 
if ($abecedne /* || $spravci */) {
	generate_alphabet();
	$char = ' ';
}

//echo "\n<form action=\"knihy_vyber.php$GETparams\" method=\"post\">\n";
//vyber_horizon_menu($vse_tl, $lic_tl, $free_tl, $trial_tl, $lock_tl, $link_tl);
//echo "</form>\n";

printBookLegend();

echo "<div class=\"seznam_admin\">\n";

// vypisujeme-li zdroje abecedne ci dle expirace, tahame ta sama data
if ($abecedne) {
	foreach ($knihy as $kniha) {
		echo "\t<div class=\"zdroj_admin\">\n";
		echo "\t\t$kniha\n";
		echo "\t</div><!-- zdroj admin -->\n";
	}
}

if ($spravci) {
	foreach($pids as $klic => $pid) {
		$prijmeni = $prijmenis[$klic];
		
		echo "<div class=\"seznam\">\n";
		
		if ($spravce != $pid) {
			echo "<div class=\"plus\">";
			echo "<a href=\"$THIS_SCRIPT?ntype=".navigation::NAV_TYPE_SPRAVCI."&value1=$pid\">";
			echo "<img src=\"../$IMG_DIR/plus.gif\" alt=\"plus\" /></a>";
			echo "&nbsp;<a href=\"$THIS_SCRIPT?ntype=".navigation::NAV_TYPE_SPRAVCI."&value1=$pid\">";
			echo "<span class=\"spravce\">$prijmeni</span></a></div>\n";
		}
		else {	
			echo "<div class=\"minus\">";
			echo "<a href=\"$THIS_SCRIPT?ntype=".navigation::NAV_TYPE_SPRAVCI."\">";
			echo "<img src=\"../$IMG_DIR/minus.gif\" alt=\"minus\" /></a>";
			echo "&nbsp;<a href=\"$THIS_SCRIPT?ntype=".navigation::NAV_TYPE_SPRAVCI."\">";
			echo "<span class=\"spravce\">$prijmeni</span></a></div>\n";

			echo "<div class=\"podseznam\">\n";

			foreach($knihy as $kniha) {
				echo "\t<div class=\"zdroj_admin\">\n";
				echo "\t\t$kniha\n";
				echo "\t</div><!-- zdroj admin -->\n";
			}
			echo "</div><!-- podseznam -->\n";
		}
		echo "</div><!-- vyrovnej seznam -->\n";
	}
}

echo "</div><!-- seznam admin -->\n";

echo "\n</div><!-- obsah -->\n\n";

my_main_ending();

setlocale(LC_TIME, $MY_LOCALES1, $MY_LOCALES2, $MY_LOCALES3);
footer(filectime($THIS_SCRIPT), $lang);

html_ending();

unsetLogging($DISPLAY_ERRORS, $om);

?>
	

