<?php

require_once("eizlibs/db_connect.php");
require_once("eizlibs/functions.php");
require_once("eizlibs/rights.php");
require_once("eizlibs/file_class.php");

$om = setLogging($DISPLAY_ERRORS);

$lang = "cs";

$user = getUser();

$THIS_SCRIPT = trimSELF($_SERVER['PHP_SELF']);

$id = stringEscape(getGET("id"));
$zkratka = getGET("zkratka");
if ($zkratka == null) $zkratka = getPOST("zkratka");
$nadpis = $zkratka == "" ? "&lt;neznámý název&gt; (id=$id)" : htmlEscape($zkratka);

$typ = getGET("typ");

switch ($typ) {
case $SOURCE: $kam="smaz_zdroj.php"; $popis = "zdroje"; break;
case $MAGAZINE: $kam="smaz_casopis.php"; $popis = "časopisu"; break;
case $BOOK: $kam="smaz_knihu.php"; $popis = "knihy"; break;
case $FACULTY: $kam="smaz_fakultu.php"; $popis = "fakulty"; break;

case $FILE: 
	$kam="smaz_soubor.php"; 
	$popis = "souboru"; 
	$fileid = getGET("fileid");
	break;

default: logit($user, $THIS_SCRIPT, "Bad type for delete ($typ)!", $LOG_ERR);
	print_error_page("cs");
	break;
}

//$right = getRightsType($typ);

connect_db();

if ($typ == $FILE) {
	$id = $fileid;
	$file = soubor::getFileById($id, $user, $_SERVER['PHP_SELF']);
	$userinfo = check_rights($user, $file->objekt_typ, $RGHT_DELETE, $file->objekt_id, $_SERVER['PHP_SELF']);
}
else {
	$userinfo = check_rights($user, $typ, $RGHT_DELETE, $id, $_SERVER['PHP_SELF']);
}

if ($typ != $FACULTY) {
	if (! lock(getPid($userinfo), $id, $typ, $_SERVER['PHP_SELF'])) {
		logit($user, $_SERVER['PHP_SELF'],
			"$typ $id already locked!".pg_last_error(), $LOG_LCK);
		print_lock_error_page($lang);
	}
}
else {
	if (! getIsAdmin($userinfo)) {
		logit($user, $_SERVER['PHP_SELF'],
			"User is not permitted to delete faculty (admin needed).", 
			$LOG_RGH);
		print_right_error_page("cs", $RGHT_IS_ADMIN);
	}
}


//navigace
$nav_bar[0]=$NAV_AUTH;
$nav_ref[0]=$NAV_AUTH_LNK;
$nav_bar[1]="Smazání";
$nav_ref[1]="smazat_ano_ne.php?id=$id";

html_heading($lang, $EIZ_AUTH);

menu($lang, "$THIS_SCRIPT", "", $EIZ_AUTH, "");

my_main($lang, $lang, $EIZ_AUTH);

nav_bar($lang, $nav_bar, $nav_ref);

echo "<h1>Smazání $popis \"$nadpis\"</h1>\n";

echo "<div class=\"obsah\">\n\n";

yes_no("Opravdu si přejete smazání?", $id, $nadpis, '' , $kam);

echo "\n</div><!-- obsah -->\n\n";

my_main_ending();

setlocale(LC_TIME, $MY_LOCALES1, $MY_LOCALES2, $MY_LOCALES3);
footer(filectime($THIS_SCRIPT), $lang);

html_ending();

unsetLogging($DISPLAY_ERRORS, $om);
?>
