<?php

require_once("../eizlibs/db_connect.php");
require_once("../eizlibs/functions.php");
require_once("../eizlibs/rights.php");
require_once("../eizlibs/classes.php");
require_once("eizlibs/spravce_class.php");

$om = setLogging($DISPLAY_ERRORS);

// **************************************************************************
// stranka

$lang = "cs";

$user = getUser();

$THIS_SCRIPT = trimSELF($_SERVER['PHP_SELF']);

connect_db();

$userinfo = check_rights($user, null, $RGHT_IS_ADMIN, 0, $_SERVER['PHP_SELF']);

if (issetGET("pid")) {
	$pid = getInt(getGET("pid"));
}
else {
	$pid = null;
}


// *************************** spravci **************************************
if ($pid == null) {

	$spravce = new spravce();
	$spravce->jmeno = "";
	$spravce->titul_pred = "";
	$spravce->titul_za = "";
	$spravce->email = "";

}
else {
	$query_admin = "SELECT * FROM spravci WHERE pid=$pid";
	$result = pg_query($query_admin);
	db_one_row($result, $user, $THIS_SCRIPT, "User '$pid' mismatch!", $lang);
	$row = pg_fetch_array($result, NULL, PGSQL_ASSOC);
	$spravce =  new spravce($pid, 
													getValue($row['login']), 
													getBool($row['je_admin']), 
													getInt($row['fakulta']), 
													getValue($row['prijmeni']));
	$spravce->jmeno = getValue($row['jmeno']);
	$spravce->titul_pred = getValue($row['titul_pred']);
	$spravce->titul_za = getValue($row['titul_za']);
	$spravce->email = getValue($row['email']);
}

$fakulty = array();
$query = "SELECT fakulta_id, zkratka FROM fakulty";
$result = pg_query($query);
while ($row = pg_fetch_array($result, NULL, PGSQL_ASSOC)) {
	$fakulty[$row['fakulta_id']] = $row['zkratka'];
}

// ************************************************************************
// navigacni lista
$nav_bar[0]=$NAV_AUTH;
$nav_ref[0]=$NAV_AUTH_LNK;
$nav_bar[1]=$NAV_UZIVATELE;
$nav_ref[1]="uzivatele.php";
$nav_bar[2]=$spravce->prijmeni;
$nav_ref[2]=$THIS_SCRIPT."?pid=$pid";

// ****************************************************************************
// layout

html_heading($lang, $EIZ_AUTH);

menu($lang, $THIS_SCRIPT, "", $EIZ_AUTH, "");

my_main($lang, $EIZ_AUTH);

nav_bar($lang, $nav_bar, $nav_ref);

if ($pid == null)
	echo "<h1>Nový uživatel</h1>\n";
else
	echo "<h1>Editace uživatele &ndash; ". ($spravce->prijmeni == "" ? $pid : $spravce->prijmeni) ."</h1>\n\n";

echo "<div class=\"obsah\">\n";

echo "<form action=\"zpracuj_uzivatele.php\" method=\"post\">\n";

echo "<div class=\"formular_inside\">\n";

$pidnote = "";
if (issetGET("empty_pid")) {
	$pidnote = "Položka PID musí být vyplněna.";
}

if (issetGET("badpid")) {
	$bp = getGET("badpid");
	$pidnote = "PID $bp již existuje, zvolte prosím jiný!";
}

echo "<table class=\"formular\">\n";
if ($pid == null) {
	text_form("PID*:", $spravce->pid, "pid", 6, $pidnote);
}
else {
	info_form("PID:", "<a href=\"http://wwwdata.muni.cz/people/?PID=$spravce->pid\">$spravce->pid</a>");
}

empty_form();

text_form("Titul před jménem:", $spravce->titul_pred, "titul_pred", 10, "");
text_form("Jméno:", $spravce->jmeno, "jmeno", 25, "");
text_form("Příjmení:", $spravce->prijmeni, "prijmeni", 25, "");
text_form("Titul za jménem:", $spravce->titul_za, "titul_za", 10, "");
text_form("Email:", $spravce->email, "email", 25, "");
echo "</table><!-- formular -->\n";

echo "<table class=\"formular\">\n<tr><td>\n";
box_form_begin("Fakulta:");
echo "\t\t<tr>\n\t\t\t<td>\n";
foreach ($fakulty as $fakulta_id => $zkratka) {
	radio_button("fakulta", $fakulta_id, $zkratka, 
		$spravce->fakulta == $fakulta_id ? $CHECKED : "");
}
radio_button("fakulta", "-1", "Žádná", 
	$spravce->fakulta == null ? $CHECKED : "");
box_form_end();
echo "</td></tr></table><!-- formular -->\n";


$puvodni_note="";
$nove_note="";
$delka_note="";
$login_note="";
if (issetGET("old_not_match")) $puvodni_note="Vámi zadané heslo nesouhlasí.";
if (issetGET("new_not_match")) $nove_note="Nové heslo nesouhlasí.";
if (issetGET("too_short")) $delka_note="Nové heslo je příliš krátké.";
if (issetGET("login_exists")) $login_note="Tento login již existuje, zvolte prosím jiný.";

echo "<table class=\"formular\">";
empty_form();
if ($spravce->login == "") {
	text_form("Login: ", $spravce->login, "login", 12, $login_note);
	hidden_form("newlogin", "1");
}
else {
	info_form("Login: ", $spravce->login);	
	hidden_form("oldlogin", "1");
//	passwd_form("Původní heslo:", "old_passwd", 12, $puvodni_note);
}
passwd_form("Nové heslo (min. 6 znaků):", "new_passwd", 12, $delka_note);
passwd_form("Nové heslo znovu:", "new_passwd_again", 12, $nove_note);
echo "</table><!-- formular -->\n";

echo "\n</div><!-- formular_inside -->\n";

if ($pid == null) {
	hidden_form("new", "1");
}
else {
	hidden_form("pid", $pid);
	if ($spravce->login != "") hidden_form("login", $spravce->login);
}

echo "<div class=\"horiz_menu\">\n";
tlacitko("Odeslat formulář", "submit", "");
tlacitko("Zpět na uživatele", "submit", "zpet");
echo "</div><!-- horizon menu -->\n";

echo "</form>\n";


echo "\n</div><!-- obsah -->\n\n";

my_main_ending();

setlocale(LC_TIME, $MY_LOCALES1, $MY_LOCALES2, $MY_LOCALES3);
footer(filectime($THIS_SCRIPT), $lang);

html_ending();

unsetLogging($DISPLAY_ERRORS, $om);

?>
	

