<?php

require_once("../eizlibs/db_connect.php");
require_once("../eizlibs/functions.php");
require_once("../eizlibs/rights.php");
require_once("../eizlibs/classes.php");
require_once("eizlibs/spravce_class.php");

$om = setLogging($DISPLAY_ERRORS);

// **************************************************************************
// stranka

$lang = "cs";

$user = getUser();

$THIS_SCRIPT = trimSELF($_SERVER['PHP_SELF']);

connect_db();

$userinfo = check_rights($user, null, $RGHT_IS_ADMIN, 0, $_SERVER['PHP_SELF']);

// *************************** spravci **************************************
$spravci = array();
$query_admin = "SELECT pid, prijmeni, fakulta, je_admin, login FROM spravci". 
								" ORDER BY prijmeni";
$result = pg_query($query_admin);
while ($row = pg_fetch_array($result, NULL, PGSQL_ASSOC)) {
	
	$spravce =  new spravce(getInt($row['pid']), 
													getValue($row['login'], ""), 
													getBool($row['je_admin']), 
													getInt($row['fakulta']), 
													getValue($row['prijmeni'], "neznámé"));

	array_push($spravci, $spravce); 
}

$fakulty = array();
$query = "SELECT fakulta_id, zkratka FROM fakulty";
$result = pg_query($query);
while ($row = pg_fetch_array($result, NULL, PGSQL_ASSOC)) {
	$fakulty[$row['fakulta_id']] = $row['zkratka'];
}

// ************************************************************************
// navigacni lista
$nav_bar[0]=$NAV_AUTH;
$nav_ref[0]=$NAV_AUTH_LNK;
$nav_bar[1]=$NAV_UZIVATELE;
$nav_ref[1]=$THIS_SCRIPT;

// ****************************************************************************
// layout

html_heading($lang, $EIZ_AUTH);

menu($lang, $THIS_SCRIPT, "", $EIZ_AUTH, "");

my_main($lang, $EIZ_AUTH);

nav_bar($lang, $nav_bar, $nav_ref);

echo "<h1>Seznam uživatelů</h1>\n\n";

echo "<div class=\"obsah\">\n";

printPersonsLegend();

echo "<div class=\"seznam_admin\">\n";

foreach($spravci as $spravce) {

	
	echo "<div class=\"zdroj_admin\">\n";
	echo "<a href=\"uzivatel.php?pid=". $spravce->pid . "\">";
	echo "<img src=\"../$IMG_DIR/" . $spravce->getIconFile() . "\" alt=\"". 
				$spravce->getIconDesc(). "\" /></a>&nbsp;";
	echo "<a href=\"uzivatel.php?pid=". $spravce->pid . "\">";
	echo $spravce->prijmeni . "</a>";
	if ($spravce->fakulta != "") {
		echo "</a>&nbsp;[". $fakulty[$spravce->fakulta] . "]";
	}
	echo "</div>\n";
}


echo "</div><!-- seznam admin -->\n";

echo "\n</div><!-- obsah -->\n\n";

my_main_ending();

setlocale(LC_TIME, $MY_LOCALES1, $MY_LOCALES2, $MY_LOCALES3);
footer(filectime($THIS_SCRIPT), $lang);

html_ending();

unsetLogging($DISPLAY_ERRORS, $om);

?>
	

