<?php

require_once("../eizlibs/db_connect.php");
require_once("../eizlibs/functions.php");
require_once("../eizlibs/rights.php");
require_once("../eizlibs/classes.php");

require_once("eizlibs/object_class.php");
require_once("eizlibs/navigation_class.php");
require_once("eizlibs/fakulta_class.php");
require_once("eizlibs/spravce_class.php");

$om = setLogging($DISPLAY_ERRORS);

$lang="cs";

$user = getUser();

$THIS_SCRIPT = trimSELF($_SERVER['PHP_SELF']);

connect_db();

$id=stringEscape(GETid());
$userinfo = getUserInfo($user, $_SERVER['PHP_SELF']);
$pid = getPid($userinfo);
$admin = getIsAdmin($userinfo);

//uzivatel dal zpet v editaci, odemkni zdroj
if (issetGET("unlock")) {
	$what_unlock = getGET("unlock");
	if (($lock = unlock($pid, $what_unlock, $SOURCE, $_SERVER['PHP_SELF'])) != $UNLOCKED) {
		logit($user, $_SERVER['PHP_SELF'], "User cannot unlock source $what_unlock ($lock)!", $LOG_LCK);
	}
}

// labely
$exp = "neomezena";
$not_incl = "neuveden";
$obor_nazev = "nazev";
$fakulta_nazev = "nazev";
$notin = "<span class=\"nevyplneno\">není vyplněno</span>";
$not_valid = "<span class=\"nevyplneno\">Podrobný popis ".
              "<span class=\"tluste_red\">není validní</span> a proto".
							" nemůže být zobrazen. Opravit jej můžete po klepnutí na".
							" tlačítko <span class=\"tluste\">".
							"<a href=\"edit.php?id=$id\">Editovat zdroj</a></span>.";
$not_known = "neznámý (jiný)";
$languages = $LANGUAGES_CS;
$kategorie_popis = $KATEGORIE_CS;

$item_status = "Status:";
$item_url = "Odkaz:";
$item_brief_i = "Charakteristika:";
$item_prod_name = "Producent název:";
$item_prod_ref = "Producent odkaz:";
$item_admin = "Správce:";
$item_validity = "Dostupnost do:";
$item_aktivni_od = "Aktivni od:";
$item_modified = "Změněn:";
$item_producent = "Producent:";
$item_lang = "Jazyk zdroje:";
$item_type = "Typ zdroje:";
$item_domains = "Obory:";
$item_novinky = "Řadit mezi nové:";
$multioborovy_desc = "multioborový zdroj";
$jeste_nezarazen = "není zařazen";
$item_dostupne = "Přístup z:";
$item_financovani = "Financování:";
$item_licence = "Licence:";
$item_kategorie = "Kategorie:";
$mu = $UNIVERSITY_LONG2p;
$mu_fac = $UNIVERSITY_LONG;
$next_info = "Více...";
$item_rss = "Zařazen v RSS:";

$item_extra_url_cz = "Odkaz (cs):";
$item_extra_title_cz = "Název (cs):";
$item_onelog_url_cz = "Onelog (cs):";
$item_onelog_url_en = "Onelog (en):";


// ************************************************************************
// provedeme dotazy 

$query = "SELECT * FROM zdroje WHERE (zdroj_id='$id')";
$result = pg_query($query);
db_one_row($result, $user, $_SERVER['PHP_SELF'], "Source $id mismatch or non-exist!", 
						$lang);
$row = pg_fetch_array($result, NULL, PGSQL_BOTH);

// info o zdroji
$info = $row['info_strucne'] != "" ? htmlEscape($row['info_strucne']) : $notin;
$info_pod = $row['info_podrobne'] != "" ? $row['info_podrobne'] : $notin;
$zdroj_id = $row['zdroj_id'] != "" ? $row['zdroj_id'] : $notin;
$zkratka = $row['zkratka'] != "" ? htmlEscape($row['zkratka']) : $notin;
$zkratka_smaz = $row['zkratka'];
$nazev = $row['nazev'] != "" ? htmlEscape($row['nazev']) : $id ;
$odkaz = $row['odkaz'] != "" ? htmlEscape($row['odkaz']) : $notin;

$expirace = $row['expirace'];
if ($row['expirace'] != NULL) { 
	$platnost = getDay($row['expirace']).".";
	$platnost .= getMonth($row['expirace'])."."; 
	$platnost .= ($rok = getYear($row['expirace']));
	if ($rok == $TOP_YEAR) $platnost = $exp;
}
else $platnost = $exp;

$aktivni_od = '';
if ($row['aktivni_od'] != NULL) {
	$aktivni_od = getDay($row['aktivni_od']).".";
	$aktivni_od .= getMonth($row['aktivni_od']).".";
	$aktivni_od .= ($rok = getYear($row['aktivni_od']));
	if ($rok == $BOTTOM_YEAR) $aktivni_od = $notin;
}
else $aktivni_od = $notin;


$modifikace = getDay($row['modifikace']).".";
$modifikace .= getMonth($row['modifikace']).".";
$modifikace .= getYear($row['modifikace'])." ";
$modifikace .= getTime($row['modifikace']);

$producent = $row['producent_nazev'] != "" ? 
		htmlEscape($row['producent_nazev'] ): $notin;
$prod_odkaz = $row['producent_odkaz'] != "" ? 
		htmlEscape($row['producent_odkaz']) : $notin;

// configurable fields
$nazev_extra_cz = "";
$odkaz_extra_cz = "";
$odkaz_onelog_en = "";
$odkaz_onelog_cz = "";

if ($ENABLE_EXTRA_CZECH_TITLE) {
	$nazev_extra_cz = $row['nazev_extra_cz'] != "" ? 
		htmlEscape($row['nazev_extra_cz']) : $notin;
}

if ($ENABLE_EXTRA_CZECH_LINK) {
	$odkaz_extra_cz = $row['odkaz_extra_cz'] != "" ? 
		htmlEscape($row['odkaz_extra_cz']) : $notin;
}

if ($ENABLE_ONELOG_LINK) {
	$odkaz_onelog_en = $row['odkaz_onelog_en'] != "" ? 
		htmlEscape($row['odkaz_onelog_en']) : $notin;
	$odkaz_onelog_cz = $row['odkaz_onelog_cz'] != "" ? 
		htmlEscape($row['odkaz_onelog_cz']) : $notin;
}


$jazyk = getJazyk($row['jazyk']);
$typ = getTyp($row['typ']);
$typ = getSourceType($typ, "cs");
$licence = $row['licence'] != "" ? htmlEscape($row['licence']) : $notin;
$financovani = $row['financovani'] != "" ? $row['financovani'] : $notin;

$spravce_pid = $row['odpovedny_spravce'];
$spravce = $row['odpovedny_spravce'] != "" ? $row['odpovedny_spravce'] : $notin;
$kontaktni_osoba = $row['kontaktni_osoba'] != "" ? $row['kontaktni_osoba'] : 
																										$notin;


$multioborovy = getBool($row['multioborovy']);
$zarazeni = getZarazeni($row['zarazeni']);
$kategorie = getKategorie($row['kategorie']);
$trida = getKategorieClass($kategorie); // barva podle kategorie
$kategorie = "<span class=\"$trida\">".$kategorie_popis[$kategorie]."</span>";
$aktivni = getBool($row['aktivni']);
$rss = getBool($row['rss']) ? "ano&nbsp;&nbsp;&nbsp;<img src=\"../$IMG_DIR/rss-small.gif\" alt=\"RSS\" />" : "ne";
$novinky = getBool($row['novinky']) ? "zařazovat mezi naposledny přidané zdroje" : "nezařazovat mezi naposledny přidané zdroje";
$povoleny = getBool($row['povoleny']);

$vytvoren = getDay($row['vytvoren']).".";
$vytvoren .= getMonth($row['vytvoren']).".";
$vytvoren .= getYear($row['vytvoren']);



$zamek=getInt($row['zamek']);
$popis_zamku = getLockDescription($zamek, $row['zamek_cas'], $user, $THIS_SCRIPT); 

// **********************
// zjisti spravce zdroje
$spravceObj = spravce::getSpravce($spravce, $user);
$spravce_odkaz = $spravceObj->getFormattedLink();
$spravce = $spravceObj->getFullName();

//zjisti kontatni osobu

$osobaObj = spravce::getSpravce($kontaktni_osoba, $user);
$osoba_odkaz = $osobaObj->getFormattedLink();
$osoba = $osobaObj->getFullName();


// ***************************************************************
// obory, fakulty etc.

//zjisti kterym oborum zdroj nalezi
$query = "SELECT obory.obor_id, obory.$obor_nazev, obory.koren". 
					" FROM obory, zdroj_obor".
					" WHERE (zdroj_obor.zdroj_id = '$id') AND". 
								" (zdroj_obor.obor_id = obory.obor_id)".
					" ORDER BY obory.$obor_nazev";
$result = pg_query($query);
	
$obory_id = array();
$obory_nazev = array();

while ($row = pg_fetch_array($result, NULL, PGSQL_BOTH)) {
	array_push($obory_id, $row['obor_id']);
	array_push($obory_nazev, $row[1]);
}

//zjisti kterym fakultam zdroj nalezi
$fakultyObj = new fakulty(fakulta::getFakultyByZdroj('cs', $id));
$fakulty = $fakultyObj->printZkratky('cs', $RESOURCES_PAGE);


$retrospektiva = array();
$query = "SELECT zacatek, konec, poznamka FROM retrospektiva_zdroje".
	" WHERE zdroj_id='$id' ORDER BY zacatek, konec";
$result = pg_query($query);
$retrospektiva_pocet = pg_num_rows($result);

while ($row = pg_fetch_array($result, NULL, PGSQL_ASSOC)) {
	array_push($retrospektiva, new retrospektiva(getDay($row['zacatek']), getMonth($row['zacatek']), getYear($row['zacatek']), getDay($row['konec']), getMonth($row['konec']), getYear($row['konec']), $row['poznamka']));
}


//**************************************************************************
// navigace

//nastaveni promennych
$db_cond = "";
$db_where_cond = "";
$nav1_prefix_title="$NAV_VYBER_SEZNAM &ndash; ";
$nav2_label= $zkratka;
$nav2_ref="zdroj.php?id=$id";

// ziskej nastaveni kde jsme a podle ceho prochazime
$navigace = navigation::getNavigation($SOURCE, $THIS_SCRIPT);
$nav_typ = $navigace->ntype;
$snav_typ = $navigace->stype;
$nav_params = "?ntype=$nav_typ";

// jinak cti parametry a podle nich udelej listu
switch ($navigace->ntype) {
case navigation::NAV_TYPE_DEFAULT:
	$nav1_label = $nav1_prefix_title . "Moje zdroje";
	$nav1_ref="index.php";
	$db_cond = "WHERE odpovedny_spravce='$pid' ORDER BY zkratka";
	break;
case navigation::NAV_TYPE_ABECEDNE:
	$nav1_label = $nav1_prefix_title . $NAV_VYBER_ABECEDNE;
	$nav1_ref="vyber.php$nav_params";
	$db_cond = "ORDER BY zkratka";
	break;
case navigation::NAV_TYPE_EXPIRACE:
	$nav1_label = $nav1_prefix_title . $NAV_VYBER_EXPIRACE;
	$nav1_ref="vyber.php$nav_params";
	$db_cond = "ORDER BY expirace, zkratka";
	break;
case navigation::NAV_TYPE_SPRAVCI:
	$nav1_label = $nav1_prefix_title . $NAV_VYBER_SPRAVCI;
	$nav1_ref="vyber.php$nav_params";
	$db_cond = "ORDER BY zkratka";
	$nav_spravce=$navigace->value1;
	$db_where_cond = "odpovedny_spravce = '$nav_spravce'";
	$spravceObj = spravce::getSpravce($nav_spravce, $user);
	$nav2_label = $spravceObj->getPrijmeni();
	$nav2_ref = "vyber.php?$nav_params&value1=$nav_spravce";
	break;
default: break;
}

if ($nav_typ != navigation::NAV_TYPE_DEFAULT) {
	
	$hnav_label = $NAV_VYBER_VSE;
	$hdb_cond = "";

	switch($navigace->stype) {
	case navigation::NAV_TYPE_LIC:
		$hnav_label = $NAV_VYBER_LIC;
		$hdb_cond = "kategorie='$KAT_LICENCOVANY'";
		break;

	case navigation::NAV_TYPE_FREE:
		$hnav_label = $NAV_VYBER_FREE;
		$hdb_cond = "kategorie='$KAT_FREE'";
		break;


	case navigation::NAV_TYPE_TRIAL:
		$hnav_label = $NAV_VYBER_FREETRIAL;
		$hdb_cond = "kategorie='$KAT_FREE_TRIAL'";
		break;

	case navigation::NAV_TYPE_LOCK:
		$hnav_label = $NAV_VYBER_LOCK;
		$hdb_cond = "zamek IS NOT NULL";
		break;

	case navigation::NAV_TYPE_LINK:
		$hnav_label = $NAV_VYBER_LINK;
		$hdb_cond = "kategorie='$KAT_USEFUL'";
		break;
	default: break;
	}
	
	if ($navigace->ntype == navigation::NAV_TYPE_SPRAVCI) {
		$nav3_label = $hnav_label;
		$nav3_ref = "vyber.php$nav_params&value1=$navigace->value1&stype=$snav_typ";
		$nav_bar[4] = $zkratka;
		$nav_ref[4] = "zdroj.php&id=$id";
	}
	else {
		$nav2_label = $hnav_label;
		$nav2_ref = "vyber.php$nav_params&stype=$snav_typ";
		$nav3_label = $zkratka;
		$nav3_ref = "zdroj.php&id=$id";
	}	

	if ($hdb_cond != "" && $db_where_cond != "") {
		$db_cond = "WHERE ($hdb_cond) AND ($db_where_cond) $db_cond";
	}
	else {
		if (! ($hdb_cond == "" && $db_where_cond == "")) {
			$db_cond = "WHERE $hdb_cond $db_where_cond $db_cond";
		}
	}

	$nav_bar[3] = $nav3_label;
	$nav_ref[3] = $nav3_ref;
}



$objZdroj = zdroj::getZdroj($id, false);

if ($ENABLE_SNIPPETS) {
	  $snippets = $objZdroj->getSnippets();
}

$aktivni_od = $objZdroj->jeAktivniOd();

$subresources = $objZdroj->getSubresources();

$nav_bar[0]=$NAV_AUTH;
$nav_ref[0]=$NAV_AUTH_LNK;
$nav_bar[1]=$nav1_label;
$nav_ref[1]=$nav1_ref;
$nav_bar[2]=$nav2_label;
$nav_ref[2]=$nav2_ref;

//**************************************************************************
// layout stranky
html_heading($lang, $EIZ_AUTH);

menu($lang, $THIS_SCRIPT, "", $EIZ_AUTH, "");

my_main($lang, $EIZ_AUTH);

nav_bar($lang, $nav_bar, $nav_ref);

echo "<div class=\"obsah\">\n";

echo "<div class=\"zdroj_layout\">\n";
echo "<h1>$zkratka</h1>\n";

if ($aktivni_od) {
	echo "<div class=\"bude-aktivni\">Zdroj bude aktivni od ".
		"<span class=\"podtrzeny\">".
		getFormatedDate($objZdroj->aktivni_od)."</span></div>\n";
}


echo "</div><!-- zdroj layout -->\n";

echo "<div class=\"zdroj_layout\">\n";
echo "<div class=\"informace_o\">\n";

// je-li vybran nejaky kontext (abecedni trideni apod.) nebo browzdam-li po 
// svych vlastnich zdrojich pak zobraz navigaci
// v opacnem pripade se na dany zdroj dostal uzivatel nejakym pofidernim 
// zpusobem a nema narok na zobrazeni 
echo "<div class=\"navigace\">\n";
echo "<span class=\"additional-info\">\n";
$objZdroj->sfxSnippet("cs");
$objZdroj->shibSnippet("cs");
echo "</span>\n";
if ($pid == $spravce_pid || $admin) {
	navigace("cs", $THIS_SCRIPT, $pid, $admin, $id, $db_cond, '', '', $SOURCE);
}

echo "</div><!-- navigace -->\n";

if ($ENABLE_SNIPPETS) {
	foreach($snippets as $snippet) {
		include("snippets/".$snippet->getJmeno().'.php');
	}
}


echo "<table class=\"zdroj\">\n";

$status_prnt="<span class=\"status\">";
polozka_admin($item_status, 
							$aktivni ? 
							"$status_prnt<span class=\"aktivni\">aktivní</span></span>" : 
							"$status_prnt<span class=\"neaktivni\">neaktivní</span></span>");

if ($ENABLE_EXTRA_CZECH_TITLE) {
	polozka_admin($item_extra_title_cz, $nazev_extra_cz, $notin);
}

polozka_admin($item_brief_i, $info); 

if ($odkaz == $notin) polozka_admin($item_url, $notin);
else polozka_admin($item_url, "<a href=\"$odkaz\">$odkaz</a>");

if ($ENABLE_EXTRA_CZECH_LINK) {
	if ($odkaz_extra_cz == $notin) polozka_admin($item_extra_url_cz, $notin);
	else polozka_admin($item_extra_url_cz, "<a href=\"$odkaz_extra_cz\">$odkaz_extra_cz</a>");
}

if ($ENABLE_ONELOG_LINK) {
	if ($odkaz_onelog_en == $notin) polozka_admin($item_onelog_url_en, $notin);
	else polozka_admin($item_onelog_url_en, "<a href=\"$odkaz_onelog_en\">$odkaz_onelog_en</a>");

	if ($odkaz_onelog_cz == $notin) polozka_admin($item_onelog_url_cz, $notin);
	else polozka_admin($item_onelog_url_cz, "<a href=\"$odkaz_onelog_cz\">$odkaz_onelog_cz</a>");
}


polozka_admin($item_prod_name, "$producent");

if ($prod_odkaz == $notin) polozka_admin($item_prod_ref, $notin);
else polozka_admin($item_prod_ref, "<a href=\"$prod_odkaz\">$prod_odkaz</a>");

polozka_admin("Dostupnost portfolia:" , $objZdroj->dostupnost);


if (compareCurrentDate($expirace) >= 0) 
	polozka_admin($item_validity, $platnost);
else polozka_admin($item_validity, "<span class=\"expirace\">$platnost</span>");


polozka_admin($item_kategorie, $kategorie);

polozka_admin('AZ link:', $objZdroj->getAZLink('cs'));


// dostupnost zdroje
if (($zarazeni == $SOURCE_NOTIN || $fakulty == '') 
		&& $zarazeni != $SOURCE_MU) 
	polozka_admin($item_dostupne, $notin);
else {
	if ($zarazeni == $SOURCE_MU) {
		$fakulty = 
			"<a href=\"$MY_URL/$RESOURCES_PAGE/fakulty.php?lang=$lang&mu=1\">".
			"$mu</a>, $fakulty";
	}
								
	polozka_admin($item_dostupne, 
								"<span class=\"item_domains_faculties\">".normalizeList($fakulty)."</span>");
}


// obory
if ($multioborovy) {
	polozka_admin($item_domains, "$multioborovy_desc");
}
else {
	if (count($obory_id) > 0) {
		$obory = "";
		foreach ($obory_id as $klic => $obor) {
			$obory .= "<a href=\"$MY_URL/obory.php?lang=$lang&obor=$klic\">".
			$obory_nazev[$klic]."</a>, ";
		}
		$obory = normalizeList($obory);
		polozka_admin($item_domains, "<span class=\"item_domains_faculties\">". 
									"$obory</span>");
	}
	else polozka_admin($item_domains, $notin);
}


if (count($subresources) > 0) {
	$subresourcesList = "";
	foreach($subresources as $subresource) {
		$subresourcesList .= 
			"<a href=\"$URL_PREFIX/$AUTH_PAGE/zdroj.php?id=".
			$subresource->id ."\" target=\"_blank\">". $subresource->nazev ."</a>, ";
	}

	polozka('Podzdroje:', normalizeList($subresourcesList));
}



echo "<tr><td colspan=\"2\">\n";

echo "<div class=\"zdroj_podrobne\">\n";
echo "<div class=\"licence_financovani_nadpis\">Podrobné info:</div>\n";

if (strlen($info_pod) <= $SRC_DESC_LEN) {
	echo $info_pod;
} 
else {
	if (issetGET("podrobne")) {
		echo "$info_pod";
		$podretez = podretez($info_pod, $SRC_DESC_LEN);
		if (strlen($podretez) < strlen($info_pod)) {
			echo "<div class=\"zdroj_vice\">\n";
			echo "<a href=\"zdroj.php?id=$id\">";
			echo "Stručně...</a>\n";
			echo "</div><!-- zdroj vice -->\n";
		}	
	}
	else {
		$podretez = podretez($info_pod, $SRC_DESC_LEN);
		echo $podretez;
		if (strlen($podretez) < strlen($info_pod)) {
			echo "...\n";
			echo "<div class=\"zdroj_vice\">\n";
			echo "<a href=\"zdroj.php?id=$id&podrobne=1\">";
			echo "$next_info</a>\n";
			echo "</div><!-- zdroj vice -->\n";
		}
	}
}

echo "</div><!-- zdroj podrobne -->\n";

echo "</td></tr>\n";

echo "<tr><td colspan=\"2\">";
echo "<hr class=\"zdroje\" />";
echo "</td></tr>";

if ($ENABLE_RSS_SOURCES) polozka_admin($item_rss, $rss);
polozka_admin($item_novinky, $novinky);
polozka_admin($item_type, $typ);
polozka_admin($item_lang, $languages[$jazyk]);
polozka_admin($item_modified, $modifikace);
polozka_admin("Datum vytvoření: ", $vytvoren);
polozka_admin($item_admin, "<a href=\"$spravce_odkaz\">$spravce</a>");
polozka_admin("Kontaktní osoba: ", "<a href=\"$osoba_odkaz\">$osoba</a>");
polozka_admin("Zámek na zdroji: ", $popis_zamku); 
//echo "<hr class=\"zdroje\" />\n";

if ($admin && $objZdroj->linker_db != '') {
	$toadd = $objZdroj->linker_automat ? "LOA" : "AUT";
	polozka_admin("Id v linkeru:", $objZdroj->linker_db . ' <sup>' .$toadd.'</sup>');
}

if ($admin && $objZdroj->vyhledavac_db != '') {
	polozka_admin("Id ve vyhledávači:", $objZdroj->vyhledavac_db);
}


if ($retrospektiva_pocet > 0) {
	polozka_admin("Retrospektiva: ", "");

	echo "<tr><td colspan=\"2\">";
	echo "<table class=\"retrospektiva\">\n";
	foreach($retrospektiva as $item) {
		$item->clear();
		echo "<tr><td class=\"retrospektiva_datum\">".$item->tiskOd()."</td>";
		echo "<td>&ndash;</td>";
		echo "<td class=\"retrospektiva_datum\">".$item->tiskDo()."</td>";
		echo "<td class=\"retrospektiva_pozn\">$item->poznamka</td></tr>";
	}
	echo "\n</table>";
	echo "</td></tr>";
}
	

echo "<tr><td colspan=\"2\">\n";
echo "<div class=\"nedulezite_info\">\n";

echo "<div class=\"licence_financovani_nadpis\">$item_licence</div>\n";
echo "<div class=\"licence\">";
if (issetGET("licence") || strlen($licence) <= $SRC_LIC_LEN) {
	echo "<pre>$licence</pre>";
}
else {
	echo "<pre>";
	echo podretez($licence, $SRC_LIC_LEN);
	echo "</pre>...\n";
	echo "<a href=\"zdroj.php?id=$id&licence=1\">";
	echo "$next_info</a>";
}
echo "\n</div><!-- licence -->\n";

echo "<div class=\"licence_financovani_nadpis\">$item_financovani</div>\n";
echo "<div class=\"financovani\">";
if (issetGET("financovani") || strlen($financovani) <= $SRC_FIN_LEN) {
	echo "$financovani";
}
else {
	echo podretez($financovani, $SRC_FIN_LEN);
	echo "...\n";
	echo "<a href=\"zdroj.php?id=$id&financovani=1\">";
	echo "$next_info</a>\n";
}
echo "</div><!-- financovani -->\n";

$soubory = $objZdroj->getFiles();
if (count($soubory) > 0) {
	echo "<div class=\"licence_financovani_nadpis\">Soubory:</div>\n";
	echo "<div class=\"soubory\">";
	foreach($soubory as $soubor) {
		echo $soubor->jmeno . ", ";
	}
	echo "</div>\n";
}

echo "</div><!-- nedulezite info -->\n";

echo "</td></tr>\n";

if (! $povoleny) {
	echo "\t<tr>\n\t\t<td colspan=\"2\">\n";
	echo "\t\t\t<div class=\"stred\"><span class=\"tluste_red\">";
	echo "Některá metadata zdroje jsou nesprávně vyplněna!</span></div>\n";
	echo "\t\t\t<div class=\"stred\"><span class=\"tluste_red\">";
	echo "Zdroj nebude zobrazován ve veřejné části portálu.</span></div>\n";
	echo "\t\t</td>\n\t</td>\n";
}

echo "</table><!-- zdroj -->\n";

echo "</div><!-- informace o -->\n";

echo "</div><!-- zdroj layout -->\n";

echo "<form action=\"edit.php?id=$id\" method=\"post\">\n";
echo "<div class=\"horiz_menu\">\n";
tlacitko("Editovat zdroj", "submit", "");
tlacitko("Smazat zdroj", "submit", "smazat");
tlacitko("Vytvořit kopii", "submit", "kopie");
tlacitko("Správa souborů", "submit", "soubory");
if ($zamek != null) 
	tlacitko("Odemknout zdroj", "submit", "unlock"); 
echo "<input type=\"hidden\" name=\"zkratka\" value=\"$zkratka_smaz\" />\n";
echo "</div>\n";
echo "</form>\n";

echo "\n</div><!-- obsah -->\n\n";

my_main_ending();

setlocale(LC_TIME, $MY_LOCALES1, $MY_LOCALES2, $MY_LOCALES3);
footer(filectime($THIS_SCRIPT), $lang);

html_ending();

unsetLogging($DISPLAY_ERRORS, $om);

?>
