<?php

require_once("../eizlibs/logging.php");
$om = setLogging($DISPLAY_ERRORS);

require_once("../eizlibs/db_connect.php");
require_once("../eizlibs/functions.php");
require_once("../eizlibs/rights.php");

require_once("eizlibs/fakulta_class.php");

$lang = "cs";

$user = getUser();

$id = getPOST("id");

// **************************************************************************
// presmerovani
if (issetPOST("casopis")) {
	header("Location: casopis.php?id=$id&unlock=$id");
	exit(0);
}

// **************************************************************************
// zpracovani odeslaneho formulare

connect_db();

$userinfo = getUserInfo($user, $_SERVER['PHP_SELF']);
$pid = getPid($userinfo);
$admin = getIsAdmin($userinfo);

// nasledujici globalni promenne je potreba deklarovat kvuli volani checkForm
$bad="";
$add_query="";

$ezbid = getDbInt(getPOST("ezbid"));

// nasledujici dva mame kvuli insertu
$titul = stringEscape(getPOST("titul"));
$odkazy = stringEscape(getPOST("odkazy"));


$nakladatel = stringEscape(getPOST("nakladatel"));
$eissn = stringEscape(getPOST("e_issn"));
$pissn = stringEscape(getPOST("p_issn"));

if (($pissn == null && $eissn == null) || 
	(trim($pissn) == '' && trim($eissn) == '')) {
		$bad='&chissn=1';
}

$klicova_slova = stringEscape(getPOST("klicova_slova"));
$typ = stringEscape(getPOST("typ"));
$typ_platby = stringEscape(getPOST("typ_platby"));
$pristup = stringEscape(getPOST("pristup"));
$recenze = stringEscape(getPOST("recenze"));

$prrv_issue = getDbInt(getPOST("prrv_issue"));
$prrv_volume = getDbInt(getPOST("prrv_volume"));
$prrv_year = getDbInt(getPOST("prrv_year"));
$porv_issue = getDbInt(getPOST("porv_issue"));
$porv_volume = getDbInt(getPOST("porv_volume"));
$porv_year = getDbInt(getPOST("porv_year"));

$pohybliva_dostupnost = getDbInt(getPOST("pohybliva_dostupnost"));
//$dostupne = stringEscape(getPOST("dostupne"));
$dostupne="t";
$frekvence = stringEscape(getPOST("frekvence"));
$komentar =stringEscape(getPOST("komentar"));
$ezb = 't'; //stringEscape(getPOST("ezb"));
$aktivni = stringEscape(getPOST("aktivni"));
$kontaktni_osoba = stringEscape(getPOST("kontakt"));
$odpovedny_spravce = stringEscape(getPOST("admin"));
$mu = stringEscape(getPOST("mu"));
$in_ezb= stringEscape(getPOST("in_ezb"));

if ($bad != "") $aktivni="f";

$den = getPOST("den");
$mesic = getPOST("mesic");
$rok = getPOST("rok");
$expirace = makeDate($rok, $mesic, $den);

$aktivni_od_rok = getPOST("arok");
$aktivni_od_mesic = getPOST("amesic");
$aktivni_od_den = getPOST("aden");

$aktivni_od = makeDate($aktivni_od_rok, $aktivni_od_mesic, $aktivni_od_den);


$vytvoren = stringEscape(getPOST("vytvoren"));

if ($expirace == $INF_EXPIR || $expirace == null) {
	if ($expirace == null) $bad.="&expirace=1";
	$expirace_query = "expirace='$TOP_EXPIR_TEXT',";
	$expirace = "'$TOP_EXPIR_TEXT'";
}
else {
	$expirace_query = "expirace='$expirace',";
	$expirace = "'$expirace'";
}

if ($aktivni_od == $INF_EXPIR || $aktivni_od == null) {
	if ($aktivni_od == null) $bad.="&aktivni_od=1";
	$aktivni_od_query = "aktivni_od='$BOTTOM_EXPIR_TEXT',";
	$aktivni_od = "'$BOTTOM_EXPIR_TEXT'";
}
else {
	$aktivni_od_query = "aktivni_od='$aktivni_od',";
	$aktivni_od = "'$aktivni_od'";
}

$linker_db=stringEscape(getPOST('linker_db'));

// vkladame novy zdroj, pripadne ho updatujeme 
if ($id == null) {
	$new=true;
	$query = "INSERT INTO casopisy (ezbid, titul, nakladatel, e_issn, p_issn,".
							"	klicova_slova, odkazy, typ, typ_platby,".
							"	pristup, recenze, prrv_issue,".
							"	prrv_volume, prrv_year, porv_issue,".
							"	porv_volume, porv_year, pohybliva_dostupnost, dostupne,".
							" frekvence, komentar, aktivni,".
							"	kontrolovan, mu, expirace, modifikace, in_ezb,".
							"	vytvoren, odpovedny_spravce, kontaktni_osoba, ezb,".
							" aktivni_od, linker_db)".
						"	VALUES ($ezbid, '$titul', '$nakladatel', '$eissn', '$pissn',".
							"	'$klicova_slova', '$odkazy', $typ, $typ_platby,".
							"	$pristup, '$recenze', $prrv_issue,".
							"	$prrv_volume, $prrv_year, $porv_issue,". 
							"	$porv_volume, $porv_year, $pohybliva_dostupnost, ".
							" '$dostupne',".
							"	'$frekvence', '$komentar', '$aktivni',". 
							" 'f', '$mu', $expirace, now(), '$in_ezb',".
							"	'$vytvoren', '$odpovedny_spravce', '$kontaktni_osoba', '$ezb',".
							" $aktivni_od, '$linker_db')";
}
// update stavajiciho zdroje
else {
	
	check_rights($user, $MAGAZINE, $RGHT_EDIT, $id, $_SERVER['PHP_SELF']);

	$new=false;

	$query = "UPDATE casopisy SET titul='$titul', nakladatel='$nakladatel',".
							"	e_issn='$eissn', $expirace_query odkazy='$odkazy',".
							"	p_issn='$pissn', ezbid=$ezbid,".
							"	klicova_slova='$klicova_slova',".
							"	typ=$typ,".
							"	typ_platby=$typ_platby,".
							"	pristup=$pristup,".
							"	recenze='$recenze',".
							" modifikace=now(),".
							"	prrv_issue=$prrv_issue, prrv_year=$prrv_year,".
							" prrv_volume=$prrv_volume, porv_issue=$porv_issue,".
							"	porv_year=$porv_year, porv_volume=$porv_volume,". 
							"	pohybliva_dostupnost=$pohybliva_dostupnost,".
							"	dostupne='$dostupne', frekvence='$frekvence',".
							"	komentar='$komentar', kontaktni_osoba='$kontaktni_osoba',".
							" odpovedny_spravce='$odpovedny_spravce',".
							" kontrolovan='f', ezb='$ezb', aktivni='$aktivni',".
							" kontrola_expirace='f', mu='$mu', in_ezb='$in_ezb',".
							" $aktivni_od_query". 
							" linker_db='$linker_db'".
							"	WHERE casopis_id='$id' AND $DELETED_MAGAZINE_COND";
}

// provedeme update
$result = pg_query($query);
#logit("", "", $query . pg_last_error(), $LOG_INF);

// if we are inserting, we need to get the source id, which is provided 
// automaticaly when we are inserting a new source
if ($id == null) {
	$query = "SELECT CURRVAL('casopisy_casopis_id_seq')";
	$result = pg_query($query);
	$row = pg_fetch_array($result, NULL, PGSQL_NUM);
	$id = $row[0];

	navigation::setDefault($MAGAZINE, 'casopis.php');
}

/* -------------- vlozeni casopisu, hlavni cast konec ----------------------- */
/* ************************************************************************** */

// fakulty
$jsou_fakulty = false;
$casopis_fakulta = array();
$query = "SELECT fakulta_id FROM casopis_fakulta WHERE casopis_id = '$id'";
$result = pg_query($query);
if (($pocet_f = pg_num_rows($result)) > 0) $jsou_fakulty=true;
while ($row = pg_fetch_array($result, NULL, PGSQL_ASSOC)) {
	array_push($casopis_fakulta, $row['fakulta_id']);;
}

// projdeme fakulty
$query = "SELECT fakulta_id FROM fakulty";
$result = pg_query($query);

$to_insert = array();
$to_delete = array();
while ($row = pg_fetch_array($result, NULL, PGSQL_NUM)) {
	$fakulta_id = $row[0];
	if (issetPOST("fakulta$fakulta_id")) {
		if (! in_array($fakulta_id, $casopis_fakulta)) 
			array_push($to_insert, $fakulta_id);
	}
	else {
		if (in_array($fakulta_id, $casopis_fakulta)) 
			array_push($to_delete, $fakulta_id);
	}
}

//je-li pocet tech, co chceme smazat stejny jako pocet tech, ktere tam byly
// pak logicky zadna fakulta nebyla vybrana
if (count($to_delete) == $pocet_f) $jsou_fakulty=false;
foreach($to_delete as $fakulta_id) {
	$query = "DELETE FROM casopis_fakulta". 
						" WHERE casopis_id='$id' AND fakulta_id='$fakulta_id'";
	pg_query($query);
}

if (count($to_insert) > 0) $jsou_fakulty=true;
foreach($to_insert as $fakulta_id) {
	$query = "INSERT INTO casopis_fakulta (casopis_id, fakulta_id)". 
						" VALUES ($id, $fakulta_id)";
	pg_query($query);
}


// nyni zpracujeme predmety
$query = "SELECT predmet_id FROM casopis_predmet WHERE casopis_id = '$id'";
$result = pg_query($query);

$predmety_casopis = array();
while ($row =  pg_fetch_array($result, NULL, PGSQL_NUM)) {
	array_push($predmety_casopis, $row[0]);
}

$to_insert = array();
$to_delete = array();
if (isset($_POST['subject'])) {
	$to_set = $_POST['subject'];
}
else $to_set = array();

//pres vsechny predmety
$query = "SELECT predmet_id FROM predmety";
$result = pg_query($query);

while ($row = pg_fetch_array($result, NULL, PGSQL_NUM)) {
	$predmet_id=$row[0];

	if (in_array($predmet_id, $to_set)) {
		if (! in_array($predmet_id, $predmety_casopis)) 
			array_push($to_insert, $predmet_id);
	}
	else {
		if (in_array($predmet_id, $predmety_casopis)) 
			array_push($to_delete, $predmet_id);
	}
}


foreach($to_delete as $predmet_id) {
	$query = "DELETE FROM casopis_predmet". 
		" WHERE casopis_id='$id' AND predmet_id='$predmet_id'";
	pg_query($query);
}

foreach($to_insert as $predmet_id) {
	$query = "INSERT INTO casopis_predmet (casopis_id, predmet_id)". 
						" VALUES ($id, $predmet_id)";
	pg_query($query);
}


if ($bad == "") {
	if (! $new) {
		if (($lock = unlock($pid, $id, $MAGAZINE, $_SERVER['PHP_SELF']))!=$UNLOCKED)		{
			logit($user, $_SERVER['PHP_SELF'],
				"User cannot unlock magazine $id ($lock)!", $LOG_LCK);
		}
	}
	logit($user, $_SERVER['PHP_SELF'], "User sucessfully update/add magazine $id.", $LOG_ACT);
	header("Location: casopis.php?id=$id");
}
else {
	logit($user, $_SERVER['PHP_SELF'], 
		"User fail to update/add magazine $id ($bad).", $LOG_UER);
	$bad.="&bad=1";
	header("Location: edit_casopisy.php?id=$id$bad");
}

unsetLogging($DISPLAY_ERRORS, $om);

?>
