<?php

require_once("../eizlibs/db_connect.php");
require_once("../eizlibs/functions.php");
require_once("../eizlibs/rights.php");
require_once("../eizlibs/classes.php");
require_once("../eizlibs/rss.php");
require_once("../eizlibs/verde.php");

require_once("eizlibs/fakulta_class.php");

$om = setLogging($DISPLAY_ERRORS);

$THIS_SCRIPT = trimSELF($_SERVER['PHP_SELF']);

$lang = "cs";

$user = getUser();

$id = getPOST("id");

// delam-li kopii, je to totez, co novy zdroj
if (issetPOST("kopie")) {
	$id=null;
}

// **************************************************************************
// presmerovani
if (issetPOST("zdroj")) {
	if ($id != null) $zpet_par="&unlock=$id";
	else $zpet_par="";
	header("Location: zdroj.php?id=$id$zpet_par");
	exit(0);
}

// **************************************************************************
// zpracovani odeslaneho formulare

connect_db();

$userinfo = getUserInfo($user, $_SERVER['PHP_SELF']);
$pid = getPid($userinfo);
$admin = getIsAdmin($userinfo);

// nasledujici globalni promenne je potreba deklarovat kvuli volani checkForm
$bad="";
$add_query="";

//checkForm("nazev");
$bad .= checkForm("zkratka");

if ($ANY_LINK) {
	/*
	if (checkForm("odkaz") != "" &&
		checkForm("odkaz_extra_cz") != "" &&
		checkForm("odkaz_onelog_en") != "" &&
		checkForm("odkaz_onelog_cz") != "")
		$bad .= "&any=1";
	 */
}
else {
	
	if ($DIRECT_LINK_MANDATORY) {

		if ($ENABLE_EXTRA_CZECH_LINK) {

			if (checkForm("odkaz_extra_cz") != "" && checkForm("odkaz") != "") {
				$bad .= checkForm("odkaz");
			}
		}
		else {
			$bad .= checkForm("odkaz");
		}
	}

	if ($ENABLE_ONELOG_LINK) {

		if ($ONELOG_LINK_MANDATORY) {

			if (checkForm("odkaz_onelog_en") != "" 
				&& checkForm("odkaz_onelog_cz") != "") {
				$bad .= checkForm("odkaz_onelog_en");
			}
		}
	}
}

// nasledujici tri mame kvuli insertu
$nazev = stringEscape(getPOST("nazev"));
$zkratka = stringEscape(getPOST("zkratka"));
$odkaz = stringEscape(getPOST("odkaz"));

$producent_nazev = stringEscape(getPOST("producent_nazev"));
$producent_odkaz = stringEscape(getPOST("producent_odkaz"));

$den = getPOST("den");
$mesic = getPOST("mesic");
$rok = getPOST("rok");
$expirace = makeDate($rok, $mesic, $den);

$aktivni_od_rok = getPOST("arok");
$aktivni_od_mesic = getPOST("amesic");
$aktivni_od_den = getPOST("aden");

$aktivni_od = makeDate($aktivni_od_rok, $aktivni_od_mesic, $aktivni_od_den);

if ($expirace == $INF_EXPIR || $expirace == null) {
	if ($expirace == null) $bad.="&expirace=1";
	$expirace_query = "expirace='$TOP_EXPIR_TEXT',";
	$expirace = "'$TOP_EXPIR_TEXT'";
}
else {
	$expirace_query = "expirace='$expirace',";
	$expirace = "'$expirace'";
}


if ($aktivni_od == $INF_EXPIR || $aktivni_od == null) {
	if ($aktivni_od == null) $bad.="&aktivni_od=1";
	$aktivni_od_query = "aktivni_od='$BOTTOM_EXPIR_TEXT',";
	$aktivni_od = "'$BOTTOM_EXPIR_TEXT'";
}
else {
	$aktivni_od_query = "aktivni_od='$aktivni_od',";
	$aktivni_od = "'$aktivni_od'";
}

$linker_db=stringEscape(getPOST('linker_db'));
$vyhledavac_db=stringEscape(getPOST('vyhledavac_db'));
$linker_automat=getDbBool(getBool(getPOST('linker_automat')));

$info_strucne = stringEscape(getPOST("info_strucne"));
$info_strucne_en = stringEscape(getPOST("info_strucne_en"));

$GLOBAL_ERRS=array();
$info_podrobne = stringEscape(getPOST("info_podrobne"));
$info_podrobne_chyba = "";

/*
if (! validateTextForm($info_podrobne)) {
	$bad.="&nonvalid_cs=1";
	$tolog="";
	foreach($GLOBAL_ERRS as $err) {
		$err = htmlspecialchars($err);
		$tolog.="<p>$err</p>\n";
	}
	$info_podrobne_chyba=pg_escape_string($tolog);
}
$info_podrobne = stringEscape($info_podrobne);
*/

$GLOBAL_ERRS=array();
$info_podrobne_en = stringEscape(getPOST("info_podrobne_en"));
$info_podrobne_en_chyba = "";
/*
if (! validateTextForm($info_podrobne_en)) {
	$bad.="&nonvalid_en=1";
	$tolog="";
	foreach($GLOBAL_ERRS as $err) {
		$err = htmlspecialchars($err);
		$tolog.="<p>$err</p>\n";
	}
	$info_podrobne_en_chyba=pg_escape_string($tolog);
}
$info_podrobne_en = stringEscape($info_podrobne_en);
*/

$financovani = stringEscape(getPOST("financovani"));
$licence = stringEscape(getPOST("licence"));

$typ = getTyp(getPOST("typ"));
$jazyk = stringEscape(getJazyk(getPOST("jazyk")));
$zarazeni = getZarazeni(getPOST("zarazeni"));
$aktivni = getBool(getPOST("aktivni"));
$prev_aktivni = getBool(getPOST("prev_aktivni"));
$rss = getBool(getPOST("rss"));
$old_rss = getBool(getPOST("old_rss")); // potrebuji vedet jestli je jiz zdroj v RSS
$novinky = getBool(getPOST("novinky"));
$multioborovy = getBool(getPOST("multioborovy"));
$kategorie = getKategorie(getPOST("kategorie"));
$ezproxy_odkaz_prepis =  getBool(getPOST("ezproxy_odkaz_prepis"));
$vytvoren = getPOST("vytvoren");
$kontaktni_osoba = stringEscape(getPOST("kontakt"));
$odpovedny_spravce = stringEscape(getPOST("admin"));

$nazev_extra_cz = stringEscape(getPOST("nazev_extra_cz"));
if ($nazev_extra_cz == "") $nazev_extra_cz=$zkratka;
$odkaz_extra_cz = stringEscape(getPOST("odkaz_extra_cz"));
$odkaz_onelog_en = stringEscape(getPOST("odkaz_onelog_en"));
$odkaz_onelog_cz = stringEscape(getPOST("odkaz_onelog_cz"));
$ezproxy_odkaz = getDbBool(getBool(getPOST("ezproxy_odkaz")));
$ezproxy_odkaz_prepis = getDbBool(getBool(getPOST("ezproxy_odkaz_prepis")));

if (getBool(getPOST("ezproxy_odkaz_prepis"))) {

	if ($ENABLE_EXTRA_CZECH_LINK) {
		$ezodkaz_en = $odkaz;
		$ezodkaz_cs = $odkaz_extra_cz;

		if (trim($ezodkaz_en) == '') $ezodkaz_en = $ezodkaz_cs;
		if (trim($ezodkaz_cs) == '') $ezodkaz_cs = $ezodkaz_en;

		$odkaz_onelog_cz = $EZPROXY_URL.trim($ezodkaz_cs);
		$odkaz_onelog_en = $EZPROXY_URL.trim($ezodkaz_en);
	}
	else {
		$odkaz_onelog_cz = $EZPROXY_URL.trim($odkaz);
		$odkaz_onelog_en = $odkaz_onelog_cz;
	}
}

$rss_comm = getPOST("rss_comm");
$rss_comm_en = getPOST("rss_comm_en");

$verde_id = stringEscape(getPOST("verde_id"));



if ($bad != "") $povoleny="f";
else $povoleny="t";

// je-li novy zdroj vporadku a aktivni a ma povolene RSS, pak zapis, ze 
// je v zarazen v RSS 
$rss_zapis = $rss && $povoleny && $aktivni ? "t" : "f";

if ($aktivni) $aktivni_zapis="t";
else $aktivni_zapis="f";

if ($novinky) $novinky_zapis="t";
else $novinky_zapis="f";

if ($multioborovy) $multioborovy="t";
else $multioborovy="f";

// sfx a shibboleth
$sfx=getDbBool(getBool(getPOST('sfx')));
$sfx_popis=stringEscape(getPOST('sfx_popis'));
$sfx_popis_en=stringEscape(getPOST('sfx_popis_en'));

$shib=getDbBool(getBool(getPOST('shib')));
$shib_odkaz=stringEscape(getPOST('shib_odkaz'));
$shib_odkaz_en=stringEscape(getPOST('shib_odkaz_en'));
$shib_popis=stringEscape(getPOST('shib_popis'));
$shib_popis_en=stringEscape(getPOST('shib_popis_en'));

$dostupnost=stringEscape(getPOST('dostupnost'));
$kolekce=stringEscape(getPOST('kolekce'));

$az_link_cs=stringEscape(getPOST('az_link_cs'));
$az_link_en=stringEscape(getPOST('az_link_en'));

if ($az_link_cs == '' && $az_link_en != '') {
	$az_link_cs = $az_link_en;
}
else {
	if ($az_link_cs != '' && $az_link_en == '') {
		$az_link_en = $az_link_cs;
	}
}


if ($ENABLE_VERDE && issetPOST("verde")) {
	
	// nejdriv pres SOAP
	$client = connectVerde();
	$item = getVerdeItem($client, "CEP_1123333867155_610913");

	$producent = $item->licsences->licensor;
	$expirace = $item->licsences->endDate;
	//$financovani = $item->admin->creatorFullName;
	
	

	// pak pres DeepLink
	$doc = new DOMDocument();

	$doc = getVerdeDeeplink($doc, $verde_id);

	$xpath = new DOMXPath($doc);
	
	$eproduct_path = "/verde/body/data/eproduct";
	$titles = $xpath->query("$eproduct_path/title");	

	$zkratka = $titles->item(0)->textContent;
	$nazev_extra_cz = $zkratka;


}



// vkladame novy zdroj, pripadne ho updatujeme 
if ($id == null) {
	$new=true;
	// pozor - defaultne se po pridani zdroji nastavi RSS na false
	$query = "INSERT INTO zdroje (nazev, zkratka, odkaz, producent_nazev,".
							"	producent_odkaz, vytvoren, expirace, info_strucne,".
							"	info_strucne_en, info_podrobne, info_podrobne_chyba,".
							"	info_podrobne_en, info_podrobne_en_chyba, financovani,".
							"	licence, typ, jazyk, zarazeni, aktivni, novinky,".
							"	povoleny, multioborovy, kategorie, odpovedny_spravce,".
							"	kontaktni_osoba, modifikace,".
							" nazev_extra_cz, odkaz_extra_cz, odkaz_onelog_en,".
							" odkaz_onelog_cz, rss, verde_id,".
						 	"	ezproxy_odkaz, ezproxy_prepis,".
							" sfx, sfx_popis, sfx_popis_en,".
							" shib, shib_odkaz, shib_odkaz_en, shib_popis, shib_popis_en,".
							" aktivni_od, linker_db, vyhledavac_db, linker_manualni_nahrani,".
							" az_link_cs, az_link_en, dostupnost, kolekce)".
						"	VALUES ('$nazev', '$zkratka', '$odkaz', '$producent_nazev',".
							"	'$producent_odkaz', '$vytvoren', $expirace, '$info_strucne',".
							"	'$info_strucne_en', '$info_podrobne', '$info_podrobne_chyba',".
							"	'$info_podrobne_en', '$info_podrobne_en_chyba',". 
							"	'$financovani',".
							"	'$licence', '$typ', '$jazyk', '$zarazeni', '$aktivni_zapis',".
							"	'$novinky_zapis',	'$povoleny', '$multioborovy', '$kategorie',".
							"	'$odpovedny_spravce', '$kontaktni_osoba', now(),".
							" '$nazev_extra_cz', '$odkaz_extra_cz', '$odkaz_onelog_en',".
							" '$odkaz_onelog_cz', '$rss_zapis', '$verde_id',".
						 	"	'$ezproxy_odkaz', '$ezproxy_odkaz_prepis',".
							"	'$sfx', '$sfx_popis', '$sfx_popis_en',".
							" '$shib', '$shib_odkaz', '$shib_odkaz_en', '$shib_popis', '$shib_popis_en',".
							" $aktivni_od, '$linker_db', '$vyhledavac_db','$linker_automat',".
							" '$az_link_cs', '$az_link_en', '$dostupnost', '$kolekce')";
}
// update stavajiciho zdroje
else {
	
	if (is_locked($user, $id, $SOURCE, $_SERVER['PHP_SELF']) != $pid) {
		logit($user, $_SERVER['PHP_SELF'],"Source $id is not locked!".pg_last_error(), $LOG_LCK);
		print_error_page($lang);
	}
	
	check_rights($user, $SOURCE, $RGHT_EDIT, $id, $_SERVER['PHP_SELF']);

	$new=false;
	$query = "UPDATE zdroje SET zkratka='$zkratka', odkaz='$odkaz',".
	 						"	producent_nazev='$producent_nazev',".
							"	producent_odkaz='$producent_odkaz', $expirace_query".
							"	info_strucne='$info_strucne',".
							"	info_strucne_en='$info_strucne_en',".
							"	info_podrobne='$info_podrobne',".
							"	info_podrobne_chyba='$info_podrobne_chyba',".
							"	info_podrobne_en='$info_podrobne_en',".
							"	info_podrobne_en_chyba='$info_podrobne_en_chyba',".
							"	financovani='$financovani', licence='$licence', typ=$typ,".
							"	jazyk='$jazyk', zarazeni='$zarazeni',". 
							"	aktivni='$aktivni_zapis', novinky='$novinky_zapis',".
							"	povoleny='$povoleny', multioborovy='$multioborovy',".
							"	kategorie='$kategorie', kontaktni_osoba='$kontaktni_osoba',".
							"	odpovedny_spravce='$odpovedny_spravce',".
							" kontrola_expirace='f',".
							" retrospektiva='f',".
							" nazev_extra_cz='$nazev_extra_cz',".
						  "	odkaz_extra_cz='$odkaz_extra_cz',".
							" odkaz_onelog_en='$odkaz_onelog_en',".
							" odkaz_onelog_cz='$odkaz_onelog_cz',".
							"	ezproxy_odkaz='$ezproxy_odkaz',".
							"	ezproxy_prepis='$ezproxy_odkaz_prepis',".
							" verde_id='$verde_id',".
							" modifikace = now(),".
							" sfx='$sfx',".
							" sfx_popis='$sfx_popis',".
							" sfx_popis_en='$sfx_popis_en',".
							" shib='$shib',".
							" shib_odkaz='$shib_odkaz',".
							" shib_odkaz_en='$shib_odkaz_en',".
							" shib_popis='$shib_popis',".
							" shib_popis_en='$shib_popis_en',".
							" $aktivni_od_query".
							" linker_db='$linker_db',".
							" vyhledavac_db='$vyhledavac_db',".
							" linker_manualni_nahrani='$linker_automat',".
							"	az_link_cs='$az_link_cs',".
							" az_link_en='$az_link_en',".
							" dostupnost='$dostupnost',".
							" kolekce='$kolekce'".
					"	WHERE zdroj_id='$id'";
}

//echo $query;
//echo "<br />";
// provedeme update
$result = pg_query($query);

// if we are inserting, we need to get the source id, which is provided 
// automaticaly when we are inserting a new source
if ($id == null) {
	$query = "SELECT CURRVAL('zdroje_zdroj_id_seq')";
	$result = pg_query($query);
	$row = pg_fetch_array($result, NULL, PGSQL_NUM);
	$id = $row[0];

	navigation::setDefault($SOURCE, 'zdroj.php');
}

// nastavime RSS u zdroje
if ($ENABLE_RSS_SOURCES && $povoleny == "t") {
	$rss_prefix = "";
	
	if ($rss) {
		$curr = getdate();
		$currd = $curr['mday'];
		// dojde-li ke zmene aktivace a zdroj neni novy	
		if ($prev_aktivni != $aktivni && ! $new) {
			$rss_prefix = $prev_aktivni ? " - DEAKTIVOVÁN" : " - AKTIVOVÁN"; 
			$rss_prefix_en = $prev_aktivni ? " - DEACTIVATED" : " - ACTIVATED";
		}
		else {
			if ($new || compareCurrentDate($vytvoren) == 0) {
				$rss_prefix = " - NOVÝ ";
				$rss_prefix_en = " - NEW";
			}
			else {
				$rss_prefix = " - AKTUALIZOVANÝ";
				$rss_prefix_en = " - UPDATED";
			}
		}

		if ($ENABLE_EXTRA_CZECH_TITLE) { 
			if ($nazev_extra_cz == "") {
				$title_to_rss_cz = $zkratka;
				$title_to_rss_en = $zkratka;
			}
			else {
				$title_to_rss_cz = $nazev_extra_cz;
				$title_to_rss_en = $zkratka;
			}
		}
		else {
			$title_to_rss_en = $zkratka;
			$title_to_rss_cz = $zkratka;
		}



		RSSAddItem($SOURCE, $id, $title_to_rss_cz, 
			"$MY_URL/zdroj.php?id=$id", 
			"<p>$rss_comm</p>". $info_strucne, $rss_prefix, $new, "cs", $vytvoren);
		RSSAddItem($SOURCE, $id, $title_to_rss_en,
				"$MY_URL/zdroj.php?id=$id&lang=en", 
				"<p>$rss_comm_en</p>". $info_strucne_en, $rss_prefix_en, $new, "en",
				$vytvoren);
		$query = "UPDATE zdroje SET rss='t' WHERE zdroj_id=$id";
		pg_query($query);
		logit($user, $THIS_SCRIPT, "User sucessfully add/update source RSS feed $id.", $LOG_ACT);
	}
}


/* -------------- vlozeni zdroje, hlavni cast konec ------------------------- */
/* ************************************************************************** */

// snippety
$to_insert = array();
$to_delete = array();

$query = "SELECT snippet FROM zdroj_snippet WHERE zdroj_id = '$id'";
$result = pg_query($query);

$snippety_zdroje = array();
while ($row =  pg_fetch_array($result, NULL, PGSQL_NUM)) {
	array_push($snippety_zdroje, $row[0]);
}

foreach($SNIPPETS as $snippet) {

	if (issetPOST("snippet$snippet")) {
		if (! in_array($snippet, $snippety_zdroje)) $to_insert[] = $snippet;
	}
	else {
		if (in_array($snippet, $snippety_zdroje)) $to_delete[] = $snippet;
	}

}

foreach($to_insert as $snippet) {
	$query = "INSERT INTO zdroj_snippet (zdroj_id, snippet) VALUES ($id, '$snippet')";
	pg_query($query);
}
foreach($to_delete as $snippet) {
	$query = "DELETE FROM zdroj_snippet WHERE zdroj_id = $id AND snippet = '$snippet'";
	pg_query($query);
}


// subresources
$to_insert = array();
$to_delete = array();

$query = "SELECT potomek_id FROM zdroj_zdroj WHERE rodic_id = '$id'";
$result = pg_query($query);
$podzdroje = array();
$post_podzdroje = explode(',', normalizeList(getPOST("subresources")));

while ($row =  pg_fetch_array($result, NULL, PGSQL_NUM)) {
	if (! in_array($row[0], $post_podzdroje)) {
		array_push($to_delete, $row[0]);
	}
	else {
		array_push($podzdroje, $row[0]);
	}
}

if (is_numeric($post_podzdroje[0]) && is_int(intval($post_podzdroje[0]))) {
	foreach($post_podzdroje as $podzdroj) {
		if (! in_array($podzdroj, $podzdroje)) {
			$to_insert[] = $podzdroj;
		}
	}
}

foreach($to_insert as $subid) {
	$query = "INSERT INTO zdroj_zdroj (rodic_id, potomek_id) VALUES ($id, '$subid')";
	pg_query($query);
}
foreach($to_delete as $subid) {
	$query = "DELETE FROM zdroj_zdroj WHERE rodic_id = $id AND potomek_id = '$subid'";
	pg_query($query);
}




// ziskame pole s obory ke kterym patri zdroj
$query = "SELECT obor_id FROM zdroj_obor WHERE zdroj_id = '$id'";
$result = pg_query($query);

$obory_zdroje = array();
while ($row =  pg_fetch_array($result, NULL, PGSQL_NUM)) {
	array_push($obory_zdroje, $row[0]);
}

$to_insert = array();
$to_delete = array();
// ziskame vsechny korenove obory
$query = "SELECT obor_id FROM obory WHERE koren='t'";
$result = pg_query($query);

// pro vsechny korenove obory over, zda-li je uzivatel zaskrtl
while ($row = pg_fetch_array($result, NULL, PGSQL_NUM)) {
	$obor_id=$row[0];

	if (issetPOST("obor$obor_id")) {
		if (! in_array($obor_id, $obory_zdroje)) array_push($to_insert, $obor_id);
	}
	else {
		if (in_array($obor_id, $obory_zdroje)) array_push($to_delete, $obor_id);
	}
	
	// nyni podobory
	$query = "SELECT obor_potomek FROM obor_obor". 
						" WHERE obor_rodic = '$obor_id'";
	$result_pod = pg_query($query);
	while ($row_pod = pg_fetch_array($result_pod, NULL, PGSQL_NUM)) {
		$podobor_id = $row_pod[0];
		if (issetPOST("obor$obor_id") || issetPOST("obor$podobor_id")) {
			if (! in_array($podobor_id, $obory_zdroje)) 
				array_push($to_insert, $podobor_id);
		}
		else {
			if (in_array($podobor_id, $obory_zdroje)) 
				array_push($to_delete, $podobor_id);
		}
	}			
} // while pres korenove obory

// nyni mame dve pole -- to_insert a to_delete

foreach($to_insert as $obor_id) {
	$query = "INSERT INTO zdroj_obor (zdroj_id, obor_id) VALUES ($id, $obor_id)";
	pg_query($query);
}

foreach($to_delete as $obor_id) {
	$query = "DELETE FROM zdroj_obor WHERE zdroj_id='$id' AND obor_id='$obor_id'";
	pg_query($query);
}

// takze jsme vlozili vsechny obory a totez provedeme s fakultami
// nejdrive pole zdroj_fakulta
$jsou_fakulty = false;
$zdroj_fakulta = array();
$query = "SELECT fakulta_id FROM zdroj_fakulta WHERE zdroj_id = '$id'";
$result = pg_query($query);
if (($pocet_f = pg_num_rows($result)) > 0) $jsou_fakulty=true;
while ($row = pg_fetch_array($result, NULL, PGSQL_ASSOC)) {
	array_push($zdroj_fakulta, $row['fakulta_id']);;
}

// projdeme fakulty
$query = "SELECT fakulta_id FROM fakulty";
$result = pg_query($query);

$to_insert = array();
$to_delete = array();
$fakulty_list = array();
$fakulty_to_zdroje = array();
while ($row = pg_fetch_array($result, NULL, PGSQL_NUM)) {
	$fakulta_id = $row[0];
	array_push($fakulty_list, $fakulta_id);
	if (issetPOST("fakulta$fakulta_id")) {
		$fakulty_to_zdroje[] = $fakulta_id;
		if (! in_array($fakulta_id, $zdroj_fakulta)) 
			array_push($to_insert, $fakulta_id);
	}
	else {
		if (in_array($fakulta_id, $zdroj_fakulta)) 
			array_push($to_delete, $fakulta_id);
	}
}

// uloz fakulty ke zdroji do pole
$query = "UPDATE zdroje SET fakulty = '".  
	dbQuery::toArray($fakulty_to_zdroje)."' WHERE zdroj_id = '$id'";
pg_query($query);


//je-li pocet tech, co chceme smazat stejny jako pocet tech, ktere tam byly
// pak logicky zadna fakulta nebude vybrana
if (count($to_delete) == $pocet_f) $jsou_fakulty=false;
foreach($to_delete as $fakulta_id) {
	$query = "DELETE FROM zdroj_fakulta". 
						" WHERE zdroj_id='$id' AND fakulta_id='$fakulta_id'";
	pg_query($query);
}

if (count($to_insert) > 0) $jsou_fakulty=true;
foreach($to_insert as $fakulta_id) {
	$query = "INSERT INTO zdroj_fakulta (zdroj_id, fakulta_id)". 
						" VALUES ($id, $fakulta_id)";
	pg_query($query);
}

// nyni vlozime podorbne popisy k fakultam (nazev zdroje pro fakultu etc.
// je-li ovsem tato funkce zapnuta
if ($ENABLE_TITLES_BY_FACS) {

	foreach($fakulty_list as $fid) {

		$finfo = new fakulta_info($SOURCE, $fid, getPOST("nazev_cs$fid"), 
		getPOST("nazev_en$fid"), 
		getPOST("odkaz_cs$fid"), getPOST("odkaz_en$fid"), 
		getPOST("odkaz_onelog_cs$fid"), 
		getPOST("odkaz_onelog_en$fid"),
		getPOST("odkaz_shib_cs$fid"),
		getPOST("odkaz_shib_en$fid"));



		if ($finfo->is_empty()) 
			$finfo->dbdelete($id);
		else
			$finfo->dbstore($id);
	}
}
		


// spustime PL/pgSQL funkce, ktere prepocitaji zdroje v oborech a fakultach
$query = "SELECT data_recount();";
$result = pg_query($query);


// nema-li zdroj prirazeny zadne fakulty a je-li zarazeni jen pro fakulty
// pak nepovol udelat zdroj aktivnim, protoze to je chyba
if (! $jsou_fakulty && $zarazeni == $SOURCE_MU_FACS) {
	$query = "UPDATE zdroje SET aktivni = 'f' WHERE zdroj_id = '$id'";
	$result = pg_query($query);
	$bad=$bad."&facs=1";
}

// nejdriv smaz existujici, dataumy porovnavat nebudeme
$query = "DELETE FROM retrospektiva_zdroje WHERE zdroj_id='$id'";
$result = pg_query($query);

$retrospektiva_pocet = getPOST("retrospektiva_pocet");

for($i=0; $i<$retrospektiva_pocet; $i++) {

	$retrospektiva = new retrospektiva(getPOST("deno$i"), getPOST("mesico$i"), getPOST("roko$i"), getPOST("dend$i"), getPOST("mesicd$i"), getPOST("rokd$i"), getPOST("poznamka$i"));

	$zacatek = $retrospektiva->getDbOd();
	$konec = $retrospektiva->getDbDo();
	$poznamkar = $retrospektiva->poznamka;

	if ($zacatek == "" && $konec == "") continue;
	else {
		if ($zacatek == "") $zacatek = $BOTTOM_EXPIR_TEXT;
		if ($konec == "") $konec = $TOP_EXPIR_TEXT;
	}

	if (compareCurrentDate($konec, $zacatek) < 0) {
		$bad .= "&rtrmismatch=1";
		$query = "UPDATE zdroje SET povoleny='f', retrospektiva='t' WHERE zdroj_id='$id'";
		$result = pg_query($query);
	}

	$query = "INSERT INTO retrospektiva_zdroje (zdroj_id, zacatek, konec, ".
		" poznamka) VALUES ('$id', '$zacatek', '$konec', ".
	  "	'$poznamkar')";
	$result = pg_query($query);

}

if ($ENABLE_VERDE && issetPOST("verde")) {
	logit($user, $_SERVER['PHP_SELF'], "User sucessfully loaded Verde metadata for source $id.", $LOG_ACT);
	/*
	if ($bad == "") $znak="?";
	else {
		$bad.="&bad=1";
		$bad[0]='?';
		$znak="&";
	}
	 */
	
	header("Location: edit.php?id=$id&verde=1");

	exit(0);
}

if ($bad == "") {
	if (! $new) {
		if (($lock = unlock($pid, $id, $SOURCE, $_SERVER['PHP_SELF']))!=$UNLOCKED) {
			logit($user, $_SERVER['PHP_SELF'], 
				"User cannot unlock source $id ($lock)!", $LOG_LCK);
		}
	}
	logit($user, $_SERVER['PHP_SELF'], "User sucessfully update/add source $id.", $LOG_ACT);
	header("Location: zdroj.php?id=$id");
}
else {
	logit($user, $_SERVER['PHP_SELF'], "User fail to update/add source $id ($bad).", 
	$LOG_UER);
	$bad.="&bad=1";
	$bad[0]='?';

	header("Location: edit.php$bad&id=$id");
}

unsetLogging($DISPLAY_ERRORS, $om);

?>
