<?php

require_once("../eizlibs/db_connect.php");
require_once("../eizlibs/functions.php");
require_once("../eizlibs/logging.php");
require_once("../eizlibs/rights.php");
require_once("../eizlibs/file_class.php");

$om = setLogging($DISPLAY_ERRORS);

$lang = "cs";

$user = getUser();

$THIS_SCRIPT = trimSELF($_SERVER['PHP_SELF']);

if (($id = getPOST("id")) == null) {
	print_error_page($lang);
	exit(0);
}

$objtyp = getPOST("objekt_typ");
$objid = getPOST("objekt_id");

if (issetPOST("zpet")) {
	header("Location: edit_soubory.php?typ=$objtyp&id=$objid&unlock=$id");
	exit(0);
}

connect_db();

$jmeno = stringEscape(getPOST("jmeno"));
$popis = stringEscape(getPOST("popis"));
$popis_en = stringEscape(getPOST("popis_en"));
$verejny = getBool(getPOST("verejny"));

$file = soubor::getFileById($id, $user, $THIS_SCRIPT);

$userinfo = check_rights($user, $file->objekt_typ, $RGHT_EDIT, $file->objekt_id, $_SERVER['PHP_SELF']);



if (is_locked(getPid($userinfo), $id, $FILE, $_SERVER['PHP_SELF']) 
	!= getPid($userinfo)) {
	logit($user, $THIS_SCRIPT, "File $id is not locked!".pg_last_error(), 
	$LOG_LCK);
	print_error_page($lang);
}


$file->update($user, $THIS_SCRIPT, $popis, $popis_en, $verejny, $jmeno);

header("Location: edit_soubory.php?typ=$objtyp&id=$objid&unlock=$id");

unsetLogging($DISPLAY_ERRORS, $om);
?>
