<?php

require_once("eizlibs/db_connect.php");
require_once("eizlibs/functions.php");
require_once("eizlibs/logging.php");
require_once("eizlibs/rights.php");

$om = setLogging($DISPLAY_ERRORS);

$lang = "cs";

$user = getUser();

$THIS_SCRIPT = trimSELF($_SERVER['PHP_SELF']);

if (issetPOST("zpet")) {
	header("Location: fakulty.php");
	exit(0);
}


$id = getGETPOST("id");
if ($id == null) $id = fakulta::NEW_FAC; 

$zkratka = stringEscape(getPOST("zkratka"));
$shib_id = stringEscape(getPOST("shib_id"));
$nazev = stringEscape(getPOST("nazev"));
$nazev_en = stringEscape(getPOST("nazev_en"));

connect_db();

check_rights($user, $FACULTY, $RGHT_IS_ADMIN, $id, $_SERVER['PHP_SELF']);

if ($id == fakulta::NEW_FAC) {
	$fakulta = new fakulta($id, $nazev, $nazev_en, $shib_id, $zkratka);
}
else {
	$fakulta = fakulta::getFakulta($id);
	$fakulta->zkratka = $zkratka;
	$fakulta->nazev = $nazev;
	$fakulta->nazev_en = $nazev_en;
	if ($ENABLE_SHIBBOLETH_AUTH) $fakulta->shib_id = $shib_id;
}

$fakulta->store();

logit($user, $_SERVER['PHP_SELF'], 
	"User fail to edit/create faculty ($fakulta->id).", $LOG_UER);
header("Location: fakulty.php");

unsetLogging($DISPLAY_ERRORS, $om);
?>
