<?php

require_once("../eizlibs/db_connect.php");
require_once("../eizlibs/functions.php");

$om = setLogging($DISPLAY_ERRORS);

$lang = "cs";

if (issetPOST("zpet")) {
	header("Location: $URL_PREFIX/$AUTH_PAGE/");
	exit(0);
}

$user = getUser();
$password = getPassword();

$old_password = getPOST("old_passwd");
$new_password = getPOST("new_passwd");
$new_password_again = getPOST("new_passwd_again");

if (strcmp($old_password, $password) != 0) {
	logit($user, $_SERVER['PHP_SELF'], 
				"Change password fail, password not match the old one.", $LOG_UER);
	header("Location: heslo.php?old_not_match=1");
	exit(0);
}

if (strcmp($new_password, $new_password_again)) {
	logit($user, $_SERVER['PHP_SELF'], "Change password fail, passwords not match.", 
				$LOG_UER);
	header("Location: heslo.php?new_not_match=1");
	exit(0);
}

if (strlen($new_password) < $MIN_PASSWD_LENGTH) {
	logit($user, $_SERVER['PHP_SELF'], "Change password fail, password too short.", 
				$LOG_UER);
	header("Location: heslo.php?too_short=1");
	exit(0);
}

$new_password = escapeshellarg($new_password);

$result = exec("$HTPASSWD -b $PASSWD_FILE $user $new_password 2>&1");

if (strcmp($result, "Updating password for user ".$user) == 0) {
	logit($user, $_SERVER['PHP_SELF'], "User sucessfully change password.", $LOG_ACT); 
	header("Location: index.php");
}
else {
	logit($user, $_SERVER['PHP_SELF'], "Change password fail with \"".$result."\"", 
				$LOG_ERR);
	print_error_page($lang);
}

unsetLogging($DISPLAY_ERRORS, $om);

?>
