<?php

require_once("../eizlibs/db_connect.php");
require_once("../eizlibs/functions.php");
require_once("../eizlibs/rights.php");
require_once("../eizlibs/rss.php");

function delGuids($doc, $lang, $pid, $user) {
	global $SOURCE, $NEWS, $MAGAZINE, $UNLOCKED, $LOG_INF, $LOG_LCK, $locked;

	$tolog = "";
	$guids = $doc->getElementsByTagName("guid");

	foreach($guids as $guidNode) {

		$guid = $guidNode->textContent;

		if (issetPOST($guid)) {

			logit($user, $_SERVER['PHP_SELF'], $guid, $LOG_INF);
			$id = getGuidRawId($guid);
			
			// zdroj
			if (guidType($guid) == $SOURCE) {
				
				if (! lock($pid, $id, $SOURCE, $_SERVER['PHP_SELF'])) {
					$locked .= "$guid,";
				}
				else {
					$query = "UPDATE zdroje SET rss='f' WHERE zdroj_id='$id'";
					$result = pg_query($query);
					RSSDelItemRaw($guid, "cz");
					RSSDelItemRaw($guid, "en");
					if (($lock = unlock($pid, $id, $SOURCE, $_SERVER['PHP_SELF'])) 
						!= $UNLOCKED) {
							
						logit($user, $_SERVER['PHP_SELF'],
							"User cannot unlock source $id ($lock)!", $LOG_LCK);
					}
					else {
						$tolog .= "$guid,";
					}
				} // not locked
			} // type SOURCE
			
			else { // neni-li to zdroj, neni potreba resit zamky

				// u aktualit jen updatujeme zaznam v db
				if (guidType($guid) == $NEWS) {
					$query = "UPDATE aktuality SET rss='f' WHERE aktualita_id='$id'";
					$result = pg_query($query);
				}

				RSSDelItemRaw($guid, "cz");
				RSSDelItemRaw($guid, "en");
			}
		
		} // hlavni if, je-li POSTnuto guid

	} // for cyklus pres guids

	return $tolog;
}

$om = setLogging($DISPLAY_ERRORS);

$THIS_SCRIPT = trimSELF($_SERVER['PHP_SELF']);

$lang = "cs";

$user = getUser();

connect_db();

$userinfo = getUserInfo($user, $_SERVER['PHP_SELF']);
$pid = getPid($userinfo);
check_rights($user, null, $RGHT_IS_ADMIN, "", $THIS_SCRIPT);

$userinfo = getUserInfo($user, $_SERVER['PHP_SELF']);
$pid = getPid($userinfo);
$admin = getIsAdmin($userinfo);

$locked = "";

$doc = new DOMDocument();

$tolog = "CZ: ";
$doc->load("../$RSS_FILE");
$tolog .= delGuids($doc, "cz", $pid, $user);

/*
$tolog .= " - EN:"; 
$doc->load("../$RSS_FILE_EN");
$tolog .= delGuids($doc, "en", $pid, $user);
 */

logit($user, $_SERVER['PHP_SELF'], "User deleted RSS feeds. $tolog", 
	$LOG_INF);

header("Location: edit_rss.php");

unsetLogging($DISPLAY_ERRORS, $om);

?>
