<?php

require_once("../eizlibs/db_connect.php");
require_once("../eizlibs/functions.php");
require_once("../eizlibs/logging.php");
require_once("../eizlibs/rights.php");

$om = setLogging($DISPLAY_ERRORS);

$lang = "cs";

$user = getUser();

$THIS_SCRIPT = trimSELF($_SERVER['PHP_SELF']);

connect_db();

$userinfo = check_rights($user, null, $RGHT_IS_ADMIN, 0, $THIS_SCRIPT);

if (issetPOST("zpet")) {
	header("Location: uzivatele.php");
	exit(0);
}

// nasledujici globalni promenne je potreba deklarovat kvuli volani checkForm
$bad = "";
$pid = getInt(getPOST("pid"));

if ($pid == null) 
{ 
	header("Location: uzivatel.php?empty_pid=1");
	exit(0);
}

$jmeno = stringEscape(htmlEscape(getPOST("jmeno")));
$prijmeni = stringEscape(htmlEscape(getPOST("prijmeni")));
$titul_pred = stringEscape(htmlEscape(getPOST("titul_pred")));
$titul_za = stringEscape(htmlEscape(getPOST("titul_za")));
$email = stringEscape(htmlEscape(getPOST("email")));
$login = stringEscape(htmlEscape(getPOST("login")));
$fakulta = getInt(getPOST("fakulta"));
$fakulta = $fakulta == -1 ? "NULL" : $fakulta;

connect_db();


//kontrola na jedinecnost pid a loginu
if (issetPOST("newlogin") && $login != "") {
	$query = "SELECT login FROM spravci WHERE login='$login'";
	$result = pg_query($query);
//	logit("", "", $query . "-- ". pg_num_rows($result), "");
	if (pg_num_rows($result) > 0) {
		$bad.="&login_exists=1";
		$login = "";
	}
}

if (issetPOST("new") && $pid != null) {
	$query = "SELECT pid FROM spravci WHERE pid=$pid";
	$result = pg_query($query);
	if (pg_num_rows($result) > 0) {
		header("Location: uzivatel.php?badpid=$pid");		
		exit(0);
	}
}


$new_password = getPOST("new_passwd");
$new_password_again = getPOST("new_passwd_again");
$bad_passwd = false;

if (issetPOST("newlogin")) {

	if ($login != "") {

		if (strcmp($new_password, $new_password_again)) {
			$bad.="&new_not_match=1";
			$bad_passwd = true;
		}

		if (strlen($new_password) < $MIN_PASSWD_LENGTH) {
			$bad.="&too_short=1";
			$bad_passwd = true;
		}

		if (! $bad_passwd) {
			$login = escapeshellarg($login);
			$new_password = escapeshellarg($new_password);
			$result = exec("$HTPASSWD -b $PASSWD_FILE $login $new_password 2>&1");
		}
	}
}
else {
	if ($login != "" && (strlen($new_password) > 0 || strlen($new_password_again) > 0)) {

		if (strcmp($new_password, $new_password_again)) {
			$bad.="&new_not_match=1";
			$bad_passwd = true;
		}

		if (strlen($new_password) < $MIN_PASSWD_LENGTH) {
			$bad.="&new_not_match=1";
			$bad_passwd = true;
		}

		if (! $bad_passwd) {
			$login = escapeshellarg($login);
			$new_password = escapeshellarg($new_password);
			$result = exec("$HTPASSWD -b $PASSWD_FILE $login $new_password 2>&1");
		}
	}
}

if ($bad_passwd && issetPOST("newlogin")) {
	  $login = "";
}


if ($login == "") {
	$login = "NULL";
}
else {
	$login = "$login";
}

if (issetPOST("new")) {
	$query = "INSERT INTO spravci (pid, titul_pred, jmeno, prijmeni, ".
					 " titul_za, email, fakulta, login) VALUES ('$pid', '$titul_pred',".
					 "'$jmeno', '$prijmeni', '$titul_za', '$email', '$fakulta', ".
				 		" '$login')";	 
}
else {
	$query = "UPDATE spravci SET titul_pred='$titul_pred', jmeno='$jmeno',".
		"	prijmeni='$prijmeni', titul_za='$titul_za', email='$email', ".
		" login='$login', fakulta='$fakulta' WHERE pid='$pid'";
}	

echo "$query";



if ($pid != "") $result = pg_query($query);

if (! $result) {
	$bad = pg_last_error();
	die("bad - " . $bad);
}
else {
	echo "Good";
}

//logit("", "", $query, "");


if ($bad == "") {
	logit($user, $_SERVER['PHP_SELF'], "Sucessfully changed profile for user $pid.", $LOG_ACT);
	header("Location: uzivatele.php");
}
else {
	logit($user, $_SERVER['PHP_SELF'], "Failed to change the profile for user $pid ($bad).", $LOG_UER);
	$bad[0]='?';
	header("Location: uzivatel.php$bad&pid=$pid");
}

unsetLogging($DISPLAY_ERRORS, $om);
?>
