<?php

require_once("eizlibs/logging.php");
$om = setLogging($DISPLAY_ERRORS);
require_once("eizlibs/db_connect.php");
require_once("eizlibs/layout.php");
require_once("eizlibs/functions.php");


$lang=GETlang();
$THIS_SCRIPT = trimSELF($_SERVER['PHP_SELF']);
include_once(getI18Ndefault($lang, $THIS_SCRIPT));
include_once(getI18N($lang, $THIS_SCRIPT));
include_once(getI18NnavigationDefault($lang));
include_once(getI18Nnavigationv2($lang));

connect_db();

// nastaveni jazyka
if ($lang == 'en') {
	$nazev_q = "nazev_en";
}
else {
	$nazev_q = "nazev";
}

$tituly = array("BioOne - Fulltext#$PRIF#130",
		"Blackwell Synergy#$MU#68",
		"ACM#$MU#21",
		"EBSCO#$MU#22",
		"IEEE#$MU#30",
		"Institute of Physics#$PRIF#32",
		"JSTOR#$MU#34",
		"Lippincott, Williams and Wilkins &ndash; High Impact Collection#$MU#72",
		"Lippincott, Williams and Wilkins &ndash; Current Opinion Collection#$LF#182",
		"Literature OnLine#$MU#39",
		"Oxford Journals &ndash; Humanities#$FF$FSSF#102",
		"Oxford Journals &ndash; Social Science#$FF$FSSF#103",
		"Oxford Journals Law#$PRAF#101",
		"ProQuest 5000#$MU#51",
		"ScienceDirect#$MU#53",
		"SpringerLink#$MU#38",
		"Wiley InterScience#$MU#59");

$pocty_titulu = array("$txt_cca 100 $txt_titulu",
		"$txt_cca 850 $txt_titulu",
		"$txt_cca 30 $txt_titulu, $txt_next",
		"řádově tisíce $txt_titulu",
		"$txt_cca 20 $txt_titulu, $txt_next",
		"",
		"$txt_cca 117 $txt_titulu, Arts & Science 1 Collection",
		"$txt_cca 50 $txt_titulu",
		"$txt_cca 25 $txt_titulu",
		"$txt_cca 180 $txt_titulu",
		"$txt_cca 100 $txt_titulu",
		"$txt_cca 100 $txt_titulu",
		"$txt_cca 20 $txt_titulu",
		"$txt_cca 5000 $txt_titulu",
		"$txt_cca 300 $txt_titulu $txt_nakladatelstvi Elsevier",
		"$txt_cca 1200 $txt_titulu $txt_nakladatelstvi Springer & Kluwer",
		"$txt_cca 200 $txt_titulu");


// zkratky fakult
$query = "SELECT $nazev_q, zkratka, fakulta_id FROM fakulty ORDER BY $nazev_q";
$result = pg_query($query);

$fakulty = fakulta::getFakulty($lang);
$fakulty_info = new fakulty($fakulty);

$casopisy = array();
// casopisy fakult
foreach($fakulty as $fakulta) {

	$query = "SELECT ezbid, titul, odpovedny_spravce".
		" FROM casopisy, casopis_fakulta".
		" WHERE aktivni='t' AND $DELETED_MAGAZINE_COND AND in_ezb='t'".
		" AND casopisy.casopis_id = casopis_fakulta.casopis_id".
		" AND casopis_fakulta.fakulta_id = $fakulta->fid".
		" ORDER BY titul";
	$result = pg_query($query);

	$to_print = "";
	while ($row = pg_fetch_array($result, NULL, PGSQL_ASSOC)) {
		$titul=$row['titul'];
		$spravce = getInt($row['odpovedny_spravce']);
		$ezbid = getInt($row['ezbid']);

		$to_print .= "<div class=\"fak_casopis\">";
		$to_print .= "<a href=\"$EZB_URL$ezbid\"><img src=\"../$IMG_DIR/casopis.gif\" alt=\"$txt_popis_casopis\" /></a>&nbsp;";
		$to_print .= "<a href=\"$EZB_URL$ezbid\">$titul</a>&nbsp;";
		$to_print .= "(<a href=\"$EMAIL_LINK$spravce\"><span class=\"mensi ital\">$txt_popis_spravce</span></a>)\n";
		$to_print .= "</div>\n";

	}
	$casopisy[$fakulta->fid] = $to_print == "" ? $txt_zadne_casopisy : $to_print;
}


//navigace
$nav_bar[0]=$txt_nav_koren;
$nav_ref[0]="$MY_URL/?lang=$lang";
$nav_bar[1]=$txt_nav_ecasopisy;
$nav_ref[1]="?lang=$lang";
$nav_bar[2]=$txt_nav_bar;
$nav_ref[2]=$THIS_SCRIPT."?lang=$lang";


htmlHeading($lang, $EJOURNALS_PAGE, $DEFAULT, $THIS_SCRIPT);

menuv2($lang, $THIS_SCRIPT, "", $EJOURNALS_PAGE, "");

myMain($lang, $EJOURNALS_PAGE);

nav_bar($lang, $nav_bar, $nav_ref);


echo "<h1>$txt_nadpis</h1>\n";

echo "<div class=\"obsah\">\n\n";

echo "<p>$txt_message_eiz</p>\n<p>$txt_message_eiz2</p>\n";

echo "<div class=\"ezb_seznam_subnadpis\">$txt_baze_nadpis</div>\n";

echo "<table class=\"ezb_border ezb_seznam\">\n";

foreach($tituly as $klic => $titul) {

	$ret = explode("#", $titul);
	echo "\t<tr>\n\t\t<td class=\"ezb_titul\">\n";
	echo "\t\t\t<b>$ret[0]</b><br />$pocty_titulu[$klic]\n";
	echo "\t\t</td>\n";
	echo "\t\t<td class=\"ezb_dostupnost\">\n";

	$dost = $ret[1];
 	if ($dost == $MU) {
		echo "$txt_cela MU";
	}	
	else {
		if (strlen($dost) == 1) {
			echo $fakulty_info->getZkratka($dost)." MU";
		}
		else {
			$prvni = $dost[0];
			$druha = $dost[1];

			echo $fakulty_info->getZkratka($prvni).", ".$fakulty_info->getZkratka($druha)." MU";
		}	
	}

	echo "\t\t</td>\n\t\t<td>\n";
	if ($ret[2] != "_") {
		echo "<a href=\"$URL_PREFIX/$RESOURCES_PAGE/zdroj.php?lang=$lang&id=$ret[2]\">info</a>\n";
	}
	echo "\t\t</td>\n\t</tr>\n";
}

echo "</table><!-- ezb seznam -->\n\n";

echo "<div class=\"ezb_seznam_subnadpis\">$txt_fakulty_nadpis</div>\n";
echo "<table class=\"ezb_border ezb_seznam\">\n";

foreach($fakulty as $fakulta) {

	echo "\t<tr>\n\t\t<td class=\"ezb_titul\">\n";
	echo "\t\t\t<a href=\"javascript:toggleItem('fac$fakulta->fid')\">".
		"<b>$fakulta->nazev</b></a> ($fakulta->zkratka MU)\n";
	echo "\t\t\t\t<div class=\"hidden ezb_seznam\" id=\"fac$fakulta->fid\">\n";

	echo $casopisy[$fakulta->fid];
	echo "\t\t\t\t</div>\n";
	echo "\t\t</td>\n\t</tr>\n";
}

echo "</table><!-- ezb_seznam -->\n\n";


echo "\n</div><!-- obsah -->\n\n";

myMainEnd();

if ($lang == "cs") setlocale(LC_TIME, $MY_LOCALES1, $MY_LOCALES2, $MY_LOCALES3);
footerv2(filectime($THIS_SCRIPT), $lang);


unsetLogging($DISPLAY_ERRORS, $om);
?>
