<?php
require_once("../eizlibs/logging.php");
$om = setLogging($DISPLAY_ERRORS);

require_once("../eizlibs/db_connect.php");
require_once("../eizlibs/functions.php");

$lang=GETlang();

$THIS_SCRIPT = trimSELF($_SERVER['PHP_SELF']);

$id=stringEscape(GETid());

include_once(getI18Ndefault($lang, $THIS_SCRIPT));
include_once(getI18N($lang, $THIS_SCRIPT));
include_once(getI18NnavigationDefault($lang));
include_once(getI18Nnavigationv2($lang));

connect_db();

// nastaveni jazyka
if ($lang == 'en') {
	$info_b = 'strucny_popis_en';
	$info = 'popis_en';
	$obor_nazev = 'nazev_en';
	$languages = $LANGUAGES_EN;
}
else {
	$info_b = 'strucny_popis';
	$info = 'popis';
	$obor_nazev = 'nazev';
	$languages = $LANGUAGES_CS;
}


$query = "SELECT * FROM knihy WHERE kniha_id='$id' AND $PUBLIC_BOOK_COND";
$result = pg_query($query);

if (pg_num_rows($result) != 1) {
	logit($NO_USER, $_SERVER['PHP_SELF'], "Book $id doesn't exist.", $LOG_ERR);
	// opravit
	print_nosource_page($lang);
}

$row = pg_fetch_array($result, NULL, PGSQL_ASSOC);

$titul = htmlEscape($row['titul']);
$autori = htmlEscape($row['autori']);
$odkaz = htmlEscape($row['odkaz']);
$strucny_popis = htmlEscape($row[$info_b]);
$podrobny_popis = $row[$info];

$platnost = '';
if ($row['expirace'] != NULL) {
	$platnost=getDay($row['expirace']).".";
	$platnost.=getMonth($row['expirace'])."."; 
	$platnost.=($rok = getYear($row['expirace']));
	if ($rok == $TOP_YEAR) $platnost='';
}

$producent_nazev=htmlEscape($row['producent']);
$producent_odkaz=htmlEscape($row['producent_odkaz']);
$vydavatel_nazev = htmlEscape($row['vydavatel']);
$vydavatel_odkaz = htmlEscape($row['vydavatel_odkaz']);
$rok_vydani = htmlEscape($row['rok_vydani']);
$misto_vydani = htmlEscape($row['misto_vydani']);
$isbn = htmlEscape($row['isbn']);
$pocet_stran = htmlEscape($row['pocet_stran']);
$kontaktni_osoba = $row['kontaktni_osoba'];
$jazyk = getJazyk($row['jazyk']);
$nahled = $row['nahled'];
$multioborovy = getBool($row['multioborovy']);
$zarazeni = getInt($row['zarazeni']);

// zjisti spravce
$query = "SELECT titul_pred, jmeno, prijmeni, titul_za, email". 
					" FROM spravci WHERE pid='$kontaktni_osoba'";
$result = pg_query($query);
db_one_row($result, $NO_USER, $_SERVER['PHP_SELF'], "User $kontaktni_osoba mismatch!", 
						$lang);
$row = pg_fetch_array($result, NULL, PGSQL_ASSOC);
$spravce = getFullName($row['titul_pred'], $row['jmeno'], $row['prijmeni'], 
												$row['titul_za']);
$spravce_odkaz = ! $DIRECT_EMAIL ? spravce_odkaz($kontaktni_osoba) : spravce_odkaz($row['email']);


$fakulty = new fakulty(fakulta::getFakulty($lang));
$facs_id = array();
if ($zarazeni == $SOURCE_MU_FACS || $zarazeni == $SOURCE_MU) {
	$query = "SELECT fakulty.fakulta_id".
						" FROM fakulty, kniha_fakulta".
						" WHERE (kniha_fakulta.kniha_id = '$id') AND". 
									"	(kniha_fakulta.fakulta_id = fakulty.fakulta_id)".
						" ORDER BY fakulty.zkratka";
	$result_facs = pg_query($query);

	while ($row = pg_fetch_array($result_facs, NULL, PGSQL_NUM)) {
		array_push($facs_id, $row[0]);
	}
}

$obory = new obory(obor::getObory($lang));
$obory_id = array();
if (! $multioborovy) {
	$query = "SELECT obory.obor_id". 
						" FROM obory, kniha_obor".
						" WHERE (kniha_obor.kniha_id = '$id') AND".
									" (kniha_obor.obor_id = obory.obor_id)".
						" ORDER BY obory.$obor_nazev";
	$result = pg_query($query);

	while ($row = pg_fetch_array($result, NULL, PGSQL_NUM)) {
		array_push($obory_id, $row[0]);
	}
}



//navigace
$nav_bar[0]=$txt_nav_eknihy;
$nav_ref[0]="index.php?lang=$lang";
$nav_bar[1]=$txt_nav_abecedne;
$nav_ref[1]="abecedne.php?lang=$lang";
$nav_bar[2]=$titul;
$nav_ref[2]=$THIS_SCRIPT."?lang=$lang";


html_heading($lang, $EBK_PAGE);

menu($lang, $THIS_SCRIPT, "", $EBK_PAGE, "");

my_main($lang, $EBK_PAGE);

nav_bar($lang, $nav_bar, $nav_ref);

echo "<div class=\"obsah\">\n\n";

echo "<div class=\"casopis_layout\">\n";
echo "<h1>$titul</h1>\n";
echo "</div><!-- casopis layout -->\n";

echo "<div class=\"casopis_layout\">\n";
echo "<div class=\"informace_o\">\n";

navigace($lang, $THIS_SCRIPT, "", false, $id, "SELECT kniha_id, titul FROM knihy WHERE $PUBLIC_BOOK_COND", '', "", $BOOK);

echo "<table class=\"casopis\">\n";

if ($strucny_popis != '') 
	polozka($txt_strucny_popis, $strucny_popis);
polozka($txt_titul, $titul);

if ($autori != '') polozka($txt_autori, $autori);

if ($odkaz != '') {
	polozka($txt_odkaz, "<a href=\"$odkaz\"" . getOpenLink() .">$odkaz</a>");
}


if ($producent_nazev != '') {
	$producent_toprint = $producent_nazev;
	if ($producent_odkaz != '') 
		$producent_toprint = "<a href=\"$producent_odkaz\">$producent_nazev</a>";

	polozka($txt_producent, $producent_toprint);
}

if ($vydavatel_nazev != '') {
	$vydavatel_toprint = $vydavatel_nazev;
	if ($vydavatel_odkaz != '') 
		$vydavatel_toprint = "<a href=\"$vydavatel_odkaz\">$vydavatel_nazev</a>";

	polozka($txt_vydavatel, $vydavatel_toprint);
}

if ($rok_vydani != '') polozka($txt_rok_vydani, $rok_vydani);
if ($misto_vydani != '') polozka($txt_misto_vydani, $misto_vydani);
if ($isbn != '') polozka($txt_isbn, $isbn);
if ($pocet_stran != '') polozka($txt_pocet_stran, $pocet_stran);

if (($zarazeni == $SOURCE_MU || $zarazeni == $SOURCE_MU_FACS) && count($facs_id) > 0) {
	$fakulty_toprint = "";
	if ($zarazeni == $SOURCE_MU) { 
		$fakulty .= "<a href=\"fakulta.php?lang=$lang&mu=1\">$mu</a>, ";
	}	
	foreach($facs_id as $fac) {
		$fakulty_toprint .= $fakulty->getZkratka($fac) . ', ';
	}	
	$fakulty_toprint = normalizeList($fakulty_toprint);
	polozka($txt_fakulty, 
					"<span class=\"item_domains_faculties\">$fakulty_toprint</span>\n");
}



// obory
if ($multioborovy) {
	polozka($txt_obory, $txt_multioborovy);
}
else {
	if (count($obory_id) > 0) {
		
		$obory_toprint = "";
		foreach ($obory_id as $obor) {
			$obory_toprint .= $obory->getNazev($lang, $obor). ', ';
		}
		$obory_toprint =  normalizeList($obory_toprint);
		polozka($txt_obory, "<span class=\"item_domains_faculties\">$obory_toprint".
						"</span>\n");
	}
}

// vypiseme podrobne info, pokud je nejake
if ($podrobny_popis != '') {
	echo "\t<tr>\n\t\t<td colspan=\"2\" class=\"zdroj_podrobne\">\n";

	echo "\t\t\t<div class=\"label\">$txt_popis</div>\n";
	echo "\t\t\t<div class=\"zdroj_podrobne\">\n";
	echo $podrobny_popis;
	echo "\t\t\t</div><!-- zdroj_podrobne -->\n";

	echo "\t\t</td>\n\t</tr>\n";
}

// oddel carou informace
echo "\t<tr>\n\t\t<td colspan=\"2\">\n";
echo "\t\t\t<hr class=\"zdroje\" />";
echo "\n\t\t</td>\n\t</tr>\n";

if ($jazyk != "nn") {	
	if ($jazyk == "--")
		polozka($txt_jazyk, $txt_neznamy);
	else { 
		if ($languages[$jazyk]) polozka($txt_jazyk, $languages[$jazyk]); 
		else polozka($txt_jazyk, $jazyk);
	}
}

if ($spravce != NULL)
	polozka($txt_kontaktni_osoba, "<a href=\"$spravce_odkaz\">$spravce</a>");


echo "</table><!-- zdroj -->\n";

echo "</div><!-- informace o -->\n";

echo "</div><!-- zdroj layout -->\n";

echo "\n</div><!-- obsah -->\n\n";

my_main_ending();

if ($lang == "cs") setlocale(LC_TIME, $MY_LOCALES1, $MY_LOCALES2, $MY_LOCALES3);
footer(filectime($THIS_SCRIPT), $lang);

html_ending();

unsetLogging($DISPLAY_ERRORS, $om);
?>
