<?php

require_once("../eizlibs/db_connect.php");
require_once("../eizlibs/functions.php");

$om = setLogging($DISPLAY_ERRORS);

$THIS_SCRIPT = trimSELF($_SERVER['PHP_SELF']);

$xml = false;
$popis = false;
$ips = false;

$header = "text/csv";
if (issetGET("xml") || issetGET("popis") || issetGET('ips')) {
	$header = "text/xml";
}


if (issetGET("xml")) $xml=true;

if (issetGET("popis")) $popis=true;

if (issetGET("ips")) $ips=true;


connect_db();

header("Content-Type: $header; charset=$MY_CHARSET");

// ciselnik 
if ($popis) {
	$doc = new DOMDocument();

	$template = '<?xml version="1.0" encoding="utf-8"?>';
	$template .= '<popis_xml><fakulty></fakulty><obory></obory><typy></typy><kategorie></kategorie><zarazeni></zarazeni></popis_xml>';

	$doc->loadXML($template);

	$root = $doc->getElementsByTagName("fakulty")->item(0);
	$query = "SELECT * FROM fakulty ORDER BY fakulta_id";
	$result = pg_query($query);
	while ($row = pg_fetch_array($result, NULL, PGSQL_BOTH)) {
		$elem = $doc->createElement("fakulta", $row['nazev']);
		$elem->setAttribute("id", $row['fakulta_id']);
		$root->appendChild($elem);
	}

	$root = $doc->getElementsByTagName("obory")->item(0);
	$query = "SELECT * FROM obory ORDER BY obor_id";
	$result = pg_query($query);
	while ($row = pg_fetch_array($result, NULL, PGSQL_BOTH)) {
		$elem = $doc->createElement("obor", $row['nazev']);
		$elem->setAttribute("id", $row['obor_id']);
		$root->appendChild($elem);
	}

	$root = $doc->getElementsByTagName("typy")->item(0);
	foreach($ALLOW_TYPES as $type) {
		$elem = $doc->createElement("typ", getSourceType($type, "cs"));
		$elem->setAttribute("id", $type);
		$root->appendChild($elem);
	}
		
	$root = $doc->getElementsByTagName("kategorie")->item(0);
	foreach($KATEGORIE_CS as $klic => $kategorie) {
		$elem = $doc->createElement("kategorie", $kategorie);
		$elem->setAttribute("id", $klic);
		$root->appendChild($elem);
	}

	$root = $doc->getElementsByTagName("zarazeni")->item(0);
		
	$elem = $doc->createElement("zarazeni", "nezařazen");
	$elem->setAttribute("id", "0");
	$root->appendChild($elem);

	$elem = $doc->createElement("zarazeni", "celouniverzitní");
	$elem->setAttribute("id", "1");
	$root->appendChild($elem);

	$elem = $doc->createElement("zarazeni", "jen fakulty");
	$elem->setAttribute("id", "2");
	$root->appendChild($elem);

	echo $doc->saveXML();

	unsetLogging($DISPLAY_ERRORS, $om);
	return;
}




// zpracovani dat

$what_query="zkratka,info_strucne,info_strucne_en,info_podrobne,info_podrobne_en,odkaz,modifikace,expirace,producent_nazev,producent_odkaz,odpovedny_spravce,kontaktni_osoba,zarazeni,jazyk,typ,aktivni,multioborovy,kategorie";

$elem_array = explode(',', $what_query);

// nastaveni jazyka
// naposledy pridane zdroje


$query = "SELECT zdroj_id, $what_query". 
	" FROM zdroje WHERE $PUBLIC_SOURCE_COND ORDER BY zkratka";

$result = pg_query($query);


if (! ($handle = fopen("php://output", "w"))) die("Cannot open stream for writing!");


if ($xml || $ips) {
	$doc = new DOMDocument();

	if ($xml) $root_name = 'e-zdroje';
	else $root_name = 'esources_IPs';

	$template = '<?xml version="1.0" encoding="utf-8"?>';
	$template .= "<$root_name></$root_name>";

	$doc->loadXML($template);

	$root = $doc->getElementsByTagName($root_name)->item(0);
}
else {
	// hlavicka pro CSV
	echo "zdroj_id,$what_query,fakulta,obor,snippet\n";
}


while ($row = pg_fetch_array($result, NULL, PGSQL_ASSOC)) {

	$id = $row['zdroj_id'];

	$query = "SELECT obor_id FROM zdroj_obor WHERE zdroj_id='$id'";
	$res_obory = pg_query($query);


	$query = "SELECT fakulta_id FROM zdroj_fakulta WHERE zdroj_id='$id'";
	$res_fakulty = pg_query($query);

	$query = "SELECT snippet FROM zdroj_snippet WHERE zdroj_id='$id'";
	$res_snippety = pg_query($query);

	if ($ips) {

		$zdrojElem = $doc->createElement("esource");
		$zdrojElem->setAttribute("source_id", $row['zdroj_id']);

		$xmlElem = $doc->createElement('name', trim(htmlEscape($row['zkratka'])));
		$zdrojElem->appendChild($xmlElem);

		if ($row['producent_nazev'] != '') {
			$xmlElem = $doc->createElement('producer',  
				trim(htmlEscape($row['producent_nazev']))); 
			$zdrojElem->appendChild($xmlElem);
		}

		$xmlElem = $doc->createElement('url', trim(htmlEscape($row['odkaz'])));
		$zdrojElem->appendChild($xmlElem);

		$domName = eregi_replace('http.?://([^/]*).*', '\\1', $row['odkaz']);
		$domName = eregi_replace(':[0-9]*', '', $domName);

		$xmlElem = $doc->createElement('domain_name', trim(htmlEscape($domName)));
		$zdrojElem->appendChild($xmlElem);

		$xmlIPs = $doc->createElement('IPs');

		$addrs = array();
		$realnames = array();
		$aliases = array();
		exec("host $domName", $addrs);

		foreach($addrs as $addr) {

			if (ereg('has address', $addr) > 0) { 
				$address = eregi_replace("^[^ ]* has address ", '', $addr);

				$xmlElem = $doc->createElement('ip', trim($address));
				$xmlIPs->appendChild($xmlElem);



				$realname = eregi_replace(" has address.*$", '', $addr);

				if (stripos($domName, $realname) === false) {

					$isin = false;

					foreach($realnames as $name) {
						if (trim($name) == trim($realname)) {
							$isin = true;
							break;
						}
					}
					if (! $isin) { 
						array_push($realnames, $realname);
					}

				}
			}
		}

		$zdrojElem->appendChild($xmlIPs);

		$xmlRealnames = $doc->createElement('realnames');
		foreach($realnames as $name) {
			$xmlElem = $doc->createElement('realname', $name);
		 	$xmlRealnames->appendChild($xmlElem);
		}

		if (count($realnames) > 0) {
			$zdrojElem->appendChild($xmlRealnames);
		}

		$root->appendChild($zdrojElem);
	}

	else {

	if ($xml) {
	
		$zdrojElem = $doc->createElement("zdroj");

		$zdrojElem->setAttribute("zdroj_id", $row['zdroj_id']);

		foreach($elem_array as $elem) {

			$xmlElem = $doc->createElement($elem, htmlEscape($row[$elem]));
			$zdrojElem->appendChild($xmlElem);
		}


		$xmlElem = $doc->createElement("fakulty");

		while ($r = pg_fetch_array($res_fakulty, NULL, PGSQL_NUM)) {
			$addElem = $doc->createElement("fakulta", $r[0]);
			$xmlElem->appendChild($addElem);
		}

		$zdrojElem->appendChild($xmlElem);
		
		$xmlElem = $doc->createElement("obory");

		while ($r = pg_fetch_array($res_obory, NULL, PGSQL_NUM)) {
			$addElem = $doc->createElement("obor", $r[0]);
			$xmlElem->appendChild($addElem);
		}
		
		$xmlElem = $doc->createElement("snippety");

		while ($r = pg_fetch_array($res_snippets, NULL, PGSQL_NUM)) {
			$addElem = $doc->createElement("snippet", $r[0]);
			$xmlElem->appendChild($addElem);
		}


		$zdrojElem->appendChild($xmlElem);

		$root->appendChild($zdrojElem);
	}
	else {

		$obory = "";
		while ($r = pg_fetch_array($res_obory, NULL, PGSQL_NUM)) {
			$obory .= "$r[0];";
		}

		$fakulty = "";
		while ($r = pg_fetch_array($res_fakulty, NULL, PGSQL_NUM)) {
			$fakulty .= "$r[0];";
		}

		$snippety = "";
		while ($r = pg_fetch_array($res_snippety, NULL, PGSQL_NUM)) {
			$snippety .= "$r[0];";
		}

		fputcsv($handle, array_merge($row, array($fakulty, $obory, $snippety)));
	}
	}
}

if ($xml || $ips) echo $doc->saveXML();

unsetLogging($DISPLAY_ERRORS, $om);
?>
