<?php

require_once("eizlibs/logging.php");
$om = setLogging($DISPLAY_ERRORS);

require_once("eizlibs/db_connect.php");
require_once("eizlibs/layout.php");
require_once("eizlibs/functions.php");


$lang=GETlang();
$THIS_SCRIPT = trimSELF($_SERVER['PHP_SELF']);
include_once(getI18Ndefault($lang, $THIS_SCRIPT));
include_once(getI18N($lang, $THIS_SCRIPT));
include_once(getI18NnavigationDefault($lang));
include_once(getI18Nnavigationv2($lang));

connect_db();


if ($lang == 'en') {
		$info_s = "info_strucne_en"; 
		  $akt_nazev = "nazev_en";
			  $akt_obsah = "perex_en";
}
else {
	$info_s = "info_strucne";
		  $akt_nazev = "nazev";
			  $akt_obsah = "perex";
}

// aktuality, novinky
$cdate = getdate();
$lastyear = ($cdate['year']-1);
if ($cdate['mday'] > 1) {
	$day = $cdate['mday']-1;
}
else {
	$day = $cdate['mday'];
}
$lastyear .= "-".$cdate['mon']."-".$day;
// vezmeme vsechny aktuality, ktere nejsou starsi nez jeden rok
$query = "SELECT $akt_nazev, $akt_obsah, datum, aktualita_id". 
					" FROM aktuality".
					" WHERE povolena='t' AND CURRENT_DATE >= datum AND". 
								" datum > '$lastyear'".
					" ORDER BY datum DESC";
$result = pg_query($query);
$aktuality = array();
$kolik = 3;
$i = 0;
while ($row = pg_fetch_array($result, NULL, PGSQL_BOTH)) {
	
	$act_id = $row['aktualita_id'];
	$nazev = htmlEscape($row[0]);
	$perex = htmlEscape($row[1]);
	$vytvoren = $row['datum'];
	$vytvoren = getDay($vytvoren).".".getMonth($vytvoren).".".getYear($vytvoren);
	
	$to_print = "\n<div class=\"aktualita_brief\">";
	$to_print.= "<div class=\"aktuality_datum\">$vytvoren</div>";
	$to_print.= "<a href=\"aktuality.php?lang=$lang&amp;id=$act_id\">$nazev</a>";
	$to_print.= "<div class=\"aktualita_obsah\">$perex</div>";
	$to_print.= "</div>";
	if ($nazev != "" && $row[1] != "") array_push($aktuality, $to_print);
	$i++;
	if ($i == $kolik) break;
}

// naposledy pridane zdroje
$query = "SELECT zdroj_id, zkratka, $info_s, vytvoren, kategorie". 
					" FROM zdroje WHERE $PUBLIC_SOURCE_COND AND novinky = 't'".
					" ORDER BY vytvoren DESC";
$result = pg_query($query);
$nove_zdroje = array();
$kolik = 3;
$i = 0;

while ($row = pg_fetch_array($result, NULL, PGSQL_BOTH)) {
	$zdroj_id = $row['zdroj_id'];
	$nazev = $row['zkratka'];
	$vytvoren = $row['vytvoren'];
	$vytvoren = getDay($vytvoren).".".getMonth($vytvoren).".".getYear($vytvoren);
	$kategorie = getKategorieText(getKategorie($row['kategorie']));
	$strucny_popis = $row[2];
	
	$to_print = "<div class=\"novy_zdroj\">";
	$to_print.= "<div class=\"novy_datum\">$vytvoren</div>";
	$to_print.= "<a href=\"$MY_URL/$RESOURCES_PAGE/zdroj.php?lang=$lang&amp;id=$zdroj_id\">" .
		htmlEscape($nazev). "</a>";
	$to_print.= "$kategorie";
	if (trim($strucny_popis) != "") 
		$to_print.= " &ndash; <span class=\"aktualita_obsah\">". htmlEscape($row[2]). "</span>";
	$to_print.= "</div>";
	array_push($nove_zdroje, $to_print);
	$i++;
	if ($i == $kolik) break;
}




//navigace
$nav_bar[0]=$txt_nav_koren;
$nav_ref[0]=$URL_PREFIX."/?lang=$lang";


htmlHeading($lang, $PORTAL_PAGE, $DEFAULT, $THIS_SCRIPT);

menuv2($lang, $THIS_SCRIPT, "", $PORTAL_PAGE, "");

myMain($lang, $EIZ_PAGE);

nav_bar($lang, $nav_bar, $nav_ref);

echo "<h1>$txt_nadpis</h1>\n";

echo "<div class=\"obsah\">\n\n";

echo "<table class=\"uvod\">\n";

echo "<tr class=\"uvod\">\n<td class=\"uvod\">\n";

?>

<?php include_once(getI18Nhtml($lang, $THIS_SCRIPT)) ?>

<?php

echo "<td class=\"bocni_info\">\n";

if ($MAIN_PAGE_SNIPPET && ! isset($_SERVER["HTTPS"])) {

	echo "<div class=\"bocni_ramec main_page_snippet\">\n";
?>

<?php include_once(getI18Nhtml($lang, 'main_page_snippet.php')); ?>

<?php
	echo "</div><!-- bocni ramec -->\n";
}

if ($SHOW_MAIN_PAGE_NEWS) {
echo "<div class=\"bocni_ramec\">\n";
echo "<span class=\"tluste\">$txt_aktuality</span>";

foreach($aktuality as $aktualita) {
	 echo "\t$aktualita\n";
}

echo "<span class=\"vice\"><a href=\"aktuality.php?lang=$lang\">$txt_vice</a></span>\n";

echo "</div><!-- bocni ramec aktuality -->\n";
}

if ($SHOW_MAIN_PAGE_NEW_SOURCES) {
echo "<div class=\"bocni_ramec\">\n";
echo "<span class=\"tluste\">$txt_nove_zdroje</span>";


foreach($nove_zdroje as $novy_zdroj) {
	echo "\t$novy_zdroj\n";
}

echo "<span class=\"vice\"><a href=\"novezdroje.php?lang=$lang\">$txt_vice</a></span>\n";
echo "</div><!-- bocni ramec nove zdroje -->\n";
}

echo "</td><!-- bocni info -->\n</tr>\n</table><!-- uvod -->";

echo "\n</div><!-- obsah -->\n\n";

myMainEnd();

if ($lang == "cs") setlocale(LC_TIME, $MY_LOCALES1, $MY_LOCALES2, $MY_LOCALES3);
footer(filectime($THIS_SCRIPT), $lang);

htmlEnd();

unsetLogging($DISPLAY_ERRORS, $om);
?>
