<?php

require_once("eizlibs/logging.php");
$om = setLogging($DISPLAY_ERRORS);

require_once("eizlibs/layout.php");
require_once("eizlibs/db_connect.php");
require_once("eizlibs/functions.php");
require_once("eizlibs/object_class.php");
require_once("eizlibs/uzivatel_class.php");

$lang=GETlang();
$THIS_SCRIPT = trimSELF($_SERVER['PHP_SELF']);

include_once(getI18Ndefault($lang, $THIS_SCRIPT));
include_once(getI18N($lang, $THIS_SCRIPT));
include_once(getI18NnavigationDefault($lang));
include_once(getI18Nnavigationv2($lang));

connect_db();

$id=stringEscape(GETid());

// nastaveni jazyka
if ($lang == 'en') {
	$info_s = "info_strucne_en";
	$nazev_fak = "nazev_en";
}
else {
	$info_s = "info_strucne";
	$nazev_fak = "nazev";
}

connect_db();

$uzivatel = uzivatel::getShibAuth(true);

if (! issetGET("mu")) {
	// nazev fakulty
	$query = "SELECT * FROM fakulty WHERE fakulta_id='$id'";
	$result = pg_query($query);
	db_one_row($result, $NO_USER, $_SERVER['PHP_SELF'], "No $id faculty!", $lang);
	$row = pg_fetch_array($result, NULL, PGSQL_BOTH);
	$fac_name = $row["$nazev_fak"];
	
	// pokud chceme i univerzitni zdroje ve fakultach
	if ($UN_RESOURCES_IN_ALL_FACULTIES) {
		$cond_query = " FROM zdroje LEFT JOIN zdroj_fakulta".
			" ON (zdroj_fakulta.fakulta_id = '$id' AND". 
			" zdroje.zdroj_id = zdroj_fakulta.zdroj_id)".
			" WHERE ((zdroj_fakulta.fakulta_id = '$id') OR".
			" (zdroje.zarazeni = $SOURCE_MU)) AND $PUBLIC_SOURCE_COND";
	}
	else {
		$cond_query = " FROM zdroje, zdroj_fakulta".
			" WHERE (zdroj_fakulta.fakulta_id = '$id') AND".
			"	(zdroj_fakulta.zdroj_id = zdroje.zdroj_id) AND".
			"	(zdroje.zarazeni <> $SOURCE_NOTIN) AND".
			"	$PUBLIC_SOURCE_COND";
	}
	
	// zdroje
	$query = "SELECT zdroje.* ". $cond_query."	ORDER BY zdroje.".getOrderBy($lang);


	$zdroje = zdroj::processQuery($query);
	
	$showparams = "&fakulta=$id";

	$menuparams = "&id=$id";

	$nav_bar[3]=$fac_name;
	$nav_ref[3]=$THIS_SCRIPT."?lang=$lang&id=$id";
}
else {
	// celouniverzitni zdroje
	$fac_name = $txt_uni_nazev;
	$query = "SELECT * FROM zdroje".
		" WHERE (zarazeni = $SOURCE_MU) AND $PUBLIC_SOURCE_COND".
		" ORDER BY zkratka";

	$zdroje = zdroj::processQuery($query);	
	$pocet_mu = count($zdroje);
	//direct reading
	//$result = pg_query($query);
	//$pocet_mu = pg_num_rows($result); 

	$menuparams = "&mu=1";
	$showparams = "&mu=1";

	$nav_bar[3] = $fac_name;
	$nav_ref[3] = "fakulta.php?lang=$lang&mu=1";
}

//navigace
$nav_bar[0]=$txt_nav_koren;
$nav_ref[0]="$MY_URL/?lang=$lang";
$nav_bar[1]=$txt_nav_ezdroje;
$nav_ref[1]="$MY_URL/$RESOURCES_PAGE/?lang=$lang";
$nav_bar[2]=$txt_nav;
$nav_ref[2]="fakulty2.php?lang=$lang";


htmlHeading($lang, $RESOURCES_PAGE, $DEFAULT, $THIS_SCRIPT);

menuv2($lang, $THIS_SCRIPT, $menuparams, $RESOURCES_PAGE, "");

myMain($lang, $RESOURCES_PAGE);

nav_bar($lang, $nav_bar, $nav_ref);

echo "\n<h1>$fac_name</h1>\n";

echo "<div class=\"obsah\">\n\n";

echo "<div class=\"seznam\">\n";

showUpperDir($lang, "fakulty2.php", "\t", "");

foreach($zdroje as $zdroj) {
	$zdroj->show($lang, $uzivatel, $showparams);
}

if (count($zdroje) == 0) {
	echo "<div class=\"info\">$txt_zadne_zdroje.</div>\n";
}

printUserLegend($lang);
	
echo "</div><!-- seznam -->\n";

echo "\n</div><!-- obsah -->\n\n";

myMainEnd();

if ($lang == "cs") setlocale(LC_TIME, $MY_LOCALES1, $MY_LOCALES2, $MY_LOCALES3);
footerv2(filectime($THIS_SCRIPT), $lang);

htmlEnd();

unsetLogging($DISPLAY_ERRORS, $om);

?>
