<?php

require_once("eizlibs/logging.php");
$om = setLogging($DISPLAY_ERRORS);

require_once("eizlibs/layout.php");
require_once("eizlibs/db_connect.php");
require_once("eizlibs/functions.php");
require_once("eizlibs/object_class.php");

$lang=GETlang();
$THIS_SCRIPT = trimSELF($_SERVER['PHP_SELF']);

include_once(getI18Ndefault($lang, $THIS_SCRIPT));
include_once(getI18N($lang, $THIS_SCRIPT));
include_once(getI18NnavigationDefault($lang));
include_once(getI18Nnavigationv2($lang));

connect_db();

// nastaveni jazyka
if ($lang == 'en') {	
	$info_s = "info_strucne_en";
	$nazev_q = "zkratka";
	$info_p_q = "info_podrobne_en";
	$kategorie = $KATEGORIE_EN;
}
else {
	$info_s = "info_strucne";
	if ($ENABLE_EXTRA_CZECH_TITLE) 
		$nazev_q = "nazev_extra_cz";
	else
		$nazev_q = "zkratka";
	
	$info_p_q = "info_podrobne";
	$kategorie = $KATEGORIE_CS;
}

// nastavime, ktere pole omezit na prohledavani
function create_select($id) {
	global $txt_vse, $txt_nazev, $txt_strucny_popis, $txt_podrobny_popis,
		$txt_producent,
		$QUERY_ALL, $QUERY_TITLE, $QUERY_BRIEF, $QUERY_FULL, $QUERY_PROD,
		$SELECTED;

	$selected1 = "";
	$selected2 = "";
	$selected3 = "";

	switch ($id) {
	case 1: $selected1 = $SELECTED; break;
	case 2: $selected2 = $SELECTED; break;
	case 3: $selected3 = $SELECTED; break;
	default: break;
	}


	echo "\t\t<select class=\"form_area2\" name=\"determin$id\">\n";
	echo "\t\t\t<option value=\"$QUERY_ALL\">$txt_vse</option>\n";
	echo "\t\t\t<option value=\"$QUERY_TITLE\" $selected1>$txt_nazev</option>\n";
	echo "\t\t\t<option value=\"$QUERY_BRIEF\" $selected2>$txt_strucny_popis</option>\n";
	echo "\t\t\t<option value=\"$QUERY_FULL\" $selected3>$txt_podrobny_popis</option>\n";
	echo "\t\t\t<option value=\"$QUERY_PROD\">$txt_producent</option>\n";
	echo "\t\t</select>\n";
}

function create_and_or($id) {
	global $txt_AND, $txt_OR, $QUERY_AND, $QUERY_OR;

	echo "\t\t<select class=\"form_area2\" name=\"andor$id\">\n";
	echo "\t\t\t<option value=\"$QUERY_AND\">$txt_AND</option>\n";
	echo "\t\t\t<option value=\"$QUERY_OR\">$txt_OR</option>\n";
	echo "\t\t</select>\n";
}

function get_and_or_value($str) {
	global $QUERY_AND, $QUERY_OR;
	return $str == 'and' || $str == 'AND' ? $QUERY_AND : $QUERY_OR;
}

function get_search_string($co, $dotaz) {
	global $QUERY_ALL, $QUERY_TITLE, $QUERY_BRIEF, $QUERY_FULL, $QUERY_PROD,
		$info_s, $nazev_q, $info_p_q;

	$dotaz = stringEscape($dotaz);

	if ($dotaz != "") {

		switch ($co) {
		case $QUERY_ALL:
			return "(zdroje.$nazev_q ILIKE '%$dotaz%' OR zdroje.$info_s ILIKE '%$dotaz%' OR zdroje.$info_p_q ILIKE '%$dotaz%' OR zdroje.producent_nazev ILIKE '%$dotaz%')";
		case $QUERY_TITLE: return "(zdroje.$nazev_q ILIKE '%$dotaz%')";
		case $QUERY_BRIEF: return "(zdroje.$info_s ILIKE '%$dotaz%')";
		case $QUERY_FULL: return "(zdroje.$info_p_q ILIKE '%$dotaz%')";
		case $QUERY_PROD: return "(zdroje.producent_nazev ILIKE '%$dotaz%')";
		default: return "";
		}
	}

	else return "";
}

function get_search_string_to_print($co, $dotaz) {
	global $QUERY_ALL, $QUERY_TITLE, $QUERY_BRIEF, $QUERY_FULL, $QUERY_PROD,
		$info_s, $nazev_q, $info_p_q,
		$txt_vse, $txt_nazev, $txt_strucny_popis, $txt_podrobny_popis,
		    $txt_producent;

	$dotaz = stringEscape($dotaz);

	if ($dotaz != "") {

		switch ($co) {
		case $QUERY_ALL:
			return "$txt_nazev = '*$dotaz*' OR $txt_strucny_popis = '*$dotaz*' OR $txt_podrobny_popis = '*$dotaz*' OR $txt_producent = '*$dotaz*')";
		case $QUERY_TITLE: return "($txt_nazev = '*$dotaz*')";
		case $QUERY_BRIEF: return "($txt_strucny_popis = '*$dotaz*')";
		case $QUERY_FULL: return "($txt_podrobny_popis = '*$dotaz*')";
		case $QUERY_PROD: return "($txt_producent = '*$dotaz*')";
		default: return "";
		}
	}

	else return "";
}


function get_and_or_string($co) {
	global $QUERY_AND, $QUERY_OR;

	return $co == $QUERY_OR ? "OR" : "AND";
}
			
$qcols = 50;
$pdotaz = "";

// zjistime fakulty a obory
$fakulty = new fakulty(fakulta::getFakulty($lang));

// obory
$obory = new obory(obor::getObory($lang));

if (issetPOST("byldotaz") || issetGET("byldotaz")) {


	$type = issetPOST("typ") ? getPOST("typ") : getGET("typ");
	$category = issetPOST("kategorie") ? getPOST("kategorie") : getGET("kategorie");
	$determin1 = issetPOST("determin1") ? getPOST("determin1") : getGET("determin1");
	$query1 = issetPOST("query1") ? getPOST("query1") : getGET("query1");
	$andor1 = issetPOST("andor1") ? getPOST("andor1") : getGET("andor1");
	$determin2 = issetPOST("determin2") ? getPOST("determin2") : getGET("determin2");
	$query2 = issetPOST("query2") ? getPOST("query2") : getGET("query2");
	$andor2 = issetPOST("andor2") ? getPOST("andor2") : getGET("andor2");
	$determin3 = issetPOST("determin3") ? getPOST("determin3") : getGET("determin3");
	$query3 = issetPOST("query3") ? getPOST("query3") : getGET("query3");

	$detdomains = issetPOST("detdomains") ? getPOST("detdomains") : getGET("detdomains");
	$detfaculties = issetPOST("detfaculties") ? getPOST("detfaculties") : getGET("detfaculties");
	$detdf = issetPOST("detdf") ? getPOST("detdf") : getGET("detdf");


	$q1 = get_search_string($determin1, $query1);
	$q2 = get_search_string($determin2, $query2);
	$q3 = get_search_string($determin3, $query3);

	$p1 = get_search_string_to_print($determin1, $query1);
	$p2 = get_search_string_to_print($determin2, $query2);
	$p3 = get_search_string_to_print($determin3, $query3);


	if ($q1 != "" && $q2 != "") {
		$ao1 = get_and_or_string($andor1);
		$q12 = "$q1 $ao1 $q2";
		$p12 = "$p1 $ao1 $p2";
	}
	else {
		$q12 = "$q1$q2";
		$p12 = "$p1$p2";
	}

	if ($q12 != "" && $q3 != "") {
		$ao2 = get_and_or_string($andor2);
		$qstring = "$q12 $ao2 $q3";
		$pstring = "$p12 $ao2 $p3";
	}
	else {
		$qstring = "$q12$q3";
		$pstring = "$p12$p3";
	}
	
	if ($qstring == "" && 
		($type == $QUERY_ALL || $type == null) && 
		($category == $QUERY_ALL || $category == null) &&
		(! isset($_POST['domains']) || in_array($QUERY_ALL, $_POST['domains'])) &&
		(! isset($_POST['faculties']) || in_array($QUERY_ALL, $_POST['faculties']))) 
	{
		$dotaz_ok = false;
	}
	else {

		$dotaz_ok = true;
		
		if ($qstring == "") $formempty = true;
		else $formempty = false;

		$qnstring = "";
		$pnstring = "";

		if ($type != $QUERY_ALL && $type != null) {
			$qnstring .= "(typ = '$type')";
			$pnstring .= "($txt_typ = '" . getSourceType($type, $lang) . "')";
		}


		if ($category != $QUERY_ALL && $category != null) {

			if ($qnstring != "") { 
				$qnstring .= " AND ";
				$pstring .= " $txt_AND ";
			}
			$qnstring .= "(kategorie = '$category')";
			$pnstring .= "($txt_kategorie = '$kategorie[$category]')";
		}	
	
	
		if ($qstring != '' && $qnstring != '') {
			$qstring = "$qstring AND $qnstring";
			$pstring = "$pstring $txt_AND $pnstring";
		}
		else {
			$qstring = "$qstring$qnstring";
			$pstring = "$pstring$pnstring";
		}

		$distinct = "";
		$pdomains = "";
		$qdomains = "";
		

	// -----------------------------------------------------------------------
	// ------------  OBORY ---------------------------------------------------
	// -----------------------------------------------------------------------
		if (isset($_POST['domains'])) {
			$domains = $_POST['domains'];

			if (! in_array($QUERY_ALL, $domains)) {
				if ($detdomains == $QUERY_OR || count($domains) == 1) {

					if (count($domains) > 1) $distinct = "DISTINCT";

					$qdomains = "zdroj_obor.obor_id IN (";
					foreach($domains as $domain) {
					//$qdomains .= "(zdroj_obor.obor_id = '$domain' AND zdroj_obor.zdroj_id = zdroje.zdroj_id) OR ";	
						$qdomains .= "$domain, ";
						$pdomains .= "'". $obory->getNazev($lang, $domain) . "' $txt_OR ";

					}

					// orizni posledni AND
					if ($qdomains != "") {
						$qdomains = substr($qdomains, 0, strlen($qdomains)-2);
						$qdomains .= ") AND zdroje.zdroj_id = zdroj_obor.zdroj_id";
						//$qdomains = "(". substr($qdomains, 0, strlen($qdomains)-4) . ")";
						$pdomains = substr($pdomains, 0, strlen($pdomains)-strlen($txt_OR)-1);
					}
				}
				else {

					//$qdomains = "SELECT zdroj_id FROM zdroj_obor WHERE obor_id IN (";
					foreach($domains as $domain) {
						$qdomains .= "(SELECT zdroj_obor.zdroj_id FROM zdroj_obor WHERE zdroj_obor.obor_id = '$domain') INTERSECT ";
						//$qdomains .= "$domain, ";
						$pdomains .= "'". $obory->getNazev($lang, $domain) . "' $txt_AND ";
					}

					// orizni posledni INTERSECT a PRIDEJ konec
					if ($qdomains != "") { 
						$qdomains = substr($qdomains, 0, strlen($qdomains)-10);
						//$qdomains = substr($qdomains, 0, strlen($qdomains)-2).") GROUP BY zdroj_id HAVING count(zdroj_id) = ". count($domains) . "";
						$qdomains = "zdroje.zdroj_id IN (". $qdomains . ")";
						$pdomains = substr($pdomains, 0, strlen($pdomains)-strlen($txt_AND)-1);
					}
				}
			}
		}

	// ----------------------------------------------------------------------
	// --------------------- FAKULTY ----------------------------------------
	// ----------------------------------------------------------------------
		$qfaculties = "";
		$pfaculties = "";
		
		if (isset($_POST['faculties'])) {
			$faculties = $_POST['faculties'];

			if (! in_array($QUERY_ALL, $faculties)) {
			
				if ($detfaculties == $QUERY_OR || count($faculties) == 1) {	

					if (count($faculties) > 1) $distinct = "DISTINCT";
			
					foreach($faculties as $faculty) {
						$qfaculties .= "(zdroj_fakulta.fakulta_id = '$faculty' AND zdroj_fakulta.zdroj_id = zdroje.zdroj_id) OR ";	
						$pfaculties .= "'". $fakulty->getNazev($lang, $faculty) . "' $txt_OR ";
					}

					// orizni posledni AND
					if ($qfaculties != "") { 
						$qfaculties = substr($qfaculties, 0, strlen($qfaculties)-4);
						$pfaculties = substr($pfaculties, 0, strlen($pfaculties)-strlen($txt_OR)-1);
					}
		 		}
		 		else {
				
					foreach($faculties as $faculty) {
						$qfaculties .= "(SELECT zdroj_fakulta.zdroj_id FROM zdroj_fakulta WHERE zdroj_fakulta.fakulta_id = '$faculty') INTERSECT ";
						$pfaculties .= "'". $fakulty->getNazev($lang, $faculty) . "' $txt_AND ";
					}
				
					if ($qfaculties != "") { 
						$qfaculties = substr($qfaculties, 0, strlen($qfaculties)-10);
						$qfaculties = "zdroje.zdroj_id IN (". $qfaculties . ")";
						$pfaculties = substr($pfaculties, 0, strlen($pfaculties)-strlen($txt_AND)-1);
					}
				}		

			}
		}



		$qfrom = "FROM zdroje";
		$qwhere = "";
		$pdotaz = "";

		if ($qdomains != "") {
			$qfrom .= $detdomains == $QUERY_OR || count($domains) == 1 ? ", zdroj_obor" : "";
			$qwhere = "($qdomains AND (multioborovy = 'f')) ";
			$pdotaz = "($pdomains) ";

			if ($qfaculties != "") {
				$qwhere .= get_and_or_string($detdf) . ' ';
				if ($detdf == $QUERY_OR) {
					$distinct = "DISTINCT";
				}

				$pdotaz = "($pdotaz ". ($detdf == $QUERY_OR ? $txt_OR : $txt_AND) . ' ';
			}
		}

		if ($qfaculties != "") {
			$qfrom .= $detfaculties == $QUERY_OR || count($faculties) == 1 ? ", zdroj_fakulta" : '';
			if (! $UN_RESOURCES_IN_ALL_FACULTIES) {
				$qwhere .= "($qfaculties AND ((zarazeni = '$SOURCE_MU_FACS') OR (zarazeni = '$SOURCE_MU')))";
			}
			else {
				$qwhere .= "($qfaculties OR (zarazeni = '$SOURCE_MU'))";
				$distinct = "DISTINCT";
			}
			$pdotaz .= "($pfaculties)";

			if ($qdomains != "") $pdotaz .= ')';
		}



		if ($qwhere != '') {
			$qwhere = '('. $qwhere .') ';
			if (! $pstring == '')  {
				$pdotaz = $pstring . ' ' . $txt_AND . ' ' . $pdotaz;
			}
		}
		else {
			$pdotaz = $pstring;
		}

		if ($qwhere != '' && $qstring != '') $loc_and = ' AND ';
		else $loc_and = '';

		$qwhere = 'WHERE '. $qwhere . $loc_and . $qstring . " AND ".zdroj::getSearchCond()." ORDER BY ".getOrderBy($lang);

		$qselect = "SELECT $distinct zdroje.*";
	
		$query = "$qselect $qfrom $qwhere";

		$zdroje = zdroj::processQuery($query);

		$pocet = count($zdroje);
		//$result = pg_query($query);
		//$pocet = pg_num_rows($result);

	} // dotaz OK	
}

//navigace
$nav_bar[0]=$txt_nav_koren;
$nav_ref[0]="$MY_URL/?lang=$lang";
$nav_bar[1]=$txt_nav_ezdroje;
$nav_ref[1]="$MY_URL/$RESOURCES_PAGE/?lang=$lang";
$nav_bar[2]=$txt_nav;
$nav_ref[2]="$THIS_SCRIPT?lang=$lang";

htmlHeading($lang, $RESOURCES_PAGE, $DEFAULT, $THIS_SCRIPT);

menuv2($lang, $THIS_SCRIPT, "", $RESOURCES_PAGE, "");

myMain($lang, $RESOURCES_PAGE);

nav_bar($lang, $nav_bar, $nav_ref);

echo "<h1>$txt_nadpis</h1>\n";

echo "<div class=\"obsah\">\n\n";
// generuj obsah stranky

echo "<form action=\"$THIS_SCRIPT?lang=$lang\" method=\"$SEARCH_FORM_ADVANCED\">\n\n";

echo "<div class=\"stred \" >\n";
echo "<table class=\"okraje rozsirene-hledani\">\n";

if ($ENABLE_ADVS_TYPE) {
echo "<tr class=\"formular\">\n<td>&nbsp;</td>\t<td class=\"formular\">";
echo "<span class=\"\">$txt_typ</span>\n";
echo "</td>\n\t<td class=\"formular\" style=\"text-align: left;\">";
echo "<select class=\"form_area2\" name=\"typ\">";
echo "<option value=\"$QUERY_ALL\">$txt_vse</option>\n";
for ($i=1; $i<=$ALLOW_TYP_TOP; $i++) {
	echo "\t<option value=\"$i\">";
	echo getSourceType($i, $lang);
	echo "</option>\n";
}
echo "</select>\n";
echo "</td>\n</tr>";
}

if ($ENABLE_ADVS_CATEGORY) {
echo "<tr class=\"formular\">\n<td>&nbsp;</td>\t<td class=\"formular\">";
echo "<span class=\"\">$txt_kategorie</span>\n";
echo "</td>\n\t<td class=\"formular\" style=\"text-align: left;\">";
echo "<select class=\"form_area2\" name=\"kategorie\">";
echo "<option value=\"$QUERY_ALL\">$txt_vse</option>\n";
foreach ($kategorie as $klic => $polozka) {
	echo "\t<option value=\"$klic\">";
	echo $polozka;
	echo "</option>\n";
}
echo "</select>\n";
echo "</td>\n</tr>";
}



echo "<tr class=\"formular\">\n<td>&nbsp;</td>\t<td class=\"formular\">";
create_select(1);
echo "</td>\n\t<td class=\"formular\">";
formular("", "", 'raw', 'query1', $qcols, 0, "");
echo "</td>\n</tr>";

echo "<tr class=\"formular\">\n<td>";
create_and_or(1);
echo "</td>\t<td class=\"formular\">";
create_select(2);
echo "</td>\n\t<td class=\"formular\">";
formular("", "", 'raw', 'query2', $qcols, 0, "");
echo "</td>\n</tr>";

echo "<tr class=\"formular\">\n<td>";
create_and_or(2);
echo "</td>\t<td class=\"formular\">";
create_select(3);
echo "</td>\n\t<td class=\"formular\">";
formular("", "", 'raw', 'query3', $qcols, 0, "");
echo "</td>\n</tr>\n";
echo "</table><!-- formular -->\n\n";

echo "<table class=\"okraje rozsirene-hledani obory-fakulty\">\n";
echo "<tr><td class=\"stred\">";
if ($ENABLE_ADVS_DOMAINS) {
	echo $txt_obory;
}
echo "</td>";

if ($ENABLE_ADVS_MAIN_AND_OR && $ENABLE_ADVS_DOMAINS && $ENABLE_ADVS_FACULTIES) {
	echo "<td class=\"stred ramecek blok\">";
	radio_button("detdf", "$QUERY_AND", "AND", 
		$DEFAULT_ADVS_MAIN_AND_OR == 'and' ? $CHECKED : '');
	radio_button("detdf", "$QUERY_OR", "OR", 
		$DEFAULT_ADVS_MAIN_AND_OR == 'or' ? $CHECKED : '');
}
else {
	echo "<td>";
}

echo"</td><td class=\"stred\">";
if ($ENABLE_ADVS_FACULTIES) {
	echo $txt_fakulty;
}
echo "</td></tr>\n";
echo "<tr>";

if ($ENABLE_ADVS_DOMAINS) {
	echo "<td class=\"stred ramecek odsazeni\">";
echo "<div>";
echo "<select $MULTIPLE class=\"form_area2\" size=\"5\" name=\"domains[]\">\n";
echo "<option value=\"$QUERY_ALL\">$txt_vse</option>";
foreach($obory->obory as $obor) {
	echo "<option value=\"$obor->id\">".$obor->getNazev($lang)."</option>\n";

	if (count($obor->podobory) > 0) {
		foreach($obor->podobory as $podobor) {
			echo "<option value=\"$podobor->id\" class=\"ital\">&nbsp;&nbsp;".
				$podobor->getNazev($lang)."</option>\n";
		}
	}
}
echo "</select>\n";
echo "</div>";
if ($ENABLE_ADVS_DOMAINS_AND_OR) {
echo "<div class=\"mensi\">\n";
radio_button("detdomains", "$QUERY_AND", "AND", 
	$DEFAULT_ADVS_DOMAINS_AND_OR == 'and' ? $CHECKED : "");
radio_button("detdomains", "$QUERY_OR", "OR", 
	$DEFAULT_ADVS_DOMAINS_AND_OR == 'or' ? $CHECKED : "");
echo "</div>\n";
}

}
else {
	echo "<td>";
}

echo "</td><td class=\"stred hledani-and-or\">\n"; 

if ($ENABLE_ADVS_FACULTIES) {
echo "</td><td class=\"stred ramecek odsazeni\">";
echo "<div>";
echo "<select $MULTIPLE class=\"form_area2\" size=\"5\" name=\"faculties[]\">\n";
echo "<option value=\"$QUERY_ALL\">$txt_vse</option>";
foreach($fakulty->fakulty as $fakulta) {
	echo "<option value=\"$fakulta->id\">".$fakulta->getNazev($lang)."</option>\n";
}
echo "</select>\n";
echo "</div>\n";
if ($ENABLE_ADVS_FACULTIES_AND_OR) {
echo "<div class=\"mensi\">";
radio_button("detfaculties", "$QUERY_AND", "AND", 
	$DEFAULT_ADVS_FACULTIES_AND_OR == 'and' ? $CHECKED : '');
radio_button("detfaculties", "$QUERY_OR", "OR",  
	$DEFAULT_ADVS_FACULTIES_AND_OR == 'or' ? $CHECKED : '');
echo "</div>\n";
}
}
else {
	echo "<td>";
}
echo "</td></tr>\n\n";

echo "</table>\n";

echo "<div class=\"mensi tip\">$txt_tip</div>\n";

echo "</div><!-- stred -->\n";

hidden_form("byldotaz", "yes");

if (! $ENABLE_ADVS_MAIN_AND_OR && $ENABLE_ADVS_DOMAINS 
	&& $ENABLE_ADVS_FACULTIES) {
		//echo get_and_or_value($DEFAULT_ADVS_MAIN_AND_OR);
	hidden_form("detdf", get_and_or_value($DEFAULT_ADVS_MAIN_AND_OR));
}

if (! $ENABLE_ADVS_DOMAINS_AND_OR) {
	hidden_form("detdomains", get_and_or_value($DEFAULT_ADVS_DOMAINS_AND_OR));
}

if (! $ENABLE_ADVS_FACULTIES_AND_OR) {
	hidden_form("detfaculties", get_and_or_value($DEFAULT_ADVS_FACULTIES_AND_OR));
}


echo "<div class=\"horiz_menu stred\">";
tlacitko_active($txt_tlacitko, "submit", "");
echo "</div>\n";

echo "</form>\n";

/*
if (issetPOST("dotaz")) {
if ($dotaz_ok) echo $query;
else echo "Bad query!";

echo "<br /><br />";
foreach($domains as $domain) echo "$domain,";

}
 */

//echo $query;


//print_r($_POST);



if (issetGETPOST("byldotaz")) {

echo "<div class=\"tluste\">$txt_vas_dotaz:</div>";
echo '<div>';
echo $pdotaz != '' ? htmlspecialchars($pdotaz) : "<span class=\"tluste_red\">$txt_spatny_dotaz</span>";
echo '</div>';

if ($dotaz_ok) {
	
	if ($pocet < 1) {
		echo "\n\t<div class=\"noresult\">$txt_bez_vysledku</div>\n";
	}
	else {

		echo "\n\t<div class=\"pocet_vysledku\">";
		echo "\n\t\t<span class=\"pocet_label\">$txt_pocet_vysledku:</span>";
		echo "\n\t\t<span class=\"pocet_hodnota\">$pocet</span>";
		echo "\n\t</div><!-- pocet_vysledku -->\n";

		echo "\n\t<div class=\"seznam\">\n";

		foreach($zdroje as $zdroj) {
			$zdroj->show($lang);
		}
	}
}

printUserLegend($lang);

echo "</div><!-- seznam -->\n";
}

echo "\n</div><!-- obsah -->\n\n";

myMainEnd();

if ($lang == "cs") setlocale(LC_TIME, $MY_LOCALES1, $MY_LOCALES2, $MY_LOCALES3);
footerv2(filectime($THIS_SCRIPT), $lang);

htmlEnd();

unsetLogging($DISPLAY_ERRORS, $om);

?>
