<?php


require_once("eizlibs/logging.php");
$om = setLogging($DISPLAY_ERRORS);

require_once("eizlibs/layout.php");
require_once("eizlibs/db_connect.php");
require_once("eizlibs/functions.php");
require_once("eizlibs/object_class.php");

$lang=GETlang();
$THIS_SCRIPT = trimSELF($_SERVER['PHP_SELF']);


header("Location: abecedne.php?lang=$lang");



include_once(getI18Ndefault($lang, $THIS_SCRIPT));
include_once(getI18N($lang, $THIS_SCRIPT));
include_once(getI18NnavigationDefault($lang));
include_once(getI18Nnavigationv2($lang));

connect_db();


if ($lang == 'en') {
	$info_s = "info_strucne_en";
	$akt_nazev = "nazev_en";
	$akt_obsah = "perex_en";
}
else {
	$info_s = "info_strucne";
	$akt_nazev = "nazev";
	$akt_obsah = "perex";
}

$browse_by = array();
$b_help = array();
$browse_by_links = array();

array_push($browse_by, $txt_dle_abecedy);
array_push($b_help, $txt_dle_abecedy_popis);
array_push($browse_by_links, "abecedne.php");

array_push($browse_by, $txt_dle_fakult);
array_push($b_help, $txt_dle_fakult_popis);
array_push($browse_by_links, getBrowseType($BFACULTY));

if ($SHOW_MENU_OBORY) {
	array_push($browse_by, $txt_dle_oboru);
	array_push($b_help, $txt_dle_oboru_popis);
	array_push($browse_by_links, getBrowseType($BDOMAIN));
}
	
if ($SHOW_MENU_TYPY) { 
	array_push($browse_by, $txt_dle_typu);
	array_push($b_help, $txt_dle_typu_popis);
	array_push($browse_by_links, getBrowseType($BTYPE));
}

array_push($browse_by, $txt_freetrials);
array_push($b_help, $txt_freetrials_popis);
array_push($browse_by_links, "freetrials.php");

// naposledy pridane zdroje
$query = "SELECT zdroj_id, zkratka, $info_s, vytvoren, kategorie". 
					" FROM zdroje WHERE $PUBLIC_SOURCE_COND AND novinky = 't'".
					" ORDER BY vytvoren DESC";
$result = pg_query($query);
$nove_zdroje = array();
$kolik = 6;
$i = 0;

while ($row = pg_fetch_array($result, NULL, PGSQL_BOTH)) {
	$zdroj_id = $row['zdroj_id'];
	$nazev = $row['zkratka'];
	$vytvoren = $row['vytvoren'];
	$vytvoren = getDay($vytvoren).".".getMonth($vytvoren).".".getYear($vytvoren);
	$kategorie = getKategorieText(getKategorie($row['kategorie']));
	$strucny_popis = $row[2];
	
	$to_print = "<div class=\"novy_zdroj\">";
	$to_print.= "<div class=\"novy_datum\">$vytvoren</div>";
	$to_print.= "<a href=\"zdroj.php?lang=$lang&amp;id=$zdroj_id\">" .
		htmlEscape($nazev). "</a>";
	$to_print.= "$kategorie";
	if (trim($strucny_popis) != "") 
		$to_print.= " &ndash; <span class=\"aktualita_obsah\">". htmlEscape($row[2]). "</span>";
	$to_print.= "</div>";
	array_push($nove_zdroje, $to_print);
	$i++;
	if ($i == $kolik) break;
}

// aktuality, novinky
$cdate = getdate();
$lastyear = ($cdate['year']-1);
if ($cdate['mday'] > 1) {
	$day = $cdate['mday']-1;
}
else {
	$day = $cdate['mday'];
}
$lastyear .= "-".$cdate['mon']."-".$day;
// vezmeme vsechny aktuality, ktere nejsou starsi nez jeden rok
$query = "SELECT $akt_nazev, $akt_obsah, datum, aktualita_id". 
					" FROM aktuality".
					" WHERE povolena='t' AND CURRENT_DATE >= datum AND". 
								" datum > '$lastyear'".
					" ORDER BY datum DESC";
$result = pg_query($query);
$aktuality = array();
$kolik = 3;
$i = 0;
while ($row = pg_fetch_array($result, NULL, PGSQL_BOTH)) {
	
	$act_id = $row['aktualita_id'];
	$nazev = htmlEscape($row[0]);
	$perex = htmlEscape($row[1]);
	$vytvoren = $row['datum'];
	$vytvoren = getDay($vytvoren).".".getMonth($vytvoren).".".getYear($vytvoren);
	
	$to_print = "\n<div class=\"aktualita_brief\">";
	$to_print.= "<div class=\"aktuality_datum\">$vytvoren</div>";
	$to_print.= "<a href=\"aktuality.php?lang=$lang&amp;id=$act_id\">$nazev</a>";
	$to_print.= "<div class=\"aktualita_obsah\">$perex</div>";
	$to_print.= "</div>";
	if ($nazev != "" && $row[1] != "") array_push($aktuality, $to_print);
	$i++;
	if ($i == $kolik) break;
}

//navigace
$nav_bar[0]=$txt_nav_koren;
$nav_ref[0]="$MY_URL/?lang=$lang";
$nav_bar[1]=$txt_nav_ezdroje;
$nav_ref[1]="?lang=$lang";


htmlHeading($lang, $RESOURCES_PAGE, $DEFAULT, $THIS_SCRIPT);

menuv2($lang, $THIS_SCRIPT, "", $RESOURCES_PAGE, "");

myMain($lang, $RESOURCES_PAGE);

nav_bar($lang, $nav_bar, $nav_ref);

echo "<h1>$txt_nadpis</h1>\n";

echo "<div class=\"obsah\">\n\n";

echo "<table class=\"uvod\">\n";

echo "<tr class=\"uvod\">\n<td class=\"uvod\">\n";

echo "<div class=\"uvodni_text\">\n";

echo "<div class=\"odstavec\">$txt_uvod</div>\n";

echo "<div	class=\"odstavec\">$txt_uvod2</div>\n";

echo "</div><!-- uvodni text -->\n";

echo "<div class=\"odstavec\">";
echo "<span class=\"rozcestnik_nadpis\">$txt_listovat_dle</span></div>\n";

echo "<table class=\"rozcestnik\">\n";
foreach($browse_by as $klic => $polozka) {
	$link = $browse_by_links[$klic];
	if ($link == "free-trials.php") { 
		$prefix = "<span class=\"free-trial\">";
		$suffix = "</span>";
	}
	else {
		$prefix = "";
		$suffix = "";
	}
	echo "\t<tr><td class=\"rozcestnik_label\">";
	echo "<a href=\"$link?lang=$lang\">$prefix";
	echo "$polozka$suffix</a></td>";
	echo "<td class=\"rozcestnik_help\">$b_help[$klic]</td></tr>\n";
}
echo "</table>\n";

echo "<div class=\"varovani\">\n";
echo "<div class=\"varovani_nadpis\">$txt_varovani_nadpis</div>";
echo "<div>$txt_varovani</div>\n";
echo "</div><!-- varovani -->\n";

echo "</td><!-- uvod -->\n";


echo "<td class=\"bocni_info\">\n";

/*
if ($GOOGLE_CALENDAR) {

	echo "<div class=\"bocni_ramec google_calendar\">\n";
?>

<?php include_once(getI18Nhtml($lang, 'google_calendar.php')); ?>

<?php
	echo "</div><!-- bocni ramec -->\n";


}


echo "<div class=\"bocni_ramec\">\n";
echo "<span class=\"tluste\">$txt_aktuality</span>";

foreach($aktuality as $aktualita) {
	 echo "\t$aktualita\n";
}

echo "<span class=\"vice\"><a href=\"aktuality.php?lang=$lang\">$txt_vice</a></span>\n";

echo "</div><!-- bocni ramec aktuality -->\n";

 */

echo "<div class=\"bocni_ramec\">\n";
echo "<span class=\"tluste\">$txt_nove_zdroje</span>";


foreach($nove_zdroje as $novy_zdroj) {
	echo "\t$novy_zdroj\n";
}

echo "<span class=\"vice\"><a href=\"novezdroje.php?lang=$lang\">$txt_vice</a></span>\n";
echo "</div><!-- bocni ramec nove zdroje -->\n";

echo "</td><!-- bocni info -->\n</tr>\n</table><!-- uvod -->";


#echo "</td></tr>\n</table><!-- uvod -->\n";

echo "\n</div><!-- obsah -->\n\n";

myMainEnd();

if ($lang == "cs") setlocale(LC_TIME, $MY_LOCALES1, $MY_LOCALES2, $MY_LOCALES3);
footerv2(filectime($THIS_SCRIPT), $lang);

htmlEnd();

unsetLogging($DISPLAY_ERRORS, $om);

?>
