<?php
require_once("eizlibs/logging.php");
$om = setLogging($DISPLAY_ERRORS);

require_once("eizlibs/layout.php");
require_once("eizlibs/db_connect.php");
require_once("eizlibs/functions.php");
require_once("eizlibs/object_class.php");
require_once("eizlibs/uzivatel_class.php");
require_once("eizlibs/bx_config.php");

$lang=GETlang();
$THIS_SCRIPT = trimSELF($_SERVER['PHP_SELF']);

include_once(getI18Ndefault($lang, $THIS_SCRIPT));
include_once(getI18N($lang, $THIS_SCRIPT));
include_once(getI18NnavigationDefault($lang));
include_once(getI18Nnavigationv2($lang));

connect_db();

$uzivatel = uzivatel::getShibAuth(true);

$id=stringEscape(GETid());
$multiob = issetGET("multiob");
$nezarazene = issetGET("nezarazene");

if ($lang == 'en') {
	$info_s = "info_strucne_en";
	$nazev = "nazev_en";
}
else {
	$info_s = "info_strucne";
	$nazev = "nazev";
}


// specialni pripady - celouniverzitni zdroje a multioborove
$nextparams = "";
$navbar_id = "-1";
$koren = false;
$sourceparams = "";
$menuparams = "";

if ($nezarazene) {
	$query = "SELECT * FROM zdroje".
		" WHERE (multioborovy = 'f') AND $PUBLIC_SOURCE_COND AND".
		" (zdroj_id NOT IN (SELECT DISTINCT(zdroj_id) FROM zdroj_obor))".
		" ORDER BY ".getOrderBy($lang);
	//$result = pg_query($query);
	$navbar_nazev = $txt_nezarazene;
	$jmeno = $txt_nezarazene;
	$nextparams = "&nezarazene=1";
	$menuparams = $nextparams;
	$sourceparams = $nextparams;
}

if ($multiob) {
	$query = "SELECT * FROM zdroje".
		" WHERE (multioborovy = 't') AND $PUBLIC_SOURCE_COND".
		" ORDER BY ".getOrderBy($lang);
	//$result = pg_query($query);
	$navbar_nazev = $txt_multioborove;
	$jmeno = $txt_multioborove;
	$nextparams = "&multiob=1";
	$menuparams = $nextparams;
	$sourceparams = $nextparams;
}

$upper_script = "obory2.php";
$upper_param = "";

//***************************************************************************
// ziskame nazev oboru a info o tom, jestli je korenovym oborem 
if (! $multiob && ! $nezarazene) {
	$query = "SELECT $nazev, koren FROM obory WHERE obor_id='$id'";
	$result = pg_query($query);
	$row = pg_fetch_array($result, NULL, PGSQL_BOTH);
	$jmeno=$row[0];
	$koren=getBool($row['koren']);
	
	$sourceparams="&obor=$id";
	$menuparams = "&id=$id";

	// podobory pripadne nadrazeny obor
	if (! $koren) {
		$query = "SELECT obory.$nazev, obory.obor_id FROM obory, obor_obor ".
			"WHERE obor_obor.obor_potomek='$id' AND obor_obor.obor_rodic=obory.obor_id";
		$result = pg_query($query);
		$row = pg_fetch_array($result, NULL, PGSQL_BOTH);
		$navbar_nazev=$row[0];
		$navbar_id=$row[1];
		$nav_bar[4]=$jmeno;
		$nav_ref[4]=$THIS_SCRIPT."?lang=$lang&id=$id";
		$upper_script = "obor.php";
		$upper_param = "&id=$navbar_id";
		$sourceparams="&obor=$navbar_id&podobor=$id";
	}
	else {
		$query = "SELECT obory.$nazev, obory.obor_id, obory.pocet ".
			" FROM obory, obor_obor ".
			" WHERE obor_obor.obor_rodic='$id' AND".
			" obor_obor.obor_potomek=obory.obor_id";
		$result_podobory = pg_query($query);
		$navbar_nazev=$jmeno;
		$navbar_id=$id;
	}
	
	//***************************************************************************
	// ziskame zdroje z oboru
	$query = "SELECT * FROM zdroje, zdroj_obor".
		"	WHERE (zdroj_obor.obor_id = '$id') AND".
		"	(zdroj_obor.zdroj_id = zdroje.zdroj_id) AND".
		"	$PUBLIC_SOURCE_COND	ORDER BY ".getOrderBy($lang);
	//$result = pg_query($query);
}

$zdroje = zdroj::processQuery($query);


// pro snippet exportuj promennou dle bX
if (isset($BX_DOMAIN_MAP[$id])) {
	$bx_domain = $BX_DOMAIN_MAP[$id];
}
else {
	$bx_domain = $BX_DOMAIN_MAP['default'];
}


//navigace
$nav_bar[0]=$txt_nav_koren;
$nav_ref[0]="$MY_URL/?lang=$lang";
$nav_bar[1]=$txt_nav_ezdroje;
$nav_ref[1]="$MY_URL/$RESOURCES_PAGE/?lang=$lang";
$nav_bar[2]=$txt_nav;
$nav_ref[2]="obory2.php?lang=$lang";
$nav_bar[3]=$navbar_nazev;
$nav_ref[3]=$THIS_SCRIPT."?lang=$lang&id=$navbar_id$nextparams";


htmlHeading($lang, $RESOURCES_PAGE, $DEFAULT, $THIS_SCRIPT);

menuv2($lang, $THIS_SCRIPT, $menuparams, $RESOURCES_PAGE, "");

myMain($lang, $RESOURCES_PAGE);

nav_bar($lang, $nav_bar, $nav_ref);

echo "\n<h1>$jmeno</h1>\n";

echo "<div class=\"obsah\">\n\n";

if ($bx_domain !== '') {

?>

<?php include_once(getI18Nhtml($lang, 'obor_snippet.php')); ?>

<?php

}

echo "<div class=\"seznam\">\n";

showUpperDir($lang, $upper_script, "\t", $upper_param);

foreach($zdroje as $zdroj) {
	$zdroj->show($lang, $uzivatel, $sourceparams);
}


echo "<div>&nbsp;</div>\n\n";

if ($koren) {
	while ($row = pg_fetch_array($result_podobory, NULL, PGSQL_BOTH)) {
		$nazev = $row[0];
		$podid = $row[1];
		$pocet_zdroju = $row['pocet'];

		showItem2($lang, "obor.php", "", "&id=$podid", $nazev, $pocet_zdroju);
	}
}

if (count($zdroje) == 0) {
	echo "<div class=\"info\">$txt_zadne_zdroje</div>\n";
}

printUserLegend($lang);
	
echo "</div><!-- seznam -->\n";

echo "\n</div><!-- obsah -->\n\n";
	
myMainEnd();

if ($lang == "cs") setlocale(LC_TIME, $MY_LOCALES1, $MY_LOCALES2, $MY_LOCALES3);
footerv2(filectime($THIS_SCRIPT), $lang);

htmlEnd();

unsetLogging($DISPLAY_ERRORS, $om);

?>
