<?php
require_once("eizlibs/logging.php");
$om = setLogging($DISPLAY_ERRORS);

require_once("eizlibs/db_connect.php");
require_once("eizlibs/functions.php");
require_once("eizlibs/layout.php");
require_once("eizlibs/classes.php");
require_once("eizlibs/file_class.php");
require_once("eizlibs/object_class.php");
require_once("eizlibs/uzivatel_class.php");
require_once("eizlibs/functionsv2.php");

$lang=GETlang();

$THIS_SCRIPT = trimSELF($_SERVER['PHP_SELF']);

$id=stringEscape(GETid());

include_once(getI18Ndefault($lang, $THIS_SCRIPT));
include_once(getI18N($lang, $THIS_SCRIPT));
include_once(getI18NnavigationDefault($lang));
include_once(getI18Nnavigationv2($lang));

//nastaveni jazyka
if ($lang == 'en') {
	$info_s = "info_strucne_en";
	$info_p = "info_podrobne_en";
	$exp = "not limited";
	$not_incl = "uninitiated";
	$obor_nazev = "nazev_en";
	$fakulta_nazev = "nazev_en";	
	$languages = $LANGUAGES_EN;
	$kategorie_popis = $KATEGORIE_EN;
}
else {
	$info_s = "info_strucne";
	$info_p = "info_podrobne";
	$exp = "neomezena";
	$not_incl = "neuveden";
	$obor_nazev = "nazev";
	$fakulta_nazev = "nazev";
	$languages = $LANGUAGES_CS;
	$kategorie_popis = $KATEGORIE_CS;

}

connect_db();

// zjistime zdroj
$query = "SELECT 	$info_s, $info_p, nazev, zkratka, odkaz, modifikace,".
								" expirace, producent_nazev, producent_odkaz, zdroj_id,".
								" odpovedny_spravce, kontaktni_osoba, zarazeni, jazyk, typ,".
								" licence, financovani, aktivni, multioborovy, kategorie,".
								" nazev_extra_cz, odkaz_onelog_en, odkaz_onelog_cz,".
								" odkaz_extra_cz, povoleny, ezproxy_odkaz".
					"	FROM zdroje WHERE (zdroj_id='$id')";
$result = pg_query($query);

if (pg_num_rows($result) != 1) {
	logit($NO_USER, $_SERVER['PHP_SELF'], "Source $id doesn't exist.", $LOG_ERR);
	print_nosource_page($lang);
}

$row = pg_fetch_array($result, NULL, PGSQL_BOTH);

if (! getBool($row['aktivni']) || ! getBool($row['povoleny'])) {
	logit($NO_USER, $_SERVER['PHP_SELF'], "Source $id is not active.", $LOG_ERR);
	print_nosource_page($lang);
	exit(0);
}


$info=htmlEscape($row[0]);
$info_pod=$row[1];
$zdroj_id=getInt($row['zdroj_id']);
$zkratka=htmlEscape(getZkratka($lang, $row['zkratka'], $row['nazev_extra_cz']));
$nazev=htmlEscape($row['nazev']);
$odkaz=htmlEscape(getLink($lang, $row['odkaz'], $row['odkaz_extra_cz']));
$onelog=htmlEscape(getOneLogLink($lang, $row['odkaz_onelog_en'], $row['odkaz_onelog_cz']));


if ($row['expirace'] != NULL) {
	$platnost=getDay($row['expirace']).".";
	$platnost.=getMonth($row['expirace'])."."; 
	$platnost.=($rok = getYear($row['expirace']));
	if ($rok == $TOP_YEAR) $platnost=$exp;
}
else $platnost=$exp;
$modifikace=getDay($row['modifikace']).".";
$modifikace.=getMonth($row['modifikace']).".";
$modifikace.=getYear($row['modifikace'])." ";
$modifikace.=getTime($row['modifikace']);
$producent=htmlEscape($row['producent_nazev']);
$prod_odkaz=htmlEscape($row['producent_odkaz']);
$jazyk = getJazyk($row['jazyk']);
$typ = getTyp($row['typ']);
$typ = $typ != $SOURCE_UNKNOWN ? getSourceType($typ, $lang): "";
$licence=htmlEscape($row['licence']);
$financovani=$row['financovani'];
$spravce_id=$row['odpovedny_spravce'];
$kontaktni_osoba=$row['kontaktni_osoba'];
$multioborovy=getBool($row['multioborovy']);
$zarazeni=$row['zarazeni'];
$kategorie=getKategorie($row['kategorie']);
$kategorie=$kategorie_popis[$kategorie];
$ezproxy_odkaz=getBool($row['ezproxy_odkaz']);

// zjisti spravce zdroje
$query = "SELECT titul_pred, jmeno, prijmeni, titul_za, email". 
					" FROM spravci WHERE pid='$kontaktni_osoba'";
$result = pg_query($query);
db_one_row($result, $NO_USER, $_SERVER['PHP_SELF'], "User $kontaktni_osoba mismatch!", 
						$lang);
$row = pg_fetch_array($result, NULL, PGSQL_ASSOC);
$spravce = getFullName($row['titul_pred'], $row['jmeno'], $row['prijmeni'], 
												$row['titul_za']);
$spravce_odkaz = ! $DIRECT_EMAIL ? spravce_odkaz($kontaktni_osoba) : spravce_odkaz($row['email']);

if (isset($DIRECT_MAIL_USERS)) {

	foreach($DIRECT_MAIL_USERS as $local_pid) {
		if ($local_pid === $kontaktni_osoba) {
			$spravce = getEmail($row['email']);
			$spravce_odkaz = '';
		}
	}
}


//zjisti obory zdroje
//if (! $multioborovy) {
	$query = "SELECT obory.obor_id, obory.$obor_nazev, obory.koren". 
						" FROM obory, zdroj_obor".
						" WHERE (zdroj_obor.zdroj_id = '$id') AND".
									" (zdroj_obor.obor_id = obory.obor_id)".
						" ORDER BY obory.$obor_nazev";
	$result = pg_query($query);

	$korenove = array();
	$normalni = array();
	$normalni_nazvy = array();
	$neradit = array();
	$obory_vypsat = array();
	
	
	while ($row = pg_fetch_array($result, NULL, PGSQL_BOTH)) {
		
		$obor_id=$row['obor_id'];
		$nazev=$row[1];
	
		$obory_vypsat[$obor_id]=$nazev;
	}

//zjisti zarazeni (fakulty)
$facs_id = array();
$facs_zkratka = array();
$facs_nazev = array();

if ($zarazeni == $SOURCE_MU_FACS || $zarazeni == $SOURCE_MU) {
	$query = "SELECT fakulty.fakulta_id, fakulty.$fakulta_nazev, fakulty.zkratka".
						" FROM fakulty, zdroj_fakulta".
						" WHERE (zdroj_fakulta.zdroj_id = '$id') AND". 
									"	(zdroj_fakulta.fakulta_id = fakulty.fakulta_id)".
						" ORDER BY fakulty.zkratka";
	$result_facs = pg_query($query);
	

	while ($row = pg_fetch_array($result_facs, NULL, PGSQL_BOTH)) {
		array_push($facs_id, $row['fakulta_id']);
		array_push($facs_nazev, $row[1]);
		array_push($facs_zkratka, $row['zkratka']);
	}
}

// zjisti odkazy extra pro jednotlive fakulty (pokud je to nastaveno)

$fakulty = new fakulty(fakulta::getFakulty($lang, true));
if ($ENABLE_TITLES_BY_FACS) {

	$fakulty_odkazy = fakulta_info::getFakulty($SOURCE, $id, $fakulty);
}

$files = soubor::getFilesFor($id, $SOURCE);

$objZdroj = zdroj::getZdroj($id);

$uzivatel = uzivatel::getShibAuth(true);

$source_available = $objZdroj->isAvailable($uzivatel, $fakulty);

if ($ENABLE_SNIPPETS) {
	$snippets = $objZdroj->getSnippets();
}

if ($SHOW_SUBRESOURCES) {
	$subresources = $objZdroj->getSubresources();
}

$aktivni_od = $objZdroj->jeAktivniOd();


$highlight_keys = array('primy_link', 'shib_link', 'ezproxy_link');
$highlight = array_fill_keys($highlight_keys, false);


if ($HIGHLIGHT_LINKS) {

	$fromInstitute = checkIP($_SERVER['REMOTE_ADDR']);
	$isLogged = ($uzivatel != null);

	if ($objZdroj->kategorie == eizObjekt::KAT_LICENCOVANY || 
		$objZdroj->kategorie == eizObjekt::KAT_FREE_TRIAL) {

		if ($fromInstitute) {
			$highlight = array_fill_keys($highlight_keys, true);		 
		}
		else {
			$highlight = array_fill_keys($highlight_keys, true);
			$highlight['primy_pristup'] = false;
		}
	}
	else {
		if ($objZdroj->kategorie == eizObjekt::KAT_FREE) {
			$highlight['primy_pristup'] = true;
		}
	}
}





//**************************************************************************
// navigacni bar
$nav_bar[0]=$txt_nav_koren;
$nav_ref[0]="$URL_PREFIX/?lang=$lang";
$nav_bar[1]=$txt_nav_ezdroje;
$nav_ref[1]="$URL_PREFIX/$RESOURCES_PAGE/?lang=$lang";



//defaultne je to dle abecedy
$nav_bar[2]=$txt_nav_abecedne;
$nav_ref[2]="abecedne.php?lang=$lang";

//jmeno zdroje (pozor u zanorenych oboru bude prepsano a posunuje se na 3. index
$nav_bar[3]=$zkratka;
$nav_ref[3]=$THIS_SCRIPT."?lang=$lang&id=$id";

$mparam="";
$list_query="SELECT zdroj_id, zkratka FROM zdroje".
							" WHERE $PUBLIC_SOURCE_COND ORDER BY ".getOrderBy($lang); 
							//defaultne tridime pouze dle abecedy

if (issetGET("links")) {
	$mparam="&links=1";
	$nav_bar[2]=$txt_nav_uzitecne_odkazy;
	$nav_ref[2]="odkazy.php?lang=$lang";

	$list_query="SELECT zdroj_id, zkratka FROM zdroje".
							" WHERE (zdroje.aktivni = 't') AND". 
										"	(zdroje.kategorie = '$KAT_USEFUL')".
							"	ORDER BY ".getOrderBy($lang);
}
														
if (issetGET("freetrials")) {
	$mparam="&freetrials=1";
	$nav_bar[2]=$txt_nav_freetrial;
	$nav_ref[2]="freetrials.php?lang=$lang";

	$list_query="SELECT zdroj_id, zkratka FROM zdroje".
							"	WHERE (aktivni='t') AND".
										"	(kategorie='$KAT_FREE_TRIAL') AND".
										"	(expirace >= CURRENT_DATE)".
							"	ORDER BY ".getOrderBy($lang);
}

if (issetGET("free")) {
	$mparam="&free=1";
	$nav_bar[2]='Free';
	$nav_ref[2]="free.php?lang=$lang";

	$list_query="SELECT zdroj_id, zkratka FROM zdroje".
							"	WHERE (aktivni='t') AND".
										"	(kategorie='$KAT_FREE')".
							"	ORDER BY ".getOrderBy($lang);
}


if (issetGET("shibboleth")) {
	$mparam="&shibboleth=1";
	$nav_bar[2]=$txt_nav_shibboleth;
	$nav_ref[2]="shibboleth.php?lang=$lang";
	$list_query=zdroj::getShibbolethNavQuery($lang);
}



if (issetGET("mu")) {
	$mparam="&mu=1";
	$nav_bar[2]=$txt_nav_fakulty;
	$nav_ref[2]="fakulty2.php?lang=$lang";

	$nav_bar[3]=$txt_uni_nazev;
	$nav_ref[3]="fakulty2.php?lang=$lang$mparam";

	$nav_bar[4]=$zkratka;
	$nav_ref[4]=$THIS_SCRIPT."?lang=$lang&id=$id$mparam";

	$list_query="SELECT zdroj_id, zkratka FROM zdroje".
							"	WHERE $PUBLIC_SOURCE_COND AND zarazeni = $SOURCE_MU".
							"	ORDER BY ".getOrderBy($lang);
}

//jdu-li z fakult (zobrazeni ve strome)
if (issetGET("fakulta")) {
	$nav_bar[2]=$txt_nav_fakulty;
	$nav_ref[2]="fakulty2.php?lang=$lang";
	
	$nav_fak_id = htmlspecialchars(getGET("fakulta"));
	$mparam="&fakulta=$nav_fak_id";
	$nav_bar[3]=$fakulty->nazvy[$nav_fak_id];
	$nav_ref[3]="fakulty2.php?lang=$lang$mparam";	
	$nav_bar[4]=$zkratka;
	$nav_ref[4]=$THIS_SCRIPT."?lang=$lang&id=$id$mparam";

}

// dotaz na navigaci pro fakulty
if (
		//issetGET("samfakulta") || 
		issetGET("fakulta")) {

	if ($UN_RESOURCES_IN_ALL_FACULTIES) {
		$cond_query = " FROM zdroje LEFT JOIN zdroj_fakulta".
			" ON (zdroj_fakulta.fakulta_id = '$nav_fak_id' AND".
			" zdroje.zdroj_id = zdroj_fakulta.zdroj_id)".
			" WHERE ((zdroj_fakulta.fakulta_id = '$nav_fak_id') OR".
			" (zdroje.zarazeni = $SOURCE_MU)) AND $PUBLIC_SOURCE_COND";
	}
	else {
		$cond_query = " FROM zdroje, zdroj_fakulta".
			" WHERE (zdroj_fakulta.fakulta_id = '$nav_fak_id') AND".
			" (zdroj_fakulta.zdroj_id = zdroje.zdroj_id) AND".
			" (zdroje.zarazeni <> $SOURCE_NOTIN) AND".
			" $PUBLIC_SOURCE_COND";
	}

	$list_query="SELECT zdroje.zdroj_id, zdroje.zkratka". 
							$cond_query.
							"	ORDER BY zdroje.".getOrderBy($lang);
}

$linkscript = "obor";
$linktop = "obory2";
$linkparam = "id";
$linksubparam = "id";


// multioborove zdroje
if (issetGET("multiob")) {
	$nav_bar[2]=$txt_nav_obor;
	$nav_ref[2]="$linktop.php?lang=$lang";
	$mparam="&multiob=1";
	$nav_bar[3]=$txt_nav_multioborove;
	$nav_ref[3]="$linkscript.php?lang=$lang$mparam";
	$nav_bar[4]=$zkratka;
	$nav_ref[4]=$THIS_SCRIPT."?lang=$lang&id=$id$mparam";

	$list_query="SELECT zdroj_id, zkratka FROM zdroje".
							"	WHERE $PUBLIC_SOURCE_COND AND (multioborovy = 't')".
							"	ORDER BY ".getOrderBy($lang);
}

// navigace dle typu
if (issetGET("typ")) {	
	$nav_bar[2]=$txt_nav_typy;
	$nav_ref[2]="typy2.php?lang=$lang";

	$nav_typ = htmlspecialchars(getGET("typ"));
	$mparam="&typ=$nav_typ";
	$nav_bar[3] = normType(getSourceType($nav_typ, $lang));
	$nav_ref[3]="typy2.php?lang=$lang$mparam";	
	$nav_bar[4]=$zkratka;
	$nav_ref[4]=$THIS_SCRIPT."?lang=$lang&id=$id$mparam";

	$list_query="SELECT zdroj_id, zkratka FROM zdroje".
							"	WHERE $PUBLIC_SOURCE_COND AND (typ = '$nav_typ')".
							"	ORDER BY ".getOrderBy($lang);
}


// navigace pro obory
if (issetGET("nezarazene")) {
	$mparam="&nezarazene=1";
	$nav_bar[2]=$txt_nav_obory;
	$nav_ref[2]="$linktop.php?lang=$lang";
	$nav_bar[3]=$txt_nav_nezarazene;
	$nav_ref[3]="$linkscript.php?lang=$lang$mparam";
	$nav_bar[4]=$zkratka;
	$nav_ref[4]=$THIS_SCRIPT."?lang=$lang&id=$id$mparam";
	
	$list_query = "SELECT zdroj_id, zkratka FROM zdroje".
								"	WHERE (multioborovy = 'f') AND $PUBLIC_SOURCE_COND AND".
								"	(zdroj_id NOT IN (SELECT DISTINCT(zdroj_id)".
										 " FROM zdroj_obor))".
								"	ORDER BY ".getOrderBy($lang);
}

/*
if (issetGET("samobor")) {
	$nav_obor_id = htmlspecialchars(getGET("samobor"));
	$nav_bar[2]=$nav_obor;
	$nav_ref[2]="obor.php?lang=$lang&id=$samobor";
	$mparam="&samobor=$nav_obor_id";
	$nav_bar[3]=$obory_vypsat[$nav_obor_id];
	$nav_ref[3]="obor.php?lang=$lang&id=$nav_obor_id";	
	$nav_bar[4]=$zkratka;
	$nav_ref[4]=$THIS_SCRIPT."?lang=$lang&id=$id$mparam";
}
 */

if (issetGET("obor")) {
	$nav_bar[2]=$txt_nav_obory;
	$nav_ref[2]="$linktop.php?lang=$lang"; 
	
	$nav_obor_id = htmlspecialchars(getGET("obor"));
	$mparam = "&obor=$nav_obor_id";

	if (array_key_exists($nav_obor_id, $obory_vypsat)) {
		$nav_obor_nazev = $obory_vypsat[$nav_obor_id];
	} 
	else {
		$query = "SELECT $obor_nazev FROM obory WHERE obor_id='$nav_obor_id'";
		$result_nazev=pg_query($query);
		db_one_row($result_nazev, $NO_USER, $_SERVER['PHP_SELF'], 
								"Obor $nav_obor_id id mismatch!", $lang);
		$row = pg_fetch_array($result_nazev, NULL, PGSQL_NUM);
		$nav_obor_nazev = $row[0];
	}
	
	$nav_bar[3]=$nav_obor_nazev;
	$nav_ref[3]="$linkscript.php?lang=$lang&$linkparam=$nav_obor_id";
	
	$nav_bar[4]=$zkratka;
	$nav_ref[4]=$THIS_SCRIPT."?lang=$lang&id=$id$mparam";

	if (issetGET("podobor")) {

		$nav_podobor_id = htmlspecialchars(getGET("podobor"));
		$mparam.="&podobor=$nav_podobor_id";
		$nav_bar[4]=$obory_vypsat[$nav_podobor_id];
		$nav_ref[4]="$linkscript.php?lang=$lang$linkparam=$nav_podobor_id";

		$nav_bar[5]=$zkratka;
		$nav_ref[5]=$THIS_SCRIPT."?lang=$lang&id=$id$mparam";
	}
}

//nastav dotaz pro navigaci v oborech
if (issetGET("obor")) {

	if (issetGET("podobor")) {
		$what_obor=$nav_podobor_id;
	}
	else {
		$what_obor=$nav_obor_id;
	}
	
	$list_query=	"SELECT zdroje.zdroj_id, zdroje.zkratka".
	              " FROM zdroje, zdroj_obor".
								"	WHERE (zdroj_obor.obor_id = '$what_obor') AND".
											"	(zdroj_obor.zdroj_id = zdroje.zdroj_id) AND".
											"	$PUBLIC_SOURCE_COND".
								"	ORDER BY zdroje.".getOrderBy($lang);
}


$heading_title = $ENABLE_DYNAMIC_TITLE ? "$txt_title_prefix $zkratka $txt_title_suffix" : $DEFAULT;

htmlHeading($lang, $RESOURCES_PAGE, $heading_title, $THIS_SCRIPT);

menuv2($lang, $THIS_SCRIPT, "&id=$id$mparam", $RESOURCES_PAGE, "");

myMain($lang, $RESOURCES_PAGE);

nav_bar($lang, $nav_bar, $nav_ref);


echo "<div class=\"obsah\">\n\n";

echo "<div class=\"zdroj_layout ";
if (! $source_available) echo " not-available-detail";
echo "\">\n";
echo "<h1>";
echo "<a href=\"$odkaz\">$zkratka</a>";

if ($aktivni_od) {
	echo "<div class=\"bude-aktivni\">$txt_bude_aktivni_od ".
		"<span class=\"podtrzeny\">".
		getFormatedDate($objZdroj->aktivni_od)."</span></div>\n";
}


if (! $source_available) {
	echo "<span class=\"hidden\" id=\"not_available\">$txt_shibboleth_zdroj_nedostupny</span>";
	echo "<div class=\"not_available\" onmouseover=\"TagToTip('not_available')\" onmouseout=\"UnTip()\">\n";
	echo "$txt_neni_dostupny</span>\n";
}
echo "</h1>\n";
echo "</div><!-- zdroj layout -->\n";

echo "<div class=\"zdroj_layout\">\n";

echo "<div class=\"informace_o\">\n";



echo "<div class=\"navigace\">\n";

echo "<span class=\"additional-info\" />";
$objZdroj->sfxSnippet($lang);
if ($ENABLE_SHIBBOLETH) $objZdroj->shibSnippet($lang);
echo "</span>";
navigace($lang, $THIS_SCRIPT, "", false, $id, $list_query, $mparam, "", $SOURCE);

//echo "<div class=\"additional-info\">\n";
//$objZdroj->sfxSnippet("cs");
//$objZdroj->shibSnippet("cs");
//echo "</div>\n";


echo "</div><!-- navigace -->\n";

if ($ENABLE_SNIPPETS) {
	foreach($snippets as $snippet) {
		include("snippets/".$snippet->getJmeno().'.php');
	}
}


echo "<table class=\"zdroj\">\n";

/*
echo "\t<tr class=\"polozka\">\n\t\t<td class=\"polozka_tag\">\n";
echo "<span class=\"additional-info\">";
$objZdroj->sfxSnippet($lang);
$objZdroj->shibSnippet($lang);
echo "</span>";
echo "\t\t</td>\n\t\t<td style=\"text-align: right\">\n";
navigace($lang, $THIS_SCRIPT, "", false, $id, $list_query, $mparam, "", $SOURCE);
echo "\t\t</td>\n\t</tr>\n";
 */
if ($info != NULL) 
	polozka($txt_strucne_info, $info); 


if (! $aktivni_od) { // odkazy pouze pokud je uz zdroj pristupny

	$link_text = $ENABLE_LINK_TEXTS ? $txt_primy_odkaz : getOdkaz($odkaz);

	if ($odkaz != "") {
		//Anopress hack!
		if ($id == 198 && $MY_FQDN == 'ezdroje.muni.cz') $onclick = "onclick=\"return confirm('Vstup do této databáze má následující omezení: \\n1) MU má stanoven měsíční limit na celkový počet stažených článků.\\n2) Není povoleno hromadné stahování výsledků.\\n3) Doporučujeme při vyhledávání důsledně odfiltrovávat nepotřebné zdroje, typicky regionální tisk apod.');\"";
		else $onclick="";


		$highlight_primy_class = '';
		if ($highlight['primy_pristup']) {
			$highlight_primy_class = 'zvyrazneny-odkaz';
			$highlight = array_fill_keys(array('shib_link', 'ezproxy_link'), false);
		}

		$toprint_hlavni_odkaz = "<a href=\"$odkaz\"".getOpenLink()." class=\"hlavni-odkaz $highlight_primy_class\" $onclick>".$link_text."</a>";
	}
	else {
		$toprint_hlavni_odkaz = '';
	}

	$toprint_shibb_odkaz = '';	
	if ($objZdroj->shib && $objZdroj->getShibOdkaz($lang) != '') {
		if ($uzivatel != null && $highlight['shib_link']) {
			$highlight_shib_class = 'class="zvyrazni-odkaz"';
			$highlight['ezproxy_link'] = false;
		}	
		else {
			$highlight_shib_class = '';
		}

		$toprint_shib_odkaz = "<a href=\"".$objZdroj->getShibOdkaz($lang)."\" $highlight_shib_class >$txt_vzdaleny_pristup_shib_text</a>";

	}

	if ($onelog != "") {
		if ($highlight['ezproxy_link']) {
			$highlight_ezproxy_class = 'zvyrazni-odkaz';
		}
		else {
			$highlight_ezproxy_class = '';
		}
		$toprint_hlavni_onelog = "<a href=\"$onelog\" class=\"$highlight_ezproxy_class\" ".getOpenLink().">".$txt_ezproxy_odkaz."</a>";
	}
	else {
		$toprint_hlavni_onelog = '';
	}



	$toprint_odkaz = "";
	$toprint_onelog = "";
	$toprint_shib = "";

	if ($ENABLE_TITLES_BY_FACS && count($fakulty_odkazy) > 0) {
		foreach($fakulty_odkazy as $fakulta_odkaz) {

			if ($uzivatel != null) {
				if (in_array($fakulta_odkaz->id, $uzivatel->getRawFacultiesIDs())) {
					$disable = '';
				}
				else {
					$disable = 'style="color: grey"';
					$highlight_primy_fakulta_class = '';
					$highlight_ezproxy_fakulta_class = '';
					$highlight_shib_fakulta_class = '';
				}
			}
			else {
				$disable = '';
				$highlight_primy_fakulta_class = $highlight_primy_class;
				$highlight_ezproxy_fakulta_class = $highlight_ezproxy_class;
				$highlight_shib_fakulta_class = $highlight_shib_class;
			}

			$tmp_odkaz = $fakulta_odkaz->getOdkaz($lang);

			if ($tmp_odkaz != '') {
				$toprint_odkaz .= "<a href=\"$tmp_odkaz\" ". 
					"class=\"$highlight_primy_class\" $disable>".
					$fakulty->getZkratka($fakulta_odkaz->fid)."</a>, ";
			}

			$tmp_odkaz = $fakulta_odkaz->getOneLog($lang);

			if ($tmp_odkaz != '') {
				$toprint_onelog .= "<a href=\"$tmp_odkaz\" class=\"$highlight_ezproxy_fakulta_class\" $disable>".
					$fakulty->getZkratka($fakulta_odkaz->fid)."</a>, ";
			}
			
			$tmp_odkaz = $fakulta_odkaz->getShib($lang);

			if ($tmp_odkaz != '') {
				$toprint_shib .= "<a href=\"$tmp_odkaz\" class=\"$highlight_shib_fakulta_class\" $disable>".
					$fakulty->getZkratka($fakulta_odkaz->fid)."</a>, ";
			}

		}

		$toprint_odkaz = normalizeList($toprint_odkaz);
		$toprint_onelog = normalizeList($toprint_onelog);
		$toprint_shib = normalizeList($toprint_shib);
	}


	if ($toprint_hlavni_odkaz != '' && $toprint_odkaz != '') 
		$toprint_final_odkaz = $toprint_hlavni_odkaz.', '.$toprint_odkaz;
	else
		$toprint_final_odkaz = $toprint_hlavni_odkaz.$toprint_odkaz;

	if ($toprint_final_odkaz != '') {
		polozka($txt_url, $toprint_final_odkaz);
	}


	if ($toprint_hlavni_onelog != '' && $toprint_onelog != '') 
		$toprint_final_onelog = $toprint_hlavni_onelog.', '.$toprint_onelog;
	else
		$toprint_final_onelog = $toprint_hlavni_onelog.$toprint_onelog;

	$disable_ezproxy = $ENABLE_SHIBBOLETH && 
		$SHIB_DISABLE_EZPROXY_LINK &&
		$objZdroj->shib &&
		(! $SHOW_EZPROXY_FOR_FACULTY_ONLY_RESOURCES && ! $objZdroj->isMU());

	if ($toprint_final_onelog != '' && ! $disable_ezproxy 
		&& $ENABLE_ONELOG_LINK) {
		polozka($txt_vzdaleny_pristup, $toprint_final_onelog);
	}

	if ($ENABLE_SHIBBOLETH && $objZdroj->shib && 
		$ENABLE_TITLES_BY_FACS_SHIB_LINKS) {
		if ($toprint_shib_odkaz != '' && $toprint_shib != '') {
			$toprint_shib_odkaz = $toprint_shib_odkaz.', '.$toprint_shib;
		}
		else {
			$toprint_shib_odkaz = $toprint_shib_odkaz.$toprint_shib;
		}
	}

	if ($toprint_shib_odkaz != '' && $ENABLE_SHIBBOLETH) { 
		polozka($txt_vzdaleny_pristup_shib, $toprint_shib_odkaz);
	}

}

if ($producent != NULL && $producent != "") {
	if ($prod_odkaz != "") {
		polozka($txt_producent, "<a href=\"$prod_odkaz\">$producent</a>");
	}
	else {
		polozka($txt_producent, "$producent");
	}
}
if ($aktivni_od) {	
	polozka($txt_aktivni_od, "<span class=\"tluste_green\">".
		getFormatedDate($objZdroj->aktivni_od)."</span>");
}

polozka($txt_dostupny_do, $platnost);
polozka($txt_kategorie, $kategorie);

if ($zarazeni == $SOURCE_MU || $zarazeni == $SOURCE_MU_FACS) {

	$fakulty = "";
	if ($zarazeni == $SOURCE_MU) { 
		$fakulty .= "<a href=\"fakulta.php?lang=$lang&mu=1\">$txt_uni_nazev2p</a>, ";
	}
		
	foreach($facs_id as $klic => $fac) {
		if (! issetGET("links")) {
			$fakulta_ref = "<a href=\"fakulta.php?lang=$lang&id=$fac\">";
			$fakulta_ref_end = "</a>, ";
		}
		else {
			$fakulta_ref = "";
			$fakulta_ref_end = ", ";
		}
		$fakulty = 	$fakulty . $fakulta_ref . $facs_zkratka[$klic] . 
								$fakulta_ref_end;
	}
	
	$fakulty = normalizeList($fakulty);
	polozka($txt_dostupnost, 
					"<span class=\"item_domains_faculties\">$fakulty</span>\n");
}



// obory
if ($multioborovy) {
	polozka($txt_obory, $txt_multioborovy_zdroj);
}
else {
	if (count($obory_vypsat) > 0) {
		
		$obory = "";
		foreach ($obory_vypsat as $klic => $obor) {
			if (! issetGET("links")) {
				$obor_ref = "<a href=\"obor.php?lang=$lang&id=$klic\">";
				$obor_ref_end = "</a>, ";
			}
			else {
				$obor_ref = "";
				$obor_ref_end = ", ";
			}
			$obory = $obory . $obor_ref . $obor . $obor_ref_end;
		}
		$obory =  normalizeList($obory);
		polozka($txt_obory, "<span class=\"item_domains_faculties\">$obory".
						"</span>\n");
	}
}

if (($az_link = $objZdroj->getAZLink($lang)) != '') {
	$az_link_text = $ENABLE_AZ_LINK_TEXT ? $txt_az_link_text_odkazu : $az_link;
	polozka($txt_az_link, "<a href=\"$az_link\" target=\"_blank\">$az_link_text</a>");
}


if ($SHOW_SUBRESOURCES && count($subresources) > 0) {
	$subresourcesList = "";
	foreach($subresources as $subresource) {
		$subresourcesList .= 
			"<a href=\"$URL_PREFIX/$RESOURCES_PAGE/zdroj.php?lang=${lang}&id=".
			$subresource->id ."\" target=\"_blank\">". $subresource->getNazev($lang) ."</a>, ";
	}

	polozka($txt_podzdroje, normalizeList($subresourcesList));
}


// vypiseme podrobne info, pokud je nejake
if ($info_pod != "") {
	echo "\t<tr>\n\t\t<td colspan=\"2\" class=\"zdroj_podrobne\">\n";

	echo "\t\t\t<div class=\"label\">$txt_podrobne_info</div>\n";
	echo "\t\t\t<div class=\"zdroj_podrobne\">\n";
	echo $info_pod;
	echo "\t\t\t</div><!-- zdroj_podrobne -->\n";

	echo "\t\t</td>\n\t</tr>\n";
}

// oddel carou informace
echo "\t<tr>\n\t\t<td colspan=\"2\">\n";
echo "\t\t\t<hr class=\"zdroje\" />";
echo "\n\t\t</td>\n\t</tr>\n";


if ($typ != "") polozka($txt_typ, $typ);

if ($jazyk != "nn") {	
	if ($jazyk == "--")
		polozka($txt_jazyk, $txt_neznamy_jazyk);
	else { 
		if ($languages[$jazyk]) polozka($txt_jazyk, $languages[$jazyk]); 
		else polozka($txt_jazyk, $jazyk);
	}
}


//polozka($txt_modifikace, $modifikace);


if ($spravce != NULL) {
	if ($spravce_odkaz != '')
		polozka($txt_kontaktni_osoba, "<a href=\"$spravce_odkaz\">$spravce</a>");
	else 
		polozka($txt_kontaktni_osoba, $spravce);
}

if (count($files) > 0) {

	polozka($txt_files, '');

	foreach($files as $file) {

		if ($file->verejny) {

			$ikona = "<a href=\"$MY_URL/otevri_soubor.php?id=$file->id\"><img src=\"images/soubor.gif\" alt=\"Soubor\" /></a>&nbsp;";
			polozka("$ikona<a href=\"$MY_URL/otevri_soubor.php?id=$file->id\">$file->jmeno</a>", 
				$lang == "en" ? $file->popis_en : $file->popis);

		}
	}
}

echo "</table><!-- zdroj -->\n";





if (! isset($_SERVER["HTTPS"])) {

?>

<?php include_once(getI18Nhtml($lang, $THIS_SCRIPT)) ?>

<?php
}

echo "</div><!-- informace o -->\n";

echo "</div><!-- zdroj layout -->\n";

echo "</div><!-- obsah -->\n";

myMainEnd();

if ($lang == "cs") setlocale(LC_TIME, $MY_LOCALES1, $MY_LOCALES2, $MY_LOCALES3);
footerv2(filectime($THIS_SCRIPT), $lang);

htmlEnd();

unsetLogging($DISPLAY_ERRORS, $om);

?>
