<?php

require_once("eizlibs/logging.php");
$om = setLogging($DISPLAY_ERRORS);

require_once("eizlibs/db_connect.php");
require_once("eizlibs/layout.php");
require_once("eizlibs/functions.php");
require_once("eizlibs/uzivatel_class.php");

connect_db();

$lang=GETlang();
$THIS_SCRIPT = trimSELF($_SERVER['PHP_SELF']);
include_once(getI18Ndefault($lang, $THIS_SCRIPT));
include_once(getI18N($lang, $THIS_SCRIPT));
include_once(getI18Nnavigationv2($lang));

$uzivatel = uzivatel::getShibAuth(true);

//navigace
$nav_bar[0]=$txt_nav_koren;
$nav_ref[0]=$URL_PREFIX."/?lang=$lang";

htmlHeading($lang, $PORTAL_PAGE, $DEFAULT, $THIS_SCRIPT);

menuv2($lang, $THIS_SCRIPT, "", $PORTAL_PAGE, "");

myMain($lang, $EIZ_PAGE);

nav_bar($lang, $nav_bar, $nav_ref);

echo "<h1>$txt_nadpis</h1>\n";

if (! $ENABLE_SHIBBOLETH_AUTH) {
	echo "<i>$txt_shib_not_enabled</i>";
}
else {

if ($uzivatel != null) { 

	echo "<p>\n";
	echo "<b>$txt_eppn:</b> ". $uzivatel->display_eppn . "<br/>\n";
	echo "<b>$txt_jmeno:</b> ". $uzivatel->display_full_name . "<br/>\n";
	echo "<b>$txt_email:</b> ". $uzivatel->display_email . "<br/>\n";
	
	$facs = $uzivatel->getFaculties();
	echo "<b>$txt_fakulty:</b> ";
	$toprint = '';
	foreach($facs as $fac) { 
		$toprint .= $fac->zkratka .", "; 
	}
	
	echo substr($toprint, 0, strlen($toprint)-2);
	echo "</br>\n";
	echo "</p>\n";

	echo "<p><a href=\"".$uzivatel->getLogoutURL($MY_URL)."\">$txt_logout</a></p>";
//	echo $uzivatel->printDebugInfo();
}
else {
	echo "<a href=\"".uzivatel::getLoginURL("$MY_SURL/$SHIBBOLETH_PAGE/?lang=$lang")."\">$txt_login</a>";
}

}

echo "\n</div><!-- obsah -->\n\n";

myMainEnd();

if ($lang == "cs") setlocale(LC_TIME, $MY_LOCALES1, $MY_LOCALES2, $MY_LOCALES3);
footer(filectime($THIS_SCRIPT), $lang);

htmlEnd();

unsetLogging($DISPLAY_ERRORS, $om);
?>
