<?php

require_once("eizlibs/db_connect.php");
require_once("options_class.php");

$VERSION='0.1';

$singleoptions = array(
	'help' => option::newopt('h', 'help', 'vypise tuto napovedu'),
	'verbose' => option::newopt('v', 'verbose', 'podrobnejsi vypis (vcetne SQL prikazu)'),
	'justshow' => option::newopt('j', 'just-show',	
		'pouze simuluje (vypise) provadene operace'),
	'version' => option::newopt('V', 'version', 'vypise verzi skriptu'),
	'oldid' => option::newopt('o:', 'oldid:', 'stare id (bude nahrazeno novym)', 
		'<id_k_nahrazeni>'),
	'newid' => option::newopt('n:', 'newid:', 'nove id, ktere nahradi puvodni', 
		'<nove_id>')
);

$myoptions = options::getOptions($singleoptions);

if ($argc == 1 || $myoptions->isOpt($singleoptions['help'])) {
	echo "change_id.php (Portal EIZ)\n";
	echo "Version: 0.1\n";
	echo "Nahradi id spravce (uzivatele) novym id. Ma vliv na vsechny prislusne tabulky:\n".
		"(spravci, zdroje, casopisy, aktuality, knihy, soubory, rss).\n";
	echo "Pouziti: php change_id.php [-hvj] -o <id_k_nahrazeni> -n <nove_id>\n";
	echo "Volby:\n";

	$myoptions->optionsHelp();

	exit(0);
}

if ($myoptions->isOpt($singleoptions['version'])) {
	echo "change_id.php, verze $VERSION\n";
	exit(0);
}

if (! ($oldid = $myoptions->isOpt($singleoptions['oldid']))) {
	fwrite(STDERR, "Musite vlozit jake id ma byt nahrazeno.\n");
	exit(1);
}

if (! ($newid = $myoptions->isOpt($singleoptions['newid']))) {
	fwrite(STDERR, "Musite vlozit nove id.\n");
	exit(1);
}

$verbose = $myoptions->isOpt($singleoptions['verbose']);
$justshow = $myoptions->isOpt($singleoptions['justshow']);


connect_db();

$oldid = pg_escape_string($oldid);
$newid = pg_escape_string($newid);

// nejdriv zmenime tabulku spravci
$query = "SELECT pid, prijmeni FROM spravci WHERE pid = '$oldid'";
$result = pg_query($query);
if (! $result) die(pg_last_error());

if (pg_num_rows($result) == 1) {
	$row = pg_fetch_array($result, NULL, PGSQL_ASSOC);
	if ($verbose) echo "Bude zmeneno ID pro spravce ".$row['pid']." (".$row['prijmeni'].").\n";
	
	$query = "UPDATE spravci SET pid = '$newid' WHERE pid = '$oldid'";
	if ($justshow) echo "$query\n";
	else {
		if ($verbose) echo "$query\n";

		$result = pg_query($query);

		if (! $result) die(pg_last_error());
		else echo "ID bylo zmeneno - nove ID je '$newid'.\n";
	}
}
else {
	die("Nebyl nalezen spravce s ID = '$oldid'.\n");
}

?>
