<?php

require_once("../eizlibs/db_connect.php");
require_once("../eizlibs/functions.php");
require_once("../eizlibs/rights.php");

connect_db();

$mypid=60111;

/* ************* nejdrive udelame zamky ************ */
/* ************* zamky starsi 24 hodin odstranime ********** */

$cdate = getDate();
$logdate = $cdate['year']."-".$cdate['mon']."-".$cdate['mday'];

$query = "SELECT zamek, zamek_cas, zdroj_id".
					" FROM zdroje WHERE zamek IS NOT NULL";
$result = pg_query($query);
if (! $result) die("ERROR read zamky(zdroje) - ".pg_last_error());

if (pg_num_rows($result) > 0) {

	while ($row = pg_fetch_array($result, NULL, PGSQL_ASSOC)) {


		$c = $row['zamek_cas'];
		$locked_time = mktime(getHour($c), getMinute($c), getSecond($c), 
													getMonth($c), getDay($c), getYear($c));
		$local_time = explode(" ", microtime());

		if (($local_time[1] - $locked_time) > 86400) {
			$id = $row['zdroj_id'];
			$zamcel = $row['zamek'];
			force_unlock($mypid, $id, $SOURCE, "check_expir.php", true);
			echo "$logdate Unlocking source $id ($c, locked by $zamcel).\n";
		}
	}
}

$query = "SELECT zamek, zamek_cas, casopis_id".
					" FROM casopisy WHERE zamek IS NOT NULL";
$result = pg_query($query);
if (! $result) die("ERROR read zamky(casopisy) - ".pg_last_error());

if (pg_num_rows($result) > 0) {

	while ($row = pg_fetch_array($result, NULL, PGSQL_ASSOC)) {


		$c = $row['zamek_cas'];
		$locked_time = mktime(getHour($c), getMinute($c), getSecond($c), 
													getMonth($c), getDay($c), getYear($c));
		$local_time = explode(" ", microtime());

		if (($local_time[1] - $locked_time) > 86400) {
			$id = $row['casopis_id'];
			$zamcel = $row['zamek'];
			force_unlock($mypid, $id, $MAGAZINE, "check_expir.php", true);
			echo "$logdate Unlocking magazine $id ($c, locked by $zamcel).\n";
		}
	}
}


$hlavicka = "From: $NOREPLY_MAIL\r\n".
						"Reply-To: $NOREPLY_MAIL\r\n".
						"MIME-Version: 1.0\r\n".
						"Content-Type: text/plain; charset=utf-8\r\n".
						"Content-Disposition: inline\r\n".
						"Content-Transfer-Encoding: 8bit\r\n";

$cdate = getDate();
$logdate = $cdate['year']."-".$cdate['mon']."-".$cdate['mday'];
$cdate = $cdate['mday'].".".$cdate['mon'].".".$cdate['year'];

$subject = "=?UTF-8?B?".base64_encode("Zpráva Portálu EIZ - expirované zdroje")."?=";

$uvod = 
"Toto je automaticky generovaná zpráva Portálu EIZ. Neodpovídejte na ni prosím."
."\nPro získání dalších informací můžete kontaktovat správce na adrese\n$ADMIN_MAIL.\n\n".
"Následujícím zdrojům a časopisům, které spravujete, vypršela platnost:\n";

$query = "SELECT zdroj_id, zkratka, expirace, odpovedny_spravce FROM zdroje
				WHERE expirace < CURRENT_DATE AND kontrola_expirace='f' AND aktivni='t'";

$result = pg_query($query);

if (! $result) die("ERROR read - ".pg_last_error());

$expirovane = array();

while($row = pg_fetch_array($result, NULL, PGSQL_ASSOC)) 
{
	$name = $row['zkratka'];
	$id = $row['zdroj_id'];
	$pid = $row['odpovedny_spravce'];
	$expirace = getDay($row['expirace']).".".getMonth($row['expirace']).".".getYear($row['expirace']);
	$expirovane[$pid] .= "$name ($MY_SURL/$AUTH_DIR/zdroj.php?id=$id)\n";

	$query = "UPDATE zdroje SET kontrola_expirace='t' WHERE zdroj_id=$id";
	$result_up = pg_query($query);
	if (! $result_up) die("ERROR update - ".pg_last_error());
}

/* expirace u casopisu */
$query = "SELECT casopis_id, titul, expirace, odpovedny_spravce FROM casopisy
					WHERE expirace < CURRENT_DATE AND 
					kontrola_expirace='f' AND aktivni='t'";

$result = pg_query($query);

if (! $result) die("ERROR read - ".pg_last_error());

while($row = pg_fetch_array($result, NULL, PGSQL_ASSOC))
{
	$name = $row['titul'];
	$id = $row['casopis_id'];
	$pid = $row['odpovedny_spravce'];
	$expirace = getDay($row['expirace']).".".getMonth($row['expirace']).".".getYear($row['expirace']);
	$expirovane[$pid] .= "$name ($MY_SURL/$AUTH_DIR/casopis.php?id=$id)\n";

	$query = "UPDATE casopisy SET kontrola_expirace='t' WHERE casopis_id=$id";
	$result_up = pg_query($query);
	if (! $result_up) die("ERROR update - ".pg_last_error());
}


foreach($expirovane as $pid => $message) {

	$query = "SELECT email FROM spravci WHERE pid='$pid'";
	
	$result = pg_query($query);
	if (! $result) die("ERROR read - ".pg_last_error());

	$row = pg_fetch_array($result, NULL, PGSQL_ASSOC);
	$email = $row['email'];

	echo $hlavicka;
	echo "To: $email\r\n";
	echo "\r\n";
//	echo $uvod;
	echo "\n";
	echo $message;
	echo "\n";

	$send = mail($email, $subject, $uvod.$message, $hlavicka, $ADD_EMAIL_PARAMS);
	if (! $send) { echo "$logdate ERROR sending mail\n"; break; }
	else { echo "$logdate SENT - mail was sent to $email\n"; }
	$send = mail("krejcir@ics.muni.cz", $subject, $uvod.$message, $hlavicka, 
	$ADD_EMAIL_PARAMS);

}


/* nyni zpracujeme zmeny v casopisech a poslu si email s upozornenim */
$query = "SELECT casopis_id, titul, odpovedny_spravce, modifikace".
					" FROM casopisy ORDER BY odpovedny_spravce, titul";
$result = pg_query($query);
if (! $result) die("ERROR read casopisy - ".pg_last_error());

$zmenene = "";

while ($row = pg_fetch_array($result, NULL, PGSQL_ASSOC)) {

		$c = $row['modifikace'];
		$modified_time = mktime(getHour($c), getMinute($c), getSecond($c), 
													getMonth($c), getDay($c), getYear($c));
		$local_time = explode(" ", microtime());

		// pokud doslo k modifikaci v poslednich 24 hodinach
		if (($local_time[1] - $modified_time) < 86400) {
			$id = $row['casopis_id'];
			$titul = $row['titul'];
			$spravce = $row['odpovedny_spravce'];

			$zmenene .= "$id ($titul) [$spravce] - $c\n"; 
		}
}

if ($zmenene != "") {
	echo $hlavicka;
	echo "To: krejcir@ics.muni.cz\r\n";
	echo "\r\n";
//	echo $uvod;
	echo "\n";
	echo $zmenene;
	echo "\n";

	$send = mail("krejcir@ics.muni.cz", "Zmeny v casopisech - $logdate", 
		$zmenene, $hlavicka, $ADD_EMAIL_PARAMS);
	if (! $send) { echo "$logdate ERROR sending mail\n"; break; }
	else { echo "$logdate SENT - mail was sent to admin\n"; }
}



echo "$logdate CHECKED - all resources, magazines and locks were checked\n";



// update EZproxy links
$ezproxyurl = 'http://ezproxy.muni.cz/login?url=';

$tostoreid = array();
$tostoreurl = array();

$query = "SELECT zdroj_id, odkaz FROM zdroje";

$result = pg_query($query);

while ($row = pg_fetch_array($result, NULL, PGSQL_ASSOC)) {

	array_push($tostoreid, $row['zdroj_id']);

	array_push($tostoreurl, $ezproxyurl.trim($row['odkaz']));

}

foreach($tostoreid as $klic => $id) {

	$odkaz = $tostoreurl[$klic];

	$query = "UPDATE zdroje SET odkaz_onelog_cz = '$odkaz' WHERE zdroj_id = '$id'";

	//echo "$query\n";

	pg_query($query);
}

echo "$logdate UPDATED - EZproxy links updated\n";

?>
