<?php

require_once("../eizlibs/db_connect.php");
require_once("../eizlibs/functions.php");

$DATE_STRING = 'Y-m-d'; 

$doc = new DOMDocument();

$doc->load("../ezdroje/ips.xml");

$root = $doc->documentElement; 

$xpath = new DOMXPath($doc);

function inIP($ips, $ip) {
	
	foreach($ips as $ar_ip) {
		if (trim($ip) == $ar_ip) return true;
	}	

	return false;
}

function inRealNames($realnames, $realname, $domName) {

	if (stripos($domName, $realname) === false) {
		foreach($realnames as $name) {
			if (trim($name) == trim($realname)) return true;
		}
		return false;
	}

	return true;
}

function inAliases($aliases, $alias) {
	foreach($aliases as $la) {
		if (trim($la) == trim($alias)) return true;
	}
	return false;
}

function getIPs($domName, &$ips, &$realnames, &$aliases, &$realchange, 
	&$aliaschange) {

	$changed = false;
	//echo "host $domName\n";
	exec("host $domName", $addrs);

	foreach($addrs as $addr) {

		if (ereg('has address', $addr) > 0) { 
			$ip = eregi_replace("^[^ ]* has address ", '', $addr);

			if (! inIP($ips, $ip)) { array_push($ips, trim($ip)); $changed = true; }	

			$realname = eregi_replace(" has address.*$", '', $addr);

			if (! inRealnames($realnames, $realname, $domName)) {
				array_push($realnames, $realname);
				$realchange = true;
			}

		}
	}

	foreach($addrs as $addr) {
		if (ereg('is an alias for', $addr) > 0) {
			
			$alias = eregi_replace("^[^ ]* is an alias for ", '', $addr);
			$alias = substr($alias, 0, strlen($alias)-1);

			//echo "alias '$alias' - '$domName'\n";
			//foreach ($realnames as $realname) echo "\t '$realname'";
			if (! inRealNames($realnames, $alias, $domName) 
				&& ! inAliases($aliases, $alias)) {
					array_push($aliases, $alias);
					$aliaschange = true;
				}
		}
	}


	return $changed;	
}


function getDomName($url) {
	$domName = eregi_replace('http.?://([^/]*).*', '\\1', $url);
	return eregi_replace(':[0-9]*', '', $domName);
}


function storeIPs($doc, $zdrojNode, $ips, $realnames, $aliases) {

	// vymaz stare uzly, jsou-li tam
	$childs = $zdrojNode->childNodes;

	$toremove = array();

	for ($i = 0; $i<$childs->length; $i++) {
		$node = $childs->item($i);
		$nodeName = $childs->item($i)->nodeName;

		if ($nodeName == 'IPs' 
			|| $nodeName == 'realnames' 
			|| $nodeName == 'aliases') array_push($toremove, $node);
	}

	foreach($toremove as $item) {	
		$zdrojNode->removeChild($item);
	}

	$elem = $doc->createElement('IPs');
	
	foreach($ips as $ip) {
		$tmpElem = $doc->createElement('ip', trim($ip));
		$elem->appendChild($tmpElem);
	}

	$zdrojNode->appendChild($elem);

	
	$elem = $doc->createElement('realnames');
	
	foreach($realnames as $realname) {
		$tmpElem = $doc->createElement('realname', trim($realname));
		$elem->appendChild($tmpElem);
	}

	$zdrojNode->appendChild($elem);

	$elem = $doc->createElement('aliases');
	
	foreach($aliases as $alias) {
		$tmpElem = $doc->createElement('alias', trim($alias));
		$elem->appendChild($tmpElem);
	}

	$zdrojNode->appendChild($elem);

}

function setDates($doc, $dateElem, $nameDate, $urlDate, $ipsDate, $realDate, 
 $aliasDate) {
	
	$childs = $dateElem->childNodes;

	if ($nameDate != null) $childs->item(0)->nodeValue = $nameDate;
	if ($urlDate != null) $childs->item(1)->nodeValue = $urlDate;
	if ($ipsDate != null) $childs->item(2)->nodeValue = $ipsDate;
	if ($realDate != null) $childs->item(3)->nodeValue = $realDate;
	if ($aliasDate != null) $childs->item(4)->nodeValue = $aliasDate;

}

connect_db();

$what_query="zkratka,info_strucne,info_strucne_en,info_podrobne,info_podrobne_en,odkaz,modifikace,expirace,producent_nazev,producent_odkaz,odpovedny_spravce,kontaktni_osoba,zarazeni,jazyk,typ,aktivni,multioborovy,kategorie";

$query = "SELECT zdroj_id, $what_query".
	  " FROM zdroje WHERE $PUBLIC_SOURCE_COND ORDER BY zkratka";

$result = pg_query($query);

$list_of_ids = array();

while ($row = pg_fetch_array($result, NULL, PGSQL_ASSOC)) {

	$id = $row['zdroj_id'];

	$list_of_ids[] = $id;

	$vyraz = "/esources_IPs/esource[@source_id='$id']";
	$list = $xpath->evaluate($vyraz);

	//echo "DEBUG: --------------------------\n";
	//echo "DEBUG: id=$id\n";

	$domName = getDomName($row['odkaz']);

	if ($list->length == 0) {

		$zdrojElem = $doc->createElement("esource");
		$zdrojElem->setAttribute("source_id", $row['zdroj_id']);

		$xmlElem = $doc->createElement('name', trim(htmlEscape($row['zkratka'])));
		$zdrojElem->appendChild($xmlElem);

		if ($row['producent_nazev'] != '') {
			$xmlElem = $doc->createElement('producer',  
				trim(htmlEscape($row['producent_nazev']))); 
			$zdrojElem->appendChild($xmlElem);
		}

		$xmlElem = $doc->createElement('url', trim(htmlEscape($row['odkaz'])));
		$zdrojElem->appendChild($xmlElem);


		$xmlElem = $doc->createElement('domain_name', trim(htmlEscape($domName)));
		$zdrojElem->appendChild($xmlElem);

		
		$xmlElem = $doc->createElement('dates');
		$zdrojElem->appendChild($xmlElem);

		$xmlElem->appendChild($doc->createElement('date_name'));
		$xmlElem->appendChild($doc->createElement('date_url'));
		$xmlElem->appendChild($doc->createElement('date_ips'));
		$xmlElem->appendChild($doc->createElement('date_realnames'));
		$xmlElem->appendChild($doc->createElement('date_aliases'));


		$addrs = array();
		$realnames = array();
		$aliases = array();

		getIPs($domName, $addrs, $realnames, $aliases, $k, $l);

		setDates($doc, $xmlElem, date($DATE_STRING), date($DATE_STRING), date($DATE_STRING), date($DATE_STRING), date($DATE_STRING));
		
		storeIPs($doc, $zdrojElem, $addrs, $realnames, $aliases);

		$root->appendChild($zdrojElem);
	}
	// nalezneme zdroj, tak jej zpracuj
	else {
		// nejdriv vytahni udaje z XMLka
		$zdrojElem = $list->item(0);

		$childs = $zdrojElem->childNodes;

		for($i=0; $i<$childs->length; $i++) {

			if ($childs->item($i)->nodeName == 'name') {
				$nameNode = $childs->item($i);
				$name = $childs->item($i)->nodeValue;
			}
			else {
				if ($childs->item($i)->nodeName == 'url') {
					$urlNode = $childs->item($i);
					$url = $childs->item($i)->nodeValue;
				}
				else {
					if ($childs->item($i)->nodeName == 'realnames') {
						$realnamesNode = $childs->item($i);
					}
					else {
						if ($childs->item($i)->nodeName == 'IPs') {
							$ipsNode = $childs->item($i);
						}
						else {
							if ($childs->item($i)->nodeName == 'aliases') {
								$aliasesNode = $childs->item($i);
							}
							else {
								if ($childs->item($i)->nodeName == 'dates') {
									$datesNode = $childs->item($i);
								}
								else {
									if ($childs->item($i)->nodeName == 'domain_name') {
										$domainNode = $childs->item($i);
									}
									else {
										if ($childs->item($i)->nodeName == 'producer') {
											$producerNode = $childs->item($i);
										}
									}
								}
							}
						}
					}
				}
			}
		}

		// over zmeny v URL a nazvu 

		$nazev = $row['zkratka'];
		$odkaz = $row['odkaz'];
		$chname = false;
		$churl = false;

		//echo "DEBUG: name=$name | nazev=$nazev\n"; 
		//echo "DEBUG: url=$url | odkaz=$odkaz\n";


		if ($nazev != $name) {
			$nameNode->nodeValue =  trim(htmlEscape($nazev));
			$chname = true;
		}

		if ($odkaz != $url) {
			$urlNode->nodeValue = trim(htmlEscape($odkaz));
			$churl = true;
		}

		$realnames = array();
		$ips = array();
		$aliases = array();

		// nezmenil-li se odkaz, pak budeme jen doplnovat
		if (! $churl) {
			$nodeChilds = $realnamesNode->childNodes;
			for ($i=0; $i<$nodeChilds->length; $i++) {
				array_push($realnames, $nodeChilds->item($i)->nodeValue);
			}

			$nodeChilds = $ipsNode->childNodes;
			for ($i=0; $i<$nodeChilds->length; $i++) {
				array_push($ips, $nodeChilds->item($i)->nodeValue);
			}

			$nodeChilds = $aliasesNode->childNodes;
			for ($i=0; $i<$nodeChilds->length; $i++) {
				array_push($aliases, $nodeChilds->item($i)->nodeValue);
			}
		}

		// opravime domenova jmena	
		$domainNode->nodeValue = $domName;
#		echo "DEBUG: $domName + ". htmlEscape($row['producent_nazev']). "\n";
		$producerNode->nodeValue = htmlEscape($row['producent_nazev']);


		$chreal = false;
		$chalias = false;
		$changed = getIPs($domName, $ips, $realnames, $aliases, $chreal, $chalias);
		
		setDates($doc, $datesNode, 
			$chname ? date($DATE_STRING) : null, 
			$churl ? date($DATE_STRING) : null, 
			$changed ? date($DATE_STRING) : null,
			$chreal ? date($DATE_STRING) : null,
			$chalias ? date($DATE_STRING) : null);

		storeIPs($doc, $zdrojElem, $ips, $realnames, $aliases, $churl);

	}


}

$list = $xpath->query('/esources_IPs/esource');

foreach($list as $source) {

	$xmlid = $source->getAttribute('source_id');

	if (! array_search($xmlid, $list_of_ids)) {
		//echo "DEBUG: remove $xmlid\n";
		$root->removeChild($source);
	}
}


$doc->save("../ezdroje/ips.xml");
//$doc->save("/home/krejcir/ips.xml");
echo date($DATE_STRING). " getIPs: Resources processed OK.\n";

?>
