<?php

pg_connect("dbname='kic' user='postgres' password='psvvipa1'")     
or die("Couldn't connect to PostgreSQL database: ".pg_last_error());

// rozsireni databaze o podporu casopisu

$query = "CREATE TABLE casopisy(
  casopis_id SERIAL PRIMARY KEY,
  titul VARCHAR,
  nakladatel VARCHAR,
  e_issn VARCHAR,
  p_issn VARCHAR,
  klicova_slova TEXT,
  odkazy TEXT,
  typ INTEGER,
  typ_platby INTEGER,
  pristup INTEGER,
  recenze BOOLEAN NOT NULL DEFAULT 'f',
  prrv_issue INTEGER,
  prrv_volume INTEGER,
  prrv_year INTEGER,
  porv_issue INTEGER,
  porv_volume INTEGER,
  porv_year INTEGER,
  pohybliva_dostupnost INTEGER, 
  dostupne BOOLEAN NOT NULL DEFAULT 't',
  frekvence VARCHAR,
	komentar TEXT,	
	aktivni BOOLEAN NOT NULL DEFAULT 't',
	smazat BOOLEAN NOT NULL DEFAULT 'f',
	kontrolovan BOOLEAN NOT NULL DEFAULT 'f',
	mu BOOLEAN NOT NULL DEFAULT 't',
	expirace DATE,
  vytvoren DATE NOT NULL DEFAULT '2006-1-1',
	modifikace TIMESTAMP (0) WITHOUT TIME ZONE,
  odpovedny_spravce INTEGER REFERENCES spravci (pid) ON DELETE SET NULL,
  kontaktni_osoba INTEGER REFERENCES spravci (pid) ON DELETE SET NULL
)";

$result = pg_query($query);

if (! $result) die("ERROR1 - ".pg_last_error());

$query = "CREATE TABLE predmety(predmet_id SERIAL PRIMARY KEY, predmet VARCHAR)";

$result = pg_query($query);

if (! $result) die("ERROR2 - ".pg_last_error());

$query = "CREATE TABLE casopis_predmet(
	  casopis_id INTEGER REFERENCES casopisy (casopis_id) ON DELETE CASCADE,
		  predmet_id INTEGER REFERENCES predmety (predmet_id) ON DELETE CASCADE,
			  PRIMARY KEY(casopis_id, predmet_id)
			)";


$result = pg_query($query);
if (! $result) die("ERROR3 - ".pg_last_error());


$query = "CREATE INDEX casopisy_id_idx ON casopisy USING hash (casopis_id)";

$result = pg_query($query);
if (! $result) die("ERROR4 - ".pg_last_error());

$query = "CREATE INDEX predmety_id_idx ON predmety USING hash (predmet_id)";

$result = pg_query($query);
if (! $result) die("ERROR5 - ".pg_last_error());

$query = "CREATE INDEX casopis_predmet_idx ON casopis_predmet (casopis_id, predmet_id)";

$result = pg_query($query);
if (! $result) die("ERROR6 - ".pg_last_error());

$query = "CREATE TABLE casopis_fakulta(
	casopis_id INTEGER REFERENCES casopisy (casopis_id) ON DELETE CASCADE,
		fakulta_id INTEGER REFERENCES fakulty ON DELETE CASCADE,
		  PRIMARY KEY(casopis_id, fakulta_id)
		)";

$result = pg_query($query);
if (! $result) die("ERROR6 - ".pg_last_error());

$query = "CREATE INDEX casopis_fakulta_idx ON casopis_fakulta (casopis_id, fakulta_id)";

$result = pg_query($query);
if (! $result) die("ERROR6 - ".pg_last_error());

$query = "CREATE TRIGGER update_casopisy BEFORE UPDATE or INSERT ON casopisy FOR EACH ROW EXECUTE PROCEDURE modtime()";

$result = pg_query($query);
if (! $result) die("ERROR6 - ".pg_last_error());

// jeste pak nagrantovat prava

?>
