<?php

require_once("eizlibs/db_connect.php");
require_once("lib/options_class.php");

$VERSION='0.1';
$SCRIPT='change_user.php';

$singleoptions = array(
	'help' => option::newopt('h', 'help', 'vypise tuto napovedu'),
	'verbose' => option::newopt('v', 'verbose', 'podrobnejsi vypis (vcetne SQL prikazu)'),
	'justshow' => option::newopt('j', 'just-show',	
		'pouze simuluje (vypise) provadene operace'),
	'version' => option::newopt('V', 'version', 'vypise verzi skriptu'),
	'olduser' => option::newopt('o:', 'old-user:', 'stary uzivatel (id), ktery ma byt nahrazen', 
		'<id_stary_uzivatel>'),
	'newuser' => option::newopt('n:', 'new-user:', 'novy uzivatel (id) nahrazujici stareho', 
		'<id_novy_uzivatel>')
);

$myoptions = options::getOptions($singleoptions);

if ($argc == 1 || $myoptions->isOpt($singleoptions['help'])) {
	echo "$SCRIPT (Portal EIZ)\n";
	echo "Verze: $VERSION\n";
	echo "Nahradi u vsech zdroju, casopisu a eknih stareho uzivatele za noveho. Plati jak\n".
		"pro spravce zdroje, tak pro kontaktni osobu. Skript provede okamzite nahrazeni (\n".
		"funkce undo po provedeni operace neni mozna).\n";
	echo "Pouziti: php $SCRIPT [-hjvV] -o <stary_uzivatel> -n <novy_uzivatel>\n";
	echo "Volby:\n";

	$myoptions->optionsHelp();

	exit(0);
}

if ($myoptions->isOpt($singleoptions['version'])) {
	echo "$SCRIPT, verze $VERSION\n";
	exit(0);
}

if (! ($oldid = $myoptions->isOpt($singleoptions['olduser']))) {
	fwrite(STDERR, "Musite vlozit jaky uzivatel (id) ma byt nahrazen.\n");
	exit(1);
}

if (! ($newid = $myoptions->isOpt($singleoptions['newuser']))) {
	fwrite(STDERR, "Musite vlozit noveho uzivatele (id).\n");
	exit(1);
}

$verbose = $myoptions->isOpt($singleoptions['verbose']);
$justshow = $myoptions->isOpt($singleoptions['justshow']);


connect_db();

$oldid = pg_escape_string($oldid);
$newid = pg_escape_string($newid);

// nejdriv zmenime tabulku spravci
$query = "SELECT pid, prijmeni FROM spravci WHERE pid = '$oldid'";
$result = pg_query($query);
if (! $result) die(pg_last_error());

if (pg_num_rows($result) == 1) {
	$row = pg_fetch_array($result, NULL, PGSQL_ASSOC);
	if ($verbose) echo "Nahrazujeme uzivatele ".$row['pid']." (".$row['prijmeni'].").\n";
}
else {
	die("Uzivatel $oldid neexistuje!");
}

$query = "SELECT pid, prijmeni FROM spravci WHERE pid = '$newid'";
$result = pg_query($query);
if (! $result) die(pg_last_error());

if (pg_num_rows($result) == 1) {
	$row = pg_fetch_array($result, NULL, PGSQL_ASSOC);
	if ($verbose) echo "Novy uzivatel ".$row['pid']." (".$row['prijmeni'].").\n";
}
else {
	die("Uzivatel $newid neexistuje!");
}

$tables = array("zdroje", "casopisy", "knihy");
$users = array("kontaktni_osoba", "odpovedny_spravce");

foreach($tables as $table) {
	foreach($users as $user) {

		$query = "UPDATE $table SET $user = '$newid' WHERE $user = '$oldid'";

		if ($verbose) echo "Aktualizuji $table ($user)...\n";

		if ($justshow) {
			echo "$query\n";
		}
		else {
			$result = pg_query($query);
			if (! $result) die(pg_last_error());
		}
	}
}

?>
