<?php

require_once("eizlibs/db_connect.php");
require_once("eizlibs/functions.php");
require_once("eizlibs/rights.php");
require_once("lib/options_class.php");

$VERSION='0.1';
$SCRIPT='check_files.php';

$singleoptions = array(
	'help' => option::newopt('h', 'help', 'vypise tuto napovedu'),
	'version' => option::newopt('V', 'version', 'vypise verzi skriptu'),
	'verbose' => option::newopt('v', 'verbose', 'podrobnejsi vypis provadenych operaci'),
	'deletefs' => option::newopt('s', 'delete-fs', 'soubory bez konexe na databazi smaz'),
	'deletedb' => option::newopt('d', 'delete-db', 'smaz zaznam v databazi, ke kteremu chybi soubor na disku'),
);

$myoptions = options::getOptions($singleoptions);

if ($argc == 1 || $myoptions->isOpt($singleoptions['help'])) {
	echo "$SCRIPT (Portal EIZ)\n";
	echo "Verze: $VERSION\n";
	echo "Skript provede kontrolu konzistence souboru nahranych na disku se zaznamy\n". 
		"v databazi. Zjistuji se soubory, ktere jsou na disku, ale nemaji v databazi\n".
		"zaznam. Nastavenim voleb --delete-fs a --delete-db je mozne vynutit provedeni\n".
		"opravy (v databazi i na disku - na disku dojde ke smazani souboru!).\n";
	echo "Pouziti: php $SCRIPT [-hdsvV] check\n";
	echo "Volby:\n";

	$myoptions->optionsHelp();

	exit(0);
}

if ($myoptions->isOpt($singleoptions['version'])) {
	echo "$SCRIPT, verze $VERSION\n";
	exit(0);
}

$verbose = $myoptions->isOpt($singleoptions['verbose']);

$deletedb = $myoptions->isOpt($singleoptions['deletedb']);
$deletefs = $myoptions->isOpt($singleoptions['deletefs']);

if ($verbose) { 
	"Nacitani seznamu souboru z databaze...\n";
}

date_default_timezone_set($DEFAULT_TIME_ZONE);
$DATE_STRING = 'Y-m-d-h:i:s';
$cdate = getDate();
$logdate = $cdate['year']."-".$cdate['mon']."-".$cdate['mday'];


connect_db();

$query = "SELECT soubor_id FROM soubory ORDER BY soubor_id";
$result = pg_query($query);
if (! $result) die("ERROR read from soubory ".pg_last_error());

$dbfiles = array();

while ($row = pg_fetch_array($result, NULL, PGSQL_ASSOC)) {
	$dbfiles[] = $row['soubor_id'];
}

if ($verbose) {
	echo "Nacitani seznamu souboru z disku ($FILES_DIR)...\n";
}

$fsfiles = scandir($FILES_DIR);

array_shift($fsfiles);
array_shift($fsfiles);

if (! $fsfiles) die("ERROR - cannot read $FILES_DIR");

if ($verbose) {
	echo "Kontrola disk -> databaze...\n";
}

$orphan_files = array_diff($fsfiles, $dbfiles);

foreach($orphan_files as $orphan_file) {
	echo "Soubor $orphan_file neni v databazi!";

	if ($deletefs) {
		if (! unlink("$FILES_DIR/$orphan_file")) 
			die("ERROR cannot remove $FILES_DIR/$orphan_file");

		echo " Byl smazan.";
	}
	
	echo "\n";
}

if ($verbose) {
	echo "Kontrola databaze -> disk...\n";
}


$orphan_files = array_diff($dbfiles, $fsfiles);

foreach($orphan_files as $orphan_file) {
	echo "Soubor $orphan_file neni na disku!";

	if ($deletedb) {
		$query = "DELETE FROM soubory WHERE soubor_id = '$orphan_file'";	
		$result = pg_query($query);
		if (! $result) die("ERROR delete from soubory ".pg_last_error());
		echo " Databaze byla aktualizovana.";
	}

	echo "\n";
}


if ($verbose) {
	echo "Kontrola souboru dokoncena.\n";
}

echo "$logdate CHECKED - files were checked\n";

?>
