<?php

require_once("eizlibs/db_connect.php");
require_once("lib/options_class.php");

$VERSION='0.1';
$SCRIPT='insert_user.php';

$singleoptions = array(
	'help' => option::newopt('h', 'help', 'vypise tuto napovedu'),
	'verbose' => option::newopt('v', 'verbose', 'podrobnejsi vypis (vcetne SQL prikazu)'),
	'justshow' => option::newopt('j', 'just-show',	
		'pouze simuluje (vypise) provadene operace'),
	'version' => option::newopt('V', 'version', 'vypise verzi skriptu'),
	'login' => option::newopt('l:', 'login:', 'login noveho uzivatele', '<login_uzivatele>'),
	'id' => option::newopt('i:', 'id:', 'id noveho uzivatele', '<id_uzivatele>')
);

$myoptions = options::getOptions($singleoptions);

if ($argc == 1 || $myoptions->isOpt($singleoptions['help'])) {
	echo "$SCRIPT (Portal EIZ)\n";
	echo "Verze: $VERSION\n";
	echo "Vytvori noveho uzivatele s administratorskym opravnenim. Po vytvoreni je\n".
		"nutne jej jeste nutne ho zadat do autentizacniho systemu pres htpasswd.";
	echo "Pouziti: php $SCRIPT [-hjvV] -l <login_uzivatele> -i <id_uzivatele>\n";
	echo "Volby:\n";

	$myoptions->optionsHelp();

	exit(0);
}

if ($myoptions->isOpt($singleoptions['version'])) {
	echo "$SCRIPT, verze $VERSION\n";
	exit(0);
}

if (! ($login = $myoptions->isOpt($singleoptions['login']))) {
	fwrite(STDERR, "Musite vlozit login uzivatele, ktery ma byt vytvoren.\n");
	exit(1);
}

if (! ($id = $myoptions->isOpt($singleoptions['id']))) {
	fwrite(STDERR, "Musite vlozit id uzivatele, ktery ma byt vytvoren.\n");
	exit(1);
}

$verbose = $myoptions->isOpt($singleoptions['verbose']);
$justshow = $myoptions->isOpt($singleoptions['justshow']);


connect_db();


$query = "INSERT INTO spravci (pid, je_admin, login, jmeno, prijmeni) VALUES ('$id', 't', '$login', ' ', ' ')";

if ($verbose) {
	echo "Inserting user/admin 'login = $login' and 'id = $id' into db.\n";
}

if ($justshow) {
	echo "$query\n";
}
else {
	$result = pg_query($query);
	if (! $result) die(pg_last_error());
	else {
		if ($verbose) {
			echo "User 'login = $login' and 'id = $id' inserted.\n";
			echo "Do not forget to add user to passwd file with htpasswd app.\n";
		}
	}
}

?>
