<?php

require_once("eizlibs/db_connect.php");
require_once("eizlibs/config.php");
require_once("eizlibs/configv2.php");
require_once("lib/options_class.php");

date_default_timezone_set($DEFAULT_TIME_ZONE);
$cdate = getDate();
$logdate = $cdate['year']."-".$cdate['mon']."-".$cdate['mday'];

$VERSION='0.1 beta';
$SCRIPT='update_ezproxy_links.php';

$singleoptions = array(
	'help' => option::newopt('h', 'help', 'vypise tuto napovedu'),
	'verbose' => option::newopt('v', 'verbose', 'podrobnejsi vypis (vcetne SQL prikazu)'),
	'justshow' => option::newopt('j', 'just-show',	
		'pouze simuluje (vypise) provadene operace'),
	'version' => option::newopt('V', 'version', 'vypise verzi skriptu'),
	'ezproxyurl' => option::newopt('u:', 'ezproxy-url:', 
		'kompletni URL na EZproxy server (napr. http://ezproxy.muni.cz/login?url=',
		'<ezproxy_url>')
);

$myoptions = options::getOptions($singleoptions);

if ($argc == 1 || $myoptions->isOpt($singleoptions['help'])) {
	echo "$SCRIPT (Portal EIZ)\n";
	echo "Verze: $VERSION\n";
	echo "Provede aktualizaci odkazu pro EZproxy. Skript postupne pregeneruje odkazy\n".
		"na EZproxy (nad tabulkou zdroje, dle sloupce 'odkaz', pripadne 'odkaz_en', pro\n".
		"sloupce 'odkaz_onelog_cz' a 'odkaz_onelog_en'). Ridici se na zaklade\n".
		"nastaveni sloupce 'ezproxy_prepis' (prepisuje pouze u zdroju, ktere maji tento\n".
		"sloupec nastaven na 'true' a konfiguracni direktivy ENABLE_EXTRA_CZECH_LINK\n". 
		" urcujici jestli se maji zpracovavat jazykove mutace odkazu\n";
	echo "Pouziti: php $SCRIPT [-hjvV] -u <ezproxy_url>\n";
	echo "Volby:\n";

	$myoptions->optionsHelp();

	exit(0);
}

if ($myoptions->isOpt($singleoptions['version'])) {
	echo "$SCRIPT, verze $VERSION\n";
	exit(0);
}


// update EZproxy links
if (! ($ezproxyurl = $myoptions->isOpt($singleoptions['ezproxyurl']))) {
	fwrite(STDERR, "Musite vlozit URL na EZproxy.\n");
	exit(1);
}

$verbose = $myoptions->isOpt($singleoptions['verbose']);
$justshow = $myoptions->isOpt($singleoptions['justshow']);


if ($verbose) {
	echo "Direktiva ENABLE_EXTRA_CZECH_LINK je nastavena na ". 
		$ENABLE_EXTRA_CZECH_LINK ? "true" : "false" . "\n";  
	echo "Pripravuji seznam zdroju pro aktualizaci linku...\n";
}

connect_db();

$query = "SELECT zdroj_id, odkaz, odkaz_extra_cz FROM zdroje WHERE ezproxy_prepis = 't'";

if ($justshow) echo "$query\n";

$result = pg_query($query);

while ($row = pg_fetch_array($result, NULL, PGSQL_ASSOC)) {
	echo "DEBUG:".$row['zdroj_id']."\n";
	$tostoreid[] = $row['zdroj_id'];
	$tostoreurl[] = trim($row['odkaz']);
	$tostoreurl_cz[] = trim($row['odkaz_extra_cz']);
}

if ($verbose) {
	echo "Hotovo.\n";
}

foreach($tostoreid as $klic => $id) {

	$odkaz = $tostoreurl[$klic];
	$odkaz2 = $tostoreurl_cz[$klic];

	if (! $ENABLE_EXTRA_CZECH_LINK) {
		$query = "UPDATE zdroje SET odkaz_onelog_cz = '".$ezproxyurl.$odkaz."' WHERE zdroj_id = '$id'";
	}
	else {
		if ($odkaz == '') $odkaz = $odkaz2;
		if ($odkaz2 == '') $odkaz2 = $odkaz;
		$query = "UPDATE zdroje SET odkaz_onelog_cz = '".$ezproxyurl.$odkaz2."', odkaz_onelog_en = '".$ezproxyurl.$odkaz."' WHERE zdroj_id = '$id'";
	}


	if ($justshow) {
		echo "$query\n";
	}
	else {
		$result = pg_query($query);
		if (! $result) { die(pg_last_error()); }
		else {
			if ($verbose) {
				echo "Aktualizovan link(y) pro zdroj $id\n";
			}
		}
	}
}

echo "$logdate UPDATED - EZproxy links updated\n";

?>
