<?php

require_once("eizlibs/db_connect.php");
require_once("lib/options_class.php");

$VERSION='0.1';
$SCRIPT='update_source_faculties.php';

$singleoptions = array(
	'help' => option::newopt('h', 'help', 'vypise tuto napovedu'),
	'version' => option::newopt('V', 'version', 'vypise verzi skriptu'),
	'verbose' => option::newopt('v', 'verbose', 'podrobnejsi vypis provadenych operaci'),
);

$myoptions = options::getOptions($singleoptions);

if ($argc == 1 || $myoptions->isOpt($singleoptions['help'])) {
	echo "$SCRIPT (Portal EIZ)\n";
	echo "Verze: $VERSION\n";
	echo "Skript provede jednorazovy update pole s fakultami v tabulce zdroje.\n";
	echo "Pouziti: php $SCRIPT [-hvV] update\n";
	echo "Volby:\n";

	$myoptions->optionsHelp();

	exit(0);
}

if ($myoptions->isOpt($singleoptions['version'])) {
	echo "$SCRIPT, verze $VERSION\n";
	exit(0);
}

$verbose = $myoptions->isOpt($singleoptions['verbose']);

connect_db();

$query = "SELECT zdroj_id FROM zdroje";
$result = pg_query($query);


while ($row = pg_fetch_array($result, NULL, PGSQL_ASSOC)) {

	$id = $row['zdroj_id'];

	if ($verbose) echo "Processing source $id...";

	$query = "SELECT fakulta_id FROM zdroj_fakulta WHERE zdroj_id = '$id'";	
	$result2 = pg_query($query);

	$facs= '';
	while ($row2 = pg_fetch_array($result2, NULL, PGSQL_ASSOC)) {

		$facs .= $row2['fakulta_id'].',';

	}
	$facs = trim($facs, ',');

	if ($facs != '') {
		$query = "UPDATE zdroje SET fakulty = '{".$facs."}' WHERE zdroj_id = $id";
		//echo "$query\n";
		$result2 = pg_query($query);
		if (! $result2) die("ERROR2 - ".pg_last_error());

		if ($verbose) echo "OK.\n";
	}
	else {
		if ($verbose) echo "no faculties.\n";
	}
}

echo "Faculties updated\n";


